-- This file:
--   http://angg.twu.net/AGDA/2022HuC5.agda.html
--   http://angg.twu.net/AGDA/2022HuC5.agda
--           (find-angg "AGDA/2022HuC5.agda")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 20220315
-- Public domain.
--
-- ;; (find-angg "AGDA/find-agdatype.el")
-- (load       "~/AGDA/find-agdatype.el")
--
-- https://agda.zulipchat.com/#narrow/stream/263194-categories/topic/Beginner.20question.20about.20Hom.5B_.2C-.5D.20and.20setoids/near/275426955
--
-- (defun a4 () (interactive) (find-angg "AGDA/2022HuC4.agda"))
-- (defun a5 () (interactive) (find-angg "AGDA/2022HuC5.agda"))
-- (defun a  () (interactive) (find-angg "AGDA/2022HuC5.agda"))
-- (defun a45 () (interactive) (find-2a '(a5) '(a4)))

module 2022HuC5 where

open import Level
open import Categories.Category
open import Categories.Functor
open import Categories.Functor.Hom
open import Relation.Binary
Carrier = Relation.Binary.Setoid.Carrier

postulate catA : Category zero zero zero
postulate B : Category.Obj catA
postulate C : Category.Obj catA

A[B,C]-def1 = _[_,_] catA B C
A[B,C]-def2 = Functor.₀ (Hom.Hom[_,-] catA B) C

postulate f1 : A[B,C]-def1
postulate f2 : Carrier A[B,C]-def2




-- Local Variables:
-- coding:  utf-8-unix
-- End:







