-- This file:
--   http://angg.twu.net/AGDA/Cats3.agda.html
--   http://angg.twu.net/AGDA/Cats3.agda
--           (find-angg "AGDA/Cats3.agda")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun e2 () (interactive) (find-angg "AGDA/Cats2.agda"))
-- (defun e  () (interactive) (find-angg "AGDA/Cats3.agda"))
--
-- ;; (find-angg "AGDA/find-agdatype.el")
-- (load       "~/AGDA/find-agdatype.el")
--
-- ;; (find-eev "eev-pdflike.el" "change-default-viewer")
-- ;; (favp 33 "basic-example-full")
-- ;; (fava    "basic-example-full")
-- (defalias 'find-pdf-page 'find-pdftools-page)
-- (defalias 'find-pdf-page 'find-xpdf-page)
-- (defun fa1 () (favp 33 "basic-example-full"))
-- (defun fa2 () (interactive) (find-2a nil '(fa1)))

-- (find-agdaprimfile "Agda/Builtin/Equality.agda")
-- (find-agdaprimfile "Agda/Builtin/Bool.agda")
-- (find-agdaprimfile "Agda/Builtin/Unit.agda")
-- (find-agdaprimfile "Agda/Builtin/Strict.agda")
-- (find-agdaprimfile "Agda/Builtin/Sigma.agda")
-- (find-agdastdlibsrcfile "Level.agda")
-- (find-agdastdlibsrcfile "Data/Empty.agda")
-- (find-agdastdlibsrcfile "Data/Empty/Irrelevant.agda")
-- (find-agdastdlibsrcfile "Relation/Nullary.agda")
-- (find-agdastdlibsrcfile "Data/Unit/Base.agda")
-- (find-agdastdlibsrcfile "Data/Bool/Base.agda")
-- (find-agdastdlibsrcfile "Relation/Nullary/Reflects.agda")
-- (find-agdastdlibsrcfile "Strict.agda")
-- (find-agdastdlibsrcfile "Function/Base.agda")
-- (find-agdastdlibsrcfile "Data/Sum/Base.agda")
-- (find-agdastdlibsrcfile "Data/These/Base.agda")
-- (find-agdastdlibsrcfile "Data/Product.agda")
-- (find-agdastdlibsrcfile "Data/Maybe/Base.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Core.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Definitions.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/PropositionalEquality/Core.agda")
-- (find-agdastdlibsrcfile "Relation/Nullary/Decidable/Core.agda")
-- (find-agdastdlibsrcfile "Relation/Unary.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Consequences.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Structures.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Bundles.agda")
-- (find-agdastdlibsrcfile "Relation/Binary.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Indexed/Heterogeneous/Core.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Indexed/Heterogeneous/Definitions.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Indexed/Heterogeneous/Structures.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Indexed/Heterogeneous/Bundles.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Indexed/Heterogeneous.agda")
-- (find-agdastdlibsrcfile "Algebra/Core.agda")
-- (find-agdastdlibsrcfile "Algebra/Definitions.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Reasoning/Base/Single.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Reasoning/Setoid.agda")
-- (find-agdastdlibsrcfile "Algebra/Consequences/Base.agda")
-- (find-agdastdlibsrcfile "Algebra/Consequences/Setoid.agda")
-- (find-agdastdlibsrcfile "Algebra/Structures.agda")
-- (find-agdastdlibsrcfile "Algebra/Bundles.agda")
-- (find-agdastdlibsrcfile "Algebra.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/PropositionalEquality/Properties.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/PropositionalEquality/Algebra.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/Indexed/Heterogeneous/Construct/Trivial.agda")
-- (find-agdastdlibsrcfile "Function/Equality.agda")
-- (find-agdastdlibsrcfile "Axiom/UniquenessOfIdentityProofs.agda")
-- (find-agdastdlibsrcfile "Axiom/Extensionality/Propositional.agda")
-- (find-agdastdlibsrcfile "Relation/Binary/PropositionalEquality.agda")


open import Level
open import Relation.Binary.PropositionalEquality as Eq
open Eq.≡-Reasoning

module Cats3 where



record Cat {ℓ₀ ℓ₁ : Level} : Set (suc (ℓ₀ ⊔ ℓ₁)) where
  field
    Objs  : Set ℓ₀
    Hom   : Objs → Objs → Set ℓ₁
    id    : (A : Objs) → (Hom A A)
    _◦_   : {A B C : Objs}
            -> (g : Hom B C)
            -> (f : Hom A B)
            ->     (Hom A C)
    idL   : {A B : Objs}
            -> (f : Hom A B)
            -> (f ≡ f ◦ (id A))
    idR   : {A B : Objs}
            -> (f : Hom A B)
            -> (f ≡ (id B) ◦ f)
    assoc : {A B C D : Objs}
            -> (f : Hom A B)
            -> (g : Hom B C)
            -> (h : Hom C D)
            -> (h ◦ (g ◦ f) ≡ (h ◦ g) ◦ f)

catSet : Cat {suc zero} {zero}
Cat.Objs  catSet = Set
Cat.Hom   catSet = λ A B → (A → B)
Cat.id    catSet = λ A → (λ a → a)
Cat._◦_   catSet = λ g f → (λ a → g (f a))
Cat.idL   catSet = λ f → refl
Cat.idR   catSet = λ f → refl
Cat.assoc catSet = λ f g h → refl

record Functor {ℓ₀ ℓ₁ ℓ₂ ℓ₃ : Level}
               (catA : Cat {ℓ₀} {ℓ₁})
               (catB : Cat {ℓ₂} {ℓ₃})
             : Set (suc (ℓ₀ ⊔ ℓ₁ ⊔ ℓ₂ ⊔ ℓ₃)) where
  field
    ac0      : (Cat.Objs catA) -> (Cat.Objs catB)
    ac1      : {C D : Cat.Objs catA}
               -> (Cat.Hom catA C D)
               -> (Cat.Hom catB (ac0 C) (ac0 D))
    respids  : {C : Cat.Objs catA}
               -> (ac1 (Cat.id catA C) ≡ Cat.id catB (ac0 C))
    respcomp : {C D E : Cat.Objs catA}
               -> {f : Cat.Hom catA C D}
               -> {g : Cat.Hom catA D E}
               -> (ac1 (Cat._◦_ catA g f) ≡ (Cat._◦_ catB (ac1 g) (ac1 f)))

postulate catA : Cat {zero} {zero}
postulate catB : Cat {zero} {zero}
postulate R : Functor catB catA
postulate A : Cat.Objs catA
postulate C : Cat.Objs catB
postulate η : Cat.Hom catA A (Functor.ac0 R C)

catSetH : Cat {suc zero} {zero}
Cat.Objs  catSetH = Set
Cat.Hom   catSetH = λ A B → (A → B)
Cat.id    catSetH = λ A → (λ a → a)
Cat._◦_   catSetH = λ g f → (λ a → g (f a))
Cat.idL   catSetH = λ f → refl
Cat.idR   catSetH = λ f → refl
Cat.assoc catSetH = λ f g h → refl

catB[C,-] : Functor catB catSetH
Functor.ac0      catB[C,-] D           = Cat.Hom catB C D
Functor.ac1      catB[C,-] {D} {E} g f = Cat._◦_ catB g f
Functor.respids  catB[C,-] {D} = {!!}
Functor.respcomp catB[C,-] = {!!}

catA[A,R-] : Functor catB catSetH
Functor.ac0      catA[A,R-] D           = Cat.Hom catA A (Functor.ac0 R D)
Functor.ac1      catA[A,R-] {D} {E} g f = {!!}
Functor.respids  catA[A,R-] = {!!}
Functor.respcomp catA[A,R-] = {!!}

record NT {ℓ₀ ℓ₁ ℓ₂ ℓ₃ : Level}
          {catC : Cat {ℓ₀} {ℓ₁}}
          {catD : Cat {ℓ₂} {ℓ₃}}
          (F G : Functor catC catD)
             : Set (suc (suc (ℓ₀ ⊔ ℓ₁ ⊔ ℓ₂ ⊔ ℓ₃))) where
  field
    ac       : (A : Cat.Objs catC)
               -> (Cat.Hom catD (Functor.ac0 F A) (Functor.ac0 G A))
    sqcond   : {A B : Cat.Objs catC}
               -> (f : Cat.Hom catC A B)
               -> ((Cat._◦_ catD (ac B) (Functor.ac1 F f)) ≡
                   (Cat._◦_ catD (Functor.ac1 G f) (ac A)))
               -> Set

postulate T : NT catB[C,-] catA[A,R-]

T⇒η : (T : NT catB[C,-] catA[A,R-]) → (Cat.Hom catA A (Functor.ac0 R C))
T⇒η T = NT.ac T C (Cat.id catB C)

η⇒T : (η : Cat.Hom catA A (Functor.ac0 R C)) → (NT catB[C,-] catA[A,R-])
NT.ac     (η⇒T η) D f = Cat._◦_ catA (Functor.ac1 R f) η
NT.sqcond (η⇒T η) = {!!}

[T⇒η⇒T]≡id : (T : NT catB[C,-] catA[A,R-])
             → (T ≡ η⇒T (T⇒η T))
[T⇒η⇒T]≡id = {!!}

[η⇒T⇒η]≡id : (η : Cat.Hom catA A (Functor.ac0 R C))
             → (η ≡ T⇒η (η⇒T η))
[η⇒T⇒η]≡id = {!!}

-- 
--  FA --> GA
--  |       |
--  v       v
--  FB --> GB
--

postulate D E F : Cat.Objs catB
postulate f     : Cat.Hom  catB C D
postulate g     : Cat.Hom  catB D E

postulate foo   : C ≡ D
postulate S     : Set
postulate s     : S

-- Functor.respids catB[C,-] =
--   begin
--     catB[C,id:D]   ≡⟨ myeq1 ⟩
--     λf⇒id:D∘f      ≡⟨ myeq2 ⟩
--     λf⇒f           ≡⟨ myeq3 ⟩
--     id:catB[C,D]
--   ∎
--

-- (y21p 1 "page-1")
-- (y21a   "page-1")


module On_D (D : Cat.Objs catB) where
 module On_f (f : Cat.Hom catB C D) where
  id:D         : Cat.Hom catB D D
  id:D         = Cat.id  catB D
  catB[C,D]    : Set
  catB[C,D]    = Functor.ac0 catB[C,-] D
  catB[C,E]    : Set
  catB[C,E]    = Functor.ac0 catB[C,-] E
  catB[C,F]    : Set
  catB[C,F]    = Functor.ac0 catB[C,-] F
  catB[C,id:D] : Cat.Hom catSet catB[C,D] catB[C,D]
  catB[C,id:D] = Functor.ac1 catB[C,-] id:D
  id:catB[C,D] : Cat.Hom catSet catB[C,D] catB[C,D]
  id:catB[C,D] = Cat.id  catSet catB[C,D]
  id:D◦f       : Cat.Hom catB C D
  id:D◦f       = Cat._◦_ catB id:D f
  <f≡[id:D◦f]> : f ≡ id:D◦f
  <f≡[id:D◦f]> = Cat.idR catB {C} {D} f
  <[id:D◦f]≡f> : id:D◦f ≡ f
  <[id:D◦f]≡f> = sym <f≡[id:D◦f]>
  --
  -- [λf⇒[id:D◦f]]≡[λf⇒f] : λf⇒[id:D◦f] ≡ λf⇒f
  -- [λf⇒[id:D◦f]]≡[λf⇒f] = {!!}

-- λf⇒[id:D◦f]≡f : {D : Cat.Objs catB}
--               → (f : Cat.Hom catB C D) 
--               → (f : Cat.Hom catB C D) 
-- λf⇒[id:D◦f]≡f = 


-- (find-es "agda" "module-system")

module M1 = On_D D
module M2 = M1.On_f f

-- (find-agdatype "M2.id:D")
-- (find-agdatype "M1.M2.id:D")
-- (find-agdatype "M1.On_f.id:D")
-- (find-agdatype "On_D.On_f.id:D")
-- (find-agdatype "On_D.On_f.id:D D")
-- (find-agdatype "On_D.On_f.id:D D f")
-- (find-agdatype "On_D.On_f.[id:D◦f]≡f")


-- open On_f f

  
-- myeq1 : catB[C,id:D] ≡ λf⇒id:D◦f
-- myeq1 = refl

-- myeq2a : f ≡ id:D◦f
-- myeq2a = Cat.idR catB {C} {D} f

-- myeq2 : λf⇒id:D◦f ≡ λf⇒f
-- myeq2 = {!cong ?!}
-- myeq3 : λf⇒f ≡ id:catB[C,D]
-- myeq3 = refl

-- (find-plfa5page 4 "Congruence and substitution")
-- (find-plfa5text 4 "Congruence and substitution")
-- (find-angg ".emacs.agda" "plfa9")


-- ;; (find-fline "~/AGDA/find-agdatype.el")
-- (load          "~/AGDA/find-agdatype.el")
-- (find-agdatype "sym myeq2a")
-- (find-agdatype "cong (sym myeq2a)")
-- (find-agdatype "myeq2a")
-- (find-agdatype "                        id:D◦f")
-- (find-agdatype " Cat._◦_ catB           id:D  f")
-- (find-agdatype " Cat._◦_ catB (Cat.id catB D) f")
-- (find-agdatype " Cat.idR catB ")
-- (find-agdatype " Cat.idR catB {C} {D} ")
-- (find-agdatype " Cat.idR catB {C} {D} f")
-- (find-agdatype "(Cat._◦_ catB (Cat.id catB D) f) ≡ f")
-- (find-agdatype "(Cat._◦_ catB (Cat.id catB D) f) ≡ f")
-- (find-agdatype "id:D◦f ≡ f")
-- (find-agdatype "Functor.ac0 catB[C,-]")
-- (find-agdatype "Functor.ac0 catB[C,-] D")
-- (find-agdatype "Functor.ac1 catB[C,-] id:D")
-- catB[C,id:D]  : CatSetH.Hom (Functor.ac0 catB[C,-] D) (Functor.ac0 catB[C,-] D)
-- catB[C,id:D]  = Functor.ac1 catB[C,-] id:D
--   catB[C,D]    = Functor.ac0 catB[C,-] D
--   id:catB[C,D] = Cat.id catSetH catB[C,D]
--    catB[C,id:D]
--    = λf.id:D◦f         (by Functor.ac1 catB[C,-] idD)
--    = λf.f              (by Cat.idR catB {C} {D} f)
--    = id[catB[C,D]]yₓ

-- (find-agdatype "Functor.respids catB[C,-]")
-- (find-agdatype "Functor.ac1 catB[C,-]")
-- (find-agdatype "Functor.ac1 catB[C,-] (Cat.id catB D)")
-- (find-agdatype "                Functor.ac0 catB[C,-] D ")
-- (find-agdatype "Cat.id catSetH (Functor.ac0 catB[C,-] D)")


{-
-- (find-es "agda" "agda-user-manual")
-- (find-efunctiondescr 'agda2-mode)

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
export LC_ALL=en_GB.UTF-8
agda -v 2 Cats3.agda  | tee /tmp/o

# (find-es "agda" "loading-process")

stack exec --       agda --compile Cats3.agda
./Cats3
                    agda --compile Cats3.agda
agda --ghc-dont-call-ghc --compile Cats3.agda

agda  --help
stack --help
# agda -i. -i/usr/share/agda-stdlib --interactive Cats3.agda
# :load Cats3.agda
# :?

-}




-- Local Variables:
-- coding:  utf-8-unix
-- End:

