-- This file:
--   http://angg.twu.net/AGDA/Split1.agda.html
--   http://angg.twu.net/AGDA/Split1.agda
--           (find-angg "AGDA/Split1.agda")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>

module Split1 where
open import Data.Nat
open import Level
open import MyLevels

-- postulate A B C D : Set
variable A B C D : Set
-- variable a : A

variable A₁ A₂ : Set


record ABCD1 : Set where
  field
    a : ℕ
    b : ℕ
    c : ℕ
    d : ℕ

-- (find-agdatype "ABCD1")
-- (find-agdatype "ABCD1.a")
-- (find-agdatype "ABCD1.b")

abcd : ABCD1
abcd = record { a = 2; b = 3; c = 4; d = 5 }

record AB : Set where
  field
    a : ℕ
    b : ℕ

record CD : Set where
  field
    c : ℕ
    d : ℕ

record ABCD2 : Set where
  field
    ab : AB
    cd : CD
  -- open ab

-- (find-angg ".emacs.agda" "recordstutorial")
-- (find-recordstutorialpage 13 "Opening a record")
-- (find-recordstutorialtext 13 "Opening a record")
-- (find-recordstutorialpage 14 "Record opening example")
-- (find-recordstutorialtext 14 "Record opening example")





record RAB : MySet1 where
  field
    a : A
    b : B

record RCD (ab : RAB) : MySet1 where
  field
    c : C
    d : D

record RABCD : MySet2 where
  field
    ab : RAB
    cd : RCD ab




module MAB where
  x : ℕ
  x = 2

-- rab1 : RAB
-- rab1 = record { a = 2 ; b = 3 }

-- a1 : ℕ
-- a1 = RAB.a rab1

-- module MOAB where
--   -- open RAB rab1
--     test : ℕ
--     test = RAB.a rab1




-- Local Variables:
-- coding:  utf-8-unix
-- End:

