-- This file:
--   http://angg.twu.net/AGDA/TestMods.agda.html
--   http://angg.twu.net/AGDA/TestMods.agda
--           (find-angg "AGDA/TestMods.agda")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun tm () (interactive) (find-angg "AGDA/TestMods.agda"))
-- (find-plfagrep "grep --color=auto -nH --null -e import src/plfa/part1/*")
-- (find-agdastdlibsrcfile "Relation/Binary/Structures.agda")
-- (find-es "agda" "variable")

-- open import Data.Nat

open import Level
open import Relation.Binary.Core
open import Relation.Binary.Structures

module TestMods
  -- {a ℓ  : Level}
  {a ℓ}
  {A    : Set a}              -- The underlying set
  (_≈_  : Rel A ℓ)            -- The underlying equality relation
  {isEq : IsEquivalence _≈_}
  where
    rfl  = isEq .IsEquivalence.refl
    trns = isEq .IsEquivalence.trans
    sm   = isEq .IsEquivalence.sym

    -- r = IsEquivalence.refl isEq



-- module TestMods
--   a ℓ  : Level
--   A    : Set a             -- The underlying set
--   _≈_  : Rel A ℓ           -- The underlying equality relation
--   where

--   -- variable
--   --   a ℓ  : Level
--   --   A    : Set a             -- The underlying set
--   --   _≈_  : Rel A ℓ           -- The underlying equality relation
--   --   iseq : IsEquivalence _≈_



-- Local Variables:
-- coding:  utf-8-unix
-- End:
