/*
 * This file:
 *  (find-angg        "DAVINCI/iup3_iupgtk_drv_patch1.h")
 * http://angg.twu.net/DAVINCI/iup3_iupgtk_drv_patch1.h.html
 * Written by Eduardo Ochs, 2007sep12. Public domain.
 * This is a patch to IUP3 to make it compile (not link!) with an
 * older version of Gtk. It is appended to the end of this file:
 * (find-iup3file "src/gtk/iupgtk_drv.h")
 *
 * See:
 * (find-es "iup" "iup3_patch1.h")
 * (find-es "iup" "GtkStatusIcon-disable")
 * (find-gtk20file "gtk/gtkversion.h")
 */

#if GTK_MAJOR_VERSION == 2 && GTK_MAJOR_VERSION < 10

typedef struct _GtkStatusIcon {
  GObject parent_instance;
  void    *priv;
} GtkStatusIcon;

GtkStatusIcon *gtk_status_icon_new (void);
void gtk_status_icon_set_from_pixbuf (GtkStatusIcon *status_icon, GdkPixbuf *pixbuf);
void gtk_status_icon_set_tooltip (GtkStatusIcon *status_icon, const gchar *tooltip_text);
void gtk_status_icon_set_visible (GtkStatusIcon *status_icon, gboolean visible);

#endif
