# This file:
#   http://angg.twu.net/GNUPLOT/surface1.8.gnuplot.html
#   http://angg.twu.net/GNUPLOT/surface1.8.gnuplot
#           (find-angg "GNUPLOT/surface1.8.gnuplot")
# Author: Eduardo Ochs <eduardoochs@gmail.com>
#
# (defun e () (interactive) (find-angg "GNUPLOT/surface1.8.gnuplot"))
#
# https://gnuplot.sourceforge.net/demo_4.6/surface1.html
# https://gnuplot.sourceforge.net/demo_4.6/surface1.8.gnu

# set terminal pngcairo  transparent enhanced font "arial,10" fontscale 1.0 size 500, 350 
# set output 'surface1.8.png'
set samples 21, 21
set isosamples 11, 11
set title "3D gnuplot demo" 
set xlabel "X axis" 
set xlabel  offset character -3, -2, 0 font "" textcolor lt -1 norotate
set xrange [ -10.0000 : 10.0000 ] noreverse nowriteback
set ylabel "Y axis" 
set ylabel  offset character 3, -2, 0 font "" textcolor lt -1 rotate by -270
set yrange [ -10.0000 : 10.0000 ] noreverse nowriteback
set zlabel "Z axis" 
set zlabel  offset character -5, 0, 0 font "" textcolor lt -1 norotate
splot x*y with points

# splot -10
pause -1 "Hit return to continue"


# (find-eepitch-intro "3.3. `eepitch-preprocess-line'")
# (setq eepitch-preprocess-regexp "")
# (setq eepitch-preprocess-regexp "^#: ")
#
#:  (eepitch-shell)
#:  (eepitch-kill)
#:  (eepitch-shell)
#: gnuplot surface1.8.gnuplot
#: # (find-bgprocess "gnuplot surface1.8.gnuplot")

# Local Variables:
# coding:  utf-8-unix
# End:
