% This file:
%   http://angg.twu.net/LILYPOND/a_new_ground.ly.html
%   http://angg.twu.net/LILYPOND/a_new_ground.ly
%           (find-angg "LILYPOND/a_new_ground.ly")
% Author: Eduardo Ochs <eduardoochs@gmail.com>
%
% (find-angg "LILYPOND/a_new_ground.ly")
% (defun c () (interactive) (find-sh "cd ~/LILYPOND/ && lilypond a_new_ground.ly" :end))
% (defun C () (interactive) (find-sh "cd ~/LILYPOND/ && lilypond a_new_ground.ly" "Success: comp"))
% (defun D () (interactive) (find-pdf-page      "~/LILYPOND/a_new_ground.pdf"))
% (defun d () (interactive) (find-pdftools-page "~/LILYPOND/a_new_ground.pdf"))
% (defun e () (interactive) (find-fline         "~/LILYPOND/a_new_ground.ly"))
% (defun v () (interactive) (find-2a '(e) '(d)) (g))
% (defun cv () (interactive) (C) (ee-kill-this-buffer) (v) (g))
%
% (find-esetkey-links (kbd "<f6>") 'cv)
% (find-ssr-links      "cvlilypond" "2020-M-x-cv-lilypond")
% (find-eevvideo-links "cvlilypond" "2020-M-x-cv-lilypond" "nil" "0:00")

% (find-lilylearnpage 2 "Table of Contents")
% (find-lilylearntext 2 "Table of Contents")

% (find-books "__comp/__comp.el" "lilypond")
% (find-lilylearnpage (+ 5 1) "1.1 Compiling a file")
% (find-lilylearntext (+ 5 1) "1.1 Compiling a file")

% (find-lilynotatpage 66 "when entering lyrics")
% (find-lilynotattext 66 "when entering lyrics")
% (find-lilynotatpage 460 "3.2 Titles and headers")
% (find-lilynotattext 460 "3.2 Titles and headers")
% (find-lilynotatpage 521 "4.3.2 Page breaking")
% (find-lilynotattext 521 "4.3.2 Page breaking")

% (find-lilylearnpage)
% (find-lilylearntext)
% (find-lilylearnpage (+ 5  12) "\\relative c'")
% (find-lilylearntext (+ 5  12) "\\relative c'")
% (find-lilylearnpage (+ 5  15) "\\tempo 4. = 96")
% (find-lilylearntext (+ 5  15) "\\tempo 4. = 96")
% (find-lilylearnpage (+ 5  22) "2.1.3 Ties and slurs")
% (find-lilylearntext (+ 5  22) "2.1.3 Ties and slurs")
% (find-lilylearnpage (+ 5  25) "2.1.6 Automatic and manual beams")
% (find-lilylearntext (+ 5  25) "2.1.6 Automatic and manual beams")
% (find-lilylearnpage (+ 5  34) "aligning lyrics to notes")
% (find-lilylearntext (+ 5  34) "aligning lyrics to notes")
% (find-lilylearnpage (+ 5  36) "2.4.1 Organizing pieces with variables")
% (find-lilylearntext (+ 5  36) "2.4.1 Organizing pieces with variables")
% (find-lilylearnpage (+ 5  37) "2.4.2 Adding titles")
% (find-lilylearntext (+ 5  37) "2.4.2 Adding titles")
% (find-lilylearnpage (+ 5  37) "2.4.3 Absolute note names")
% (find-lilylearntext (+ 5  37) "2.4.3 Absolute note names")
% (find-lilylearnpage (+ 5  46) "3.2 Voices contain music")
% (find-lilylearntext (+ 5  46) "3.2 Voices contain music")
% (find-lilylearnpage (+ 5 148) "A.2 Piano templates")
% (find-lilylearntext (+ 5 148) "A.2 Piano templates")

% (find-lilysnipppage)
% (find-lilysnipptext)

\version "2.18.2"

\header {
  title = "A New Ground in E Minor"
  subtitle = "(\"Here the Deities Approve\")"
  composer = "Henry Purcell"
  opus = "Z. T682"
}

upper = \relative c'' {
   \clef treble
   \key e \minor
   \time 4/4

   % Compasso 1:
   << { r4 r16 b16~ b8      b8. a16 a16 g8 fis16 } \\
      { r16 e8 g~ g16~ g g    r16 fis16~ fis8 r4 }
   >> |
   r16 e8 g fis e dis cis dis b16 |

   \break

   % Compasso 3:
   << { r16 e16~ e8    r16 fis8.   r16 <<e16 g>> <<e8 g>> } \\
      { r8 r16 b,16   r8 r16 a16   r16 b16~ b8 }
   >>   b''8. b16
   g8. g16 a16( g16) fis16( e16) b'4 fis4 |

   \break

   % Compasso 5:
   r4 a8. a16 dis,8. dis16 e16( dis16) cis16 b16 |
   e8. fis16 fis8 e16( fis16) g2( |

   \break

   % Compasso 7:
   g16) a16 fis16 g16 g8. fis16 fis4. r16 fis,16 |
   r16 e8 g8 fis8 e8 dis8 cis8 d8 b16 |

   \break

   % Compasso 9:
   << { r16 e16( e8) r16 fis8. r16 <<e16 g>> <<e8 g>> } \\
      { r8 r16 b,16 r8 r16 a16 r16 b16~ b8 }
   >> b''8. b16 |
   g8. g16 a16( g16) fis16( e16) b'4 fis4 |

   \break

   % \autoBeamOff
   % r16 e,8 g b16~ b8
   % \autoBeamOn
   % % [ b8. a16 ] [ a g8 fis16 ] |
   %   b8. a16       a16 g8 fis16 |
   % \autoBeamOff
   % r16 e8 g fis e dis cis dis b16 |


}

lower = \relative c {
  \clef bass
  \key e \minor
  \time 4/4

  % Compasso 1:
  e,8 e' g b   dis, fis b d, |
  cis b' a c,  b g' a, fis'  |

  % Compasso 3:
  g, e' fis, dis'   e g, a b  |
  << { r8 e8 g8 b8 r8 fis8 b8 } \\
     { e,,4 e'4 dis4. d8 }
  >> |

  % Compasso 5:
  << { b'8 b8 a4( a8) g8~ g8 fis8  } \\
     { cis4. c8 b4 a4 }
  >> |
  << { fis'8 e8~ e8 dis8  } \\
     { g,4 fis4 }
  >> e'8 g,8 a8 b8 |

  % Compasso 7:
  e,8 e' g b   dis, fis b d, |
  cis b' a c,  b g' a, fis'  |

  % Compasso 9:
  g, e' fis, dis'   e g, a b  |
  << { r8 e8 g8 b8 r8 fis8 b4 } \\
     { e,,4 e'4 dis4. d8 }
  >> |

 %    e,8 e' g b   dis, fis b d, |
 %   cis b' a c,  b g' a, fis'  |
 %   g, e' fis, dis'   e g, a b  |

}

\score {
  \new PianoStaff <<
    % \set PianoStaff.instrumentName = #"Piano          "
    \new Staff = "upper" \upper
    \new Staff = "lower" \lower
  >>
  \layout { }
  \midi { }
}



% {
%   <a, c>2.( | <g! b>2. | <f a>2. | <e gis>2.) |
%   \break
%   << { r4 g!4-2 c4-1 | r4 d2-1     | c4-1 r4 b4-2 | a2-1      c4-1 } \\
%      { c,2.-5        | g'2-4 a4-3~ | a4   e2-5    | r4 a,4-5 a'4-2 } >> |
%   \break
%   << { b2-1 b4-2   | a2-1 g!4        | r4 a2_1 | gis2.-2 } \\
%      { a2-2 gis4-3 | r4 a,4-5 g'!4-1 | f2.-2   | e2.-4   } >> |
%   \break
%   <a c>2.( | <g! b>2. | <f a>2. | <e gis>2.) |
%   \break
%   << { r4 g!4-2 c4-1 | r4 d2-1     | c4-1 r4 b4-2 | a2.-1    } \\
%      { c,2.-5        | g'2-4 a4-3~ | a4   e2-5    | r4 a,2-5 } >> |
% }

% LeftHand = \relative c'' {
% }
