% (find-node "(lilypond)Top")
% (find-node "(lilypond)Index")
% (find-pspage "/usr/doc/lilypond/lilypond.ps.gz" 136 "index")
% (find-pspage "/usr/doc/lilypond/lilypond.ps.gz" 55 "articulations")

% (find-node "(lilypond)ly2dvi")
% (eev "cd ~/LILYPOND/; ly2dvi minuet1.ly && xdvi minuet1.dvi &")
% (eev "cd ~/LILYPOND/; ly2dvi minuet1.ly")
% (eev "cd ~/LILYPOND/; dvips -o /tmp/minuet1-bass.ps minuet1.dvi")
% (eev "cd ~/LILYPOND/; dvips -o /tmp/minuet1-alto.ps minuet1.dvi")

% This is my first lilypond file! :) I am trying to learn the viola
% and a friend of mine that plays cello told me that there are some
% pieces of Bach's Cello Suites that are relatively easy; so I
% typesetted one of them (the first minuet) and transposed it to one
% octave above and to the alto clef using Lilypond tricks - the tuning
% of the viola strings is the same as the tuning of the cello - in
% fifths starting from C, i.e., C G D A -, but one octave higher.
% The are "official" transpositions of the Suites for the viola
% around, but heh, I didn't have one at the moment, and I wanted to
% learn Lilypond, so no complaints, please! :)
% Edrx 2002mar31

% (find-shttpw3 "www.lilypond.org/")

% (find-node "(lilypond)ly2dvi" "`piece'")
% (find-node "(lilypond)Top level" "\\header")
% (find-fline  "/usr/doc/lilypond/examples/mutopia/")

\header {
  piece = "Minuet I"
}

% (find-node "(lilypond)The first real tune")
% (find-node "(lilypond)Notes")
% (find-node "(lilypond)Pitches")
% (find-node "(lilypond)Durations")
% (find-node "(lilypond)Slurs" "using parentheses:")
% (find-node "(lilypond)A piano excerpt" "`<'")
% (find-node "(lilypond)Beaming" "Manual beams" "`['")
% (find-node "(lilypond)Articulations" "^")
% (find-node "(lilypond)Text scripts")

% (find-node "(lilypond)Bar check" "`|'")
% (find-node "(lilypond)Bar lines" ":|")
% (find-node "(lilypond)Line break" "\\break")

\score { 
  \notes {
    % \transpose c'	% original; (find-node "(lilypond)Transpose")
    \transpose c''	% transposition to viola
    {
      % \clef bass	% original; (find-node "(lilypond)Clef")
      \clef alto	% transposition to viola
      \key g \major \time 3/4
      g,8^0()d b4 a8^0 b16()c' |  b8()a g^4()fis g()d | e8()g c'()a^0 fis()b |
        <g,2 d b \trill> <d4 a> | \break
      % 5
      a,8()fis^3 c'4^2 b8 c'16()d' | c'8()b a^4()g fis^3()e |
        fis8^1 g16()a g8()fis^1 e^1()fis | d4^0 a, d, \bar ":|:" |
	d8()fis^3 a4^2 g8 a16()b | \break
      % 10
      a8()g fis^3()e d^0 f | b,8^2 d^0 gis^4 a^0 b d' | a,8 d' c'()b c'4 |
        dis8^1(fis^3)a^0 c' b a | b8^1(e)g,^0 a^0 c' b | \break
      % 15
      a8 g^4(fis)e^1 b, dis^4 | e,4.^1 [e8^4 d c] |
        b,8^1()e^4 g4^2 d8^0 e16()f | f8^"x"(d)e c c, b, |
	cis8^1()e^4 a4^2 e8 fis16()g | \break
      % 20
      g8(e)f d^0 d, a, | d8^0(fis)a c' b d | e8^1(g)b d' c d'^"x" |
        [e'8 fis g b,] [d, fis] | <g,2. g> \bar ":|" |
    }
  }
  \paper {  }
}

