% (find-node "(lilypond)Top")
% (find-node "(lilypond)Index")
% (find-pspage "/usr/doc/lilypond/lilypond.ps.gz" 136 "index")
% (find-pspage "/usr/doc/lilypond/lilypond.ps.gz" 55 "articulations")

% (find-node "(lilypond)ly2dvi")
% (eev "cd ~/LILYPOND/; ly2dvi roundmidnight.ly && rexdvi roundmidnight.dvi &")
% (eev "cd ~/LILYPOND/; dvips -o roundmidnight.ps roundmidnight.dvi")
% (eev "cd ~/LILYPOND/; dvipdf roundmidnight.dvi")
% (eecd "echo 'l $passwd(puc)' > $EEG; eegpasswd scp roundmidnight.ps edrx@$SUCURI:LILYPOND/")
% (eecd "echo 'l $passwd(puc)' > $EEG; eegpasswd scp roundmidnight.pdf edrx@$SUCURI:LILYPOND/")

% (find-shttpw3 "www.lilypond.org/")

% (find-fline  "/usr/doc/lilypond/examples/mutopia/")

% (find-node "(lilypond)Lyrics and chords" "not used")
% (find-node "(lilypond)Top level" "\\header")
% (find-node "(lilypond)ly2dvi" "header fields")
\header {
  title = "Round Midnight"
  composer = "Thelonious Monk / Miles Davis"
  instrument = "(transposed one tone up, for viola)"
  arranger = "Typed by Edrx (2002oct10)"
}

% (find-node "(lilypond)The first real tune")
% (find-node "(lilypond)Notes")
% (find-node "(lilypond)Pitches")
% (find-node "(lilypond)Durations")
% (find-node "(lilypond)Tuplets")
% (find-node "(lilypond)Beaming" "Manual beams" "`['")
% (find-node "(lilypond)Articulations" "^")
% (find-node "(lilypond)Text scripts")
% (find-node "(lilypond)Clef")

% (find-node "(lilypond)Bar check" "`|'")
% (find-node "(lilypond)Bar lines" ":|")
% (find-node "(lilypond)Line break" "\\break")

\score { 
  \notes {
    \transpose d	% transposition to viola
    {
      \clef alto	% transposition to viola
      \key ges \major \time 4/4
      \repeat volta 2 { 
        % First line
        r4  bes16 ees' f' bes'  ges'4. bes8 | ees'4. d'16 ees' bes'8 aes' r4 |
        r4  ees'16 ges' bes' des''  d''4.   ees'8 | \break
        % Second line
        a'8 fis'16 d'  gis'4  aes'8 f'16 des'  g'4 |
        r4  bes'16 ces' ees' ges'  f'4.  des'8 |
        bes'4 \times 2/3 {ees'8 d' des'} c'8  a'4  ees'16 f' | \break
      }
      % Third line (where the 1-- and the 2-- appear)
      \alternative { {
          \times 2/3 {fis'8 fis' fis'} \times 2/3 {fis'8 f' dis'} f'4. dis'8 |
          d'8 bes r4 r2 |
        } {
          fis'4  f'8 dis'  f'4  ees'8 des' | ees'2.  ees'8 f'8 | \break
        }
      }
      % Fourth line
      ges'4  f'8 ees' f'4.  ees'8 | d'8 bes'  r4  r4  ees'8 f'8 |
      ges'4  f'8 ees' f'4.  ees'8 | d'8 bes  r4  r4  bes'4 | \break
      % Fifth line
      ces''4. ces''8 bes'4. bes'8 | aes'4 ges' f'4. bes'8 |
      ees''8 ees''  ees''4  des''8 des'' des''4 |
      ces''4  ees'8 d'  bes'8 aes' e' d' | \break
      % Sixth line
      r4 bes16 ees' f' bes'  ges'4. bes8 |
      ees'4. d'16 ees'  bes'8 aes'  r4 |
      r4 ees'16 ges' bes' des''  c''4. ees'8 |
      a'8 fis'16 d'  gis'4  aes'8 f'16 des'16 g'4 | \break
      % Seventh line
      r4  aes'16 ces'' ees'' ges''  f''4.  ces''8 |
      bes'4  \times 2/3 {ees'8 d' des'} c'8  aes'4  ees'16 f' | 
      ges'4  f'8 ees'  f'4  ees'8 des' |
      ees'1
      % end
    }
  }
  \paper {  }
}
