% (defun c () (interactive) (find-sh         "lilypond schumann_68_1.ly"))
% (defun d () (interactive) (find-xpdfpage "~/LILYPOND/schumann_68_1.pdf"))

% (find-angg ".emacs" "lilypond")
% (find-lilylearnnode "")
% (find-lilylearnnode "What symbols to engrave?")
% (find-lilylearnnode "Music representation")
% (find-lilylearnnode "About the Learning Manual")
% (find-lilylearnnode "About the Notation Reference")
% (find-lilylearnnode "Tutorial")
% (find-lilylearnnode "Multiple staves")

% (find-lilylearnnode "Fundamental concepts")
% (find-lilymutfile "")
% (find-lilymutfile "E.Satie/petite-ouverture-a-danser.ly")

% (find-lilypondnode "Musical notation")
% (find-lilypondnode "Cheat sheet")
% (find-lilypondnode "Staff notation")
% (find-lilypondnode "LilyPond command index")
% (find-lilypondnode "LilyPond index")
% (find-lilypondnode "References for keyboards")
% (find-lilysnipnode "Rhythms" "Printing music with different time signatures")
% (find-lilypondnode "Single-staff polyphony" "\\voiceOne")
% (find-lilylearnfile "")
% (find-lilylearnnode "Compiling a file")
% (find-lilylearnnode "Working on input files")
% (find-lilylearnnode "Accidentals and key signatures")
% (find-lilylearnnode "")
% (find-schumannajugendpage  1  "Melody")
% (find-schumannajugendpage  1  "Melody")
% (find-lilylearnnode "Setting simple songs")
% (find-lilypondnode "List of articulations")
% (find-lilypondnode "Bar numbers")
% (find-lilylearnnode "Music expressions explained")


% (find-lilylearnnode "Version number" "\\version")
\version "2.12.3"   

% (find-lilylearnnode "Simple notation" "\\relative")
% (find-lilypondnode "Absolute octave entry")
% (find-lilypondnode "Relative octave entry")
% (find-lilyglosnode "Pitch names")
\relative c'' {
  % (find-lilylearnnode "Accidentals and key signatures" "\\key")
  % (find-lilylearnnode "Simple notation" "\\time")
  \key c \major
  \time 4/4
  % (find-lilypondnode "Normal repeats" "\\repeat volta")
  % (find-lilypondnode "Durations" "c4")
  % (find-lilylearnnode "Ties and slurs" "`(' and `)'")
  % (find-lilypondnode "Fingering instructions" "NOTE-DIGIT")
  % (find-lilypondnode "Bar and bar number checks" "|")
  % (find-lilylearnnode "Music expressions explained" "<<c e>>")
  \repeat volta 2 {
    e4( d4 c4 b4  |  a8 c8 b8 d8 c4 g4)  |
    g'4( f4 e4 c4 |  b4-1 <<fis4-2 a4-3>> g4-1) r4 |
  }
  % (find-lilypondnode "Dynamics" "\\espressivo")
  % (find-lilypondnode "Line breaking" "\\break")
  % (find-lilypondnode "Line breaking" "ragged-right")
  d'4\espressivo( c4 b4) r4 | \break

  % Second bar
  f'4\espressivo( e4 d4) r4 |
  a'4\espressivo( g4 f4 e4 | % This slur should continue! How?
  % (find-lilylearnnode "I'm hearing Voices" "\\\\")
  % (find-lilypondnode "Single-staff polyphony" "\\\\")
  d8 f8 e8 g8) << { f4.( d8) } \\ { a8 c8 b8 d8 } >> |
  <<c4 e4(>> d4 c4 b4 | a8 c8 b8 d8 c4 g4) |
  a'4( g4 <<b,4 f'4>> <<c4 e4>> | d8 f8 b,8 d8 c4) r4 |
  d'4\espressivo( c4 b4) r4 |
  f'4\espressivo( e4 d4) r4 | a4 g4 f4 e4

}


% (find-lilylearnnode "Saving typing with variables and functions")
% \layout{ragged-right=##t}
% (find-lilypondnode "Score layout" "\\layout")
% (find-lilypondnode "File structure" "\\layout")
% (find-lilypondnode "Single-staff polyphony" "\\voiceOne")
% (find-lilypondnode "Single-staff polyphony" "\\voiceTwo")



% (find-lilylearnnode "Organizing pieces with variables")
% (find-lilypondnode "Using variables")
% (find-lilypondnode "Rests" "`r'")
% (find-lilypondnode "Invisible rests" "`s'")


% (find-schumannajugendpage  1  "Melody")




% Local Variables:
% coding:           raw-text-unix
% ee-anchor-format: "%s"
% End:
