-- This file:
--   http://anggtwu.net/LUA/DangBlogme1.lua.html
--   http://anggtwu.net/LUA/DangBlogme1.lua
--          (find-angg "LUA/DangBlogme1.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Date: 2024jan19
--
-- I used this to generate the colored PREBOXBLOGME blocks in:
--   (find-TH "find-luaso-links" "introduction")
--
-- (defun e () (interactive) (find-angg "LUA/DangBlogme1.lua"))

require "Dang1"   -- (find-angg "LUA/Dang1.lua")
require "CLua1"   -- (find-angg "LUA/CLua1.lua")

Dang.__index.blogmebigstr = function (da)
    return (da.bigstr:gsub("[%[%]]", {["["]="[<]", ["]"]="[>]"}))
  end
Dang.__index.blogmeize = function (da)
    return Dang.from(da:blogmebigstr())
  end

o = { funbody    = '  [COLORC lua_pushstring(L, "FOO");]\n' ..
                   '  [COLORC return 1;]',
      modname    = '[COLORM clua001]',
      funname    = '[COLORF foo]',
      fnamenoext = '[COLORM /tmp/clua001]',
    }

CLua_C1       = CLua_C          :blogmeize()
CLua_debian1  = CLua_sh_debian  :blogmeize()
CLua_loadlib1 = CLua_lua_loadlib:blogmeize()


--[==[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "DangBlogme1.lua"

= CLua_C  .bigstr
= CLua_C1 .bigstr
= CLua_C1(o)
= CLua_debian1(o)
= CLua_loadlib1(o)

--]==]






-- Local Variables:
-- coding:  utf-8-unix
-- End:
