-- This file:
--   http://angg.twu.net/LUA/PradTest1.lua.html
--   http://angg.twu.net/LUA/PradTest1.lua
--           (find-angg "LUA/PradTest1.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun e () (interactive) (find-angg "LUA/PradTest1.lua"))

dofile "Prad1.lua"

PradClass.__index.def = function (pis, name)
    local b = "\\def\\"..name.."{{"
    local e = "}}"
    return PradSub({b=b, pis, e=e})
  end
PradClass.__index.precolor = function (pis, color)
    local c = "\\color{"..color.."}"
    return PradList({c, pis})
  end
PradClass.__index.prethickness = function (pis, thickness)
    local c = "\\linethickness{"..thickness.."}"
    return PradList({c, pis})
  end
PradClass.__index.preunitlength = function (pis, unitlength)
    local c = "\\unitlength="..unitlength
    return PradList({c, pis})
  end
PradClass.__index.bhbox = function (pis)
    local b = "\\bhbox{$"
    local e = "$}"
    return PradSub({b=b, pis, e=e})
  end
PradClass.__index.myvcenter = function (pis)
    local b = "\\myvcenter{"
    local e = "}"
    return PradSub({b=b, pis, e=e})
  end


-- (find-angg "LUA/Prad1.lua" "PradClass-tests")


--[[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "PradTest1.lua"
a = PradList({"foo", "bar"})
= a
PPPV(a)
PPPV(getmetatable(a))
PPPV(getmetatable(a).__index)
PPPV(getmetatable(getmetatable(a).__index))
PPPV(getmetatable(getmetatable(a).__index).__index)

= a:preunitlength("2pt"):prethickness("3pt")
= a:preunitlength("2pt"):prethickness("3pt"):def("NAME")
= a:preunitlength("2pt"):prethickness("3pt"):def("NAME")
= a:preunitlength("2pt"):prethickness("3pt"):myvcenter():bhbox()
= a

--]]



-- Local Variables:
-- coding:  utf-8-unix
-- End:
