-- This file:
-- http://angg.twu.net/LUA/book-index.lua
-- http://angg.twu.net/LUA/book-index.lua.html
--  (find-angg        "LUA/book-index.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 2022oct29
-- Public domain.
--
-- (find-angg "LUA/lua50init.lua" "findxxxpdf_parse")
-- (find-angg ".emacs" "book-index")

-- This is quick hack that I use to produce indices for books. See:
--   (find-pdf-like-intro "7. Shorter hyperlinks to PDF files")
--   (find-books "__cats/__cats.el" "fong-spivak")
-- TODO: document this. See:
--   (find-telegachat "875557521#205129" "book-index")
--   (find-telegachat "875557521#205200" "saved it to /tmp/o by hand")

-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', '78degrees', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'abramskyticcl', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'agdausermanual', 4)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'agdaverified', 25)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'alaimi', 8)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'anthlandscape', 22)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'apexcalculus', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'asy', 5)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'atitapl', 15)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'atten100', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'averystrsem', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'awodeyct', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'badioumt', 9)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'badioulow', 18)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'barrwellsctcs', 18)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'barrwellsttt', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'bctcs', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'borceux1', 17)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'borceux3', 19)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'boysfriendships', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'bradytd', 26)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'calcgallery', 21)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'coendcalculus', 20)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'connectives', 19)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'corry', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'cosmictrigger', 25)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'damasphd', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'daveypriestley', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'diaconescu', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'diffyqs', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'downeytp', 22)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'epp', 28)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'faif', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'flavoradded', 48)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'fongspivak', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'freydabcats', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'girardtcs87', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'gnomesinthefog', 21)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'grothtohokut', 9)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hackers', 17)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'harper', 20)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hernandez', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hindleybstt', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hindleyseldin2', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hott', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'howtoteachm', 21)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hughespavlovic', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'iconicityandab', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'idrisdocc', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'idrisdocc', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'jacobscoa', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'jamnikdri', 8)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'landry', 15)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'lawverethesis', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'leinsterbasic', 8)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'lilylearn', 5)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'livjacobtese', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'lshort', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'luatexabout', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'luatexref', 4)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'luothesis', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'mancosupmp', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'marsdenw2', -319)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'martinlofitt', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'maruyama', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'mpott', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'negrivpspf', 19)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'ocamlref', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'openlogic', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'perronenct', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'pil3', 19)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'priestincl', 34)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'progit', 24)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'progit2', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'proofsandtypes', 8)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'reyeszolf', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'reynoldstpl', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'riehlcc', 18)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rmsessays', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rodinamct', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'romanilct', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rosen', 21)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rydeheardburst', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'selingerdiss', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'selingerln', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sga1', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sga41', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sicp', 28)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'simmonsi', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'stewart7', 32)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'stewart72pt', -489)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'stewart72pt', 555)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'stewart71pt', 27)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'tapl', 22)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'tenoriodiss', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'texworksmanual', 5)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'thewildbook', 17)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'thifastandslow', 0)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'trench', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'ttafpai', 29)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'zalamea', 8)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'zeilbergerthesis', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'newstrup', 20)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'negarestani', 9)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'caccamophd', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'gunphd', 5)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'marquis', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'omegasets', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'felipecoelhols', 4)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'aspertilongo', 7)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'paratodxs', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'virtualstudent', 26)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'benini', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'correakalil', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sicm', 20)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hofstrascott', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'liberqueer', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'caramello', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'vdls', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'boycediprima11', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'histphictt', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'gangledictp', 9)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'loeligertils', 15)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'proghaskell', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'wiegleygit', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'iconbook', 22)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rexxpg', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'martinscdi', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'lowenkron', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'grtopsonposets')\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'joyaltierney', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'ganesalingam', 22)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'artofunixp', 33)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'pbe8', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'zhangttct', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sthompsong', 9)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sthompson', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'thain', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'tpinlean', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'prog1lago', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'prog1martinez', 7)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'simbolo', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'musciano98', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'maximabook', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'dmirandacalc', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'dslsofmath', 6)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'pharobyex', 18)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'squeakbyex', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sbe', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'vaananenmg', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'ross', 13)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'maximawb', 20)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'bressoud', 19)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'ansicl', 17)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'ackerGA1', 16)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rwhaskell', 40)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'realworldocaml', 24)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'fallingsky', 23)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'pgfmanual', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'algefb', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'sqrobots', 25)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'luagems', 12)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'mbest6', 17)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'rosiak', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'venturiga')\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'delgadoGA1', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'delgadoGA2', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'medeirosphd')\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'diffeqsmaxima', 1)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'yurikores1')\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'hefferon', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'strang4', 10)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'zillc', 21)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'quinetcond', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'gitfbu', nil)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'semfor', 14)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'cederjc1v0', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'cederjc1v1', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'cederjc1v2', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'tlatoc', 11)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'cederjc2v1', 2)\"")
-- (find-sh "lua51-e \"findxxxpdf_parse_file('/tmp/o', 'cederjc2v2', 2)\"")
--
-- bigstr = ee_readfile "/tmp/o"
-- lines = splitlines(bigstr)
-- for _,li in ipairs(lines) do
--   findxxxpdf_parse(li, "hookup", 9)
-- end



