--         (find-angg "LUA/horarios.lua")
-- http://angg.twu.net/LUA/horarios.lua
-- (find-TH "2011.1")
-- (find-THfile "2011.1.blogme" "ninecolors")
-- (find-THfile "2011.1.blogme" "Uma tabela com os horrios" "+----------+")
-- file:///home/edrx/TH/L/2011.1.html

_ = function (str)
    if str:match"^([23456])a$" then return day+0 == str:sub(1,1)+0 end
    local a,b = str:match"^(%d+)-(%d+)$"
    if a then
      return a+0 <= time+0 and time+0 < b+0
    end
    error()
  end

FREE = "   "
BUSY = " xx"
VARI = " .."

day  = 2
time = 13
-- = _"2a"
-- = _"3a"
-- = _"10-14"
-- = _"16-18"

Juan = function ()
    if _"2a" and (_"8-11" or _"17-19") then return BUSY end
    if _"3a" and (_"8-11" or _"14-22") then return BUSY end
    if _"4a" and (_"8-11" or _"14-22") then return BUSY end
    if _"5a" and (_"8-11" or _"14-20") then return BUSY end
    if _"6a" and (_"8-11" or _"17-22") then return BUSY end
    return FREE
  end
AnaClaudia = function ()
    if (_"3a" or _"5a") and  _"8-18" then return BUSY end
    if  _"4a"           and  _"8-13" then return BUSY end
    if  _"6a"           and _"13-18" then return BUSY end
    return FREE
  end
MariaAlice = function ()
    if _"2a" and _"14-22" then return BUSY end
    if _"3a" and  _"8-22" then return BUSY end
    if _"4a" and (_"8-13" or _"18-22") then return BUSY end
    if _"5a" and (_"8-13" or _"18-22") then return BUSY end
    if _"6a" and  _"8-22" then return BUSY end
    return FREE
  end
Eduardo = function ()
    if _"4a" and   _"9-13"             then return BUSY end
    if _"4a" and  _"16-18"             then return VARI end
    if _"5a" and  _"16-18"             then return VARI end
    if _"6a" and (_"9-13" or _"18-22") then return BUSY end
    return FREE
  end

CalourosEng = function ()
    if _"2a" and _"10-13" then return BUSY end
    if _"3a" and _"10-16" then return BUSY end
    if _"4a" and  _"9-16" then return BUSY end
    if _"5a" and  _"8-13" then return BUSY end
    if _"6a" and  _"9-16" then return BUSY end
    return FREE
  end


foo = function (u)
    local f = function(d, t, u)
        day = d
        time = t
        return u()
      end
    local fl = function (t, u)
        return format("%2d", t+0).."-"..format("%2d", t+1)..
          f(2,t,u)..f(3,t,u)..f(4,t,u)..f(5,t,u)..f(6,t,u)
      end
    local T = {"      2a 3a 4a 5a 6a"}
    for t=8,22 do table.insert(T, fl(t, u)) end
    return table.concat(T, "\n")
  end
prt = function (name)
    print(name..":\n" .. foo(_G[name]))
  end


--[[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "horarios.lua"

prt "AnaClaudia"
prt "Juan"
prt "MariaAlice"
prt "Eduardo"

prt "CalourosEng"


-- = foo(AnaClaudia)
-- day = 2
-- day = 3
-- = _"2a"
-- = _"3a"
--]]



-- Local Variables:
-- coding: raw-text-unix
-- End:
