;; This file:
;;   http://anggtwu.net/MAXIMA/barematrix1.lisp.html
;;   http://anggtwu.net/MAXIMA/barematrix1.lisp
;;          (find-angg "MAXIMA/barematrix1.lisp")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (defun bl () (interactive) (find-angg "MAXIMA/barematrix1.lisp"))
;; (defun bm () (interactive) (find-angg "MAXIMA/barematrix1.mac"))
;;
;; (find-maximagitfile "src/mactex.lisp" "(defprop $matrix tex-matrix tex)")
;; (find-maximagitfile "src/mactex.lisp" "(defun tex-mquotient ")

(defprop $matrix     tex-matrix     tex)
(defprop $barematrix tex-barematrix tex)

(defun tex-matrix (x l r) ;; matrix looks like ((mmatrix) ((mlist) a b) ...)
  (append l `("\\begin{pmatrix}")
	  (mapcan #'(lambda(y)
		      (tex-list (cdr y) nil (list "\\cr ") "&"))
		  (cdr x))
	  '("\\end{pmatrix}") r))

(defun tex-barematrix (x l r)
  (append l `("\\begin{matrix}")
	  (mapcan #'(lambda(y)
		      (tex-list (cdr y) nil (list "\\cr ") "&"))
		  (cdr x))
	  '("\\end{matrix}") r))

(defun tex-mquotient (x l r)
  (twoargcheck x)
  (setq l (tex (cadr x) (append l '("{\\frac{")) nil 'mparen 'mparen)
					;the divide bar groups things
	r (tex (caddr x) (list "}{") (append '("}}")r) 'mparen 'mparen))
  (append l r))




;; Local Variables:
;; coding:  utf-8-unix
;; End:
