;; This file:
;;   http://angg.twu.net/MAXIMA/to-fermin-1.el.html
;;   http://angg.twu.net/MAXIMA/to-fermin-1.el
;;           (find-angg "MAXIMA/to-fermin-1.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;; Date: 2022jan17
;; Video: http://angg.twu.net/eev-videos/2022-to-fermin-1.mp4

(defun eepitch-fmaxima ()
  (interactive)
  (prog1 (eepitch '(find-fmaximaprocess))
    (setq eepitch-line 'eepitch-line-fmaxima)
    (setq eepitch-kill '(maxima-stop 'no-confirmation))
    ))

(defun find-fmaximaprocess (&rest rest)
  (require 'maxima)
  (maxima-init-inferiors)
  (find-ebuffer (process-buffer maxima-inferior-process) :end))

(defun eepitch-line-fmaxima (line)
  (maxima-string (ee-no-properties line)))

;; TODO: write good low-level tests.
;; These ones are old...
;;
;;               (find-fmaximaprocess)
;; (find-2a nil '(find-fmaximaprocess))
;; (eepitch-line-fmaxima "1+2;")
;; (eepitch-line-fmaxima "")


'("This is a test block.

• (require 'eev-beginner)
• (eev-mode 1)
• (eev-mode 0)
• (eek "C-h f eev-mode")
• (find-ekeymapdescr eev-mode-map)
• (ee-use-red-bullets)
• (eek "C-l")
• (ee-use-red-stars)
• (eek "C-l")
•
• (eval-buffer)
• (eepitch-fmaxima)
• (eepitch-kill)
• (eepitch-fmaxima)
1+2;
1+2
;

--")



;; Local Variables:
;; coding:  utf-8-unix
;; End:

