-- This is the `css.lua' file of BlogMe.
-- Extensions to blogme to support CSS.
-- New and experimental (2005mar11) - I don't know css well.
-- (find-es "html")
-- (find-fline "~/blogme/blogme.lua")
-- http://wmi.modprobe.de/
-- (find-fline "$S/http/wmi.modprobe.de/index.html")

undollar = function (str)
    str = string.gsub(str, "%$([a-z]+)", "\"..%1..\"")
    str = string.gsub(str, "%$(%b())",   "\"..%1..\"")
    str = string.gsub(str, "%$(%b[])", function (s)
        return "]]..("..strsub(s, 2, -2)..")..[["
      end)
    return str
  end

peval = function (str, tag)
    local oldsubj, oldpos = subj, pos
    subj, pos = str, 0
    local result = vparse(tag)
    subj, pos = oldsubj, oldpos
    return result
  end

dtd_transitional =
[[<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">
]]

dtd_strict =
[[<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
    "http://www.w3.org/TR/REC-html40/strict.dtd">
]]

def [[ HTMLIZE 2 title,body    dtd_transitional ..
[[<html>
<head>
<title>$[title]</title>
<style type='text/css'><!--
$[styles] --></style>
</head>
<body>
<h3>$[Q(title)]</h3>
$[body]
</body>
</html>
]]  ]]

styles =
[[ul, ol, pre, dl, p { margin-top:0px; margin-bottom:0px; }
  code { white-space: nowrap; }
  .vspace { margin-top:1.33em; }
  .indent { margin-left:40px; }
  .outdent { margin-left:40px; text-indent:-40px; }
  a.createlinktext { text-decoration:none; border-bottom:1px dotted gray; }
  a.createlink { text-decoration:none; position:relative; top:-0.5em;
    font-weight:bold; font-size:smaller; border-bottom:none; }
  
  div.markup { border:2px dotted #ccf; 
    margin-left:30px; margin-right:30px; 
    padding-left:10px; padding-right:10px; }
  div.markup pre { border-bottom:1px solid #ccf; 
    padding-top:10px; padding-bottom:10px; }
  p.question { font-weight:bold; }
  .editconflict { color:green; font-style:italic; 
  margin-top:1.33em; margin-bottom:1.33em; }
  a.varlink { text-decoration:none; }
  h2 { color: green; }
]]

styles =
[[ul, ol, pre, dl, p { margin-top:0px; margin-bottom:0px; }
]]


-- def [[ DTD nop _    dtd_transitional ]]


-- not that this is Htmlize, not htmlize

Htmlize = function (title, body)
    blogme_output = HTMLIZE(title, body)
    return ""
  end
setgetargs(vargs2, "Htmlize")
