;; (find-sh "cd ~/books/ && find * | sort")
;; (find-sh "cd ~/books/__alg/ && find * | sort")

;; .aluffi		(to "aluffi")
;; .atiyahmacdonald	(to "atiyahmacdonald")
;; .bourbaki		(to "bourbaki")
;; .cohn		(to "cohn")
;; .conway		(to "conway")
;; .conway-rafm	(to "conway-rafm")
;; .davey-priestley	(to "davey-priestley")
;; .dold		(to "dold")
;; .edwards		(to "edwards")
;; .eisenbud		(to "eisenbud")
;; .eisenbudharris	(to "eisenbudharris")
;; .gelfandmanin	(to "gelfandmanin")
;; .gelfandshen	(to "gelfandshen")
;; .gratzer		(to "gratzer")
;; .griffiths-harris	(to "griffiths-harris")
;; .hartshorne	(to "hartshorne")
;; .howie		(to "howie")
;; .jacobson		(to "jacobson")
;; .kaplansky		(to "kaplansky")
;; .kendig		(to "kendig")
;; .kitaoka		(to "kitaoka")
;; .lang		(to "lang")
;; .levin		(to "levin")
;; .lidl		(to "lidl")
;; .liu		(to "liu")
;; .miranda		(to "miranda")
;; .morandi		(to "morandi")
;; .mumford		(to "mumford")
;; .nestruev		(to "nestruev")
;; .reid		(to "reid")
;; .rhodes		(to "rhodes")
;; .ritt		(to "ritt")
;; .schinzel		(to "schinzel")
;; .stewart		(to "stewart")
;; .stillwell		(to "stillwell")
;; .strang		(to "strang")
;; .ueno		(to "ueno")
;; .vermani		(to "vermani")
;; .waterhouse	(to "waterhouse")
;; .weibel		(to "weibel")




;; aluffi  (to ".aluffi")
;; (find-books "__alg/__alg.el" "aluffi")
;; https://www.math.fsu.edu/~aluffi/
(code-pdf-page "aluffi" "~/books/__alg/aluffi__algebra_chapter_0.pdf")
(code-pdf-text "aluffi" "~/books/__alg/aluffi__algebra_chapter_0.pdf" 1)
;; (find-aluffipage         6  "Contents")
;; (find-aluffipage (+ 23   1) "Index")
;; (find-aluffipage (+ 23 699) "Index")
;; (find-aluffitext "")





;; atiyahmacdonald  (to ".atiyahmacdonald")
;; http://gigapedia.org/items/5817/introduction-to-commutative-algebra
(code-djvu       "atiyahmacdonald" "~/books/__alg/atiyah_macdonald__introduction_to_commutative_algebra_bad.djvu")
(code-djvutotext "atiyahmacdonald" "~/books/__alg/atiyah_macdonald__introduction_to_commutative_algebra_bad.djvu")
(code-djvu       "atiyahmacdonald" "~/books/__alg/atiyah_macdonald__introduction_to_commutative_algebra.djvu")
(code-djvutotext "atiyahmacdonald" "~/books/__alg/atiyah_macdonald__introduction_to_commutative_algebra.djvu")
;; (find-atiyahmacdonaldpage        4  "Contents")
;; (find-atiyahmacdonaldpage (+ 9  23) "(snake lemma)")
;; (find-atiyahmacdonaldpage (+ 9 127) "Index")
;; (find-atiyahmacdonaldtext "")




;; bourbaki  (to ".bourbaki")
;; http://gigapedia.org/items/111932/elements-of-mathematics---commutative-algebra (?)
(code-xpdf      "bourbakica" "~/books/__alg/bourbaki__commutative_algebra.pdf")
(code-pdftotext "bourbakica" "~/books/__alg/bourbaki__commutative_algebra.pdf")
;; (find-bourbakicapage           4  "Contents")
;; (find-bourbakicapage (+/2 24 611) "Index of terminology")
;; (find-bourbakicatext "")



;; cohn  (to ".cohn")
;; P.M.Cohn: "Algebra" (3 vols)
(code-djvu       "cohn1" "~/books/__alg/cohn__algebra_vol_1.djvu")
(code-djvutotext "cohn1" "~/books/__alg/cohn__algebra_vol_1.djvu")
;; (find-cohn1page         7  "Contents")
;; (find-cohn1page (+ 10 136) "6. Rings and Fields")
;; (find-cohn1page (+ 10 139) "A non-trivial ring with no zero-divisors is said to be entire")
;; (find-cohn1page (+ 10 139) "integral domain")
;; (find-cohn1page (+ 10 140) "6.2. The field of fractions on an integral domain")
;; (find-cohn1page (+ 10 144) "any integral domain can be embedded in a field")
;; (find-cohn1page (+ 10 144) "every finite integral domain is a field")
;; (find-cohn1page (+ 10 145) "6.3. The characteristic")
;; (find-cohn1page (+ 10 148) "R[x]")
;; (find-cohn1page (+ 10 149) "If R is an entire ring, then so is the polynomial ring R[x]")
;; (find-cohn1page (+ 10 151) "polynomial" "homogeneous" "form")
;; (find-cohn1page (+ 10 154) "unique factorization domain")
;; (find-cohn1page (+ 10 155) "in a UFD any two elements have an HCF")
;; (find-cohn1page (+ 10 158) "an integral domain is a UFD if and only if")
;; (find-cohn1page (+ 10 159) "every euclidean ring is a UFD")
;; (find-cohn1page (+ 10 159) "for any field F, the polynomial ring F[x] is a UFD")
;; (find-cohn1page (+ 10 163) "dense subset of F^n")
;; (find-cohn1page (+ 10 164) "The factorization of polynomials")
;; (find-cohn1page (+ 10 255) "9.2. The Jordan-Hlder Theorem")
;; (find-cohn1page (+ 10 287) "9.8. The Sylow theorems")
;; (find-cohn1page (+  9 403) "Index")
;; (find-cohn1text "")

(code-djvu       "cohn2" "~/books/__alg/cohn__algebra_vol_2.djvu")
(code-djvutotext "cohn2" "~/books/__alg/cohn__algebra_vol_2.djvu")
;; (find-cohn2page         3  "Contents")
;; (find-cohn2page (+ 11  62) "3. Field Theory")
;; (find-cohn2page (+ 11  69) "there exists an extension E/k in which f has a zero")
;; (find-cohn2page (+ 11  71) "minimal splitting field")
;; (find-cohn2page (+ 11  72) "A field extension E/k is said to be normal")
;; (find-cohn2page (+ 11  72) "x^3-2 has a zero in Q(aa) without splitting completely")
;; (find-cohn2page (+ 11  72) "normality is a property of extensions, not of fields")
;; (find-cohn2page (+ 11  72) "A finite extension E/k is normal if and only if")
;; (find-cohn2page (+ 11  73) "the conjugates of a given" "element are permuted transitively")
;; (find-cohn2page (+ 11  74) "3.3 The algebraic closure of a field")
;; (find-cohn2page (+ 11  74) "an extension E/k is normal iff")
;; (find-cohn2page (+ 11  81) "any set of distinct homomorphisms is linearly independent")
;; (find-cohn2page (+ 11  81) "3.5 The fundamental theorem of Galois Theory")
;; (find-cohn2page (+ 11  86) "E/F is a Galois extension iff")
;; (find-cohn2page (+ 11 421) "Index")

(code-djvu "cohn3" "~/books/__alg/cohn__algebra_vol_3.djvu")
;; (find-cohn3page        3  "Contents")
;; (find-cohn3page (+ 9  84) "AB5 axiom")
;; (find-cohn3page (+ 9 168) "5. Further field theory")
;; (find-cohn3page (+ 9 197) "any two algebraic closures of k are isomorphic")
;; (find-cohn3page (+ 9 197) "Galois extension")
;; (find-cohn3page (+ 9 198) "For any algebraic extension K/k,")
;; (find-cohn3page (+ 9 199) "fundamental theorem" "for algebraic Galois extensions")
;; (find-cohn3page (+ 9 468) "Index")
;; (find-cohn2text "")

;; Richard M. Cohn: "Difference Algebra"
(code-djvu       "cohndiff" "~/books/__alg/cohn__difference_algebra.djvu")
(code-djvutotext "cohndiff" "~/books/__alg/cohn__difference_algebra.djvu")
;; (find-cohndiffpage        11  "Contents")
;; (find-cohndiffpage (+ 12 349) "Index")
;; (find-cohndifftext "")


;; conway  (to ".conway")
;; (find-books "__alg/__alg.el" "conway")
;;
;; conway-rafm  (to ".conway-rafm")
;; (find-books "__alg/__alg.el" "conway-rafm")
;; See: (find-books "__comp/__comp.el" "rutten")
(code-pdf-page "conwayrafm" "~/books/__alg/conway__regular_algebra_and_finite_machines.pdf")
(code-pdf-text "conwayrafm" "~/books/__alg/conway__regular_algebra_and_finite_machines.pdf" 1)
;; (find-conwayrafmpage)
;; (find-conwayrafmpage        3  "Contents")
;; (find-conwayrafmpage (+ 1 189) "Index")
;; (find-conwayrafmtext "")



;; davey-priestley (to ".davey-priestley")
;; (find-books "__alg/__alg.el" "davey-priestley")
;; (find-LATEX "catsem.bib" "bib-DaveyPriestley")
(code-pdf-page "daveypriestley" "~/books/__alg/davey_priestley__introduction_to_lattices_and_order.pdf")
(code-pdf-text "daveypriestley" "~/books/__alg/davey_priestley__introduction_to_lattices_and_order.pdf" 14)
;; (find-daveypriestleypage)
;; (find-daveypriestleypage         7  "Contents")
;; (find-daveypriestleytext         7  "Contents")
;; (find-daveypriestleypage (+ 14   1) "1. Ordered sets")
;; (find-daveypriestleypage (+ 14   1)  "Ordered sets")
;; (find-daveypriestleypage (+ 14   5)  "Examples from social science and computer science")
;; (find-daveypriestleypage (+ 14  10)  "Diagrams: the art of drawing ordered sets")
;; (find-daveypriestleypage (+ 14  14)  "Constructing and de-constructing ordered sets")
;; (find-daveypriestleypage (+ 14  20)  "Down-sets and up-sets")
;; (find-daveypriestleypage (+ 14  20)    "1.28 The ordered set O(P ) of down-sets")
;; (find-daveypriestleytext (+ 14  20)    "1.28 The ordered set O(P ) of down-sets")
;; (find-daveypriestleypage (+ 14  23)  "Maps between ordered sets")
;; (find-daveypriestleypage (+ 14  25)  "Exercises")
;; (find-daveypriestleypage (+ 14  33) "2. Lattices and complete lattices")
;; (find-daveypriestleypage (+ 14  33)  "Lattices as ordered sets")
;; (find-daveypriestleypage (+ 14  39)  "Lattices as algebraic structures")
;; (find-daveypriestleypage (+ 14  41)  "Sublattices, products and homomorphisms")
;; (find-daveypriestleypage (+ 14  44)  "Ideals and filters")
;; (find-daveypriestleypage (+ 14  46)  "Complete lattices and \\cup-structures")
;; (find-daveypriestleypage (+ 14  50)  "Chain conditions and completeness")
;; (find-daveypriestleypage (+ 14  53)  "Join-irreducible elements")
;; (find-daveypriestleypage (+ 14  54)   "Figure 2.10")
;; (find-daveypriestleytext (+ 14  54)   "Figure 2.10")
;; (find-daveypriestleypage (+ 14  56)  "Exercises")
;; (find-daveypriestleypage (+ 14  65) "3. Formal concept analysis")
;; (find-daveypriestleypage (+ 14  65)  "Contexts and their concepts")
;; (find-daveypriestleypage (+ 14  70)  "The fundamental theorem of concept lattices")
;; (find-daveypriestleypage (+ 14  74)  "From theory to practice")
;; (find-daveypriestleypage (+ 14  79)  "Exercises")
;; (find-daveypriestleypage (+ 14  85) "4. Modular, distributive and Boolean lattices")
;; (find-daveypriestleypage (+ 14  85)  "Lattices satisfying additional identities")
;; (find-daveypriestleypage (+ 14  88)  "The M3-N5 Theorem")
;; (find-daveypriestleypage (+ 14  93)  "Boolean lattices and Boolean algebras")
;; (find-daveypriestleypage (+ 14  96)  "Boolean terms and disjunctive normal form")
;; (find-daveypriestleypage (+ 14 104)  "Exercises")
;; (find-daveypriestleypage (+ 14 112) "5. Representation: the finite case")
;; (find-daveypriestleypage (+ 14 112)  "Building blocks for lattices")
;; (find-daveypriestleypage (+ 14 114)  "Finite Boolean algebras are powerset algebras")
;; (find-daveypriestleypage (+ 14 116)  "Finite distributive lattices are down-set lattices")
;; (find-daveypriestleypage (+ 14 119)  "Finite distributive lattices and finite ordered sets in partnership")
;; (find-daveypriestleypage (+ 14 124)  "Exercises")
;; (find-daveypriestleypage (+ 14 130) "6. Congruences")
;; (find-daveypriestleypage (+ 14 130)  "Introducing congruences")
;; (find-daveypriestleypage (+ 14 134)  "Congruences and diagrams")
;; (find-daveypriestleypage (+ 14 137)  "The lattice of congruences of a lattice")
;; (find-daveypriestleypage (+ 14 140)  "Exercises")
;; (find-daveypriestleypage (+ 14 145) "7. Complete lattices and Galois connections")
;; (find-daveypriestleypage (+ 14 145)  "Closure operators")
;; (find-daveypriestleypage (+ 14 148)  "Complete lattices coming from algebra: algebraic lattices")
;; (find-daveypriestleypage (+ 14 155)  "Galois connections")
;; (find-daveypriestleypage (+ 14 165)  "Completions")
;; (find-daveypriestleypage (+ 14 169)  "Exercises")
;; (find-daveypriestleypage (+ 14 175) "8. CPOs and fixpoint theorems")
;; (find-daveypriestleypage (+ 14 175)  "CPOs")
;; (find-daveypriestleypage (+ 14 180)  "CPOs of partial maps")
;; (find-daveypriestleypage (+ 14 182)  "Fixpoint theorems")
;; (find-daveypriestleypage (+ 14 189)  "Calculating with fixpoints")
;; (find-daveypriestleypage (+ 14 193)  "Exercises")
;; (find-daveypriestleypage (+ 14 201) "9. Domains and information systems")
;; (find-daveypriestleypage (+ 14 201)  "Domains for computing")
;; (find-daveypriestleypage (+ 14 204)  "Domains re-modelled: information systems")
;; (find-daveypriestleypage (+ 14 221)  "Using fixpoint theorems to solve domain equations")
;; (find-daveypriestleypage (+ 14 223)  "Exercises")
;; (find-daveypriestleypage (+ 14 228) "10. Maximality principles")
;; (find-daveypriestleypage (+ 14 228)  "Do maximal elements exist? Zorn's Lemma and the Axiom of Choice")
;; (find-daveypriestleypage (+ 14 232)  "Prime and maximal ideals")
;; (find-daveypriestleypage (+ 14 237)  "Powerset algebras and down-set lattices revisited")
;; (find-daveypriestleypage (+ 14 244)  "Exercises")
;; (find-daveypriestleypage (+ 14 247) "11. Representation: the general case")
;; (find-daveypriestleypage (+ 14 247)  "Stone's representation theorem for Boolean algebras")
;; (find-daveypriestleypage (+ 14 252)  "Meet LINDA: the Lindenbaum algebra")
;; (find-daveypriestleypage (+ 14 256)  "Priestley's representation theorem for distributive lattices")
;; (find-daveypriestleypage (+ 14 261)  "Distributive lattices and Priestley spaces in partnership")
;; (find-daveypriestleypage (+ 14 267)  "Exercises")
;; (find-daveypriestleypage (+ 14 275) "Appendix A: a topological toolkit")
;; (find-daveypriestleypage (+ 14 280) "Appendix B: further reading")
;; (find-daveypriestleypage (+ 14 286) "Notation index")
;; (find-daveypriestleypage (+ 14 289) "Index")


;; (find-daveypriestleypage (+ 14  53) "Join-irreducible elements")
;; (find-daveypriestleypage (+ 14  85) "4. Modular, Distributive and Boolean Lattices")
;; (find-daveypriestleypage (+ 14  87)   "N_5 (the pentagon)")
;; (find-daveypriestleypage (+ 14 116)  "Finite distributive lattices are down-set lattices")
;; (find-daveypriestleypage (+ 14 118) "5.12 Birkhoff's representation theorem.")
;; (find-daveypriestleytext (+ 14 118) "5.12 Birkhoff's representation theorem.")

;; (find-daveypriestleypage (+   14 130) "6. Congruences")
;; (find-daveypriestleypage (+   14 137)  "The lattice of congruences of a lattice")
;; (find-daveypriestleypage (+   14 138)  "6.16. Principal Congruences")
;; (find-daveypriestleypage (+   14 145) "7. Complete Lattices and Galois Connections")
;; (find-daveypriestleypage (+   14 145) "7.1. Closure operators")
;; (find-daveypriestleypage (+   14 160) "7.27. From a Galois connection to a closure operator")
;; (find-daveypriestleypage (+   14 286) "Index")
;; (find-daveypriestleypage (+   14 289) "Index")

;; (find-daveypriestleypage (+   14 289) "Index" "antichain")
;; (find-daveypriestleypage (+   14   3)         "antichain" "1.3 Chains and antichains")
;; (find-daveypriestleypage (+   14  21)         "antichain")
;; (find-daveypriestleypage (+   14  27)         "antichain")
;; (find-daveypriestleypage (+   14  32)         "antichain" "1.30" "The width of P")
;; (find-daveypriestleypage (+   14 122)         "antichain")
;; (find-daveypriestleypage (+   14 149)         "antichain")
;; (find-daveypriestleypage (+   14 169)         "antichain" "Dedekind-Macneille")
;; (find-daveypriestleytext "")





;; dold  (to ".dold")
;; http://gigapedia.com/items/14533/lectures-on-algebraic-topology--classics-in-mathematics-
(code-djvu       "doldlat" "~/books/__alg/dold__lectures_on_algebraic_topology.djvu")
(code-djvutotext "doldlat" "~/books/__alg/dold__lectures_on_algebraic_topology.djvu")
;; (find-doldlatpage        4  "Contents")
;; (find-doldlatpage (+ 6 371) "Index")
;; (find-doldlattext "")



;; edwards  (to ".edwards")
;; http://gigapedia.com/items/63676/galois-theory--graduate-texts-in-mathematics-
;; http://gigapedia.com/items/76181/essays-in-constructive-mathematics
(code-djvu       "edwards" "~/books/__alg/edwards__galois_theory.djvu")
(code-djvutotext "edwards" "~/books/__alg/edwards__galois_theory.djvu")
;; (find-edwardspage         7  "Contents")
;; (find-edwardspage (+ 10 101) "Appendix 1" "Memoir" "by Evariste Galois")
;; (find-edwardspage (+ 10 151) "Index")
;; (find-edwardstext "")



;; eisenbud  (to ".eisenbud")
;; http://gigapedia.com/items/29350/commutative-algebra--with-a-view-toward-algebraic-geometry--graduate-texts-in-mathematics-
(code-djvu       "eisenbud" "~/books/__alg/eisenbud__commutative_algebra_with_a_view_toward_algebraic_geometry.djvu")
(code-djvutotext "eisenbud" "~/books/__alg/eisenbud__commutative_algebra_with_a_view_toward_algebraic_geometry.djvu")
;; (find-eisenbudpage         3  "Contents")
;; (find-eisenbudpage (+ 10   1) "Index")
;; (find-eisenbudpage (+ 10  33) "nilpotent")
;; (find-eisenbudpage (+ 10  36) "nilpotent")
;; (find-eisenbudpage (+ 10  71) "nilpotent")
;; (find-eisenbudpage (+ -7 767) "Index")
;; (find-eisenbudtext "")


;; eisenbudharris  (to ".eisenbudharris")
;; http://gigapedia.org/items/17786/the-geometry-of-schemes--graduate-texts-in-mathematics-
(code-xpdf      "eisenbudharris" "~/books/__alg/eisenbud_harris__the_geometry_of_schemes.pdf")
(code-pdftotext "eisenbudharris" "~/books/__alg/eisenbud_harris__the_geometry_of_schemes.pdf")
;; (find-eisenbudharrispage        7  "Contents")
;; (find-eisenbudharrispage (+ 9  10) "V (S)")
;; (find-eisenbudharristext           "V (S)")
;; (find-eisenbudharrispage (+ 5 251) "VI. Schemes and Functors")
;; (find-eisenbudharrispage (+ 3 285) "Index")
;; (find-eisenbudharristext)


;; gelfandmanin  (to ".gelfandmanin")
;; http://gigapedia.org/items/23595/methods-of-homological-algebra--1st-edition--1996-01
(code-djvu       "gelfandmanin" "~/books/__alg/gelfand_manin__methods_of_homological_algebra.djvu")
(code-djvutotext "gelfandmanin" "~/books/__alg/gelfand_manin__methods_of_homological_algebra.djvu")
;; (find-gelfandmaninpage        12  "Contents")
;; (find-gelfandmaninpage (+ 14 369) "Index")
;; (find-gelfandmanintext "")



;; gelfandshen  (to ".gelfandshen")
;; http://gigapedia.com/items/413320/algebra
(code-xpdf      "gelfandshen" "~/books/__alg/gelfand_shen__algebra.pdf")
(code-pdftotext "gelfandshen" "~/books/__alg/gelfand_shen__algebra.pdf")
;; (find-gelfandshenpage      3  "Contents")
;; (find-gelfandshenpage (+ 5 1) "1. Introduction")
;; (find-gelfandshentext "")


;; gratzer  (to ".gratzer")
;; (find-LATEX "catsem.bib" "bib-Gratzer")
;; http://server.math.umanitoba.ca/homepages/gratzer/
;; http://server.math.umanitoba.ca/homepages/gratzer/lectures/melbourne/melbournelectures.html
;; http://www.amazon.com/Congruences-Finite-Lattice-Proof-Picture/dp/0817632247/
;; (find-angg "LUA/distributivity.lua")
(code-xpdf      "gratzer" "~/books/__alg/gratzer__lattice_theory_foundation.pdf")
(code-pdftotext "gratzer" "~/books/__alg/gratzer__lattice_theory_foundation.pdf" 31)
;; (find-gratzerpage         1  "Contents")
;; (find-gratzerpage         8  "Short Contents")
;; (find-gratzerpage        10  "Contents")
;; (find-gratzerpage        24  "Glossary of Notation")
;; (find-gratzerpage (+ 31   5) "1.4 Ordering and covers")
;; (find-gratzertext (+ 31   5)     "Ordering and covers")
;; (find-gratzerpage (+ 31   7) "1.6 Order constructions")
;; (find-gratzertext (+ 31   7)     "Order constructions")
;; (find-gratzerpage (+ 31   7)     "down-set")
;; (find-gratzertext (+ 31   7)     "down-set")
;; (find-gratzerpage (+ 31  11) "1.9 Algebras")
;; (find-gratzerpage (+ 31  21) "2.1 Lattice Diagrams")
;; (find-gratzerpage (+ 31  23)   "The most general lattice generated by")
;; (find-gratzerpage (+ 31  28) "3.1 The Concept of Isomorphism")
;; (find-gratzerpage (+ 31  30) "3.2 Homomorphisms")
;; (find-gratzerpage (+ 31  31) "3.4 Ideals")
;; (find-gratzerpage (+ 31  35) "3.5 Intervals")
;; (find-gratzerpage (+ 31  47) "3.12 Closure Systems")
;; (find-gratzerpage (+ 31  97) "6. Special Elements")
;; (find-gratzertext (+ 31  97)    "Special Elements")
;; (find-gratzerpage (+ 31 102)    "join-irreducible")
;; (find-gratzertext (+ 31 102)    "join-irreducible")
;; (find-gratzerpage (+ 31 109) "II. Distributive Lattices")
;; (find-gratzerpage (+ 31 166) "5 Topological Representation")
;; (find-gratzertext (+ 31 166)   "Topological Representation")

;; (find-gratzerpage (+ 31 166)   "Heyting Algebras")
;; (find-gratzerpage (+ 31 183)   "Heyting Algebras")
;; (find-gratzerpage (+ 31 533) "Afterword")
;; (find-gratzerpage (+ 31 589) "Index")
;; (find-gratzerpage (+ 31 598) "Index" "Heyting algebra")
;; (find-gratzerpage (+ 31 606) "Index" "Planar")
;; (find-gratzertext "")



;; griffiths-harris  (to ".griffiths-harris")
;; http://gigapedia.com/items/50790/principles-of-algebraic-geometry--pure-and-applied-mathematics-
(code-djvu       "grifharris" "~/books/__alg/griffiths_harris__principles_of_algebraic_geometry.djvu")
(code-djvutotext "grifharris" "~/books/__alg/griffiths_harris__principles_of_algebraic_geometry.djvu")
;; (find-grifharrispage         7  "Contents")
;; (find-grifharrispage (+ 14 106) "Kahler Manifolds")
;; (find-grifharrispage (+ 14 805) "Index")
;; (find-grifharristext "")




;; hartshorne  (to ".hartshorne")
;; http://gigapedia.org/items/29473/algebraic-geometry--graduate-texts-in-mathematics-
(code-djvu       "hartshorne" "~/books/__alg/hartshorne__algebraic_geometry.djvu")
(code-djvutotext "hartshorne" "~/books/__alg/hartshorne__algebraic_geometry.djvu")
;; (find-hartshornepage        11  "Contents")
;; (find-hartshornepage (+ 18 478) "Index")
;; (find-hartshornetext "")

;; howie  (to ".howie")
;; http://gigapedia.com/items/51219/fields-and-galois-theory--springer-undergraduate-mathematics-series-
(code-xpdf      "howie" "~/books/__alg/howie__fields_and_galois_theory.pdf")
(code-pdftotext "howie" "~/books/__alg/howie__fields_and_galois_theory.pdf")
;; (find-howiepage      1  "Contents")
;; (find-howiepage (+ 1 1) "Index")
;; (find-howietext "")


;; jacobson  (to ".jacobson")
(code-djvu       "jacobson1" "~/books/__alg/jacobson__basic_algebra_1.djvu")
(code-djvutotext "jacobson1" "~/books/__alg/jacobson__basic_algebra_1.djvu")
;; (find-jacobson1page         4  "Contents")
;; (find-jacobson1page (+ 16   1) "Index")
;; (find-jacobson1page (+ 16 493) "Index")
;; (find-jacobson1text "")


;; kaplansky  (to ".kaplansky")
;; http://gigapedia.com/items/101666/commutative-rings--lectures-in-mathematics--revised-edition
;; http://gigapedia.com/items/167189/fields-and-rings--chicago-lectures-in-mathematics-
(code-xpdf      "kaplanskycrings" "~/books/__alg/kaplansky__commutative_rings_revised_ed.pdf")
(code-pdftotext "kaplanskycrings" "~/books/__alg/kaplansky__commutative_rings_revised_ed.pdf")
;; (find-kaplanskycringstext "")
;; (find-kaplanskycringspage (+   4   1) "Prime Ideals and Integral Extensions")
;; (find-kaplanskycringspage (+ -82 174) "Index of Theorems")
;; (find-kaplanskycringspage (+ -86 181) "Index of Topics")

(code-djvu "kaplanskyfrings" "~/books/__alg/kaplansky__fields_and_rings.djvu")
;; (find-kaplanskyfringspage         3  "Contents")
;; (find-kaplanskyfringspage (+  7  48) "9. Simple extensions")
;; (find-kaplanskyfringspage (+  7  55) "11. Separability")
;; (find-kaplanskyfringspage (+  6 201) "Index")



;; kendig  (to ".kendig")
;; (find-books "__alg/__alg.el" "kendig")
;; (find-fline "~/Pictures/conics.png")
;; Anyway, one day, in his office, I happened to mention Bzout's Theorem...
(code-pdf-page "kendigc" "~/books/__alg/kendig__conics.pdf")
(code-pdf-text "kendigc" "~/books/__alg/kendig__conics.pdf" 1)
;; (find-kendigcpage)
;; (find-kendigcpage        13  "Hassler Whitney" "Bzout" "counterexamples")
;; (find-kendigcpage        14  "Contents")
;; (find-kendigcpage (+ 17   1) "1. Beauty and the beast")
;; (find-kendigcpage (+ 17 401) "Index")
;; (find-kendigctext "")


;; kitaoka  (to ".kitaoka")
;; http://gigapedia.com/items/428733/arithmetic-of-quadratic-forms--cambridge-tracts-in-mathematics-
(code-xpdf      "kitaoka" "~/books/__alg/kitaoka__arithmetic_of_quadratic_forms.pdf")
(code-pdftotext "kitaoka" "~/books/__alg/kitaoka__arithmetic_of_quadratic_forms.pdf")
;; (find-kitaokapage         5  "Contents")
;; (find-kitaokapage (+ 10 269) "Index")
;; (find-kitaokatext "")

;; lang  (to ".lang")
;; http://gigapedia.org/items/31384/algebra
;; http://gigapedia.org/items/51528/undergraduate-algebra--undergraduate-texts-in-mathematics-
(code-djvu       "langalgebra"  "~/books/__alg/lang__algebra_3rd_ed.djvu")
(code-djvutotext "langalgebra"  "~/books/__alg/lang__algebra_3rd_ed.djvu")
(code-djvu       "langualgebra" "~/books/__alg/lang__undergraduate_algebra.djvu")
(code-djvutotext "langualgebra" "~/books/__alg/lang__undergraduate_algebra.djvu")
;; (find-langalgebrapage        10  "Contents")
;; (find-langalgebrapage (+ 15  20)   "Butterfly lemma")
;; (find-langalgebrapage (+ 15  86)   "principal ring")
;; (find-langalgebrapage (+ 15  88)   "Dedeking ring")
;; (find-langalgebrapage (+ 15 107)   "4. Localization")
;; (find-langalgebrapage (+ 15 110)   "when A is an entire ring then A[X_1,...,X_n] is also entire")
;; (find-langalgebrapage (+ 15 110)   "local ring")
;; (find-langalgebrapage (+ 15 111)   "5. Principal and factorial rings")
;; (find-langalgebrapage (+ 15 114)   "Examples of non-factorial rings")
;; (find-langalgebrapage (+ 15 116)   "Dedekind ring")
;; (find-langalgebrapage (+ 15 157)   "9. The Snake Lemma")
;; (find-langalgebrapage (+ 15 173) "Euclidean Algorithm")
;; (find-langalgebrapage (+ 15 180)   "2. Polynomials over a factorial ring")
;; (find-langalgebrapage (+ 15 182)   "Let A be a factorial ring. Then" "A[X]" "is factorial.")
;; (find-langalgebrapage (+ 15 186)   "Noetherian ring")
;; (find-langalgebrapage (+ 15 223) "V. Algebraic Extensions")
;; (find-langalgebrapage (+ 15 224) "Irr(\aa, F, X)")
;; (find-langalgebrapage (+ 15 226) "we denote by EF the" "compositum")
;; (find-langalgebrapage (+ 15 233) "p(X) = Irr(\aa, F, X)")
;; (find-langalgebrapage (+ 15 416) "nilpotent")
;; (find-langalgebrapage (+ 15 569) "nilpotent")
;; (find-langalgebrapage (+ 15 761) "Homological algebra")
;; (find-langalgebrapage (+ 15 903) "Index")
;; (find-langalgebratext "")
;; (find-langualgebrapage         9  "Contents")
;; (find-langualgebrapage (+ 11 113) "Euclidean Algorithm")
;; (find-langualgebrapage (+ 11 120) "IV, 3. Unique factorization")
;; (find-langualgebrapage (+ 11 165) "IV, 9. The Mason-Stothers Theorem")
;; (find-langualgebrapage (+ 11 167) "Proof: write it down yourself. It'll keep you in shape.")
;; (find-langualgebrapage (+ 11 258) "VII. Field Theory")
;; (find-langualgebrapage (+ 11 259) "Proposition 1.2." "the ideals of F(\aa)")
;; (find-langualgebrapage (+ 11 259) "Theorem 1.3.")
;; (find-langualgebrapage (+ 11 261) "An extension E of F can be algebraic without being finite.")
;; (find-langualgebrapage (+ 11 262) "tower of fields")
;; (find-langualgebrapage (+ 11 263) "not" "[E_1E_2:E_2] = [E_1:F]")
;; (find-langualgebrapage (+ 11 264) "Proposition 1.5." "[EF':F']<=[E:F]")
;; (find-langualgebrapage (+ 11 264) "three basic constructions of field extensions")
;; (find-langualgebrapage (+ 11 267) "VI, 2. Embeddings")
;; (find-langualgebrapage (+ 11 275) "VII, 3. Splitting Fields")
;; (find-langualgebrapage (+  9 381) "Index")
;; (find-langualgebratext "")



;; levin  (to ".levin")
(code-xpdf      "levindiff" "~/books/__alg/levin__difference_algebra.pdf")
(code-pdftotext "levindiff" "~/books/__alg/levin__difference_algebra.pdf")
;; (find-levindiffpage         9  "Contents")
;; (find-levindiffpage (+ 11 507) "Index")
;; (find-levindifftext "")


;; lidl  (to ".lidl")
;; (find-books "__alg/__alg.el" "lidl")
(code-pdf-page "lidl" "~/books/__alg/lidl_niederreiter__finite_fields.pdf")
(code-pdf-text "lidl" "~/books/__alg/lidl_niederreiter__finite_fields.pdf" 1)
;; (find-lidlpage)
;; (find-lidlpage        1  "Contents")
;; (find-lidlpage (+ 1 189) "Index")
;; (find-lidltext "")


;; liu  (to ".liu")
;; http://gigapedia.org/items/65435/algebraic-geometry-and-arithmetic-curves
(code-djvu       "liu" "~/books/__alg/liu__algebraic_geometry_and_arithmetic_curves.djvu")
(code-djvutotext "liu" "~/books/__alg/liu__algebraic_geometry_and_arithmetic_curves.djvu")
;; (find-liupage        11  "Contents")
;; (find-liupage (+ 16 562) "Index")
;; (find-liutext "")


;; miranda  (to ".miranda")
(code-djvu       "miranda" "~/books/__alg/miranda__algebraic_curves_and_riemann_surfaces.djvu")
(code-djvutotext "miranda" "~/books/__alg/miranda__algebraic_curves_and_riemann_surfaces.djvu")
;; (find-mirandapage         3  "Contents")
;; (find-mirandapage (+ 15 377) "Index")
;; (find-mirandatext "")


;; morandi  (to ".morandi")
;; http://gigapedia.com/items/252914/field-and-galois-theory--graduate-texts-in-mathematics---v--167-
(code-djvu       "morandi" "~/books/__alg/morandi__field_and_galois_theory.djvu")
(code-djvutotext "morandi" "~/books/__alg/morandi__field_and_galois_theory.djvu")
;; (find-morandipage        13  "Contents")
;; (find-morandipage (+ 18   1) "I. Galois Theory")
;; (find-morandipage (+ 18  55) "Primitive Element Theorem")
;; (find-morandipage (+ 17 277) "Index")
;; (find-moranditext "")



;; mumford  (to ".mumford")
;; http://gigapedia.org/items/41997/the-red-book-of-varieties-and-schemes--includes-the-michigan-lectures--1974--on-curves-and-their-jacobians--lecture-notes-in-mathematics-
(code-djvu       "mumford" "~/books/__alg/mumford__the_red_book_of_varieties_and_schemes.djvu")
(code-djvutotext "mumford" "~/books/__alg/mumford__the_red_book_of_varieties_and_schemes.djvu")
;; (find-mumfordpage         9  "Contents")
;; (find-mumfordpage (+ 9   1) "I. Varieties")
;; (find-mumfordpage (+ 9   5) "Theorem 1 (Hilbert's Nullstelensatz).")
;; (find-mumfordpage (+ 9  11) "3. Definition of a morphism")
;; (find-mumfordpage (+ 9  14) "The assignment ... extends to a contravariant functor")
;; (find-mumfordpage (+ 9  65) "II. Preschemes")
;; (find-mumfordpage (+ 9 137) "III. Local Properties of Schemes")
;; (find-mumfordpage (+ 9 187) "7. Non-singularity and the UFD property")
;; (find-mumfordpage (+ 9 207) "9. Zariski's Main Theorem")
;; (find-mumfordpage (+ 9 228) "Lecture I")
;; (find-mumfordpage (+ 9 243) "Lecture II")
;; (find-mumfordpage (+ 9 257) "Lecture III")
;; (find-mumfordpage (+ 9 271) "Lecture IV")
;; (find-mumfordtext (+ 1 1) "Index")



;; nestruev  (to ".nestruev")
;; http://gigapedia.com/items/47035/smooth-manifolds-and-observables--graduate-texts-in-mathematics-
(code-xpdf      "~/books/__alg/nestruev" "nestruev__smooth_manifolds_and_observables.pdf")
(code-pdftotext "~/books/__alg/nestruev" "nestruev__smooth_manifolds_and_observables.pdf")
;; (find-~/books/__alg/nestruevpage         9  "Contents")
;; (find-~/books/__alg/nestruevpage (+ 2 219) "Index")
;; (find-~/books/__alg/nestruevtext "")


;; reid  (to ".reid")
;; http://www.warwick.ac.uk/~masda/
;; http://gigapedia.com/items/42101/undergraduate-commutative-algebra--london-mathematical-society-student-texts-
;; http://gigapedia.com/items/21964/undergraduate-algebraic-geometry--london-mathematical-society-student-texts-
(code-djvu       "reiduca" "~/books/__alg/reid__undergraduate_commutative_algebra.djvu")
(code-djvutotext "reiduca" "~/books/__alg/reid__undergraduate_commutative_algebra.djvu")
(code-xpdf       "reiduag" "~/books/__alg/reid__undegraduate_algebraic_geometry.pdf")
(code-pdftotext  "reiduag" "~/books/__alg/reid__undegraduate_algebraic_geometry.pdf")
;; (find-reiducapage         4  "Contents")
;; (find-reiducapage (+ 11   1)   "build one of the bridges")
;; (find-reiducapage (+ 11   2)   "nilrad A")
;; (find-reiducapage (+ 11  27) "Plenty of prime ideals")
;; (find-reiducapage (+ 11  29) "Radical")
;; (find-reiducapage (+ 11 150) "Index")
;; (find-reiducatext "")
;; (find-reiduagpage        8  "Contents")
;; (find-reiduagpage (+ 9   1) "0. Woffle")
;; (find-reiduagpage (+ 9   9) "1. Plane conics")
;; (find-reiduagpage (+ 9  27) "2. Cubics and the group law")
;; (find-reiduagpage (+ 9  48) "3. Affine varieties and the Nullstellensatz")
;; (find-reiduagpage (+ 9  66) "4. Functions on varieties")
;; (find-reiduagpage (+ 9  79) "5. Projective varieties and birational equivalence")
;; (find-reiduagpage (+ 9  94) "6. Tangent space and nonsingularity, dimension")
;; (find-reiduagpage (+ 9 102) "7. The 27 lines on a cubic surface")
;; (find-reiduagpage (+ 9 114) "8. Final comments")
;; (find-reiduagpage (+ 9 121)   "8.13. What's the point?")
;; (find-reiduagpage (+ 9 125)   "Nilpotents")
;; (find-reiduagpage (+ 9 129) "Index")
;; (find-reiduagtext "")


;; rhodes  (to ".rhodes")
;; (find-books "__alg/__alg.el" "rhodes")
;; Rhodes: "Applications of Automata Theory and Algebra Via the
;; Mathematical Theory of Complexity to Biology, Physics, Psychology,
;; Philosophy, and Games" ("The Wild Book")
(code-pdf-page "thewildbook" "~/books/__alg/rhodes__the_wild_book.pdf")
(code-pdf-text "thewildbook" "~/books/__alg/rhodes__the_wild_book.pdf" 1)
;; (find-thewildbookpage)
;; (find-thewildbooktext "")
;; (find-thewildbookpage         5  "Contents")
;; (find-thewildbooktext         5  "Contents")
;; (find-thewildbookpage         7  "Foreword to Rhodes' Applications of Automata Theory and Algebra")
;; (find-thewildbookpage        13  "Editorial Preface")
;; (find-thewildbookpage        13    "The Wild Book")
;; (find-thewildbooktext        13    "The Wild Book")
;; (find-thewildbookpage (+ 17   1) "Prologue: Birth, Death, (...) and Religion")
;; (find-thewildbookpage (+ 17   7) "1. Introduction")
;; (find-thewildbookpage (+ 17   9) "2. What is Finite Group Theory?")
;; (find-thewildbookpage (+ 17  14)   "Bibliography")
;; (find-thewildbookpage (+ 17  15) "3. A Generalization of Finite Group Theory to Finite Semigroups")
;; (find-thewildbookpage (+ 17  33)   "Bibliography")
;; (find-thewildbookpage (+ 17  35) "4. A Reformulation of Physics")
;; (find-thewildbookpage (+ 17  54)   "Bibliography")
;; (find-thewildbookpage (+ 17  55) "5. Automata Models and the Complexity of Finite State Machines")
;; (find-thewildbookpage (+ 17  55)   "Part I. The Prime Decomposition Theorem")
;; (find-thewildbookpage (+ 17  67)   "Part II. Complexity of Finite State Machines")
;; (find-thewildbookpage (+ 17  76)   "Bibliography")
;; (find-thewildbookpage (+ 17  77)   "Appendix to Chapter 5")
;; (find-thewildbookpage (+ 17 108)   "Bibliography")
;; (find-thewildbookpage (+ 17 111) "6. Applications")
;; (find-thewildbookpage (+ 17 111)   "Introduction")
;; (find-thewildbookpage (+ 17 114)   "Part I. Analysis and Classification of Biochemical Reactions")
;; (find-thewildbookpage (+ 17 175)     "Bibliography")
;; (find-thewildbookpage (+ 17 176)   "Part II. Complexity of Evolved Organisms")
;; (find-thewildbookpage (+ 17 195)     "Appendix to Part II")
;; (find-thewildbookpage (+ 17 201)     "Bibliography")
;; (find-thewildbookpage (+ 17 203)   "Part III. The Lagrangian of Life")
;; (find-thewildbookpage (+ 17 203)     "A. The Laws of Growing and Evolving Organisms")
;; (find-thewildbookpage (+ 17 219)     "Bibliography")
;; (find-thewildbookpage (+ 17 220)     "B. Complexity, Emotion, Neurosis and Schizophrenia")
;; (find-thewildbookpage (+ 17 239)     "Bibliography")
;; (find-thewildbookpage (+ 17 241)     "Part IV. Complexity of Games")
;; (find-thewildbookpage (+ 17 256)     "Bibliography")
;; (find-thewildbookpage (+ 17 257) "Index")




;; ritt  (to ".ritt")
(code-xpdf "rittdalg" "~/books/__alg/ritt__differential_algebra.pdf")
;; (find-rittdalgpage        5  "Contents")
;; (find-rittdalgpage (+ 5 183) "Index")
(code-djvu "rittdeqs" "~/books/__alg/ritt__differential_equations_from_the_algebraic_standpoint.djvu")
;; (find-rittdeqspage         9  "Contents")
;; (find-rittdeqspage (+ 10 172) "Index")
(code-xpdf      "rittdeqs" "~/books/__alg/ritt__differential_equations_from_the_algebraic_standpoint.pdf")
(code-pdftotext "rittdeqs" "~/books/__alg/ritt__differential_equations_from_the_algebraic_standpoint.pdf")
;; (find-rittdeqspage        13  "Contents")
;; (find-rittdeqspage (+ 14 172) "Index")
;; (find-rittdeqstext "")



;; schinzel  (to ".schinzel")
(code-djvu       "schinzel" "~/books/__alg/schinzel__polynomials_with_special_regard_to_reducibility.djvu")
(code-djvutotext "schinzel" "~/books/__alg/schinzel__polynomials_with_special_regard_to_reducibility.djvu")
;; (find-schinzelpage         5  "Contents")
;; (find-schinzelpage (+ 10 555) "Index of definitions and conjectures")
;; (find-schinzelpage (+ 10 556) "Index of theorems")
;; (find-schinzelpage (+ 10 557) "Index of terms")
;; (find-schinzeltext "")




;; stewart  (to ".stewart")
;; http://gigapedia.com/items/63672/galois-theory--third-edition--chapman--amp--hall-crc-mathematics-
;; http://flash.lakeheadu.ca/~avantuyl/courses/oldcourses/Stewart_Corrections.pdf
;; (find-stewartgaloiscorrpage      1  "Contents")
;; (find-stewartgaloiscorrpage (+ 1 1) "Index")
;; (find-stewartgaloiscorrtext "")
(code-djvu       "stewartgalois" "~/books/__alg/stewart__galois_theory.djvu")
(code-djvutotext "stewartgalois" "~/books/__alg/stewart__galois_theory.djvu")
;; (find-zsh  "djvutxt ~/books/__alg/stewart__galois_theory.djvu")
(code-xpdf      "stewartgaloiscorr" "$S/http/flash.lakeheadu.ca/~avantuyl/courses/oldcourses/Stewart_Corrections.pdf")
(code-pdftotext "stewartgaloiscorr" "$S/http/flash.lakeheadu.ca/~avantuyl/courses/oldcourses/Stewart_Corrections.pdf")
;; (find-stewartgaloispage         4  "Contents")
;; (find-stewartgaloispage (+ 35  57) "Simple field extensions")
;; (find-stewartgaloistext "")
;; http://www.math.cornell.edu/~kbrown/4340/primitive.pdf
;; http://en.wikipedia.org/wiki/Primitive_element_theorem
;; (find-stewartgaloispage (+ 35   1) "1 Classical Algebra")
;; (find-stewartgaloispage (+ 35  17) "2 The Fundamental Theorem of Algebra")
;; (find-stewartgaloispage (+ 35  31) "3 Factorization of Polynomials")
;; (find-stewartgaloispage (+ 35  40) "3.4 Eisenstein's criterion")
;; (find-stewartgaloispage (+ 35  49) "4 Field Extensions")
;; (find-stewartgaloispage (+ 35  57) "5 Simple Extensions")
;; (find-stewartgaloispage (+ 35  67) "6 The Degree of an Extension")
;; (find-stewartgaloispage (+ 35  75) "7 Ruler-and-Compass Constructions")
;; (find-stewartgaloispage (+ 35  85) "8 The Idea Behind Galois Theory")
;; (find-stewartgaloispage (+ 35  90) "8.5 Polynomials and extensions")
;; (find-stewartgaloispage (+ 35  97)   "insoluble by Ruffini radicals")
;; (find-stewartgaloispage (+ 35 107) "9 Normality and Separability")
;; (find-stewartgaloispage (+ 35 110) "9.2 Normality")
;; (find-stewartgaloispage (+ 35 117) "10 Counting Principles")
;; (find-stewartgaloispage (+ 35 125) "11 Field Automorphisms")
;; (find-stewartgaloispage (+ 35 133) "12 The Galois Correspondence")
;; (find-stewartgaloispage (+ 35 137) "13 A Worked Example")
;; (find-stewartgaloispage (+ 35 143) "14 Solubility and Simplicity")
;; (find-stewartgaloispage (+ 35 149)   "the class equation for G")
;; (find-stewartgaloispage (+ 35 151)   "show that the first and second isomorphism theorems")
;; (find-stewartgaloispage (+ 35 153) "15 Solution by Radicals")
;; (find-stewartgaloispage (+ 35 163) "16 Abstract Rings and Fields")
;; (find-stewartgaloispage (+ 35 177) "17 Abstract Field Extensions")
;; (find-stewartgaloispage (+ 35 191) "18 The General Polynomial")
;; (find-stewartgaloispage (+ 35 209) "19 Regular Polygons")
;; (find-stewartgaloispage (+ 35 227) "20 Finite Fields")
;; (find-stewartgaloispage (+ 35 233) "21 Circle Division")
;; (find-stewartgaloispage (+ 35 251) "22 Calculating Galois Groups")
;; (find-stewartgaloispage (+ 35 261) "23 Algebraically Closed Fields")
;; (find-stewartgaloispage (+ 35 263) "23.2 Sylow's Theorem")
;; (find-stewartgaloispage (+ 35 264)   "Theorem 23.8 (Sylow)")
;; (find-stewartgaloispage (+ 35 269) "24 Transcendental Numbers")
;; (find-stewartgaloispage (+ 35 283) "Index")

;; stillwell  (to ".stillwell")
;; http://gigapedia.com/items/424290/elements-of-algebra--geometry--numbers--equations
;; (find-booksfile "__alg/__alg.el")
(code-djvu       "stillwellalg" "~/books/__alg/stillwell__elements_of_algebra.djvu")
(code-djvutotext "stillwellalg" "~/books/__alg/stillwell__elements_of_algebra.djvu")
;; (find-stillwellalgpage        1  "Contents")
;; (find-stillwellalgpage (+ 0 170) "Index")
;; (find-stillwellalgtext "")



;; strang  (to ".strang")
;; (find-books "__alg/__alg.el" "strang")
(code-pdf-page "strang4" "~/books/__alg/strang__linear_algebra_and_its_applications_4th_ed.pdf")
(code-pdf-text "strang4" "~/books/__alg/strang__linear_algebra_and_its_applications_4th_ed.pdf" 10)
;; (find-strang4page)
;; (find-strang4text "")
;; (find-strang4page         3  "Contents")
;; (find-strang4page         6  "Preface")
;; (find-strang4page (+ 10   1) "1 Matrices and Gaussian Elimination")
;; (find-strang4page (+ 10   1)   "1.1 Introduction")
;; (find-strang4page (+ 10   3)       "That singular case")
;; (find-strang4text (+ 10   3)       "That singular case")
;; (find-strang4page (+ 10   4)   "1.2 The Geometry of Linear Equations")
;; (find-strang4page (+ 10  13)   "1.3 An Example of Gaussian Elimination")
;; (find-strang4page (+ 10  21)   "1.4 Matrix Notation and Matrix Multiplication")
;; (find-strang4page (+ 10  36)   "1.5 Triangular Factors and Row Exchanges")
;; (find-strang4page (+ 10  50)   "1.6 Inverses and Transposes")
;; (find-strang4page (+ 10  66)   "1.7 Special Matrices and Applications")
;; (find-strang4page (+ 10  72)   "Review Exercises")
;; (find-strang4page (+ 10  77) "2 Vector Spaces")
;; (find-strang4page (+ 10  77)   "2.1 Vector Spaces and Subspaces")
;; (find-strang4page (+ 10  86)   "2.2 Solving Ax = 0 and Ax = b")
;; (find-strang4page (+ 10 103)   "2.3 Linear Independence, Basis, and Dimension")
;; (find-strang4page (+ 10 115)   "2.4 The Four Fundamental Subspaces")
;; (find-strang4page (+ 10 129)   "2.5 Graphs and Networks")
;; (find-strang4page (+ 10 140)   "2.6 Linear Transformations")
;; (find-strang4page (+ 10 154)   "Review Exercises")
;; (find-strang4page (+ 10 159) "3 Orthogonality")
;; (find-strang4page (+ 10 159)   "3.1 Orthogonal Vectors and Subspaces")
;; (find-strang4page (+ 10 171)   "3.2 Cosines and Projections onto Lines")
;; (find-strang4page (+ 10 180)   "3.3 Projections and Least Squares")
;; (find-strang4page (+ 10 195)   "3.4 Orthogonal Bases and Gram-Schmidt")
;; (find-strang4page (+ 10 195)     "A matrix with orthonormal columns")
;; (find-strang4text (+ 10 195)     "A matrix with orthonormal columns")
;; (find-strang4page (+ 10 196)     "Orthogonal Matrices")
;; (find-strang4text (+ 10 196)     "Orthogonal Matrices")
;; (find-strang4page (+ 10 211)   "3.5 The Fast Fourier Transform")
;; (find-strang4page (+ 10 221)   "Review Exercises")
;; (find-strang4page (+ 10 225) "4 Determinants")
;; (find-strang4page (+ 10 225)   "4.1 Introduction")
;; (find-strang4page (+ 10 227)   "4.2 Properties of the Determinant")
;; (find-strang4page (+ 10 236)   "4.3 Formulas for the Determinant")
;; (find-strang4page (+ 10 247)   "4.4 Applications of Determinants")
;; (find-strang4page (+ 10 258)   "Review Exercises")
;; (find-strang4page (+ 10 260) "5 Eigenvalues and Eigenvectors")
;; (find-strang4page (+ 10 260)   "5.1 Introduction")
;; (find-strang4page (+ 10 267)     "Eigshow")
;; (find-strang4page (+ 10 273)   "5.2 Diagonalization of a Matrix")
;; (find-strang4page (+ 10 283)   "5.3 Difference Equations and Powers Ak")
;; (find-strang4page (+ 10 296)   "5.4 Differential Equations and eAt")
;; (find-strang4page (+ 10 312)   "5.5 Complex Matrices")
;; (find-strang4page (+ 10 312)     "Every symmetric matrix")
;; (find-strang4text (+ 10 312)     "Every symmetric matrix")
;; (find-strang4page (+ 10 325)   "5.6 Similarity Transformations")
;; (find-strang4page (+ 10 341)   "Review Exercises")
;; (find-strang4page (+ 10 345) "6 Positive Definite Matrices")
;; (find-strang4page (+ 10 345)   "6.1 Minima, Maxima, and Saddle Points")
;; (find-strang4page (+ 10 352)   "6.2 Tests for Positive Definiteness")
;; (find-strang4page (+ 10 355)     "Cholesky decomposition")
;; (find-strang4text (+ 10 355)     "Cholesky decomposition")
;; (find-strang4page (+ 10 367)   "6.3 Singular Value Decomposition")
;; (find-strang4page (+ 10 376)   "6.4 Minimum Principles")
;; (find-strang4page (+ 10 384)   "6.5 The Finite Element Method")
;; (find-strang4page (+ 10 390) "7 Computations with Matrices")
;; (find-strang4page (+ 10 390)   "7.1 Introduction")
;; (find-strang4page (+ 10 391)   "7.2 Matrix Norm and Condition Number")
;; (find-strang4page (+ 10 399)   "7.3 Computation of Eigenvalues")
;; (find-strang4page (+ 10 407)   "7.4 Iterative Methods for Ax = b")
;; (find-strang4page (+ 10 417) "8 Linear Programming and Game Theory")
;; (find-strang4page (+ 10 417)   "8.1 Linear Inequalities")
;; (find-strang4page (+ 10 422)   "8.2 The Simplex Method")
;; (find-strang4page (+ 10 434)   "8.3 The Dual Problem")
;; (find-strang4page (+ 10 444)   "8.4 Network Models")
;; (find-strang4page (+ 10 451)   "8.5 Game Theory")
;; (find-strang4page (+ 10 459) "A Intersection, Sum, and Product of Spaces")
;; (find-strang4page (+ 10 459)   "A.1 The Intersection of Two Vector Spaces")
;; (find-strang4page (+ 10 460)   "A.2 The Sum of Two Vector Spaces")
;; (find-strang4page (+ 10 461)   "A.3 The Cartesian Product of Two Vector Spaces")
;; (find-strang4page (+ 10 461)   "A.4 The Tensor Product of Two Vector Spaces")
;; (find-strang4page (+ 10 462)   "A.5 The Kronecker Product A B of Two Matrices")
;; (find-strang4page (+ 10 466) "B The Jordan Form")
;; (find-strang4page (+ 55 428) "Solutions to Selected Exercises")
;; (find-strang4page (+ 58 473) "C Matrix Factorizations")
;; (find-strang4page (+ 58 475) "D Glossary: A Dictionary for Linear Algebra")
;; (find-strang4page (+ 58 484) "E MATLAB Teaching Codes")
;; (find-strang4page (+ 58 485)   "http://web.mit.edu/18.06/www")
;; (find-strang4text (+ 58 485)   "http://web.mit.edu/18.06/www")
;; (find-strang4page (+ 58 486) "F Linear Algebra in a Nutshell")
;;
;; file:///home/edrx/books/__alg/strang__linear_algebra_and_its_applications_4th_ed.pdf
;; 2-5,169-234 Strang4cap3
;; 2-5,235-269 Strang4cap4
;; 2-5,270-354 Strang4cap5
;; 2-5,355-399 Strang4cap6

;; https://gregorygundersen.com/blog/2018/12/20/svd-proof/
;; https://news.ycombinator.com/item?id=39665431 Proof of the Singular Value Decomposition (gregorygundersen.com)



;; ueno  (to ".ueno")
;; http://gigapedia.org/items/29684/algebraic-geometry-1--from-algebraic-varieties-to-schemes--translations-of-mathematical-monographs-
;; http://gigapedia.org/items/60958/algebraic-geometry-2--sheaves-and-cohomology--translations-of-mathematical-monographs-
;; http://gigapedia.org/items/60961/algebraic-geometry-3--further-study-of-schemes--translations-of-mathematical-monographs-
(code-djvu       "ueno1" "~/books/__alg/ueno__algebraic_geometry_1.djvu")
(code-djvutotext "ueno1" "~/books/__alg/ueno__algebraic_geometry_1.djvu")
;; (find-ueno1page         4  "Contents")
;; (find-ueno1page (+ 10 153) "Index")
;; (find-ueno1text "")

;; vermani  (to ".vermani")
(code-djvu       "vermani" "~/books/__alg/vermani__an_elementary_approach_to_homological_algebra.djvu")
(code-djvutotext "vermani" "~/books/__alg/vermani__an_elementary_approach_to_homological_algebra.djvu")
;; (find-vermanipage      1  "Contents")
;; (find-vermanipage (+ 1 1) "Index")
;; (find-vermanitext "")


;; waterhouse  (to ".waterhouse")
(code-djvu       "waterhouse" "~/books/__alg/waterhouse__introduction_to_affine_group_schemes.djvu")
(code-djvutotext "waterhouse" "~/books/__alg/waterhouse__introduction_to_affine_group_schemes.djvu")
;; (find-waterhousepage         5  "Contents")
;; (find-waterhousepage (+ 10 162) "Index")
;; (find-waterhousetext "")


;; weibel  (to ".weibel")
(code-djvu       "weibel" "~/books/__alg/weibel__an_introduction_to_homological_algebra.djvu")
(code-djvutotext "weibel" "~/books/__alg/weibel__an_introduction_to_homological_algebra.djvu")
;; (find-weibelpage         5  "Contents")
;; (find-weibelpage (+ 12 379) "10.3 Localization and the Calculus of Fractions")
;; (find-weibelpage (+ 12 435) "Index")
;; (find-weibeltext "")



;; Liszl Gaal: Classical Galois Theory with Examples
;; Joseph Rotman: Galois Theory
;; Edwards: Galois Theory
;; http://gigapedia.com/items/253950/why-beauty-is-truth--the-history-of-symmetry


(code-xpdf      "grillet" "~/books/__alg/grillet__abstract_algebra.pdf")
(code-pdftotext "grillet" "~/books/__alg/grillet__abstract_algebra.pdf")
;; (find-grilletpage      1  "Contents")
;; (find-grilletpage (+ 1 1) "Index")
;; (find-grillettext "")




;;
;; Local Variables:
;; mode:   emacs-lisp
;; coding: raw-text-unix
;; End:
