;; (find-sh "cd ~/books/ && find * | sort")
;; (find-sh "cd ~/books/__gender/ && find * | sort")

;; (find-fline "~/books/__gender/")

;; Google Drive (Judith Butler):
;; https://drive.google.com/#folders/0B3HjHg434_Fva1R1NDlrMG1UaDg

;; https://drive.google.com/folderview?id=0B5DQ4DwbQedTM1NpLWhDdGRzbEU
;; https://drive.google.com/folderview?id=0B5DQ4DwbQedTM1NpLWhDdGRzbEU&usp=sharing#list

;; https://en.wikipedia.org/wiki/Christina_Hoff_Sommers

;; «.adler»		(to "adler")
;; «.beauvoir»		(to "beauvoir")
;; «.bento»		(to "bento")
;; «.boggle»		(to "boggle")
;; «.bottoming»		(to "bottoming")
;; «.bruckner»		(to "bruckner")
;; «.butler»		(to "butler")
;; «.butler-af»		(to "butler-af")
;; «.butler-pa»		(to "butler-pa")
;; «.butler-gt»		(to "butler-gt")
;; «.butler-plop»	(to "butler-plop")
;; «.butler-bm»		(to "butler-bm")
;; «.butler-pm»		(to "butler-pm")
;; «.cdsg34»		(to "cdsg34")
;; «.connell»		(to "connell")
;; «.correa-kalil»	(to "correa-kalil")
;; «.delauretis»	(to "delauretis")
;; «.despentes»		(to "despentes")
;; «.explosaof»		(to "explosaof")
;; «.femenias»		(to "femenias")
;; «.friedman-valenti»	(to "friedman-valenti")
;; «.foucault»		(to "foucault")
;; «.gilligan»		(to "gilligan")
;; «.greene»		(to "greene")
;; «.kennedy»		(to "kennedy")
;; «.kulick»		(to "kulick")
;; «.liber-queer»	(to "liber-queer")
;; «.longino»		(to "longino")
;; «.lowenkron»		(to "lowenkron")
;; «.manne»		(to "manne")
;; «.namaste»		(to "namaste")
;; «.mccormick»		(to "mccormick")
;; «.oliveira»		(to "oliveira")
;; «.paglia»		(to "paglia")
;; «.paglia-free»	(to "paglia-free")
;; «.paglia-vt»		(to "paglia-vt")
;; «.paglia-sp»		(to "paglia-sp")
;; «.pereira»		(to "pereira")
;; «.preciado»		(to "preciado")
;; «.ranniery»		(to "ranniery")
;; «.rich»		(to "rich")
;; «.rubin»		(to "rubin")
;; «.sandoval»		(to "sandoval")
;; «.serano»		(to "serano")
;; «.sinner»		(to "sinner")
;; «.spivak»		(to "spivak")
;; «.stabile»		(to "stabile")
;; «.thomson»		(to "thomson")
;; «.tramontano»	(to "tramontano")
;; «.trevisan»		(to "trevisan")
;; «.van-creveld»	(to "van-creveld")
;; «.velvetrage»	(to "velvetrage")
;; «.way»		(to "way")
;; «.wolf»		(to "wolf")




;; «adler»  (to ".adler")
;; (find-books "__gender/__gender.el" "adler")
;; Jeanine Adler: "Cartografia sobre a assexualidade na perspectiva da comunidade assexual"
(code-pdf-page "adlertcc" "~/books/__gender/adler__tcc_pronto.pdf")
(code-pdf-text "adlertcc" "~/books/__gender/adler__tcc_pronto.pdf" 1)
;; (find-adlertccpage)
;; (find-adlertccpage        1  "Contents")
;; (find-adlertccpage (+ 1 189) "Index")
;; (find-adlertcctext "")



;; «beauvoir» (to ".beauvoir")
;; (find-books "__gender/__gender.el" "beauvoir")
(code-pdf       "osegundosexo" "~/books/__gender/beauvoir__o_segundo_sexo.pdf")
(code-pdftotext "osegundosexo" "~/books/__gender/beauvoir__o_segundo_sexo.pdf" 1)
;; (find-osegundosexopage)
;; (find-osegundosexopage        1  "Contents")
;; (find-osegundosexopage (+ 1 189) "Index")
;; (find-osegundosexotext "")
(code-pdf       "secondsex" "~/books/__gender/beauvoir__the_second_sex.pdf")
(code-pdftotext "secondsex" "~/books/__gender/beauvoir__the_second_sex.pdf" 1)
;; (find-secondsexpage)
;; (find-secondsexpage        1  "Contents")
;; (find-secondsexpage (+ 1 189) "Index")
;; (find-secondsextext "")



;; «bento»  (to ".bento")
;; https://repositorio.ufba.br/bitstream/ri/26037/1/Transviadas-BereniceBento-2017-EDUFBA.pdf

;; http://editoradevires.com.br/wp-content/uploads/2020/07/A-reinven%C3%A7%C3%A3o-do-corpo-2.pdf
(code-pdf-page "bentoreinv" "$S/http/editoradevires.com.br/wp-content/uploads/2020/07/A-reinven%C3%A7%C3%A3o-do-corpo-2.pdf")
(code-pdf-text "bentoreinv" "$S/http/editoradevires.com.br/wp-content/uploads/2020/07/A-reinven%C3%A7%C3%A3o-do-corpo-2.pdf")
;; (find-bentoreinvpage)
;; (find-bentoreinvtext)


;; «boggle» (to ".boggle")
;; (find-books "__gender/__gender.el" "boggle")
;; Kathleen Bogle-Hooking Up_ Sex, Dating, and Relationships on Campus (2008)
(code-pdf       "hookingup" "~/books/__gender/bogle__hooking_up_sex_dating_and_relationships_on_campus.pdf")
(code-pdftotext "hookingup" "~/books/__gender/bogle__hooking_up_sex_dating_and_relationships_on_campus.pdf" 9)
;; (find-hookinguppage)
;; (find-hookinguppage        6  "Contents")
;; (find-hookinguppage (+ 9   1) "1 Introduction")
;; (find-hookinguppage (+ 9  11) "2 From Dating to Hooking Up")
;; (find-hookinguppage (+ 9  24) "3 The Hookup")
;; (find-hookinguppage (+ 9  50) "4 The Hookup Scene")
;; (find-hookinguppage (+ 9  72) "5 The Campus as a Sexual Arena")
;; (find-hookinguppage (+ 9  96) "6 Men, Women, and the Sexual Double Standard")
;; (find-hookinguppage (+ 9 128) "7 Life after College: A Return to Dating")
;; (find-hookinguppage (+ 9 158) "8 Hooking Up and Dating: A Comparison")
;; (find-hookinguppage (+ 9 221) "Index")
;; (find-hookinguptext "")


;; «bottoming» (to ".bottoming")
;; (find-books "__gender/__gender.el" "bottoming")
;; file:///home/edrx/books/__gender/dossie_easton__the_new_bottoming_book.pdf
(code-pdf       "bottoming" "~/books/__gender/dossie_easton__the_new_bottoming_book.pdf")
(code-pdftotext "bottoming" "~/books/__gender/dossie_easton__the_new_bottoming_book.pdf" 13)
;; (find-bottomingpage)
;; (find-bottomingpage        1)
;; (find-bottomingpage        3  "Contents")
;; (find-bottomingpage        8  "Foreword")
;; (find-bottomingpage (+ 13  1) "Introducing ourselves")
;; (find-bottomingpage (+ 13 19) "2. What kind of player are you, anyway?")
;; (find-bottomingpage (+ 13 23) "and soon I feel intense energy")
;; (find-bottomingtext (+ 13 23) "and soon I feel intense energy")
;; (find-bottomingpage (+ 13 33) "3. Staying safe and happy")
;; (find-bottomingpage (+ 1 189) "Index")
;; (find-bottomingtext "")



;; «bruckner» (to ".bruckner")
;; (find-books "__gender/__gender.el" "bruckner")
(code-pdf       "tyrguilt" "~/books/__gender/bruckner_rendall__the_tyranny_of_guilt.pdf")
(code-pdftotext "tyrguilt" "~/books/__gender/bruckner_rendall__the_tyranny_of_guilt.pdf" 15)
;; (find-tyrguiltpage)
;; (find-tyrguiltpage        10  "Contents")
;; (find-tyrguiltpage        16  "Introduction")
;; (find-tyrguiltpage (+ 15 113) "pogroms, diaspora")
;; (find-tyrguilttext (+ 15 113) "pogroms, diaspora")
;; (find-tyrguiltpage (+ 15 139) "Listen to My Suffering")
;; (find-tyrguilttext (+ 15 139) "Listen to My Suffering")
;; (find-tyrguiltpage (+ 15 229) "Index")
;; (find-tyrguilttext (+ 15 229) "Index")
;; (find-tyrguiltpage (+ 1 189) "Index")
;; (find-tyrguilttext "")




;; «butler» (to ".butler")
;; (find-angg ".emacs.papers" "butler")
;; http://en.wikipedia.org/wiki/Judith_butler

;; (find-books "__gender/__gender.el" "butler")
(code-pdf       "deshacer" "~/books/__gender/butler__deshacer_el_genero.pdf")
(code-pdftotext "deshacer" "~/books/__gender/butler__deshacer_el_genero.pdf" 1)
;; (find-deshacerpage)
;; (find-deshacertext)
;; (find-deshacerpage 4 "SUMARIO")
;; (find-deshacertext 4 "SUMARIO")
;; (find-deshacerpage (+ -193 385) "ÍNDICE ALFABÉTICO Y DE NOMBRES")
;; (find-deshacertext (+ -193 385) "ÍNDICE ALFABÉTICO Y DE NOMBRES")

;; «butler-af»  (to ".butler-af")
;; (find-books "__gender/__gender.el" "butler")
(code-pdf-page "butlerafg" "~/books/__gender/butler__who_s_afraid_of_gender.pdf")
(code-pdf-text "butlerafg" "~/books/__gender/butler__who_s_afraid_of_gender.pdf" 1)
;; (find-butlerafgpage)
;; (find-butlerafgpage        1  "Contents")
;; (find-butlerafgpage (+ 1 189) "Index")
;; (find-butlerafgtext "")



(code-xpdf     "butleres" "~/books/__gender/[BUTLER, Judith] Excitable Speech.pdf")
;; (find-butlerespage (+ 5 1) "Introduction: On Linguistic Vulnerability")






;; «butler-pa» (to ".butler-pa")
;; http://en.wikipedia.org/wiki/Judith_butler#Performative_Acts_and_Gender_Constitution_.281988.29
;; 1988: "Performative Acts and Gender Constitution: An Essay in Phenomenology and Feminist Theory"
(code-pdf       "performativeacts" "~/books/__gender/butler__performative_acts_and_gender_constitution.pdf")
(code-pdftotext "performativeacts" "~/books/__gender/butler__performative_acts_and_gender_constitution.pdf")
;; (find-performativeactspage)
;; (find-performativeactstext)
;; (find-performativeactspage 1 "I.    Sex/gender: feminist and phenomenological views")
;; (find-performativeactstext 1 "I.    Sex/gender: feminist and phenomenological views")
;; (find-performativeactspage 5 "II.     Binary genders and the heterosexual contract")
;; (find-performativeactstext 5 "II.     Binary genders and the heterosexual contract")
;; (find-performativeactspage 8 "III.     Feminist theory: beyond an expressive model of gender")
;; (find-performativeactstext 8 "III.     Feminist theory: beyond an expressive model of gender")

;; «butler-gt» (to ".butler-gt")
;; http://en.wikipedia.org/wiki/Gender_Trouble
;; 1990: Gender Trouble: Feminism and the subversion of identity (1st ed)
;;         -> Problemas de gênero: feminismo e subversão da identidade
;; 1999: Gender Trouble: Feminism and the subversion of identity (2nd ed)
;;         -> El genero en disputa

(code-pdf-page "gendertrouble2" "~/books/__gender/butler__gender_trouble_2nd_ed.pdf")
(code-pdf-text "gendertrouble2" "~/books/__gender/butler__gender_trouble_2nd_ed.pdf" 35)
;; (find-gendertrouble2page)
;; (find-gendertrouble2page         6  "Contents")
;; (find-gendertrouble2page         8  "Preface (1999)")
;; (find-gendertrouble2page        28  "Preface (1990)")
;; (find-gendertrouble2page (+ 35 217) "Index")
;; (find-gendertrouble2page (+ 35 219) "Index" "Kristeva")
;; (find-gendertrouble2text "")

;; (find-gendertrouble2page 28 "Sartre for whom all desire" "was defined as trouble")
;; (find-gendertrouble2text 28 "Sartre for whom all desire" "was defined as trouble")
;; (find-gendertrouble2page (+ 35 23) "\"Intelligible\" genders")
;; (find-gendertrouble2text (+ 35 23) "\"Intelligible\" genders")
;; (find-gendertrouble2page (+ 35 24) "in which the practices of desire do not \"follow\"")
;; (find-gendertrouble2text (+ 35 24) "in which the practices of desire do not \"follow\"")
;; (find-gendertrouble2page (+ 35 36) "\"inverted\" reading of Freud's Three Essays")
;; (find-gendertrouble2text (+ 35 36) "\"inverted\" reading of Freud's Three Essays")
;; (find-gendertrouble2page (+ 35 41) "an identification that displays" "its phantasmatic structure")
;; (find-gendertrouble2text (+ 35 41) "an identification that displays" "its phantasmatic structure")
;; (find-gendertrouble2page (+ 35 41) "but, rather, as copy is to copy")
;; (find-gendertrouble2text (+ 35 41) "but, rather, as copy is to copy")
;; (find-gendertrouble2page (+ 35 47) "that \"sex\" is to nature or \"the raw\"")
;; (find-gendertrouble2text (+ 35 47) "that \"sex\" is to nature or \"the raw\"")
;; (find-gendertrouble2page (+ 35 56) "it is to be the object")
;; (find-gendertrouble2text (+ 35 56) "it is to be the object")
;; (find-gendertrouble2page (+ 35 57) "whose very coherence is called into question")
;; (find-gendertrouble2text (+ 35 57) "whose very coherence is called into question")
;; (find-gendertrouble2page (+ 35 58) "women must become" "precisely what men are not")
;; (find-gendertrouble2text (+ 35 58) "women must become" "precisely what men are not")
;; (find-gendertrouble2page (+ 35 65) "the rivalry with the father is not over")
;; (find-gendertrouble2text (+ 35 65) "the rivalry with the father is not over")
;; (find-gendertrouble2page (+ 35 66) "an item of exchange")
;; (find-gendertrouble2text (+ 35 66) "an item of exchange")
;; (find-gendertrouble2page (+ 35 67) "What is hidden is not sexuality, but rage")
;; (find-gendertrouble2text (+ 35 67) "What is hidden is not sexuality, but rage")
;; (find-gendertrouble2page (+ 35 67) "What is" "masked by masquerade?")
;; (find-gendertrouble2text (+ 35 67) "What is" "masked by masquerade?")
;; (find-gendertrouble2page (+ 35 69) "primacy of aggres-" "sion over sexuality")
;; (find-gendertrouble2text (+ 35 69) "primacy of aggres-" "sion over sexuality")
;; (find-gendertrouble2page (+ 35 78) "against a loved object which have" "been shifted")
;; (find-gendertrouble2text (+ 35 78) "against a loved object which have" "been shifted")
;; (find-gendertrouble2page (+ 35 88) "the desire fully denied")
;; (find-gendertrouble2text (+ 35 88) "the desire fully denied")
;; (find-gendertrouble2page (+ 35 89) "becoming" "naturalized")
;; (find-gendertrouble2text (+ 35 89) "becoming" "naturalized")
;; (find-gendertrouble2page (+ 35 148) "you-will-be-straight-or-you-will-not-be")
;; (find-gendertrouble2text (+ 35 148) "you-will-be-straight-or-you-will-not-be")
;; (find-gendertrouble2page (+ 35 156) "likes her boys to be girls")
;; (find-gendertrouble2text (+ 35 156) "likes her boys to be girls")
;; (find-gendertrouble2page (+ 35 167) "pol-" "lution is a type of danger")
;; (find-gendertrouble2text (+ 35 167) "pol-" "lution is a type of danger")
;; (find-gendertrouble2page (+ 35 169) "a kind of sex pollution")
;; (find-gendertrouble2text (+ 35 169) "a kind of sex pollution")
;; (find-gendertrouble2page (+ 35 174) "drag fully subverts the dis-" "tinction between inner and outer psychic space")
;; (find-gendertrouble2text (+ 35 174) "drag fully subverts the dis-" "tinction between inner and outer psychic space")
;; (find-gendertrouble2page (+ 35 176) "parody that has lost its" "humor")
;; (find-gendertrouble2text (+ 35 176) "parody that has lost it"  "humor")
;; (find-gendertrouble2page (+ 35 177) "the term strategy better suggests the situation of" "duress")
;; (find-gendertrouble2text (+ 35 177) "the term strategy better suggests the situation of" "duress")
;; (find-gendertrouble2page (+ 35 178) "the punishments that attend not agreeing to believe in them")
;; (find-gendertrouble2text (+ 35 178) "the punishments that attend not agreeing to believe in them")
;; (find-gendertrouble2page (+ 35 178) "real woman")
;; (find-gendertrouble2text (+ 35 178) "real woman")

;; (find-gendertrouble2page (+ 35  3) "One Subjects of Sex/Gender/Desire")
;; (find-gendertrouble2page (+ 35  3) " i   "Women" as the Subject of Feminism")
;; (find-gendertrouble2page (+ 35  9) " ii  The Compulsory Order of Sex/ Gender/Desire")
;; (find-gendertrouble2page (+ 35 11) " iii Gender:The Circular Ruins of Contemporary Debate")
;; (find-gendertrouble2page (+ 35 18) " iv  Theorizing the Binary, the Unitary, and Beyond")
;; (find-gendertrouble2page (+ 35 22) " v   Identity, Sex, and the Metaphysics of Substance")
;; (find-gendertrouble2page (+ 35 33) " vi  Language, Power, and the Strategies of Displacement")
;; (find-gendertrouble2page (+ 35 45) "Two Prohibition, Psychoanalysis, and the Production of the Heterosexual Matrix")
;; (find-gendertrouble2page (+ 35 49) " i   Structuralism's Critical Exchange")
;; (find-gendertrouble2page (+ 35 55) " ii  Lacan, Riviere, and the Strategies of Masquerade")
;; (find-gendertrouble2page (+ 35 73) " iii Freud and the Melancholia of Gender")
;; (find-gendertrouble2page (+ 35 84) " iv  Gender Complexity and the Limits of Identification")
;; (find-gendertrouble2page (+ 35 91) " v   Reformulating Prohibition as Power")
;; (find-gendertrouble2page (+ 35 101) "Three Subversive Bodily Acts")
;; (find-gendertrouble2page (+ 35 101) " i   The Body Politics of Julia Kristeva")
;; (find-gendertrouble2text (+ 35 101) )
;; (find-gendertrouble2page (+ 35 119) " ii  Foucault, Herculine, and the Politics of Sexual Discontinuity")
;; (find-gendertrouble2page (+ 35 141) " iii Monique Wittig: Bodily Disintegration and Fictive Sex")
;; (find-gendertrouble2page (+ 35 163) " iv  Bodily Inscriptions, Performative Subversions")
;; (find-gendertrouble2page (+ 35 181) "From Parody to Politics")
;; (find-gendertrouble2page (+ 35 191) "Notes")
;; (find-gendertrouble2page (+ 35 217) "Index")




(code-pdf       "gendertrouble1" "~/books/__gender/butler__gender_trouble_1st_ed.pdf")
(code-pdftotext "gendertrouble1" "~/books/__gender/butler__gender_trouble_1st_ed.pdf" 1)
;; (find-gendertrouble1page)
;; (find-gendertrouble1page        1  "Contents")
;; (find-gendertrouble1page (+ 1 189) "Index")
;; (find-gendertrouble1text "")
;;
(code-pdf       "problemas" "~/books/__gender/butler__problemas_de_genero.pdf")
(code-pdftotext "problemas" "~/books/__gender/butler__problemas_de_genero.pdf" 1)
;; (find-problemaspage)
;; (find-problemaspage (+ -3 5) "Sumário")
;; (find-problemaspage (+ 1 189) "Index")
;; (find-problemastext "")
;;
(code-pdf       "generoendisputa" "~/books/__gender/butler__el_genero_en_disputa.pdf")
(code-pdftotext "generoendisputa" "~/books/__gender/butler__el_genero_en_disputa.pdf" 0)
;; (find-generoendisputapage)
;; (find-generoendisputapage (+ -3 7) "Prefacio")
;; (find-generoendisputatext "")



;; «butler-bm» (to ".butler-bm")
;; 1993: Bodies that Matter: On the Discursive Limits of "Sex"
;;    -> Curpos que importan: sobre los límites materiales y discursivos del "sexo"
;;
(code-pdf       "bodiesthatmatter" "~/books/__gender/butler__bodies_thats_matter.pdf")
(code-pdftotext "bodiesthatmatter" "~/books/__gender/butler__bodies_thats_matter.pdf" 9)
;; (find-bodiesthatmatterpage)
;; (find-bodiesthatmatterpage       12  "Introduction")
;; (find-bodiesthatmatterpage (+ 9  27) "1 Bodies that matter")
;; (find-bodiesthatmatterpage (+ 1 189) "Index")
;; (find-bodiesthatmattertext "")
;;
(code-pdf       "cuerposqueimportan" "~/books/__gender/butler__cuerpos_que_importan.pdf")
(code-pdftotext "cuerposqueimportan" "~/books/__gender/butler__cuerpos_que_importan.pdf" 1)
;; (find-cuerposqueimportanpage)
;; (find-cuerposqueimportanpage        1  "Contents")
;; (find-cuerposqueimportanpage (+ 1 189) "Index")
;; (find-cuerposqueimportantext "")

;; «butler-pm»  (to ".butler-pm")
;; (find-books "__gender/__gender.el" "butler")
;; Fundamentos contingentes: o feminismo e a questão do "pós-modernismo"
;; Judith Butler
;; https://periodicos.sbu.unicamp.br/ojs/index.php/cadpagu/article/view/8634457
;; https://periodicos.sbu.unicamp.br/ojs/index.php/cadpagu/article/view/8634457/2381
(code-pdf-page "butlerpm" "~/books/__gender/butler__fundamentos_contingentes_o_feminismo_e_a_questao_do_pos-modernismo.pdf")
(code-pdf-text "butlerpm" "~/books/__gender/butler__fundamentos_contingentes_o_feminismo_e_a_questao_do_pos-modernismo.pdf" 1)
;; (find-butlerpmpage)
;; (find-butlerpmpage        1  "Contents")
;; (find-butlerpmpage (+ 1 189) "Index")
;; (find-butlerpmtext "")




;; «butler-plop» (to ".butler-plop")
;; 1997: The Psychic Life of Power: Theories in Subjection
;;    -> Mecanismos psíquicos del poder
;;
(code-pdf       "butlerplop" "~/books/__gender/butler__the_psychic_life_of_power.pdf")
(code-pdftotext "butlerplop" "~/books/__gender/butler__the_psychic_life_of_power.pdf" 1)
;; (find-butlerploppage)
;; (find-butlerploppage        1  "Contents")
;; (find-butlerploppage (+ 1 189) "Index")
;; (find-butlerploptext "")
(code-pdf       "mecanismospsiquicos" "~/books/__gender/butler__mecanismos_psiquicos_del_poder.pdf")
(code-pdftotext "mecanismospsiquicos" "~/books/__gender/butler__mecanismos_psiquicos_del_poder.pdf" 1)
;; (find-mecanismospsiquicospage)
;; (find-mecanismospsiquicospage        1  "Contents")
;; (find-mecanismospsiquicospage (+ 1 189) "Index")
;; (find-mecanismospsiquicostext "")



;; «cdsg34»  (to ".cdsg34")
;; (find-books "__gender/__gender.el" "cdsg34")
(code-pdf-page "cdsg34" "~/books/__gender/criticas_feministas_lgbts_e_queers_anais_do_iii_congresso_de_diversidade_sexual_e_de_genero_volume_4.pdf")
(code-pdf-text "cdsg34" "~/books/__gender/criticas_feministas_lgbts_e_queers_anais_do_iii_congresso_de_diversidade_sexual_e_de_genero_volume_4.pdf" 1)
;; (find-cdsg34page)
;; (find-cdsg34page        7 "SUMÁRIO")
;; (find-cdsg34text        7 "SUMÁRIO")
;; (find-cdsg34page (+ 1  15) "SUBVERSÃO E EXTERMÍNIO DE MARIELLE FRANCO")
;; (find-cdsg34text (+ 1  15) "SUBVERSÃO E EXTERMÍNIO DE MARIELLE FRANCO")
;; (find-cdsg34page (+ 1  87) "SOBRE A MORTE DE MARIELLE FRANCO")
;; (find-cdsg34text (+ 1  87) "SOBRE A MORTE DE MARIELLE FRANCO")
;; (find-cdsg34page (+ 1 231) "PRAZERES SUBVERSIVOS NO GOZO DA DOR")
;; (find-cdsg34text (+ 1 231) "PRAZERES SUBVERSIVOS NO GOZO DA DOR")
;; (find-cdsg34page (+ 1 248) "A ORIGEM INTERNACIONAL DA \"IDEOLOGIA")
;; (find-cdsg34text (+ 1 248) "A ORIGEM INTERNACIONAL DA \"IDEOLOGIA")
;; (find-cdsg34page (+ 1 189) "Index")
;; (find-cdsg34text "")



;; «connell» (to ".connell")
;; (find-books "__gender/__gender.el" "connell")
(code-djvu       "masculinities" "~/books/__gender/connell__masculinities.djvu")
(code-djvutotext "masculinities" "~/books/__gender/connell__masculinities.djvu" 1)
(code-pdf       "masculinities" "~/books/__gender/connell__masculinities.pdf")
(code-pdftotext "masculinities" "~/books/__gender/connell__masculinities.pdf" 1)
;; (find-masculinitiespage)
;; (find-masculinitiespage        1  "Contents")
;; (find-masculinitiespage (+ 1 189) "Index")
;; (find-masculinitiestext "")

(code-pdf       "tmatb" "~/books/__gender/connell__the_men_and_the_boys.pdf")
(code-pdftotext "tmatb" "~/books/__gender/connell__the_men_and_the_boys.pdf" 1)
;; (find-tmatbpage)
;; (find-tmatbpage        1  "Contents")
;; (find-tmatbpage (+ 1 189) "Index")
;; (find-tmatbtext "")



;; «correa-kalil»  (to ".correa-kalil")
;; Corrêa/Kalil: "Políticas antigénero en América Latina: Brasil - ¿la catástrofe perfecta?"
;; https://sxpolitics.org/GPAL/uploads/Ebook-Brasil%2020200204.pdf
(code-pdf-page "correakalil" "$S/https/sxpolitics.org/GPAL/uploads/Ebook-Brasil%2020200204.pdf")
(code-pdf-text "correakalil" "$S/https/sxpolitics.org/GPAL/uploads/Ebook-Brasil%2020200204.pdf")
;; (find-correakalilpage)
;; (find-correakaliltext)
;; (find-correakalilpage   4 "ÍNDICE")
;; (find-correakaliltext   4 "ÍNDICE")
;; (find-correakalilpage   5 "Prefácio")
;; (find-correakalilpage  18 "Contexto")
;; (find-correakalilpage  21   "Sistema político")
;; (find-correakalilpage  23 "La toma de posesión de Jair Messias Bolsonaro")
;; (find-correakalilpage  25 "Rasgos sistémicos, trayectorias contemporáneas")
;; (find-correakalilpage  33 "Antecedentes: 1940-1990")
;; (find-correakalilpage  33   "Un largo recorrido")
;; (find-correakalilpage  35   "Consolidación democrática y transnacionalización")
;; (find-correakalilpage  41 "Debates y tensiones precursoras")
;; (find-correakalilpage  41   "Giro a la izquierda: ganancias, nuevas demandas, nuevas tensiones")
;; (find-correakalilpage  44   "2010: el año de los síntomas")
;; (find-correakalilpage  47 "'Ideología de género': condicionantes, propagación, y erupción definitiva (2010-2017)")
;; (find-correakalilpage  49   "La presencia (no tan) espectral del Vaticano")
;; (find-correakalilpage  54   "El contexto político: pliegue y crisis (2013-2016)")
;; (find-correakalilpage  56   "Aterrizaje y propagación de los discursos sobre y contra la 'ideología de género'")
;; (find-correakalilpage  57   "'Ideología de género' en los medios digitales religiosos")
;; (find-correakalilpage  64   "Los escritos sobre 'ideología de género' y la asociación con 'marxismo'")
;; (find-correakalilpage  68   "Debates y tensiones: línea del tiempo 2010-2014")
;; (find-correakalilpage  70 "Erupción definitiva: educación, el ataque a Butler y las elecciones de 2018")
;; (find-correakalilpage  75   "Educación pública: el primer campo de batalla institucional")
;; (find-correakalilpage  77   "Género y educación: propagación em internet")
;; (find-correakalilpage  82   "El 'laboratorio Butler': un ensayo de amplificación de la ofensiva antigénero")
;; (find-correakalilpage  86   "La elección presidencial del 2018")
;; (find-correakalilpage  93 "A modo de conclusión")
;; (find-correakalilpage  96 "Referencias bibliograficas")
;; (find-correakalilpage 109 "Glosario de siglas")
;; (find-correakalilpage 111 "Anexo")

;; Isabela Kalil - Minha contribuição em fio sobre o caso da menina de 10 anos (e sobre Paulo Guedes/Damares Alves):
;; https://threadreaderapp.com/thread/1295429936833060866.html

;; Isabela Kalil: Notas sobre ‘Os Fins da Democracia’: etnografar protestos, manifestações e enfrentamentos políticos
;; https://journals.openedition.org/pontourbe/3933 




;; «delauretis» (to ".delauretis")
;; (find-books "__gender/__gender.el" "delauretis")
(code-pdf       "dltog" "~/books/__gender/de_lauretis__technologies_of_gender.pdf")
(code-pdftotext "dltog" "~/books/__gender/de_lauretis__technologies_of_gender.pdf" 13)
;; (find-dltogpage)
;; (find-dltogpage         6  "Contents")
;; (find-dltogpage         8  "Preface")
;; (find-dltogpage (+ 13 149) "Index of names")
;; (find-dltogtext "")



;; «despentes» (to ".despentes")
;; (find-books "__gender/__gender.el" "despentes")
(code-pdf       "tkkes" "~/books/__gender/despentes__teoria_king_kong.pdf")
(code-pdftotext "tkkes" "~/books/__gender/despentes__teoria_king_kong.pdf" 1)
;; (find-tkkespage)
;; (find-tkkespage        1  "Contents")
;; (find-tkkespage (+ 1 189) "Index")
;; (find-tkkestext "")



;; «explosaof» (to ".explosaof")
;; (find-books "__gender/__gender.el" "explosaof")
(code-pdf       "explosaof" "~/books/__gender/explosao_feminista.pdf")
(code-pdftotext "explosaof" "~/books/__gender/explosao_feminista.pdf" 1)
;; (find-explosaofpage)
;; (find-explosaofpage (+   -2   9) "Sumário")
;; (find-explosaofpage (+ -169 343) "Transfeminismo")
;; (find-explosaofpage (+ -197 400) "Feminismo radical" "Eloisa Samy")
;; (find-explosaoftext "")



;; «femenias» (to ".femenias")
;; (find-books "__gender/__gender.el" "femenias")
(code-pdf       "ssyg" "~/books/__gender/femenias__sobre_sujeto_y_genero.pdf")
(code-pdftotext "ssyg" "~/books/__gender/femenias__sobre_sujeto_y_genero.pdf" -4)
;; (find-ssygpage)
;; (find-ssygpage (+ -4   9) "Agradecimientos")
;; (find-ssygpage (+ -4  13) "Introduccíon")
;; (find-ssygpage (+ -4  51) "1. El problema del sujeto")
;; (find-ssygpage (+ -4 283) "Balance provisorio")
;; (find-ssygtext "")



;; «friedman-valenti» (to ".friedman-valenti")
;; friedman_valenti__yes_means_yes.pdf
;; Yes Means Yes: Visions of Female Sexual Power and A World Without Rape
;; Jaclyn Friedman, Jessica Valenti
;; http://www.amazon.com/Yes-Means-Visions-Female-Without/dp/1580052576


;; «foucault»  (to ".foucault")
;; (find-books "__gender/__gender.el" "foucault")
(code-pdf-page "histsexuality" "~/books/__gender/foucault__the_history_of_sexuality__all_3_vols.pdf")
(code-pdf-text "histsexuality" "~/books/__gender/foucault__the_history_of_sexuality__all_3_vols.pdf" 1)
;; (find-histsexualitypage)
;; (find-histsexualitypage          3  "Volume 1: An introduction")
;; (find-histsexualitypage          7  "Volume 1: Contents")
;; (find-histsexualitypage (+   7   1) "Part I: We `other victorians'")
;; (find-histsexualitypage (+   7 161) "Index")
;; (find-histsexualitypage        177  "Volume 2: The use of pleasure")
;; (find-histsexualitypage        182  "Volume 2: Contents")
;; (find-histsexualitypage (+ 182 281) "Index")
;; (find-histsexualitypage        477  "Volume 3: The use of pleasure")
;; (find-histsexualitypage        479  "Volume 3: Contents")
;; (find-histsexualitypage (+ 470 267) "Index")
;; (find-histsexualitytext "")

;; <foucault>
;; (find-books "__gender/__gender.el" "foucault")
(code-pdf-page "histsex1" "~/books/__gender/foucault_historia_da_sexualidade_1.pdf")
(code-pdf-text "histsex1" "~/books/__gender/foucault_historia_da_sexualidade_1.pdf" 1)
;; (find-histsex1page)
;; (find-histsex1page          2  "Contents")
;; (find-histsex1page (+ -10  19) "II. A hipótese repressiva")
;; (find-histsex1page (+ -19  37) "2. A implantação perversa")
;; (find-histsex1page (+ -22  43)   "2. Esta nova caça às sexualidades periféricas")
;; (find-histsex1page (+ -26  51) "III. Scientia sexualis")
;; (find-histsex1page (+ -37  73) "IV. O dispositivo da sexualidade")
;; (find-histsex1page (+ -40  79) "1. O que está em jogo")
;; (find-histsex1page (+ -44  88) "2. Método")
;; (find-histsex1page (+ -47  93)   "1. Regra de imanência")
;; (find-histsex1page (+ -47  94)   "2. Regra das variações contínuas")
;; (find-histsex1page (+ -48  95)   "3. Regra do duplo condicionamento")
;; (find-histsex1page (+ -48  95)   "4. Regra da polivalência tática dos discursos")
;; (find-histsex1page (+ -48  96)     "textos sobre a sodomia")
;; (find-histsex1page (+ -49  98) "3. Domínio")
;; (find-histsex1page (+ -50  99)   "Histerização dos corpos das mulheres")
;; (find-histsex1page (+ -50  99)   "Pedagogização do sexo da criança")
;; (find-histsex1page (+ -50 100)   "Psiquiatrização do prazer perverso")
;; (find-histsex1page (+ -50 100)   "dispositivo de aliança")
;; (find-histsex1page (+ -53 105)   "Charcot")
;; (find-histsex1page (+ -55 109) "4. Periodização")
;; (find-histsex1page (+ -56 111)   "A Psychopatia sexualis de Heinrich Kaan")
;; (find-histsex1page (+ -56 112)   "responsabilidade biológica com relação à espécie")
;; (find-histsex1page (+ -56 112)   "perversão-hereditariedade-degenerescência")

;; (find-histsex1page (+ -22 43) "2. Esta nova caça às sexualidades periféricas")
;;
;; Esta nova caça às sexualidades periféricas provoca a
;; incorporação das perversões e nova especificação dos
;; indivíduos. A sodomia - a dos antigos direito civil ou
;; canônico - era um tipo de ato interdito e o autor não passava
;; de seu sujeito jurídico. O homossexual do século XIX torna-se
;; uma personagem: um passado, uma história, uma infância, um
;; caráter, uma forma de vida; também é morfologia, com uma
;; anatomia indiscreta e, talvez, uma fisiologia misteriosa. Nada
;; daquilo que ele é, no fim das contas, escapa à sua
;; sexualidade. Ela está presente nele todo: subjacente a todas as
;; suas condutas, já que ela é o princípio insidioso e
;; infinitamente ativo das mesmas; inscrita sem pudor na sua face e no
;; seu corpo, uma vez que é um segredo que se trai sempre. É-lhe
;; consubstancial, não tanto como pecado habitual, porém como
;; natureza singular. É necessário não esquecer que a
;; categoria psicológica, psiquiátrica e médica da
;; homossexualidade constitui-se no dia em que foi caracterizada - o
;; famoso artigo de Westphal em 1870, sobre as "sensações
;; sexuais contrárias" pode servir de data natalícia - menos
;; como um tipo de relações sexuais uma certa maneira de
;; interverter, em si mesmo, o masculino e o feminino. A
;; homossexualidade apareceu como uma das figuras da sexualidade
;; quando foi transferida, da prática da sodomia, para uma
;; espécie de androginia interior, um hermafroditismo da alma. O
;; sodomita era um reincidente, agora o homossexual é uma
;; espécie.

(code-pdf-page "histsex2" "~/books/__gender/foucault_historia_da_sexualidade_1.pdf")
(code-pdf-text "histsex2" "~/books/__gender/foucault_historia_da_sexualidade_1.pdf" 1)
;; (find-histsex2page)
;; (find-histsex2page        1  "Contents")
;; (find-histsex2page (+ 1 189) "Index")
;; (find-histsex2text "")

(code-pdf-page "histsex3" "~/books/__gender/foucault_historia_da_sexualidade_1.pdf")
(code-pdf-text "histsex3" "~/books/__gender/foucault_historia_da_sexualidade_1.pdf" 1)
;; (find-histsex3page)
;; (find-histsex3page        1  "Contents")
;; (find-histsex3page (+ 1 189) "Index")
;; (find-histsex3text "")





;; «gilligan» (to ".gilligan")
;; (find-books "__gender/__gender.el" "gilligan")
(code-pdf       "inadiffvoice" "~/books/__gender/gilligan__in_a_different_voice.pdf")
(code-pdftotext "inadiffvoice" "~/books/__gender/gilligan__in_a_different_voice.pdf" 13)
;; (find-inadiffvoicepage)
;; (find-inadiffvoicepage        8  "Contents")
;; (find-inadiffvoicepage (+ 13 45) "Amy and Jake")
;; (find-inadiffvoicetext (+ 13 45) "Amy and Jake")
;; (find-inadiffvoicepage (+ 1 189) "Index")
;; (find-inadiffvoicetext "")



;; «greene»  (to ".greene")
;; https://medium.com/s/man-interrupted/why-do-we-murder-the-beautiful-friendships-of-boys-3ad722942755
;; https://www.amazon.com/Remaking-Manhood-Stories-Front-Change/dp/1530817064
;; https://goodmenproject.com/featured-content/the-first-myth-of-patriarchy-the-acorn-on-the-pillow/
;; https://goodmenproject.com/author/mark-greene
;; https://goodmenproject.com/featured-content/conversation-male-violence-mkdn/
;; https://goodmenproject.com/featured-content/the-history-of-the-man-box-megasahd/
;; https://goodmenproject.com/featured-content/megasahd-escape-the-act-like-a-man-box/
;; https://goodmenproject.com/featured-content/backlash-against-equality-megasahd/
;; https://goodmenproject.com/featured-content/megasahd-touch-isolation-how-homophobia-has-robbed-men-of-touch/
;; https://goodmenproject.com/featured-content/megasahd-the-lack-of-gentle-platonic-touch-in-mens-lives-is-a-killer/
;; https://goodmenproject.com/featured-content/love-after-domestic-abuse-can-you-trust-again/
;; https://goodmenproject.com/featured-content/megasahd-our-societys-brutal-economic-message-to-straight-men-about-expressing-gender-differently-youd-better-not/
;; https://goodmenproject.com/featured-content/why-men-keep-demanding-megasahd/ 
;; https://goodmenproject.com/featured-content/megasahd-man-box-the-link-between-emotional-suppression-and-male-violence/
;; https://humanparts.medium.com/why-do-we-murder-the-beautiful-friendships-of-boys-3ad722942755



;; «kennedy» (to ".kennedy")
;; Duncan Kennedy: Sexy Dressing etc
;; Sexual Abuse, Sexy Dressing and the Eroticization of Domination
;; http://duncankennedy.net/documents/Photo%20articles/Sexual%20Abuse,%20Sexy%20Dressing%20and%20the%20Eroticization%20of%20Domination.pdf
;; (find-fline "$S/http/duncankennedy.net/documents/Photo%20articles/")
(code-xpdf     "kennedysd" "$S/http/duncankennedy.net/documents/Photo%20articles/Sexual%20Abuse,%20Sexy%20Dressing%20and%20the%20Eroticization%20of%20Domination.pdf")
(code-pdf-text "kennedysd" "$S/http/duncankennedy.net/documents/Photo%20articles/Sexual%20Abuse,%20Sexy%20Dressing%20and%20the%20Eroticization%20of%20Domination.pdf")
;; (find-kennedysdpage (+ -1308 1309))
;; (find-kennedysdpage (+ -1308 1350))




;; «kulick» (to ".kulick")
;; (find-books "__gender/__gender.el" "kulick")
(code-pdf       "kulick" "~/books/__gender/kulick__travesti_prostituicao_sexo_e_cultura_no_brasil.pdf")
(code-pdftotext "kulick" "~/books/__gender/kulick__travesti_prostituicao_sexo_e_cultura_no_brasil.pdf" 1)
;; (find-kulickpage)
;; (find-kulickpage        1  "Contents")
;; (find-kulickpage (+ 1 189) "Index")
;; (find-kulicktext "")



;; «liber-queer»  (to ".liber-queer")
;; (find-books "__gender/__gender.el" "liber-queer")
(code-pdf-page "liberqueer" "~/books/__gender/liber_queer.pdf")
(code-pdf-text "liberqueer" "~/books/__gender/liber_queer.pdf" 1)
;; (find-liberqueerpage)
;; (find-liberqueerpage 5 "Sumário")
;; (find-liberqueertext 5 "Sumário")
;; (find-liberqueerpage (+ 1   9) "1. Introdução")
;; (find-liberqueerpage (+ 1  12) "2. Ancestrais da Viada Chama")
;; (find-liberqueerpage (+ 1  15) "3. Veado de 7 Chifres")
;; (find-liberqueerpage (+ 1  17) "4. O Garanhão de Chifre")
;; (find-liberqueerpage (+ 1  19) "5. Fortalecendo a si com a Viada Chama")
;; (find-liberqueerpage (+ 1  23) "6. O Gênero na Magia")
;; (find-liberqueerpage (+ 1  24) "Gênero Feminino na Magia")
;; (find-liberqueerpage (+ 1  25) "Gênero Masculino na Magia")
;; (find-liberqueerpage (+ 1  26) "Gênero Não Binário na Magia")
;; (find-liberqueerpage (+ 1  27) "Equilíbrio entre Gêneros")
;; (find-liberqueerpage (+ 1  28) "Gênero enquanto construção social")
;; (find-liberqueerpage (+ 1  29) "Gênero no novo Æon")
;; (find-liberqueerpage (+ 1  30) "7. Manifesto por uma Bruxaria Queer Inclusiva")
;; (find-liberqueerpage (+ 1  33) "8. A Sereia e a Mulher Trans")
;; (find-liberqueerpage (+ 1  36) "9. Inanna - Mãe das Travestis")
;; (find-liberqueerpage (+ 1  41) "A Poesia Suméria")
;; (find-liberqueerpage (+ 1  52) "Inanna: Reforçadora da Heteronormatividade ou Legitimadora da Não-heteronormatividade?")
;; (find-liberqueerpage (+ 1  54) "1 - As Gala: Pênis + Cu")
;; (find-liberqueerpage (+ 1  55) "2 - Us Kurgarr: Nem Homem nem Mulher")
;; (find-liberqueerpage (+ 1  56) "3 - Os Assinnu: Eunucos")
;; (find-liberqueerpage (+ 1  58) "4 - Evidência da não heteronormatividade")
;; (find-liberqueerpage (+ 1  61) "10. Manifesto-Estético sobre o Sagrado Transviado")
;; (find-liberqueerpage (+ 1  65) "Um cântico de Inanna e Dumuzid")
;; (find-liberqueerpage (+ 1  68) "Servidores Mágicos")
;; (find-liberqueerpage (+ 1  73) "A exaltação de Inanna - Mãe de todas as travas")
;; (find-liberqueerpage (+ 1  77) "11. Por um Sagrado Transviado")
;; (find-liberqueerpage (+ 1  78) "Corpos transviados, corpos sagrados")
;; (find-liberqueerpage (+ 1  87) "A empiria do Sagrado Transviado na Gruta das Deusas")
;; (find-liberqueerpage (+ 1  92) "12. Sagrado Masculino e Homens Trans")
;; (find-liberqueerpage (+ 1  93) "Emoções, Linguagem e Abertura")
;; (find-liberqueerpage (+ 1  94) "Falo, Sêmen e Magia")
;; (find-liberqueerpage (+ 1  95) "Ciclos Solares")
;; (find-liberqueerpage (+ 1  96) "Diário Solar")
;; (find-liberqueerpage (+ 1  97) "Exemplo de modelo de escrita diária")
;; (find-liberqueerpage (+ 1  98) "Instrumentos de Poder Masculinos")
;; (find-liberqueerpage (+ 1 102) "13. Genderfluid: a Ponte Divina Entre os Polos")
;; (find-liberqueerpage (+ 1 110) "14. Empoderamento LGBT e Magia")
;; (find-liberqueerpage (+ 1 114) "15. Drag Queens e Magia")
;; (find-liberqueerpage (+ 1 119) "16. O Queer na Cultura Nórdica")
;; (find-liberqueerpage (+ 1 123) "17. Religio Antinoi")
;; (find-liberqueerpage (+ 1 124) "A Viagem Imperial para o Oriente")
;; (find-liberqueerpage (+ 1 127) "A Morte de Antinous")
;; (find-liberqueerpage (+ 1 129) "A Dei cação de Antinous")
;; (find-liberqueerpage (+ 1 133) "A Religião de Antinous")
;; (find-liberqueerpage (+ 1 134) "A Cidade de Antinópolis")
;; (find-liberqueerpage (+ 1 145) "Estrela de Antinous")
;; (find-liberqueerpage (+ 1 154) "18. Dioniso")
;; (find-liberqueerpage (+ 1 157) "19. Xamã: Genero Neutro?")
;; (find-liberqueerpage (+ 1 167) "20. Um Ato de Liberdade")
;; (find-liberqueerpage (+ 1 170) "21. Entidades Queer")
;; (find-liberqueerpage (+ 1 171) "Lil, Lilitu e Lilith")
;; (find-liberqueerpage (+ 1 172) "Logun Edé e Oxumarê")
;; (find-liberqueerpage (+ 1 172) "Inanna")
;; (find-liberqueerpage (+ 1 172) "Hapi")
;; (find-liberqueerpage (+ 1 173) "Uanana")
;; (find-liberqueerpage (+ 1 173) "Harihara")
;; (find-liberqueerpage (+ 1 173) "Antínoo")
;; (find-liberqueerpage (+ 1 174) "Chaos")
;; (find-liberqueerpage (+ 1 174) "Hermes, Mercúrio")
;; (find-liberqueerpage (+ 1 174) "Hermafrodito")
;; (find-liberqueerpage (+ 1 174) "Sedna")
;; (find-liberqueerpage (+ 1 175) "Caenus, Himeneu, Zeus")
;; (find-liberqueerpage (+ 1 175) "Frey, Odin")
;; (find-liberqueerpage (+ 1 175) "Gwydion, Gilfaethwy")
;; (find-liberqueerpage (+ 1 176) "Zéfiro")
;; (find-liberqueerpage (+ 1 176) "Dioniso")
;; (find-liberqueerpage (+ 1 176) "Loki")
;; (find-liberqueerpage (+ 1 177) "Santos Queer")
;; (find-liberqueerpage (+ 1 178) "22. Rituais Queer")
;; (find-liberqueerpage (+ 1 178) "Conectando a Aura Viada à Chama Púrpura")
;; (find-liberqueerpage (+ 1 188) "Consagração de Antínoo")
;; (find-liberqueerpage (+ 1 191) "As Luas de Antínoo")
;; (find-liberqueerpage (+ 1 199) "Ritual de Cura da Coroa Solar")
;; (find-liberqueerpage (+ 1 200) "Bênção Divina")
;; (find-liberqueerpage (+ 1 201) "Carga de Uanana")
;; (find-liberqueerpage (+ 1 201) "Sincronia das Ondas")
;; (find-liberqueerpage (+ 1 203) "Espelho dos Polos")
;; (find-liberqueerpage (+ 1 204) "Energia LGBTQI+")
;; (find-liberqueerpage (+ 1 206) "Ritual de Fortalecimento LGBT")
;; (find-liberqueerpage (+ 1 208) "23. Os Autores")
;; (find-liberqueerpage (+ 1 212) "24. Referências")
;; (find-liberqueertext "")



;; «longino» (to ".longino")
;; (find-books "__gender/__gender.el" "longino")
(code-pdf       "longino" "~/books/__gender/longino__how_scientists_investigate_aggression_and_sexuality.pdf")
(code-pdftotext "longino" "~/books/__gender/longino__how_scientists_investigate_aggression_and_sexuality.pdf" 1)
;; (find-longinopage)
;; (find-longinopage         8  "Contents")
;; (find-longinopage (+ 13 239) "Subject Index")
;; (find-longinotext "")



;; «lowenkron»  (to ".lowenkron")
;; (find-books "__gender/__gender.el" "lowenkron")
;; https://www.scielo.br/scielo.php?script=sci_arttext&pid=S0104-93132015000200462
;; https://www.academia.edu/4279458/O_monstro_contempor%C3%A2neo_a_constru%C3%A7%C3%A3o_social_da_pedofilia_em_m%C3%BAltiplos_planos
;; https://www.ims.uerj.br/pos-graduacao/corpo-docente/laura-lowenkron/
;; https://uerj.academia.edu/LauraLowenkron
;; https://scholar.google.com.br/citations?user=ST3Tv9wAAAAJ&hl=pt-BR
(code-pdf-page "lowenkron" "~/books/__gender/lowenkron__o_monstro_contemporaneo_a_construcao_social_da_pedofilia_em_multiplos_planos.pdf")
(code-pdf-text "lowenkron" "~/books/__gender/lowenkron__o_monstro_contemporaneo_a_construcao_social_da_pedofilia_em_multiplos_planos.pdf" 1)
;; (find-lowenkronpage)
;; (find-lowenkronpage      12  "SUMÁRIO")
;; (find-lowenkrontext      12  "SUMÁRIO")
;; (find-lowenkronpage (+ 13 1) "Introdução")
;; (find-lowenkronpage (+ 13 8) "A construção social da pedofilia em múltiplos planos, partes e capítulos")
;; (find-lowenkronpage (+ 13 14) "CONTEMPORÂNEO")
;; (find-lowenkronpage (+ 13 20) "1. Infâncias, sexualidades e violências")
;; (find-lowenkronpage (+ 13 20) "1.1 Fábrica de crianças: da infância inocente ao sujeito de direitos especiais")
;; (find-lowenkronpage (+ 13 30) "1.2 Fabricação da violência sexual contra crianças: da imoralidade à violação de direitos")
;; (find-lowenkronpage (+ 13 41) "2. Abuso sexual infantil, exploração sexual de crianças, pedofilia: diferentes nomes, diferentes problemas?")
;; (find-lowenkronpage (+ 13 55) "2.1 Abuso sexual infantil")
;; (find-lowenkronpage (+ 13 65) "2.2 Exploração sexual de crianças e adolescentes")
;; (find-lowenkronpage (+ 13 74) "2.3 Pedofilia")
;; (find-lowenkronpage (+ 13 94) "PARTE II - A CONSTRUÇÃO DA PEDOFILIA COMO CAUSA POLÍTICA")
;; (find-lowenkronpage (+ 13 110) "3. CPI da Pedofilia: arena pública das emoções")
;; (find-lowenkronpage (+ 13 123) "4. Dissecando o monstro: a construção da pedofilia entre a patologia e o crime")
;; (find-lowenkronpage (+ 13 132) "4.1 Entre a patologia e o crime (PLS nº 177 de 2009)")
;; (find-lowenkronpage (+ 13 152) "5. O combate à pedofilia na internet")
;; (find-lowenkronpage (+ 13 159) "5.1 Entre a fantasia e a realidade (PLS nº 250 de 2008)")
;; (find-lowenkronpage (+ 13 169) "5.2 CPI da Pedofilia vs. Google: o caso Orkut")
;; (find-lowenkronpage (+ 13 187) "PARTE III - A CONSTRUÇÃO DA PEDOFILIA COMO CASO DE POLÍCIA")
;; (find-lowenkronpage (+ 13 207) "6. ÁREA RESERVADA: uma antropóloga em meio a espaços restritos e documentos secretos")
;; (find-lowenkronpage (+ 13 218) "6.1 Uma pesquisa antropológica autorizada judicialmente")
;; (find-lowenkronpage (+ 13 226) "6.2. Entre o segredo de justiça e o segredo de polícia")
;; (find-lowenkronpage (+ 13 235) "7. Investigação policial e a construção da materialidade")
;; (find-lowenkronpage (+ 13 237) "7.1 Dos sentimentos subjetivos às provas objetivas")
;; (find-lowenkronpage (+ 13 248) "7.2 Da materialidade dos corpos à materialidade do crime")
;; (find-lowenkronpage (+ 13 271) "7.3. Caçando online ou teclando com o inimigo")
;; (find-lowenkronpage (+ 13 283) "8. O inquérito policial e a construção da autoria")
;; (find-lowenkronpage (+ 13 288) "8.1 Arquitetura do inquérito policial")
;; (find-lowenkronpage (+ 13 299) "8.2 Operações, casos e acasos")
;; (find-lowenkronpage (+ 13 337) "Considerações Finais: "TODOS CONTRA A PEDOFILIA"")
;; (find-lowenkronpage (+ 13 349) "Referências bibliográficas")
;; (find-lowenkronpage (+ 13 365) "TABELAS: Legislação")
;; (find-lowenkronpage (+ 13 365) "Tabela I - "abuso sexual infantil"")
;; (find-lowenkronpage (+ 13 365) "Tabela II - "prostituição infantil"/"exploração sexual de crianças e adolescentes"")
;; (find-lowenkronpage (+ 13 366) "Tabela III - "pornografia infantil"/"pedofilia"")
;; (find-lowenkronpage (+ 13 369) "ANEXOS")
;; (find-lowenkronpage (+ 13 369) "ANEXO I - CPI DA PEDOFILIA EM NÚMEROS")
;; (find-lowenkronpage (+ 13 370) "ANEXO II - PROJETOS DE LEI APRESENTADOS PELA CPI DA PEDOFILIA")
;; (find-lowenkronpage (+ 13 372) "ANEXO III - REUNIÕES DA CPI DA PEDOFILIA NO SENADO FEDERAL")
;; (find-lowenkronpage (+ 13 379) "ANEXO V - PRINCIPAIS CASOS INVESTIGADOS PELA CPI DA PEDOFILIA")
;; (find-lowenkronpage (+ 13 381) "ANEXO VI - GLOSSÁRIO DE TERMOS DE INFORMÁTICA")
;; (find-lowenkrontext "")




;; «manne»  (to ".manne")
;; (find-books "__gender/__gender.el" "manne")
;; http://www.katemanne.net/down-girl.html
;; https://www.theguardian.com/books/2017/dec/20/down-girl-kate-manne-review
;; https://www.hypatiareviews.org/reviews/content/368
;; https://journals.openedition.org/lectures/28767
(code-pdf-page "downgirl" "~/books/__gender/manne__down_girl_the_logic_of_misogyny.pdf")
(code-pdf-text "downgirl" "~/books/__gender/manne__down_girl_the_logic_of_misogyny.pdf" 1)
;; (find-downgirlpage)
;; (find-downgirlpage        4  "Contents")
;; (find-downgirltext        4  "Contents")
;; (find-downgirlpage 78 "SEXISM VS. MISOGYNY")
;; (find-downgirltext 78 "SEXISM VS. MISOGYNY")
;; (find-downgirlpage (+ 1 189) "Index")
;; (find-downgirltext "")




;; «namaste» (to ".namaste")
;; http://www.amazon.com/Sex-Change-Social-Reflections-Institutions/dp/0889614830/ref=dp_ob_title_bk
;; http://humanities.miami.edu/media/college-of-arts-and-sciences/content-assets/center-for-humanities/docs/irg-pdfs/Namaste%20Sex%20Change001.pdf
;; namaste__sex_change_social_change.pdf


;; «mccormick»  (to ".mccormick")
;; (find-books "__gender/__gender.el" "mccormick")
;; https://www.atlasobscura.com/articles/regency-gay-bar-molly-houses
(code-pdf-page "secretsexualities" "~/books/__gender/mccormick__secret_sexualities_a_sourcebook_of_17th_and_18th_century_writing.pdf")
(code-pdf-text "secretsexualities" "~/books/__gender/mccormick__secret_sexualities_a_sourcebook_of_17th_and_18th_century_writing.pdf" 11)
;; (find-secretsexualitiespage)
;; (find-secretsexualitiespage        8  "Contents")
;; (find-secretsexualitiespage (+ 1 189) "Index")
;; (find-secretsexualitiespage (+ 11 119) "sodomy surpassed all other\ncrimes")
;; (find-secretsexualitiestext (+ 11 119) "sodomy surpassed all other\ncrimes")
;; (find-secretsexualitiestext "")





;; «oliveira» (to ".oliveira")
;; http://www.bibliotecadigital.unicamp.br/document/?code=000960947&fd=y
;; oliveira__historicizacao_e_institucionalizacao_das_masculinidades_no_Brasil.pdf
;; https://www.facebook.com/groups/judithbutler/permalink/479851075548356/
;; (find-books "__gender/__gender.el" "oliveira")
(code-pdf       "himb" "~/books/__gender/oliveira__historicizacao_e_institucionalizacao_das_masculinidades_no_Brasil.pdf")
(code-pdftotext "himb" "~/books/__gender/oliveira__historicizacao_e_institucionalizacao_das_masculinidades_no_Brasil.pdf" 1)
;; (find-himbpage)
;; (find-himbpage        1  "Contents")
;; (find-himbpage (+ 1 189) "Index")
;; (find-himbtext "")



;; «paglia» (to ".paglia")
;; (find-books "__gender/__gender.el" "paglia")
(code-pdf       "saaac" "~/books/__gender/paglia__sex_art_and_american_culture.pdf")
(code-pdftotext "saaac" "~/books/__gender/paglia__sex_art_and_american_culture.pdf" 16)
;; (find-saaacpage)
;; (find-saaacpage         7  "Contents")
;; (find-saaactext         7  "Contents")
;; (find-saaacpage         9  "Introduction")
;; (find-saaactext         9  "Introduction")
;; (find-saaacpage (+ 16 3) "MADONNA I: ANIMALITY AND ARTIFICE")
;; (find-saaactext (+ 16 3) "MADONNA I: ANIMALITY AND ARTIFICE")
;; (find-saaacpage (+ 16 6) "MADONNA II: VENUS OF THE RADIO WAVES")
;; (find-saaactext (+ 16 6) "MADONNA II: VENUS OF THE RADIO WAVES")
;; (find-saaacpage (+ 16 14) "ELIZABETH TAYLOR: HOLLYWOOD'S PAGAN QUEEN")
;; (find-saaactext (+ 16 14) "ELIZABETH TAYLOR: HOLLYWOOD'S PAGAN QUEEN")
;; (find-saaacpage (+ 16 19) "ROCK AS ART")
;; (find-saaactext (+ 16 19) "ROCK AS ART")
;; (find-saaacpage (+ 16 22) "HOMOSEXUALITY AT THE FIN DE SIECLE")
;; (find-saaactext (+ 16 22) "HOMOSEXUALITY AT THE FIN DE SIECLE")
;; (find-saaacpage (+ 16 26) "THE JOY OF PRESBYTERIAN SEX")
;; (find-saaactext (+ 16 26) "THE JOY OF PRESBYTERIAN SEX")
;; (find-saaacpage (+ 16 38) "THE BEAUTIFUL DECADENCE OF ROBERT MAPPLETHORPE-  A Response to Rochelle Gurstein")
;; (find-saaactext (+ 16 38) "THE BEAUTIFUL DECADENCE OF ROBERT MAPPLETHORPE-  A Response to Rochelle Gurstein")
;; (find-saaacpage (+ 16 46) "THE STRANGE CASE OF CLARENCE THOMAS AND ANITA HILL")
;; (find-saaactext (+ 16 46) "THE STRANGE CASE OF CLARENCE THOMAS AND ANITA HILL")
;; (find-saaacpage (+ 16 49) "RAPE AND MODERN SEX WAR")
;; (find-saaactext (+ 16 49) "RAPE AND MODERN SEX WAR")
;; (find-saaacpage (+ 16 55) "THE RAPE DEBATE, CONTINUED")
;; (find-saaactext (+ 16 55) "THE RAPE DEBATE, CONTINUED")
;; (find-saaacpage (+ 16 65)   "totally devastating")
;; (find-saaactext (+ 16 65)   "totally devastating")
;; (find-saaacpage (+ 16 72)   "separate from ethics")
;; (find-saaactext (+ 16 72)   "separate from ethics")
;; (find-saaacpage (+ 16 75) "CLEOPATRA SOLD DOWN THE RIVER - Lucy Hughes-Hallett's Cleopatra: Histories, Dreams and Distortions")
;; (find-saaactext (+ 16 75) "CLEOPATRA SOLD DOWN THE RIVER - Lucy Hughes-Hallett's Cleopatra: Histories, Dreams and Distortions")
;; (find-saaacpage (+ 16 79) "ALICE IN MUSCLE LAND - Samuel Wilson Fussel's Muscle: Confessions of an Unlikely Bodybuilder")
;; (find-saaactext (+ 16 79) "ALICE IN MUSCLE LAND - Samuel Wilson Fussel's Muscle: Confessions of an Unlikely Bodybuilder")
;; (find-saaacpage (+ 16 83) "THE CRITIC AT GRACEFUL EASE - Wendy Lesser's His Other Half: Men Looking at Women Through Art")
;; (find-saaactext (+ 16 83) "THE CRITIC AT GRACEFUL EASE - Wendy Lesser's His Other Half: Men Looking at Women Through Art")
;; (find-saaacpage (+ 16 86) "THE BIG UDDER - Suzanne Gordon's Prisoners of Men's Dreams")
;; (find-saaactext (+ 16 86) "THE BIG UDDER - Suzanne Gordon's Prisoners of Men's Dreams")
;; (find-saaacpage (+ 16 91) "BRANDO FLASHING - Richard Schickel's Brando: A Life in Our Times")
;; (find-saaactext (+ 16 91) "BRANDO FLASHING - Richard Schickel's Brando: A Life in Our Times")
;; (find-saaacpage (+ 16 96) "WHAT A DRAG - Marjorie Garber's Vested Interests: Cross-Dressing and Cultural Anxiety")
;; (find-saaactext (+ 16 96) "WHAT A DRAG - Marjorie Garber's Vested Interests: Cross-Dressing and Cultural Anxiety")
;; (find-saaacpage (+ 16 101) "SEXUAL PERSONAE: THE CANCELLED PREFACE")
;; (find-saaactext (+ 16 101) "SEXUAL PERSONAE: THE CANCELLED PREFACE")
;; (find-saaacpage (+ 16 125) "MILTON KESSLER: A MEMOIR")
;; (find-saaactext (+ 16 125) "MILTON KESSLER: A MEMOIR")
;; (find-saaacpage (+ 16 136) "EAST AND WEST: AN EXPERIMENT IN MULTICULTURALISM")
;; (find-saaactext (+ 16 136) "EAST AND WEST: AN EXPERIMENT IN MULTICULTURALISM")
;; (find-saaacpage (+ 16 17O) "JUNK BONDS AND CORPORATE RAIDERS: ACADEME IN THE HOUR OF THE WOLF")
;; (find-saaactext (+ 16 17O) "JUNK BONDS AND CORPORATE RAIDERS: ACADEME IN THE HOUR OF THE WOLF")
;; (find-saaacpage (+ 16 249) "THE MIT LECTURE: CRISIS IN THE AMERICAN UNIVERSITIES")
;; (find-saaactext (+ 16 249) "THE MIT LECTURE: CRISIS IN THE AMERICAN UNIVERSITIES")
;; (find-saaacpage (+ 16 260)   "aviator glasses")
;; (find-saaactext (+ 16 260)   "aviator glasses")
;; (find-saaacpage (+ 16 299) "APPENDICES")
;; (find-saaactext (+ 16 299) "APPENDICES")
;; (find-saaacpage (+ 16 3O1) "A Media History")
;; (find-saaactext (+ 16 3O1) "A Media History")
;; (find-saaacpage (+ 16 3O9) "Cartoon Personae")
;; (find-saaactext (+ 16 3O9) "Cartoon Personae")
;; (find-saaacpage (+ 16 315) "Profiles, Interviews, Debates, Exotica")
;; (find-saaactext (+ 16 315) "Profiles, Interviews, Debates, Exotica")
;; (find-saaacpage (+ 16 326) "INDEX")
;; (find-saaactext (+ 16 326) "INDEX")
;; (find-saaactext "")

;; «paglia-free»  (to ".paglia-free")
;; (find-books "__gender/__gender.el" "paglia-free")
(code-pdf-page "pagliafree" "~/books/__gender/paglia__free_women_free_men.pdf")
(code-pdf-text "pagliafree" "~/books/__gender/paglia__free_women_free_men.pdf" 1)
;; (find-pagliafreepage)
;; (find-pagliafreepage        5  "Contents")
;; (find-pagliafreepage (+ 1 189) "Index")
;; (find-pagliafreetext "")

;; «paglia-vt»  (to ".paglia-vt")
;; (find-books "__gender/__gender.el" "paglia")
(code-pdf-page "vampsandtramps" "~/books/__gender/paglia__vamps_and_tramps.pdf")
(code-pdf-text "vampsandtramps" "~/books/__gender/paglia__vamps_and_tramps.pdf" 1)
;; (find-vampsandtrampspage)
;; (find-vampsandtrampspage        1  "Contents")
;; (find-vampsandtrampspage (+ 1 189) "Index")
;; (find-vampsandtrampstext "")

;; «paglia-sp»  (to ".paglia-sp")
;; (find-books "__gender/__gender.el" "paglia")
(code-pdf-page "pagliasp" "~/books/__gender/paglia__sexual_personae.pdf")
(code-pdf-text "pagliasp" "~/books/__gender/paglia__sexual_personae.pdf" 1)
;; (find-pagliasppage)
;; (find-pagliasppage        8  "Contents")
;; (find-pagliasppage (+ 1 189) "Index")
;; (find-pagliasptext "")



;; «pereira»  (to ".pereira")
;; https://repositorio.unb.br/handle/10482/36124
;; https://repositorio.unb.br/bitstream/10482/36124/3/2019_BrunaCristinaJaquettoPereira.pdf
;; Bruna Cristina Jaquetto Pereira: "Dengos e zangas das
;; mulheres-moringa: vivências afetivo-sexuais de mulheres negras"
(code-pdf-page "dengosezangas" "$S/https/repositorio.unb.br/bitstream/10482/36124/3/2019_BrunaCristinaJaquettoPereira.pdf")
(code-pdf-text "dengosezangas" "$S/https/repositorio.unb.br/bitstream/10482/36124/3/2019_BrunaCristinaJaquettoPereira.pdf")
;; (find-dengosezangaspage)
;; (find-dengosezangastext)





;; «preciado» (to ".preciado")
;; (find-fline "~/books/__gender/")
(code-xpdf     "preciadomcs" "~/books/__gender/preciado__manifiesto_contra-sexual.pdf")
(code-pdf-text "preciadomcs" "~/books/__gender/preciado__manifiesto_contra-sexual.pdf")
;; (find-preciadomcspage)
;; (find-preciadomcstext)

;; (find-fline "~/books/__gender/")
(code-xpdf     "preciadoty" "~/books/__gender/preciado__testo_yonqui.pdf")
(code-pdf-text "preciadoty" "~/books/__gender/preciado__testo_yonqui.pdf")
;; (find-preciadotypage)
;; (find-preciadotypage 6 "Índice")
;; (find-preciadotypage (+ 5 179) "10. Pornopoder")
;; (find-preciadotypage (+ 5 185) "Pornificación del trabajo")
;; (find-preciadotypage (+ 5 189) "Paris Hilton en la cama con Max Weber")
;; (find-preciadotytext)



;; «ranniery»  (to ".ranniery")
;; (find-books "__gender/__gender.el" "ranniery")
;; http://periodicos.estacio.br/index.php/reeduc/article/view/6377/47967601
(code-pdf-page "rannierygntc" "~/books/__gender/ranniery__genero_nao_tem_cabimento.pdf")
(code-pdf-text "rannierygntc" "~/books/__gender/ranniery__genero_nao_tem_cabimento.pdf" 1)
;; (find-rannierygntcpage)
;; (find-rannierygntcpage        1  "Contents")
;; (find-rannierygntcpage (+ 1 189) "Index")
;; (find-rannierygntctext "")




;; «rich» (to ".rich")
;; (find-books "__gender/__gender.el" "rich")
(code-pdf       "richmotherhood" "~/books/__gender/rich__of_woman_born_motherhood_as_experience.pdf")
(code-pdftotext "richmotherhood" "~/books/__gender/rich__of_woman_born_motherhood_as_experience.pdf" 1)
;; (find-richmotherhoodpage)
;; (find-richmotherhoodpage        5  "Contents")
;; (find-richmotherhoodpage (+ 1 189) "Index")
;; (find-richmotherhoodtext "")



;; «rubin»  (to ".rubin")
;; (find-books "__gender/__gender.el" "rubin")
;; https://en.wikipedia.org/wiki/Gayle_Rubin
(code-pdf-page "rubinreader" "~/books/__gender/rubin__deviations_a_gayle_rubin_reader.pdf")
(code-pdf-text "rubinreader" "~/books/__gender/rubin__deviations_a_gayle_rubin_reader.pdf" 1)
;; (find-rubinreaderpage)
;; (find-rubinreaderpage         6  "Contents")
;; (find-rubinreadertext         6  "Contents")
;; (find-rubinreaderpage (+ 14 254) "11. Misguided, Dangerous, and Wrong")
;; (find-rubinreaderpage (+ 14 254) " An Analysis of Antipornography Politics")
;; (find-rubinreadertext "")




;; «sandoval» (to ".sandoval")
;; (find-books "__gender/__gender.el" "sandoval")
(code-pdf       "methop" "~/books/__gender/sandoval__methodology_of_the_oppressed.pdf")
(code-pdftotext "methop" "~/books/__gender/sandoval__methodology_of_the_oppressed.pdf" 10)
;; (find-methoppage)
;; (find-methoppage        10  "Contents")
;; (find-methoppage        18  "Introduction")
;; (find-methoppage (+ 17 235) "Index")
;; (find-methoptext "")




;; «serano» (to ".serano")
;; (find-books "__gender/__gender.el" "serano")
(code-pdf-page "whippinggirl" "~/books/__gender/serano__whipping_girl.pdf")
(code-pdf-text "whippinggirl" "~/books/__gender/serano__whipping_girl.pdf" 1)
;; (find-whippinggirlpage)
;; (find-whippinggirlpage        2  "Contents")
;; (find-whippinggirlpage (+ 1 189) "Index")
;; (find-whippinggirltext "")





;; https://learningtrans.files.wordpress.com/2011/01/serano-agreview-ijt.pdf
;; http://juliaserano.com/
;; http://juliaserano.com/outside.html
;; http://juliaserano.com/drawblood.html#cocky
;; http://softvowelsounds.com/lolaversusray.html
;; (find-booksfile "__gender/" "serano__whipping_girl")
;; (find-fline "~/Calibre Library/Julia Serano/Whipping Girl (1)/")
;; (find-LATEX "whipping-girl.tex")
(code-xpdf     "serano45" "~/LATEX/whipping-girl.pdf")
(code-dvi      "serano45" "~/LATEX/whipping-girl.dvi")
(code-pdf-text "serano45" "~/LATEX/whipping-girl.pdf")
;; (find-serano45page)
;; (find-serano45text)
(code-c-d "whipgirltxt" "~/books/__gender/serano__whipping_girl.txt")
;; (find-whipgirltxtfile "")
;; (find-whipgirltxtfile "" "far too terrified of the label \"transsexual")
;; (find-whipgirltxtfile "" "feeling at home in my own sexed body")
;; (find-whipgirltxtfile "" "It's invisible and (perhaps more relevantly)")
;; (find-whipgirltxtfile "" "If I offered you ten million dollars")
;; (find-whipgirltxtfile "" "It's just not\nnatural")
;; (find-whipgirltxtfile "" "view masculinity and maleness in purely erotic terms")
;; (find-whipgirltxtfile "" "My gender hypersensitivity reminds me")
;; (find-whipgirltxtfile "" "to take their own physically sexed bodies for granted")

;; (find-sh0 "F=serano__whipping_girl; rm -Rv /tmp/$F/")
;; (find-sh0 "F=serano__whipping_girl; cp $F.htmlz /tmp/; cd /tmp/; mkdir $F; unzip -d $F $F.htmlz")
;; file:///tmp/serano__whipping_girl/index.html



;; «sinner» (to ".sinner")
;; (find-books "__gender/__gender.el" "sinner")
;; https://www.academia.edu/35432792/VIA_DA_GENS_TEOL%C3%93GICAS_ITINER%C3%81RIOS_PARA_UMA_TEOLOGIA_QUEER_NO_BRASIL
(code-pdf       "viadagens" "~/books/__gender/sinner__via_da_gens_teologicas.pdf")
(code-pdftotext "viadagens" "~/books/__gender/sinner__via_da_gens_teologicas.pdf" 1)
;; (find-viadagenspage)
;; (find-viadagenspage        1  "Contents")
;; (find-viadagenspage (+ 1 189) "Index")
;; (find-viadagenstext "")



;; «spivak» (to ".spivak")
;; (find-books "__gender/__gender.el" "spivak")
(code-pdf       "spivakreader" "~/books/__gender/spivak__the_spivak_reader.pdf")
(code-pdftotext "spivakreader" "~/books/__gender/spivak__the_spivak_reader.pdf" 10)
;; (find-spivakreaderpage)
;; (find-spivakreaderpage         5  "Contents")
;; (find-spivakreaderpage (+ 10 323) "Index")
;; (find-spivakreadertext "")


;; «stabile»  (to ".stabile")
;; (find-books "__gender/__gender.el" "stabile")
(code-pdf-page "stabileideogen" "~/books/__gender/stabile__ideologia_de_genero_e_agendas_politicas.pdf")
(code-pdf-text "stabileideogen" "~/books/__gender/stabile__ideologia_de_genero_e_agendas_politicas.pdf" 1)
;; (find-stabileideogenpage)
;; (find-stabileideogenpage        1  "Contents")
;; (find-stabileideogenpage (+ 1 189) "Index")
;; (find-stabileideogentext "")



;; «thomson»  (to ".thomson")
;; https://www.jacobinmag.com/2020/11/judith-jarvis-thompson-obituary-abortion-essay Kitty Genovese
;; https://en.wikipedia.org/wiki/A_Defense_of_Abortion



;; «tramontano» (to ".tramontano")
;; (find-books "__gender/__gender.el" "tramontano")
(code-pdf-page "tramontano" "~/books/__gender/tramontano__testosterona_as_multiplas_faces_de_uma_molecula.pdf")
(code-pdf-text "tramontano" "~/books/__gender/tramontano__testosterona_as_multiplas_faces_de_uma_molecula.pdf" 1)
;; (find-tramontanopage)
;; (find-tramontanopage        1  "Contents")
;; (find-tramontanopage (+ 1 189) "Index")
;; (find-tramontanotext "")


;; «trevisan»  (to ".trevisan")
;; (find-books "__gender/__gender.el" "trevisan")
(code-pdf-page  "trevisandp4" "~/books/__gender/trevisan__devassos_no_paraiso_4a_ed.pdf")
(code-pdf-text8 "trevisandp4" "~/books/__gender/trevisan__devassos_no_paraiso_4a_ed.pdf" 1)
;; file:///home/edrx/books/__gender/trevisan__devassos_no_paraiso_4a_ed.pdf
;; (find-trevisandp4page)
;; (find-trevisandp4page        1  "Contents")
;; (find-trevisandp4page 5 "Sumário")
;; (find-trevisandp4text 5 "Sumário")
;; (find-trevisandp4text "")
;; (find-trevisandp4page 164 "médicos higienistas")
;; (find-trevisandp4text 164 "médicos higienistas")
;; (find-trevisandp4page 187 "19. Febrônio e Chrysóstomo")
;; (find-trevisandp4text 187 "19. Febrônio e Chrysóstomo")
;; (find-trevisandp4page 329 "30. Novas ideias no front")
;; (find-trevisandp4text 329 "30. Novas ideias no front")
;; (find-trevisandp4page 659 "Notas")
;; (find-trevisandp4text 659 "Notas")

;; 187-206



;; «van-creveld» (to ".van-creveld")
;; (find-books "__gender/__gender.el" "van-creveld")
(code-pdf       "sexoprivilegiado" "~/books/__gender/van_creveld__sexo_privilegiado_o_fim_do_mito_da_fragilidade_feminina.pdf")
(code-pdftotext "sexoprivilegiado" "~/books/__gender/van_creveld__sexo_privilegiado_o_fim_do_mito_da_fragilidade_feminina.pdf" 1)
;; (find-sexoprivilegiadopage)
;; (find-sexoprivilegiadopage        2  "Contents")
;; (find-sexoprivilegiadopage (+ 1 189) "Index")
;; (find-sexoprivilegiadotext "")


;; «velvetrage»  (to ".velvetrage")
;; (find-books "__gender/__gender.el" "velvetrage")
(code-pdf-page "velvetrage" "~/books/__gender/downs__the_velvet_rage_overcoming_the_pain_of_growing_up_gay_in_a_straight_man_s_world.pdf")
(code-pdf-text "velvetrage" "~/books/__gender/downs__the_velvet_rage_overcoming_the_pain_of_growing_up_gay_in_a_straight_man_s_world.pdf" 1)
;; (find-velvetragepage)
;; (find-velvetragepage        1  "Contents")
;; (find-velvetragepage (+ 1 189) "Index")
;; (find-velvetragetext "")



;; «way»  (to ".way")
;; (find-books "__gender/__gender.el" "way")
(code-pdf-page "boysfriendships" "~/books/__gender/way__deep_secrets_boys_friendships_and_the_crisis_of_connection.pdf")
(code-pdf-text "boysfriendships" "~/books/__gender/way__deep_secrets_boys_friendships_and_the_crisis_of_connection.pdf" 11)
;; (find-boysfriendshipspage)
;; (find-boysfriendshipspage        10  "Contents")
;; (find-boysfriendshipstext        10  "Contents")
;; (find-boysfriendshipspage (+ 11   1) "1. The Hidden Landscape of Boys' Friendships")
;; (find-boysfriendshipspage (+ 11  37) "2. Investigating Boys, Friendships, and Human Nature")
;; (find-boysfriendshipspage (+ 11  91) "3. Sometimes You Need to Spill Your Heart Out to Somebody")
;; (find-boysfriendshipspage (+ 11 117) "4. Boys with Feelings")
;; (find-boysfriendshipspage (+ 11 143) "5. Nick and George: Stories of Resistance")
;; (find-boysfriendshipspage (+ 11 183) "6. When You Grow Up, Your Heart Dies")
;; (find-boysfriendshipspage (+ 11 209) "7. As Boys Become Men")
;; (find-boysfriendshipspage (+ 11 229) "8. Fernando and Danny")
;; (find-boysfriendshipspage (+ 11 262) "9. The Crisis of Connection")
;; (find-boysfriendshipspage (+ 11 283) "Notes")
;; (find-boysfriendshipspage (+ 11 315) "Acknowledgments")
;; (find-boysfriendshipspage (+ 11 319) "Index")
;; (find-boysfriendshipstext "")





;; «wolf» (to ".wolf")
;; (find-books "__gender/__gender.el" "wolf")
(code-pdf       "mitodabeleza" "~/books/__gender/wolf__o_mito_da_beleza.pdf")
(code-pdftotext "mitodabeleza" "~/books/__gender/wolf__o_mito_da_beleza.pdf" 1)
;; (find-mitodabelezapage)
;; (find-mitodabelezapage        1  "Contents")
;; (find-mitodabelezapage (+ 1 189) "Index")
;; (find-mitodabelezatext "")






(code-pdf-page "gaylerubin" "~/books/__gender/Deviations A Gayle Rubin Reader.pdf")
(code-pdf-text "gaylerubin" "~/books/__gender/Deviations A Gayle Rubin Reader.pdf")
;; (find-gaylerubinpage)
;; (find-gaylerubinpage (+ 14 254) "An analysis of antipornography politics")
;; (find-gaylerubintext)
;; (find-gaylerubintext (+ 14 254))



;; http://burnaway.org/feature/theory-in-studio-judith-butler-and-the-politics-of-images/ 
;;
;; "Feminismo e pornografia: distanciamentos e aproximações e possíveis":
;;   http://www.ufpb.br/evento/lti/ocs/index.php/17redor/17redor/paper/viewFile/349/225
;; http://angg.twu.net/tmp/porn_studies_issue_1.zip
;; http://www.youtube.com/watch?v=vc-n852sv3E The laws that sex workers really want | Toni Mac
;; http://www.dazeddigital.com/artsandculture/article/28345/1/why-we-need-to-change-the-way-we-talk-about-sex-work


;; http://www.amazon.com/Desire-Women-Write-About-Wanting/dp/1580052142

;; https://www.dropbox.com/sh/g9ho9y46xjrvu10/AADK_zA83iqwxTGSGyNtcnPHa?dl=0 MASCULINIDADE (Rogério)

;; http://www.blogvirandoapagina.com.br/2015/05/resenha-entre-o-desejo-e-crueldade.html?m=1

;; http://pepsic.bvsalud.org/scielo.php?script=sci_issuetoc&pid=1519-549X20180003
;; Revista Psicologia Política - vol.18 no.43 São Paulo set./dez. 2018
;; Dossiê ideologia de gênero
;; https://www.facebook.com/rogerio.junqueira.1/posts/2390435397674344

;; https://www.yesmagazine.org/peace-justice/white-masculinity-toxic-trauma-20190424
;;
;; Excerpt from The Man They Wanted Me to Be: Toxic Masculinity and a
;; Crisis of Our Own Making by Jared Yates Sexton (Counterpoint Press,
;; May 7, 2019) published by permission of the publisher.
;;
;; https://www.amazon.com/gp/product/1640091815/ The Man They Wanted
;; Me to Be: Toxic Masculinity and a Crisis of Our Own Making

;; https://www.theatlantic.com/ideas/archive/2018/10/the-cruelty-is-the-point/572104/

;; https://editoratiradentes.com.br/e-book/genero-sexualidade-geracao.pdf
;; (find-fline    "$S/https/editoratiradentes.com.br/e-book/")
;; (find-pdf-page "$S/https/editoratiradentes.com.br/e-book/genero-sexualidade-geracao.pdf")
;; (find-pdf-text "$S/https/editoratiradentes.com.br/e-book/genero-sexualidade-geracao.pdf")
(code-pdf-page "gensexger" "$S/https/editoratiradentes.com.br/e-book/genero-sexualidade-geracao.pdf")
(code-pdf-text "gensexger" "$S/https/editoratiradentes.com.br/e-book/genero-sexualidade-geracao.pdf")
;; (find-gensexgerpage)
;; (find-gensexgertext)
;; (find-gensexgerpage 195)
;; (find-gensexgertext 195)

;; https://repositorio.ufmg.br/handle/1843/BUBD-ANHQ3Z
;; Wagner Francis Martiniano de Faria:
;; O currículo em ação da Educação Física: contribuições para a discussão de gênero no contexto escolar


;; http://www.tabiasolajuawon.com/writings/



;; https://www.scielo.br/pdf/se/v32n3/0102-6992-se-32-03-725.pdf
;; “Ideologia de gênero”: notas para a genealogia de um pânico moral
;; contemporâneo

;; http://marcoaureliosc.com.br/cineantropo/lauretis.pdf

;; https://seer.ufrgs.br/educacaoerealidade/article/view/71721/40667
;; GENERO: UMA CATEGORIA UTIL DE ANALISE HISTORICA

;; Não, Joan Scott nos anos 70 e a Teresa de Lauretis já conceituavam
;; a "ideologia de gênero", mas numa instância muito diferente da qual
;; ficou conhecida. Em Gênero como categoria útil, a Joan Scott fala
;; sobre isso e em Tecnologias de Gênero da Lauretis também. Os dois
;; tem traduzidos naquela coleção da Heloisa Buarque de Hollanda,
;; Pensamento feminista, dá uma olhada

;; A psiquiatrização do sexo não normativo: BDSM e a 5ª revisão do
;; Manual Diagnóstico e Estatístico de Doenças Mentais - The
;; psychiatrization of non- normative sex: BDSM and the 5 th revision
;; of the diagnostic and statistical manual of mental disorders
;; https://www.academia.edu/37454752/A_PSIQUIATRIZA%C3%87%C3%83O_DO_SEXO_N%C3%83O_NORMATIVO_BDSM_E_A_5a_REVIS%C3%83O_DO_MANUAL_DIAGN%C3%93STICO_E_ESTAT%C3%8DSTICO_DE_DOEN%C3%87AS_MENTAIS_THE_PSYCHIATRIZATION_OF_NON_NORMATIVE_SEX_BDSM_AND_THE_5_TH_REVISION_OF_THE_DIAGNOSTIC_AND_STATISTICAL_MANUAL_OF_MENTAL_DISORDERS?email_work_card=reading-history

;; https://hornet.com/stories/one-magazine-gay/
;; https://hornet.com/stories/gay-world-war-ii-love-letter/

;; https://revistaecopos.eco.ufrj.br/eco_pos/article/view/27616/pdf "Você fez, agora aguenta": Análise das narrativas de violência obstétrica no Facebook

;; https://www.scielo.br/j/rdp/a/MvZGhfXVyJJZB9csNyKCbhz/ A queima dos laudos: controvérsias e reconfigurações dos saberes e direitos trans na ADI 4275

;; https://www.ufrgs.br/ensinodareportagem/artigos/revistarealidade.pdf homossexualismo numa reportagem de Hamilton Almeida

;; https://www.nature.com/articles/518288a Sex redefined - The idea of two sexes is simplistic. Biologists now think there is a wider spectrum than that.
;; https://www.nature.com/articles/518288a.pdf



;;
;; Local Variables:
;; mode:   emacs-lisp
;; coding: utf-8-unix
;; End:
