#######
#
# E-scripts on asciidoc and asciidoctor.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/asciidoc.e>
#           or at <http://angg.twu.net/e/asciidoc.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.asciidoctor»	(to "asciidoctor")
# «.adoc-mode»		(to "adoc-mode")





#####
#
# asciidoctor
# 2022jan07
#
#####

# «asciidoctor»  (to ".asciidoctor")
# (find-es "fvwm" "asciidoctor")
# (find-angg ".fvwm/doc_Makefile")
# (find-status   "asciidoctor")
# (find-vldifile "asciidoctor.list")
# (find-udfile   "asciidoctor/")
# https://asciidoctor.org/
# https://asciidoctor.org/docs/asciidoctor-pdf/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
ruby --version

sudo gem install rghost
# sudo gem install hexpadf
sudo gem install text-hyphen
sudo gem install asciidoctor-pdf

gem which asciidoctor-pdf
command -v asciidoctor-pdf
asciidoctor-pdf -v





#####
#
# adoc-mode
# 2022jan07
#
#####

# «adoc-mode»  (to ".adoc-mode")
# (find-epackage-links 'adoc-mode "adocmode" t)
# (find-epackage       'adoc-mode)
# (code-c-d "adocmode" "~/.emacs.d/elpa/adoc-mode-20160314.2130/")
# (find-adocmodefile "")
# (require 'adoc-mode)








#  Local Variables:
#  coding:               utf-8-unix
#  End:
