#######
#
# E-scripts on auctex.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/auctex.e>
#           or at <http://angg.twu.net/e/auctex.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# (find-es "emacs" "auctex")
# (find-angg ".emacs" "auctex")






# (find-sh "locate -i auctex")
# (find-epackage-links 'auctex)
# (find-epackage       'auctex)
# (code-c-d "auctex" "~/.emacs.d/elpa/auctex-14.0.3/" "auctex")
# (find-auctexfile "")
# (find-auctexnode "")

# (find-eppp (mapcar 'car load-history) "auctex")
# (find-auctexfile "auctex.el")
# (find-auctexfile "auctex.el" ";; Edrx:")
# (find-auctexfile "auctex-autoloads.el")
# (find-auctexfile "auctex-autoloads.el" ";; Edrx:")

# (find-auctexnode "")
# (find-auctexnode "Installation")
# (find-auctexnode "Editing Facilities" "Inserting environments")
# (find-auctexnode "Mathematics" "(add-hook 'LaTeX-mode-hook 'LaTeX-math-mode)")
# (find-efunctiondescr 'LaTeX-math-mode)
# (find-efunction      'LaTeX-math-mode)
# (find-evardescr 'TeX-engine)
# (find-evariable 'TeX-engine)
# (find-evardescr 'TeX-view-program-selection)
# (find-evariable 'TeX-view-program-selection)

# (eek "M-h M-k  C-c C-c  ;; TeX-command-master")
# (find-efunctiondescr      'TeX-command-master)
# (find-efunction           'TeX-command-master)
# (eek "M-h M-k  C-c C-a  ;; TeX-command-run-all")
# (find-efunctiondescr      'TeX-command-run-all)
# (find-efunction           'TeX-command-run-all)

https://emacs.stackexchange.com/questions/19472/how-to-let-auctex-open-pdf-with-pdf-tools







#  Local Variables:
#  coding:               utf-8-unix
#  End:
