#######
#
# E-scripts on backup tools.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/backup.e>
#           or at <http://angg.twu.net/e/backup.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# (find-status   "unison")
# (find-vldifile "unison.list")
# (find-udfile   "unison/")
# (find-status   "unison-gtk")
# (find-vldifile "unison-gtk.list")
# (find-udfile   "unison-gtk/")
# (find-zsh "availabledebs | sort | grep unison")

# (find-status   "unison2.27.57")
# (find-vldifile "unison2.27.57.list")
# (find-udfile   "unison2.27.57/")
# (find-status   "unison2.27.57-gtk")
# (find-vldifile "unison2.27.57-gtk.list")
# (find-udfile   "unison2.27.57-gtk/")


# http://www.cis.upenn.edu/~bcpierce/unison/



backup

# (find-other-debian-links "backup")


afbackup
backintime
backup-manager
bup
dar
deja-dup
dirvish
duplicity
rdup


virtuoso

yabause



mkcue





#  Local Variables:
#  coding:               utf-8-unix
#  End:
