#######
#
# E-scripts on beamer.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/beamer.e>
#           or at <http://angg.twu.net/e/beamer.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.userguide»		(to "userguide")
# «.outer-themes»	(to "outer-themes")
# «.verbatim»		(to "verbatim")
# «.hyperref»		(to "hyperref")
# «.navigation»		(to "navigation")



# (find-es "tex" "beamer")
# (find-status   "latex-beamer")
# (find-vldifile "latex-beamer.list")
# (find-udfile   "latex-beamer/")
# (find-fline "/usr/share/doc/latex-beamer/solutions/")
# (find-zsh "installeddebs | sort | grep beamer")
# (find-zsh "availabledebs | sort | grep beamer")

# (find-fline "~/BEAMER/")
# (find-angg "bin/run-latex")




#####
#
# userguide
# 2014mar31
#
#####

# «userguide» (to ".userguide")
# (find-angg ".emacs" "beamer")
# (find-status   "latex-beamer")
# (find-vldifile "latex-beamer.list")
# (find-udfile   "latex-beamer/")

# (find-tlsh "find * | sort | grep beamer")
# (find-tlsh "find * | sort | grep beamerfonttheme")
# (find-fline "/usr/local/texlive/2019/texmf-dist/tex/latex/beamer/" "beamerfonttheme")
# (find-fline "/usr/local/texlive/2019/texmf-dist/tex/latex/beamer/beamerfontthemedefault.sty")
# (code-c-d "beameruserguide" "/usr/local/texlive/2019/texmf-dist/doc/latex/beamer/")
# (code-pdf-page "beameruserguide" "/usr/local/texlive/2019/texmf-dist/doc/latex/beamer/beameruserguide.pdf")
# (code-pdf-text "beameruserguide" "/usr/local/texlive/2019/texmf-dist/doc/latex/beamer/beameruserguide.pdf")
# (find-beameruserguidefile "")
# (find-beameruserguidepage)
# (find-beameruserguidetext)
# (find-beameruserguidepage 148 "\\usefonttheme")
# (find-beameruserguidetext 148 "\\usefonttheme")
# (find-beameruserguidepage 196 "18.1     Font Themes")
# (find-beameruserguidetext 196 "18.1     Font Themes")






#####
#
# Outer themes
# 2014mar24
#
#####

# «outer-themes» (to ".outer-themes")
# (find-beamerugpage 146 "Five Flavors of Themes")
# (find-beamerugtext 146 "Five Flavors of Themes")
# (find-beamerugpage 148 "Boadilla")
# (find-beamerugtext 148 "Boadilla")
# (find-beamerugpage 161 "Inner Themes, Outer Themes, and Templates")
# (find-beamerugtext 161 "Inner Themes, Outer Themes, and Templates")

# (find-beamerugpage 146)
# (find-beamerugtext 146)

# (find-BEAMERfile "foo-ornate.tex")
# (find-BEAMERfile "foo.tex")



#####
#
# verbatim
# 2014mar31
#
#####

# «verbatim» (to ".verbatim")
# (find-beamerugpage 27 "3.13    Verbatim Text")
# (find-beamerugtext 27 "3.13    Verbatim Text")



#####
#
# hyperref
# 2014apr12
#
#####

# «hyperref» (to ".hyperref")
# (find-es "tex" "hyperref")
# (find-angg ".emacs" "beamer")
# (find-beamerugpage 18 "hyperref=")
# (find-beamerugtext 18 "hyperref=")



#####
#
# navigation symbols
# 2014apr12
#
#####

# «navigation» (to ".navigation")
# (find-beamerugpage 73 "\\setbeamertemplate{navigation symbols}{}")
# (find-beamerugtext 73 "\\setbeamertemplate{navigation symbols}{}")




# (find-LATEX "2014sfc-slides.tex")
# (find-LATEX "2014sfc-slides2.tex")





#  Local Variables:
#  coding:               utf-8-unix
#  End:
