#######
#
# E-scripts on some BIS work.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/bis.e>
#           or at <http://angg.twu.net/e/bis.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





#####
#
# Eu vi primeiro
#
#####

rm -Rv /snarf/http/www.10minutos.com.br/viprimo/

cd /snarf/http/
wget -r -nc -np http://www.10minutos.com.br/viprimo/ -l 20 -X viprimo/comenta

cd /snarf/http/www.10minutos.com.br/viprimo/





#####
#
# Rock in Rio Cafe
#
#####

cd /snarf/http/
wget -r -nc -np http://www.rockinriocafe.com.br/ -l 20 -X historia

cd /snarf/http/www.rockinriocafe.com.br/

netscape /snarf/http/www.rockinriocafe.com.br/intro.htm &

# (code-c-d "rirc" "/snarf/http/www.rockinriocafe.com.br/")
# (find-rircfile "eventos/9810.htm")
# (find-rircfile "eventos/9811.htm")

# (find-rircfile "eventos/9810.htm")
# (find-rircfile "eventos/9811.htm")
# (find-rircfile "eventos/calendario.htm")

lynx /snarf/http/www.rockinriocafe.com.br/eventos/9810.htm
lynx /snarf/http/www.rockinriocafe.com.br/eventos/9811.htm


# (find-enode "Top")
# (find-enode "Keyboard Macros")

# Trianglify:
# (insert-kbd-macro 'trianglify)  <- not working
# (find-etag "insert-kbd-macro")
# (setq last-kbd-macro "\C-q\C-p\C-x\C-x\C-q\C-q\C-x\C-x")

# /font-p-ify:
# (setq last-kbd-macro "\C-e</FONT><P>\C-a\C-[[B")


(progn
  (setq c1 "<FONT SIZE=\"2\" FACE=\"Arial\" color=#1F8CFA>")
  (setq c2 "<FONT SIZE=\"2\" FACE=\"Arial\" color=#FFD05F>")
  (setq tt " -  </FONT><FONT SIZE=\"2\" FACE=\"Arial\" color=\"White\">")
  (fooi "%c1 " c1 "%c2 " c2 "\n%t " tt "" "<b>" "" "</b>")
)







#  Local Variables:
#  coding:               utf-8-unix
#  End:
