#######
#
# E-scripts e notas sobre o Debian-BR-CDD
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/cdd.e>
#           or at <http://angg.twu.net/e/cdd.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.discover»		(to "discover")
# «.groups»		(to "groups")
# «.sudo»		(to "sudo")

# «.gpm»		(to "gpm")

# «.debian-installer»	(to "debian-installer")
# «.simple-cdd»		(to "simple-cdd")




#####
#
# baixando a imagem do debian-br-cdd
# 2004jul25
#
#####

# http://www.postgresql.org.br/~otavio/
# http://www.postgresql.org.br/~otavio/debian-br-cdd/
# http://www.postgresql.org.br/~otavio/sarge-i386-1.md5sum
# http://www.postgresql.org.br/~otavio/sarge-i386-1.raw

mkdir /CDs/debian-br-cdd/
cd    /CDs/debian-br-cdd/
wget http://www.postgresql.org.br/~otavio/sarge-i386-1.raw

# http://debian-br.alioth.debian.org/index.php?id=Debian-BR-CDD
# http://listas.cipsga.org.br/pipermail/

cd /tmp/
wget http://listas.cipsga.org.br/pipermail/debian-br-cdd.mbox/debian-br-cdd.mbox




#####
#
# pacotes mais básicos que eu preciso
# 2004aug07
#
#####

# (find-file "/etc/apt/sources.list")
# (find-man "sources.list")
deb file:/hdb2/CDs cdd-extra/

deb http://http.us.debian.org/debian testing main
deb http://ftp.br.debian.org/debian testing main

apt-get update
apt-get install emacs21 zsh lua50

# (find-status "lua50")
# (find-vldifile "lua50.list")
# (find-fline "/usr/share/doc/lua50/")

# (find-status "liblua50")
# (find-vldifile "liblua50.list")
# (find-fline "/usr/doc/liblua50/")
# (find-status "liblualib50")
# (find-vldifile "liblualib50.list")
# (find-fline "/usr/doc/liblualib50/")

# (find-fline "~/vtutil4/Makefile")
LUA=$(HOME)/usrc/lua-5.0.2




#####
#
# gpm e xdm/gdm
# 2004aug07
#
#####

# «gpm»  (to ".gpm")
#
apt-get install gpm
gpmconfig
# (find-file "/etc/gpm.conf")
repeat_type=raw

# (find-fline "/etc/X11/")
# (find-fline "/etc/X11/XF86Config-4")
	Option		"Device"		"/dev/gpmdata"

apt-get remove xdm gdm
# Mate o X na mão
/etc/init.d/gpm restart

apt-get install fvwm




cd /home/edrx/

cd
wget http://angg.twu.net/edrx.tgz

mkdir ~/tmp ~/lib ~/usrc ~/bigsrc ~/info/

apt-get install erc w3m-el
apt-get install expect ssh
apt-get install emacs21-el elisp-manual emacs-lisp-intro
apt-get install dict dictd dict-gcide dict-wn dict-jargon
apt-get install zgv

apt-get install dict-freedict-eng-por



#####
#
# building lua 
# 2004aug07
#
#####

# (find-status "build-essential")
# (find-vldifile "build-essential.list")
# (find-fline "/usr/share/doc/build-essential/")

# (find-available "lua50")
# (find-vldifile "lua50.list")
# (find-fline "/usr/doc/lua50/")

apt-get install libreadline4-dev
# (find-es "lua5" "install-5.0.2")


instalar o tex e o xzoom




# (find-fline "/hda7/pandahome/edrx/")
# (find-fline "/hda7/pandahome/edrx/Wiki/")

# (find-progoutput "dpkg --get-selections")
# (find-progoutput "dpkg -l")




mkdir /hda1
mount /dev/hda1 /hda1
# (find-file "/hda1/boot/grub/")

mkdir /hdb1
mount /dev/hdb1 /hdb1
# (find-file "/hdb1/")





insmod loop

# (find-w3m "http://ftp.us.debian.org/")

psne http://ftp.us.debian.org/debian/dists/sarge/Contents-i386.gz
cd  $S/http/ftp.us.debian.org/debian/dists/sarge/
zcat Contents-i386.gz > Contents-i386


CONTENTSI386S=$S/http/ftp.us.debian.org/debian/dists/sarge/Contents-i386
S0=$HOME/snarfo

mpg123 $S0/http/www.geocities.com/johnschildren/audio/desdemonajet.mp3

apt-get install doc-linux-text
apt-get install kernel-source
apt-get install kernel-source-2.6.7
apt-get install grep-dctrl
apt-get install lsof
apt-get install alsa-base

# (find-status "doc-linux-text")
# (find-vldifile "doc-linux-text.list")
# (find-fline "/usr/doc/doc-linux-text/")

#
cd /dev/
ls -l | grep 14, | cut -b61- | tee ~/o
#

# Estes dois funcionam:
ls > audio0
ls > dsp0






#####
#
# Placa de som
#
#####

apt-get install aumix mpg321
apt-get install alsa-base
apt-get install alsa-modules-2.4.26-1-386

# (find-htetfile "")
# (find-htetfile "Alsa-sound.gz")
# (find-htetfile "Alsa-sound.gz" "/proc/asound")
# (find-htetfile "Alsa-sound.gz" "5.  Loading the driver")
# (find-htetfile "Alsa-sound.gz" "4280")
# (find-htetfile "Soundblaster-AWE.gz")
# (find-htetfile "Sound-HOWTO.gz")
# (find-htetfile "Sound-Playing-HOWTO.gz")

# (find-progoutput "dmesg" "cs46xx:")
# (find-progoutput "cd /dev/; ls -lAF * | grep 14,")

rmmod cs64xx
rmmod ac97_codec
rmmod soundcore

rmmodules
modprobe -r

# (find-status "alsa-modules-2.4.26-1-386")
# (find-vldifile "alsa-modules-2.4.26-1-386.list")
# (find-fline "/usr/doc/alsa-modules-2.4.26-1-386/")

insmod snd-cs4231-lib
insmod snd-mpu401-uart
insmod snd-mpu401
insmod snd-cs4231

alsaconf
/sys/bus/pci/devices
/etc/modutils/alsa-base







S0=$HOME/snarfo
mpg123 $S0/http/www.geocities.com/johnschildren/audio/desdemonajet.mp3

cd /hda7/pandahome/edrx/snarf/http/www.geocities.com/johnschildren/audio/
mpg123 desdemonajet.mp3

# (find-status "alsa-utils")
# (find-vldifile "alsa-utils.list")
# (find-vldifile "" "alsa-utils.list")
# (find-fline "/usr/doc/alsa-utils/")
# (find-status "alsa-base")
# (find-vldifile "alsa-base.list")
# (find-fline "/usr/share/doc/alsa-base/")

# (find-man "1 alsactl")
# (find-man "1 alsamixer")
# (find-man "1 amidi")
# (find-man "1 amixer")
# (find-man "1 aplay")
# (find-man "1 iecset")
# (find-man "1 aconnect")
# (find-man "1 aplaymidi")
# (find-man "1 arecordmidi")
# (find-man "1 aseqnet")
# (find-man "8 alsaconf")

# (find-fline "/var/lib/alsa/")

Restoring ALSA mixer settings ... failed:
You may want to run 'alsactl restore' manually to view any errors.

/root(root:pe)# alsactl restore
alsactl: load_state:1134: No soundcards found...

Shopped: The Shocking Power of British Supermarkets,
Joanna Blythman, Fourth Estate. ...
www.amazon.co.uk/exec/obidos/ASIN/0007158033 - 52k -

# (find-fline "/usr/share/alsa/alsa.conf")



#####
#
# discover
# 2004sep06
#
#####

# «discover»  (to ".discover")
# (find-status "discover1")
# (find-vldifile "discover1.list")
# (find-fline "/usr/share/doc/discover1/")
#
discover all
#
# (find-man "8 discover")
# (find-fline "/etc/rcS.d/" "discover")
# (find-fline "/etc/init.d/discover")

# (find-man "8 update-initrd")
# (find-fline "/sbin/update-initrd")






#####
#
# groups
# 2004aug17
#
#####

# «groups»  (to ".groups")
# Add aleph to the "audio" group by hand

# (find-man "5 group")
# (find-fline "/etc/group")
# (find-man "8 addgroup")
# (find-fline "/usr/share/man/man2/")
# (find-man "2 getgroups")
# (find-man "2 setgroups")
#
groups aleph
#





# «sudo»  (to ".sudo")
# (find-es "debian" "sudo")
# (find-es "sudo")



sudo dselect update

EDITOR=nano \
  sudo dpkg-reconfigure exim4-config

sudo chmod 4755 /sbin/kbdrate





#####
#
# sound
#
#####

# (code-c-d "k24" "/hdb2/bigsrc/kernel-source-2.4.18/")
# (find-k24file "")
# (find-k24file "Documentation/")
# (find-k24file "Documentation/sound/")

# (find-fline "/lib/modules/2.4.26-1-386/kernel/drivers/sound/")
# (find-fline "/lib/modules/2.4.26-1-386/kernel/drivers/sound/")

Crystal 4280/46xx + AC97 Audio, version 1.28.32, 16:10:16 May  1 2004
cs46xx: Card found at 0xe2000000 and 0xe1800000, IRQ 10
cs46xx: Card without SSID set (0000:0000) at 0xe2000000/0xe1800000, IRQ 10
ac97_codec: AC97 Audio codec, id: CRY19 (Cirrus Logic CS4297A rev A)

lsmod

it's OSS
<greycat> edrx: because all the ALSA modules begin with "snd"

<trisco> greycat : i tried /quit it didnt work :)
<greycat> !didn't work
<dpkg> Look buddy, doesn't work is an ambiguous statement.  Does it sit on the
       couch all day?  Does it want more money?  Does it waste its time on IRC
       all day long?  Please be specific!  Define 'it' and what it isn't doing.

/usr/share/alsa/alsa.conf

http://www.scarynetworkguy.net/




(call-interactively '(lambda (fname) (interactive "f") fname))



apt-get install glibc-doc
apt-get install bplay tkdiff xzoom





#
tkdiff -b $ES/cdd.e /hdb3/home/aleph/e/cdd.e &
#
tkdiff -b $ES/cdd.e /hda7/pandahome/edrx/e/cdd.e &
#




# (find-es "cdd")

# (find-fline "/var/log/")
# (find-sh "dpkg -l")

about 25s to redraw the body of the xterm



# (find-sh "grep-available -F Section sound")



apt-get update
apt-get remove xdm gdm
apt-get install kernel-source
apt-get install kernel-source-2.6.7
apt-get install alsa-base
apt-get install aumix mpg321
apt-get install alsa-base
apt-get install alsa-modules-2.4.26-1-386
apt-get install bplay


apt-get install emacs21 zsh lua50 lua50-doc
apt-get install gpm
apt-get install fvwm
apt-get install erc w3m-el
apt-get install expect ssh
apt-get install emacs21-el elisp-manual emacs-lisp-intro
apt-get install zgv
apt-get install libreadline4-dev
apt-get install doc-linux-text
apt-get install grep-dctrl
apt-get install lsof
apt-get install glibc-doc
apt-get install tkdiff xzoom
apt-get install build-essential
apt-get install manpages manpages-dev
apt-get install dict dictd dict-gcide dict-wn dict-jargon
apt-get install dict-freedict-eng-por
apt-get install mgp

apt-get install ssh

apt-get install kernel-package
apt-get install screen

apt-get install mozilla-firefox

apt-get install unhtml tidy tidy-doc
apt-get install fetchmail
apt-get install debconf-doc
apt-get install gnuserv
apt-get install grepmail

apt-get install sylpheed sylpheed-claws

apt-get install rsync
apt-get install unzip
apt-get install gcc-3.3-doc
apt-get install tcl8.4-doc tk8.4-doc

# (find-fline "/dev/")

# (find-status "tidy-doc")
# (find-vldifile "tidy-doc.list")
# (find-fline "/usr/doc/tidy-doc/")


#
rm -Rv /tmp/cdd/
mkdir  /tmp/cdd/
cd     /tmp/cdd/
wget -r -np http://debian-br-cdd.alioth.debian.org/debian/dists/

#
# (find-node "(wget)Types of Files")
rm -Rv /tmp/wgetish/
mkdir  /tmp/wgetish/
cd     /tmp/wgetish/
wget -r -R "*.deb" -R "*\\?*" http://127.0.0.1/

#

http://debian-br-cdd.alioth.debian.org/debian/dists/1.0/
http://debian-br-cdd.alioth.debian.org/debian/



# (find-efunction 'repeat-complex-command)


http://debian-br-cdd.alioth.debian.org/debian/dists/1.0/main/binary-i386/Packages





#####
#
# debian-installer from the sources
# 2005jan09
#
#####

# «debian-installer»  (to ".debian-installer")
#
rm -Rv ~/bigsrc/d-i/
mkdir  ~/bigsrc/d-i/
cd     ~/bigsrc/d-i/
cp -v $S/http/ftp.debian.org/debian/pool/main/d/debian-installer/* .
dpkg-source -x debian-installer_20041118.dsc

cd     ~/bigsrc/d-i/debian-installer-20041118/
# fakeroot debian/rules binary   |& tee odrb
dpkg-buildpackage -us -uc -b -rfakeroot		|& tee odb

#
# (code-c-d "dinst" "~/bigsrc/d-i/debian-installer-20041118/")
# (find-dinstfile "odb")
# (find-dinstfile "")
# (find-dinstfile "doc/manual/")

# (find-dinstsh "cd doc; grep udeb $(find *)")


# (find-man "1 dpkg-buildpackage")
# (find-man "1 dpkg-checkbuilddeps")


http://lists.debian.org/debian-cd/
http://lists.debian.org/debian-custom/
http://lists.debian.org/debian-boot/



#####
#
# Enrico Zini's simple-cdd
# 2005jan20
#
#####

# «simple-cdd»  (to ".simple-cdd")
#
rm -Rfv ~/usrc/simple-cdd/
mkdir   ~/usrc/simple-cdd/
cd      ~/usrc/
svn co svn://svn.debian.org/debian-np/people/vagrant/simple-cdd
cd      ~/usrc/simple-cdd/

#
# (code-c-d "scdd" "~/usrc/simple-cdd/")
# (find-scddfile "")




#  Local Variables:
#  coding:               utf-8-unix
#  End:
