#######
#
# E-scripts on Manufacting Consent: Noam Chomsky and the Media.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/chomsky.e>
#           or at <http://angg.twu.net/e/chomsky.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.some-time-marks»		(to "some-time-marks")
# «.time-marks-2014-jul»	(to "time-marks-2014-jul")
# «.dvd-to-mp4»			(to "dvd-to-mp4")
# «.screenshots»		(to "screenshots")


 (eev-avadj-mode 1)
 (find-cf t)




# (find-angg ".emacs" "mplayer-options")




#####
#
# Some time marks
# 2013oct24
#
#####

# «some-time-marks» (to ".some-time-marks")

(setq ee-mplayer-video-options-geometry '("-fs" "-title" "mplayer-fullscreen"))
(setq ee-mplayer-video-options-geometry '("-geometry" "500x400+512+20"))
(setq ee-mplayer-video-options-other    '( "-osdlevel" "2" "-quiet"))
(setq ee-mplayer-video-options-other    '( "-osdlevel" "2" "-quiet" "-vf" "screenshot"))

(defun find-mcsrt (&optional tag &rest rest)
  (apply 'find-fline "~/manufacturing.srt"
	 (if tag (format "\n%s\n" tag)) rest))

(find-mcsrt)




 (eev-avadj-mode 1)
 (find-cf t)

(find-cf "12:21")
(find-mcsrt "172" "between your linguistics and your politics?")

(find-cf "19:37")
(find-mcsrt "264" "Supreme Court Justice Powell")

(find-cf "30:15")
(find-mcsrt "409" "solidarity, socialist")

(find-cf "36:46")
(find-mcsrt "409" "45 seconds")

(find-cf "40:31")
(find-mcsrt "567" "same framework of assumptions")

(find-cf "42:37")
(find-mcsrt "599" "try in the student press")

(find-cf "52:20")
(find-mcsrt "754" "confetti")

(find-cf "1:01:40")
(find-mcsrt "879" "Media Business Authority")

(find-cf "1:09:23")
(find-mcsrt "1004" "history did set up a controlled experiment")

(find-cf "1:18:43")
(find-mcsrt "1132" "level of atrocities")

(find-cf "1:26:49")
(find-mcsrt "1253" "never worked")

(find-cf "1:32:44")
(find-mcsrt "1343" "it's a very simple, ethical point")

(find-cf "1:35:06")
(find-mcsrt "1373" "on a very slim margin for survival")

(find-cf "1:39:25")
(find-mcsrt "1447" "300 pages of detail covering this")

(find-cf "1:42:59")
(find-mcsrt "1509" "General Motors")

(find-cf "1:44:54")
(find-mcsrt "1543" "I don't see any CIA men")

(find-cf "1:45:51")
(find-mcsrt "1559" "strident")

(find-cf "1:50:20")
(find-mcsrt "1637" "Nightline or Brinkley")

(find-cf "1:51:48")
(find-mcsrt "1667" "22-minute show")

(find-cf "1:52:16")
(find-mcsrt "1678" "and concision")

(find-cf "1:52:28")
(find-mcsrt "1681" "meet the condition of concision")

(find-cf "1:53:51")
(find-mcsrt "1705" "underground")

(find-cf "1:54:02")
(find-mcsrt "1708" "If the Nuremberg laws were applied")

(find-cf "1:55:51" "This film is intended to encourage discussion")

(find-cf "1:56:10")
(find-mcsrt "1708" "expect to know what you mean")

(find-cf "1:56:25")
(find-mcsrt "1719" "You can't give evidence\nif you're stuck with concision.")

(find-cf "1:56:53")
(find-mcsrt "1719" "an Iraqi offer of last April")

(find-cf "1:58:18")
(find-mcsrt "1752" "why do you live in the US?")

(find-cf "1:59:05")
(find-mcsrt "1769" "of health and welfare")

(find-cf "1:59:39")
(find-mcsrt "1779" "internal freedom of a society")

(find-cf "2:00:36")
(find-mcsrt "1797" "tenable ten years ago")

(find-cf "2:01:14")
(find-mcsrt "1806" "corporations more democratic")

(find-cf "2:03:57")
(find-mcsrt "1858" "more open for a couple of months")

(find-cf "2:05:37")
(find-mcsrt "1886" "As the Vietnamese people")

(find-cf "2:06:04")
(find-mcsrt "1894" "Vilification is a wonderful technique")

(find-cf "2:13:21")
(find-mcsrt "2025" "outside of fascist circles since the 18th century")

(find-cf "2:14:25")
(find-mcsrt "2025" "How much of the American press believes")

(find-cf "2:17:06")
(find-mcsrt "2084" "Whether it was the end of slavery,")

(find-cf "2:19:17")
(find-mcsrt "2125" "will have to be in the context")

(find-cf "2:20:15")
(find-mcsrt "2140" "I, as an average person, a biologist")

(find-cf "2:20:43")
(find-mcsrt "2150" "What impact do you feel alternative media is")

(find-cf "2:25:03")
(find-mcsrt "2221" "three times in the last six years,")

(find-cf "2:28:27")
(find-mcsrt "2280" "But it's there to a fanatic.")

(find-cf "2:31:49")
(find-mcsrt "2339" "take the feminist movement")

(find-cf "2:33:15")
(find-mcsrt "2364" "without public input")

(find-cf "2:33:15")
(find-mcsrt "2364" "without public input")

(find-cf "2:36:30")
(find-mcsrt "2416" "to make kinder the face of the nation")

(find-cf "2:37:26")
(find-mcsrt "2430" "on any substantial scale")

(find-cf "2:39:08")
(find-mcsrt "2458" "the whole purpose of libertarian")

(find-cf "2:40:03")
(find-mcsrt "2471" "also to eliminate the errors in them")

(find-cf "2:41:17")
(find-mcsrt "2493" "Dan Rather")

(find-cf "2:41:49")
(find-mcsrt "2501" "convenient myths")

(find-cf "2:42:34")
(find-mcsrt "2513" "the world is an infinite garbage can")

(find-cf "2:43:27")
(find-mcsrt "2525" "should dominate mass communication")

(find-cf "2:44:26")
(find-mcsrt "2544" "there is a centre to the")

(find-cf "2:45:10")
(find-mcsrt "2554" "Don't you get burned out on this material?")


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-angg ".emacs" "mplayer-screenshots")
# (find-fline "~/e/" ".png")
cd ~/e/
D=chomsky_1:09
for i in shot*.png; do
  echo convert $i -scale 50% -quality 95% $D/$(basename $i .png).jpg
       convert $i -scale 50% -quality 95% $D/$(basename $i .png).jpg
done

# (find-fline "~/e/chomsky_1:09/")
# (setq ee-mplayer-secreenshot-format "~/e/chomsky_1:09/shot%04d.jpg")
# (mss-mode)




#####
#
# Time marks (jul 2014)
#
#####

# «time-marks-2014-jul» (to ".time-marks-2014-jul")
# (find-angg ".emacs" "chomsky")

 (eev-avadj-mode 1)
 (find-cf t)
   0:15 (find-mcsrt "00:00:18" "Three, two, one, take two.")
  14:55 (find-mcsrt "00:14:22" "the subservience of the intelligentsia")
  30:05 (find-mcsrt "00:28:45" "It was a very lively intellectual culture")
1:00:00 (find-mcsrt "00:56:47" "a small radio station in Laramie")
1:30:02 (find-mcsrt "01:25:33" "Whenever people are brave enough")
1:45:00 (find-mcsrt "01:40:11" "I'm sure they're going to publish your comments")
1:49:50 (find-mcsrt "01:44:49" "It's clear why you want to divert me")
1:50:21 (find-mcsrt "01:45:19" "Yes, I have a couple of times")
1:52:17 (find-mcsrt "01:47:27" "and concision")
2:00:00 (find-mcsrt "01:53:12" "have contributed to the continuing bloodshed")
2:10:01 (find-mcsrt "02:02:51" "- The preface that you wrote...")
2:38:21 (find-mcsrt "02:30:00" "is the Spanish Revolution in 1936")
2:47:05 (find-mcsrt "02:38:17" "If I ran for President, the first thing I'd do")





# (setq last-kbd-macro (kbd "C-a M-z SPC C-y <left> C-SPC C-a C-w M-, << C-y M-, >> C-a <down>"))
# (fooi-re "<\\([0-9:]+\\)>" "«\\1»")
# (fooi-re "<\\([0-9:]+\\)>" "\253\\1\273")










#####
#
# Converting the DVD to an mp4
# 2013oct24
#
#####

# «dvd-to-mp4» (to ".dvd-to-mp4")
# (find-man "1 avconv")
# (find-man "1 avconv" "-acodec codec")
# (find-man "1 avconv" "-vcodec codec")
# (find-sh "avconv -codecs")
# (find-sh "avconv -codecs" "aac")

# (find-sh "grep-aptavail -i dvd")
# (find-zsh "installeddebs | sort | grep dvd")
# (find-zsh "availabledebs | sort | grep dvd")

http://ubuntuforums.org/showthread.php?t=1564791

ffmpeg -i concat:"/media/dvd/VIDEO_TS/VTS_01_1.VOB|/media/dvd/VIDEO_TS/VTS_01_2.VOB" \
-acodec libfaac -aq 100 -ac 2 -vcodec libx264 -vpre slow -crf 24 -threads 0 output.mp4

http://ubuntuforums.org/showthread.php?t=1564791 FFmpeg script for DVD to mp4

# (find-man "1 avconv")
# (find-man "1 avconv" "-t duration (output)")
# (find-man "1 avconv" "-ss position (input/output)")
# (find-man "1 avconv" "concat")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "/home/movies/VIDEO_TS/")
# (find-fline "/home/movies/chomsky-leg/VIDEO_TS/")
cd /home/movies/chomsky-leg/VIDEO_TS/
echo VTS*.VOB
echo VTS*.VOB | tr ' ' '|'
INPUT="concat:$(echo VTS*.VOB | tr ' ' '|')"
echo $INPUT
avconv -ss 2:30 -i "$INPUT" -t 30 /tmp/o.mp4
avconv -ss 2:30 -i "$INPUT" -t 30 -b 64k /tmp/o.mp4

avconv \
  -v verbose -y \
  -i "$INPUT" -ss 8:30 -t 30 \
  -b 256k /tmp/o.avi

# (find-video "/tmp/o.avi")






#####
#
# Screenshots
# 2013oct24
#
#####

# «screenshots» (to ".screenshots")
# (find-es "mplayer" "screenshots")
# (find-angg ".emacs" "mplayer-screenshots")
# (find-angg ".emacs" "mplayer-options")





# (find-status   "foo")
# (find-vldifile "foo.list")
# (find-udfile   "foo/")




 

#  Local Variables:
#  coding:               utf-8-unix
#  modes:                (fundamental-mode emacs-lisp-mode)
#  End:
