#######
#
# E-scripts on configuration (mainly of Debian systems)
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/conf.e>
#           or at <http://angg.twu.net/e/conf.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





(2004dec01)

The idea: from inside my environment (see
<http://angg.twu.net/tourism.html>) I should be able to change between
several "standard" configurations rather quickly -- preferably by
running just a few shell functions or aliases.

# (find-es "tourism")




To do:

* How to reconfigure net parameters -- in a certain place I'll have a
  certain IP/gateway/DNS/mail configuration, in another one I'll have
  other configurations for those, in a third place I'll be on dial-up.

* ntpdate takes about one minute to give up on initialization when the
  system thinks that ethernet is up but it's not responding.

  # (find-fline "/etc/rcS.d" "S51ntpdate")
  # (find-es "init" "update-rc.d")

  cd /etc/rcS.d/; mv -v  S51ntpdate _S51ntpdate
  cd /etc/rcS.d/; mv -v _S51ntpdate  S51ntpdate


* The MTA (exim4) also takes some time when ethernet is up but
  disconnected.

  # (find-available "exim4-daemon-light")
  # (find-status   "exim4-daemon-light")
  # (find-vldifile "exim4-daemon-light.list")
  # (find-udfile   "exim4-daemon-light/")
  # (find-vldifile "exim4-daemon-light.postinst")

  # (find-fline "/etc/rc2.d")


* Reconfiguring X:

  # (find-angg ".zshrc" "prep-X-reconfigure")
  # ^ Not tested.














#  Local Variables:
#  coding:               utf-8-unix
#  mode:                 fundamental
#  End:
