#######
#
# E-scripts on Context.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/context.e>
#           or at <http://angg.twu.net/e/context.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.mailing-list»	(to "mailing-list")
# «.latex-packages»	(to "latex-packages")




#####
#
# mailing-list
# 2020jun06
#
#####

# «mailing-list» (to ".mailing-list")
# https://wiki.contextgarden.net/Mailing_Lists
# https://mailman.ntg.nl/mailman/listinfo/ntg-context
# https://www.mail-archive.com/ntg-context@ntg.nl/




http://www.pragma-ade.nl/general/manuals/about.pdf

# (find-tlsh "find * | sort | grep mkiv")

# (find-fline "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/")
# (find-fline "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/magazines/")
# (find-fline "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/")

(code-pdf-page "ctxfonts" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/fonts/fonts-mkiv.pdf")
(code-pdf-text "ctxfonts" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/fonts/fonts-mkiv.pdf")
(code-pdf-page "ctxabout" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/about.pdf")
(code-pdf-text "ctxabout" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/about.pdf")
;; (find-ctxaboutpage)
;; (find-ctxabouttext)

;; (find-ctxfontspage)
;; (find-ctxfontstext)

(code-pdf-page "ctxcld" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/cld-mkiv.pdf")
(code-pdf-text "ctxcld" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/cld-mkiv.pdf")
# (find-ctxcldpage)
# (find-ctxcldtext)
# (find-ctxcldpage 26 "context.pushcatcodes")
# (find-ctxcldtext 26 "context.pushcatcodes")

;; (find-fline "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/")
(code-pdf-page "ctxexcursion" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/ma-cb-en.pdf")
(code-pdf-text "ctxexcursion" "/usr/local/texlive/2019/texmf-dist/doc/context/documents/general/manuals/ma-cb-en.pdf")
;; (find-ctxexcursionpage)
;; (find-ctxexcursiontext)
;; (find-ctxexcursionpage 9 "\\starttext")
;; (find-ctxexcursiontext 9 "\\starttext")
;; (find-ctxexcursionpage 147 "\\starttyping")
;; (find-ctxexcursiontext 147 "\\starttyping")





#####
#
# latex-packages
# 2020jun06
#
#####

# «latex-packages» (to ".latex-packages")
# https://wiki.contextgarden.net/Latex_Packages
# https://wiki.contextgarden.net/Latex_Packages#The_LaTeX_standard_tools_bundle
# https://tex.stackexchange.com/questions/141425/can-you-use-latex-packages-in-context-emulate-context-in-latex
# https://tex.stackexchange.com/questions/461370/how-to-make-the-switch-from-latex-to-context
# https://tex.stackexchange.com/questions/4987/why-should-i-be-interested-in-context
# https://tex.stackexchange.com/questions/4987/why-should-i-be-interested-in-context/5007#5007
# https://tex.stackexchange.com/questions/46028/persuade-me-to-write-my-thesis-in-context-or-not

There is also ConTeXt...

https://tex.stackexchange.com/questions/4987/why-should-i-be-interested-in-context/5007#5007
https://tex.stackexchange.com/questions/141425/can-you-use-latex-packages-in-context-emulate-context-in-latex
http://www.pragma-ade.nl/overview.htm


https://arxiv.org/abs/1809.05923



startluacode
definestartstop



http://www.pragma-ade.com/
http://www.pragma-ade.com/overview.htm
http://www.pragma-ade.com/general/manuals/mp-cb-en.pdf

https://wiki.contextgarden.net/Main_Page
https://wiki.contextgarden.net/Mailing_Lists


https://meeting.contextgarden.net/2019/
http://www.tug.org/TUGboat/tb38-3/tb120egger.pdf ConTeXt





#  Local Variables:
#  coding:               utf-8-unix
#  End:
