#######
#
# E-scripts on drawing trees.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://anggtwu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://anggtwu.net/e/drawtree.e>
#           or at <http://anggtwu.net/e/drawtree.e.html>.
#        See also <http://anggtwu.net/emacs.html>,
#                 <http://anggtwu.net/.emacs[.html]>,
#                 <http://anggtwu.net/.zshrc[.html]>,
#                 <http://anggtwu.net/escripts.html>,
#             and <http://anggtwu.net/>.
#
#######



# «.pymag-trees»		(to "pymag-trees")
# «.expression-tree-gen»	(to "expression-tree-gen")


(find-es "tikz" "tut-child")
2eT7:  (c2m221introp 6 "exercicio-4")
       (c2m221introa   "exercicio-4")
2eT13: (c2m221introp 12 "exercicio-8-figs")
       (c2m221introa    "exercicio-8-figs")

https://homework.study.com/explanation/construct-the-tree-of-the-following-algebraic-expression-z-3-2-y-w-z-7.html




#####
#
# Drawing Presentable Trees (by Bill Mill)
# 2024feb15
#
#####

# «pymag-trees»  (to ".pymag-trees")
# https://llimllib.github.io/pymag-trees/
# https://github.com/llimllib/pymag-trees
# (find-git-links "https://github.com/llimllib/pymag-trees" "pymagtrees")
# (code-c-d "pymagtrees" "~/usrc/pymag-trees/")
# (find-pymagtreesfile "")
# (find-pymagtreesfile "v3/")
# (find-pymagtreesgrep "grep --color=auto -nH --null -e save *")
# (find-pymagtreesgrep "grep --color=auto -nRH --null -e save *")
# (find-pymagtreesgrep "grep --color=auto -nRH --null -e figure3 *")
# (find-pymagtreesfile "v3/page.src.txt")
# (find-pymagtreesfile "v3/page.src.txt" "Figure 1")

# (find-wgetrecursive-links "https://llimllib.github.io/pymag-trees/")
# (find-fline              "$S/https/llimllib.github.io/pymag-trees/")
# (code-c-d "pymagtreesio" "$S/https/llimllib.github.io/pymag-trees/")
# (find-pymagtreesiofile "")
# (find-pymagtreesiofile "index.html" "figure1.png")
# (find-pymagtreesfile "figure1.py")

# (find-es "python" "pyllow")
# (find-sh "locate PIL")
# (find-sh "locate PIL/Image")
# (find-fline "/usr/lib/python3/dist-packages/PIL/" "Image.py")
# (find-importlib-links "PIL")







#####
#
# expression-tree-gen
# 2024feb15
#
#####

# «expression-tree-gen»  (to ".expression-tree-gen")
# https://lnogueir.github.io/expression-tree-gen/
# https://github.com/lnogueir/expression-tree-gen
# (find-git-links "https://github.com/lnogueir/expression-tree-gen" "exptreegen")
# (code-c-d "exptreegen" "~/usrc/expression-tree-gen/")
# (find-exptreegenfile "")
# (find-exptreegenfile "canvas.js")
# (find-exptreegenfile "infixToPostfix.js")
# (find-exptreegenfile "tree.js")
# (find-exptreegenfile "index.html")
# file:///home/edxr/usrc/expression-tree-gen/index.html






#  Local Variables:
#  coding:               utf-8-unix
#  End:
