#######
#
# E-scripts on functional languages.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/fl.e>
#           or at <http://angg.twu.net/e/fl.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.charity»	(to "charity")




#####
#
# Charity
# 2001oct09
#
#####

# «charity»  (to ".charity")
#
rm -Rv /usr/src/charity/
cd /usr/src/
tar -xvzf $S/ftp/ftp.cpsc.ucalgary.ca/pub/projects/charity/source/charity/charity-src.tar.gz
cd /usr/src/charity/
./configure	|& tee oc
make MAKE=make	|& tee om

#
# (code-c-d "charity" "/usr/src/charity/")
# (find-charityfile "")
# (find-charityfile "PRELUDE.ch")






#####
#
# OSC (sisal)
#
#####

cd /usr/src/
rm -Rv OSC/
tar -xvzf /snarf/ftp/sisal.llnl.gov/pub/sisal/OSC-13.0.3.tar.gz
# O original é .Z
cd /usr/src/OSC/
echo '\n14\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n' | \
  sinstall |& tee osi
make all |& tee oma




#####
#
# HOL doc
#
#####

rm -Rv /c5/usr/src/hol/
rm /usr/src/hol
ln -s /c5/usr/src/hol /usr/src/hol
cd /c5/usr/src/
tar -xvzf /snarf/ftp/lal.cs.byu.edu/pub/hol/holdoc.tar.gz
cd /usr/src/hol/




#####
#
# Otter
#
#####

cd /usr/src/
rm -Rv otter-3.0.4
tar -xvZf /snarf/ftp/info.mcs.anl.gov/pub/Otter/otter.tar.Z
cd /usr/src/otter-3.0.4/
cd /usr/src/otter-3.0.4/source/
make |& tee om

ln -s /usr/src/otter-3.0.4/source/otter /usr/bin/otter

cd /usr/src/otter-3.0.4/examples/
Run_all auto
Run_all fringe
Run_all kalman
Run_all misc
# two_inv takes a lot of time (8'30") to complete.
# Run_all program
Run_all wos


cd ~/OTTER/
otter < ~/OTTER/foo.in

# (find-fline "~/OTTER/foo.in")





#####
#
# Otter
#
#####

cd /usr/src/
rm -Rv otter-3.0.4
tar -xvZf /snarf/ftp/info.mcs.anl.gov/pub/Otter/otter.tar.Z
cd /usr/src/otter-3.0.4/
cd /usr/src/otter-3.0.4/source/
make |& tee om

ln -s /usr/src/otter-3.0.4/source/otter /usr/bin/otter

cd /usr/src/otter-3.0.4/examples/
Run_all auto
Run_all fringe
Run_all kalman
Run_all misc
# two_inv takes a lot of time (8'30") to complete.
# Run_all program
Run_all wos


cd ~/OTTER/
otter < ~/OTTER/foo.in

# (find-fline "~/OTTER/foo.in")




#  Local Variables:
#  coding:               utf-8-unix
#  End:
