#######
#
# E-scripts on Flash
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/flash.e>
#           or at <http://angg.twu.net/e/flash.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.flashplugin-nonfree»	(to "flashplugin-nonfree")
# «.flash-on-lenny»		(to "flash-on-lenny")
# «.mtasc»			(to "mtasc")
# «.essential-actionscript-2»	(to "essential-actionscript-2")
# «.lua-alchemy»		(to "lua-alchemy")
# «.swftools»			(to "swftools")
# «.flv-player»			(to "flv-player")
# «.flowplayer»			(to "flowplayer")
# «.recordmydesktop»		(to "recordmydesktop")
# «.gnash»			(to "gnash")




http://ubuntuforums.org/archive/index.php/t-435080.html
http://en.wikipedia.org/wiki/Synfig
http://synfig.org/Main_Page
http://www.gnu.org/software/gnash/
http://www.gnashdev.org/
http://www.gnashdev.org/
http://en.wikipedia.org/wiki/Gnash
http://en.wikipedia.org/wiki/Adobe_Flash




#####
#
# flashplugin-nonfree
# 2008nov20
#
#####

# «flashplugin-nonfree»  (to ".flashplugin-nonfree")
# (find-zsh "installeddebs | sort | grep flash")
# (find-zsh "availabledebs | sort | grep flash")

# (find-status   "flashplugin-nonfree")
# (find-vldifile "flashplugin-nonfree.list")
# (find-udfile   "flashplugin-nonfree/")

# (find-vldifile "flashplugin-nonfree.postinst")
# (find-vldifile "flashplugin-nonfree.prerm")
# (find-vldifile "flashplugin-nonfree.postrm")
# (find-vldifile "flashplugin-nonfree.config")
# (find-vldifile "flashplugin-nonfree.templates")
# (find-vldifile "flashplugin-nonfree.md5sums")

# (find-fline "/usr/lib/flashplugin-nonfree-unpackdir/")

# (find-debpkg-links "flashplugin-nonfree-extrasound")




#####
#
# Flash plugin on Lenny
# 2009apr21
#
#####

# «flash-on-lenny»  (to ".flash-on-lenny")
# http://wiki.debian.org/FlashPlayer
# http://packages.debian.org/search?keywords=flashplugin-nonfree
# http://packages.debian.org/squeeze/flashplugin-nonfree
# http://ftp.de.debian.org/debian/pool/contrib/f/flashplugin-nonfree/
# http://ftp.de.debian.org/debian/pool/contrib/f/flashplugin-nonfree/flashplugin-nonfree_2.6.dsc
# http://ftp.de.debian.org/debian/pool/contrib/f/flashplugin-nonfree/flashplugin-nonfree_2.6.tar.gz
#
rm -Rv ~/usrc/flashplugin-nonfree/
mkdir  ~/usrc/flashplugin-nonfree/
cd $S/http/ftp.de.debian.org/debian/pool/contrib/f/flashplugin-nonfree/
cp -v flashplugin-nonfree_2.6* ~/usrc/flashplugin-nonfree/
cd     ~/usrc/flashplugin-nonfree/
dpkg-source -sn -x flashplugin-nonfree_2.6.dsc
cd     ~/usrc/flashplugin-nonfree/flashplugin-nonfree-2.6/
dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (find-fline "~/usrc/flashplugin-nonfree/")
 (eepitch-shell)
cd ~/usrc/flashplugin-nonfree/
sudo dpkg -i *.deb

sudo update-flashplugin-nonfree --install

#
# (code-c-d "flashplugin-nonfree" "~/usrc/flashplugin-nonfree/flashplugin-nonfree-2.6/")
# (find-flashplugin-nonfreefile "")

sudo /usr/sbin/update-flashplugin-nonfree --install

# Problematic:
apti  flashplugin-nonfree-extrasound
aptrm flashplugin-nonfree-extrasound






#####
#
# mtasc
# 2008nov20
#
#####

# «mtasc»  (to ".mtasc")
# http://www.mtasc.org/
# (find-status   "mtasc")
# (find-vldifile "mtasc.list")
# (find-udfile   "mtasc/")

# (find-fline "/usr/share/mtasc/std/")
# (find-fline "/usr/share/mtasc/std8/")




#####
#
# Essential ActionScript 2.0 (Colin Moock)
# 2008nov20
#
#####

# «essential-actionscript-2»  (to ".essential-actionscript-2")
# http://www.flazx.com/search.php?p=actionscript&submit=Search
# http://www.flazx.com/ebook2489.php
# (find-unpack-chm-links "~/books/oreilly_essential_actionscript_2.0.chm" "~/usrc/eactionscript2/" "eactionscript2")
# (code-c-d "eactionscript2" "~/usrc/eactionscript2/0596006527/")
# (find-eactionscript2file "")
# (find-eactionscript2w3m "toc.html")
# (find-eactionscript2w3m "index_I.html")

# http://www.moock.org/eas2/examples/
# http://www.moock.org/eas2/examples/moock_eas2_examples.zip





#####
#
# Lua-alchemy
# 2009nov03
#
#####

# «lua-alchemy»  (to ".lua-alchemy")
# http://code.google.com/p/lua-alchemy/
# http://groups.google.com/group/lua-alchemy-dev
# http://groups.google.com/group/lua-alchemy-dev/browse_thread/thread/70bf6047a26dc5b8

# 2012mar20:
# Official site: http://code.google.com/p/lua-alchemy/
# Sources:       https://github.com/lua-alchemy/lua-alchemy/
# Demo:          http://lua-alchemy.googlecode.com/svn/trunk/demo/index.html




#####
#
# swftools
# 2011aug29
#
#####

# «swftools»  (to ".swftools")
# (find-es "vnc" "swftools")
# http://www.swftools.org/
# http://www.swftools.org/download.html
# http://www.swftools.org/swftools-0.9.1.tar.gz
# http://wiki.swftools.org/index.php/Main_Page
# http://wiki.swftools.org/index.php/Examples
# http://technoargia.free.fr/swftools/examples/flash_eyes/flash_eyes.html
#
rm -Rv ~/usrc/swftools-0.9.1/
tar -C ~/usrc/ -xvzf \
  $S/http/www.swftools.org/swftools-0.9.1.tar.gz
cd     ~/usrc/swftools-0.9.1/

#
# (code-c-d "swftools" "~/usrc/swftools-0.9.1/")
# (find-swftoolsfile "")



#####
#
# flv-player
# 2011aug29
#
#####

# «flv-player»  (to ".flv-player")
# http://www.longtailvideo.com/support/addons/viral-plugin/10645/viral-plugin-guide
# http://www.longtailvideo.com/support/addons/viral-plugin/10648/setting-up-viral
# http://www.longtailvideo.com/players/jw-flv-player/
# (find-fline "~/tmp/mediaplayer-viral.zip")
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rv   ~/usrc/mediaplayer-5.7-viral/
unzip -d ~/usrc/ ~/tmp/mediaplayer-viral.zip
cd       ~/usrc/mediaplayer-5.7-viral/
cp -v 'JW Player Quick Start Guide.pdf' \
       JW_Player_Quick_Start_Guide.pdf

# (code-c-d       "flvplayer" "~/usrc/mediaplayer-5.7-viral/")
# (code-xpdf      "flvplayer" "~/usrc/mediaplayer-5.7-viral/JW_Player_Quick_Start_Guide.pdf")
# (code-pdftotext "flvplayer" "~/usrc/mediaplayer-5.7-viral/JW_Player_Quick_Start_Guide.pdf")
# (find-flvplayerfile "")
# (find-flvplayerpage 1)
# (find-flvplayertext "")

# (find-flvplayerfile "")


mkdir    ~/usrc/osflvplayer/
unzip -d ~/usrc/osflvplayer/ $S/http/www.osflv.com/Downloads/OSFlvPlayer_v4.2.zip
cd       ~/usrc/osflvplayer/
# (code-c-d "osflvplayer" "~/usrc/osflvplayer/OSFlvPlayer_v4.2/")
# (find-osflvplayerfile "")

$S/http/www.osflv.com/Downloads/OSFlvPlayer_v4.2.zip

# http://www.osflv.com/Downloads/OSFlvPlayer_v4.2.zip
# ^ very weird zip

# http://flv-player.net/players/mini/download/


#
[# (eeblogme-now-bounded)
 # file:///tmp/ee.html
 #]

[R http://en.wikipedia.org/wiki/Mariano_Ferreyra]
[R http://obrerosdelriel.blogspot.com/2011/08/estas-son-las-imagenes-que-no-salen-por.html]
[R http://www.galiciaespallada.com.ar/galicia_espallada_adhiere_aos_indignados.htm]

<embed
src='http://po.org.ar/sites/all/modules/swftools/shared/flash_media_player/player-viral.swf'
height='320' width='400' allowscriptaccess='always'
allowfullscreen='true'
flashvars='volume=100&image=http%3A%2F%2Fpo.org.ar%2Ffiles%2Fmedia%2F20101123marianopresente.jpg&file=http%3A%2F%2Fpo.org.ar%2Ffiles%2Fmedia%2F20101123marianopresente.flv&screencolor=991d1d&plugins=viral-1d'/>

#



#####
#
# flowplayer
# 2011aug29
#
#####

# «flowplayer»  (to ".flowplayer")
# http://moodle.org/mod/forum/discuss.php?d=156608
# http://flowplayer.org/demos/installation/index.html
# http://flash.flowplayer.org/documentation/installation/index.html
# http://releases.flowplayer.org/5.0.0/flash/flowplayer-3.2.15.zip
# http://flash.flowplayer.org/demos/standalone/installation/index.html

# http://releases.flowplayer.org/flowplayer/flowplayer-3.2.7-src.zip
# http://flowplayer.org/forum/index.html
# http://flowplayer.org/forum/3         Scripting
# http://flowplayer.org/forum/3/13896   Starting play at a particular location
# http://flowplayer.org/demos/scripting/anchors.html
# http://flowplayer.org/documentation/api/player.html

rm -Rv   ~/usrc/flowplayer/
unzip -d ~/usrc/ $S/http/releases.flowplayer.org/flowplayer/flowplayer-3.2.7-src.zip
cd       ~/usrc/flowplayer/

# (code-c-d "flowplayer" "~/usrc/flowplayer/")
# (find-flowplayerfile "")

# (code-c-d "flowplayera" "~/usrc/flowplayer/src/actionscript/org/flowplayer/")
# (find-flowplayerafile "")
~/usrc/flowplayer/src/actionscript/org/flowplayer/

# http://releases.flowplayer.org/5.0.0/index.html
# http://releases.flowplayer.org/5.0.0/flowplayer.min.js
# http://releases.flowplayer.org/5.0.0/flowplayer.js
# http://releases.flowplayer.org/5.0.0/flowplayer.swf
# http://stream.flowplayer.org/bauhaus/624x260.mp4
# http://releases.flowplayer.org/5.0.0/skin/minimalist.css
# http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js
# http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.js

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

rm -Rv /tmp/flow/
mkdir  /tmp/flow/
cd     /tmp/flow/
cp -v $S/http/ajax.googleapis.com/ajax/libs/jquery/1/jquery.js .
cp -v $S/http/releases.flowplayer.org/5.0.0/flowplayer.js .
cp -v $S/http/releases.flowplayer.org/5.0.0/flowplayer.swf .
cp -v $S/http/releases.flowplayer.org/5.0.0/skin/minimalist.css .
cp -v $S/http/stream.flowplayer.org/bauhaus/624x260.mp4 .

cat > flow.html <<'%%%'
<!doctype html>
<head>
   <link rel="stylesheet" type="text/css" href="minimalist.css" />
   <script src="jquery.js"></script>
   <script src="flowplayer.js"></script>
</head>
<body>
   <div class="flowplayer" data-swf="flowplayer.swf" data-ratio="0.417">
      <video>
         <source type="video/mp4" src="624x260.mp4"/>
      </video>
   </div>
</body>
%%%

# (find-fline "/tmp/flow/")
# (find-fline "/tmp/flow/flow.html")
# file:///tmp/flow/flow.html




#####
#
# recordmydesktop
# 2011sep17
#
#####

# «recordmydesktop»  (to ".recordmydesktop")
# http://www.youtube.com/watch?v=A0Tn3Z8OklQ
#   ^ Tutorial: Ubuntu Screen Cast with RecordMyDesktop
# (find-status   "recordmydesktop")
# (find-vldifile "recordmydesktop.list")
# (find-udfile   "recordmydesktop/")
# (find-status   "cheese")
# (find-vldifile "cheese.list")
# (find-udfile   "cheese/")

ffmpeg -i foo.ogv foo.flv




#####
#
# gnash
# 2019mar02
#
#####

# «gnash» (to ".gnash")
# https://stackoverflow.com/questions/20194270/convert-compressed-swf-to-mp4

# (find-status   "gnash")
# (find-vldifile "gnash.list")
# (find-udfile   "gnash/")
# (find-status   "gnash-common")
# (find-vldifile "gnash-common.list")
# (find-udfile   "gnash-common/")
# file:///usr/share/doc/gnash-common/gnashref.html
# file:///usr/share/doc/gnash-common/gnashuser.html

# (find-udfile "gnash-common/README.Debian")
# (find-man "1 gnash")
# (find-man "1 dump-gnash")

# (find-fline "/etc/gnashthumbnailrc")
# (find-fline "/etc/gnashrc")
# (find-fline "/usr/bin/gnash-gtk-launcher")
# (find-fline "/usr/bin/gnash-thumbnailer")
# (find-fline "/usr/share/lintian/overrides/gnash")
# (find-fline "/usr/share/applications/gnash.desktop")
# (find-fline "/usr/share/thumbnailers/gnash.thumbnailer")
# (find-man "1 gtk-gnash")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /tmp/
# http://angg.twu.net/eev-current/anim/
wget http://angg.twu.net/eev-current/anim/channels.swf
wget http://angg.twu.net/eev-current/anim/gdb.swf

gtk-gnash /tmp/channels.swf
# ^ plays the movie, but with glitches





cd       ~/usrc/mediaplayer-5.7-viral/
cp -v 'JW Player Quick Start Guide.pdf' \
       JW_Player_Quick_Start_Guide.pdf


# (find-fline "~/tmp/mediaplayer-viral.zip")


https://news.ycombinator.com/item?id=30581735 I Can No Longer Compile My First Flash Game (devtails.xyz)
https://ruffle.rs/
https://news.ycombinator.com/item?id=33604959 Show HN: A Simple Online Step Sequencer (muted.io) - flash/ruffle
https://news.ycombinator.com/item?id=34079543 I still use Flash (foon.uk) 
https://news.ycombinator.com/item?id=35196442 Still Have a Use for Adobe Flash? Ruffle Is Working to Safely Emulate It in Rust (phoronix.com)
https://news.ycombinator.com/item?id=35649245 Show HN: Thoughts on Flash in 2023, in Flash, in 2023 (newgrounds.com)
https://news.ycombinator.com/item?id=36742007 ooooooooo.ooo (9o3o): Browse over 145,000 preserved Flash games (ooooooooo.ooo)







#  Local Variables:
#  coding:               utf-8-unix
#  modes:                (fundamental-mode emacs-lisp-mode)
#  End:
