#######
#
# E-scripts about Gnome
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/gnome.e>
#           or at <http://angg.twu.net/e/gnome.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.screen-locking»	(to "screen-locking")
# «.login-sound»	(to "login-sound")
# «.saving-sessions»	(to "saving-sessions")
# «.without-nautilus»	(to "without-nautilus")
# «.backgrounds»	(to "backgrounds")
# «.pstree»		(to "pstree")
# «.modem-manager»	(to "modem-manager")
# «.gnome-help»		(to "gnome-help")
# «.gwm-keys»		(to "gwm-keys")
# «.cheese»		(to "cheese")
# «.glade»		(to "glade")
# «.network-manager»	(to "network-manager")
# «.freedesktop»	(to "freedesktop")
# «.irc.gnome.org-docs»	(to "irc.gnome.org-docs")
# «.fish-shell»		(to "fish-shell")
# «.gnome-wm»		(to "gnome-wm")
# «.gfvs»		(to "gfvs")
# «.gnome-shell»	(to "gnome-shell")
# «.gnome-keyring»	(to "gnome-keyring")
# «.seahorse»		(to "seahorse")
# «.librsvg»		(to "librsvg")




# (find-status "gnome-session")
# (find-vldifile "gnome-session.list")
# (find-fline "/usr/doc/gnome-session/")

To try gnome when it is not the default, kill any running window
managers (is there an automatic way to do that?) and run gnome-session.

# (find-progoutput "dpkg --get-selections")





#####
#
# Screen locking
# 2010aug08
#
#####

# «screen-locking»  (to ".screen-locking")
# System > Preferences > Screen saver > Activate screensaver when screen is idle
# System > Preferences > Screen saver > Lock screen when screensaver is active

# (find-man "1 touchfreeze")
http://www.google.com/url?sa=t&source=web&cd=1&ved=0CBIQFjAA&url=https%3A%2F%2Fhelp.ubuntu.com%2F7.04%2Fkeeping-safe%2FC%2Flock-screen.html&ei=-rFbTOHgA865uAfFlJClCg&usg=AFQjCNEzENM-16KO7Z6HcjWStu6DX0Xc4Q
http://www.google.com/url?sa=t&source=web&cd=1&url=https%3A%2F%2Fhelp.ubuntu.com%2F7.04%2Fkeeping-safe%2FC%2Flock-screen.html

libart

gconf-editor apps gnome-screensaver lock_enabled

# (find-zsh "dmissing gnome-screensaver")
# (find-zsh "apt-cache search gnome-screensaver")
# (find-status   "gnome-screensaver")
# (find-vldifile "gnome-screensaver.list")
# (find-udfile   "gnome-screensaver/")

# (find-man "1 gnome-screensaver-preferences")
# (find-man "1 gnome-screensaver")
# (find-man "1 gnome-screensaver-command")
# (find-udfile "gnome-screensaver/README")
# (find-udfile "gnome-screensaver/TODO")
# (find-udfile "gnome-screensaver/AUTHORS")
# (find-udfile "gnome-screensaver/README.Debian")
# (find-udfile "gnome-screensaver/copyright")
# (find-udfile "gnome-screensaver/NEWS.gz")
# (find-udfile "gnome-screensaver/changelog.Debian.gz")

# (find-fline "/usr/share/pixmaps/gnome-logo-white.svg")
# (find-fline "/usr/share/desktop-directories/gnome-screensaver.directory")
# (find-fline "/usr/share/gnome-screensaver/gnome-screensaver-preferences.ui")
# (find-fline "/usr/share/gnome-screensaver/gnome-screensaver-preferences.ui" "Lock screen")
# (find-fline "/usr/share/gnome-screensaver/lock-dialog-default.ui")







#####
#
# login sound
# 2010aug08
#
#####

# «login-sound»  (to ".login-sound")

gnome-session-properties &
gnome login sound
/usr/bin/canberra-gtk-play --id="desktop-login" --description="GNOME Login"

# (find-fline "~/.gconf/")
# (find-fline "~/.gnome2/")
# (find-fline "~/.gnomerc0")
# (find-fline "/usr/bin/canberra-gtk-play")
# (find-zsh "dmissing canberra-gtk-play")
# (find-zsh "dmissing gnome-session")
# (find-man "gnome-session-properties")
# (find-fline "/usr/share/applications/session-properties.desktop")
# (find-man "1 session-properties")




#####
#
# Saving sessions
# 2010aug08
#
#####

# «saving-sessions»  (to ".saving-sessions")
# (find-es "fvwm" "fvwm-gnome-wm")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
fvwm --replace &

http://www.fvwm.org/documentation/faq/
http://www.fvwm.org/documentation/faq/index.html
  2.8




#####
#
# Gnome without nautilus
# 2010aug08
#
#####

# «without-nautilus»  (to ".without-nautilus")
# http://ubuntuforums.org/archive/index.php/t-1131223.html
# http://arstechnica.com/civis/viewtopic.php?f=16&t=448217

# (find-sh "pstree" "nautilus")
# (find-sh "locate -i nautilus")
# (find-zsh "installeddebs | sort | grep nautilus")
# (find-angggrep "grep -nrHi -e nautilus .gconf .gnome2")
# (find-fline "~/.gnome2/")
# (find-fline "~/.gconf/")

# (find-angggrep "grep -nrHi -e nautilus .")




#####
#
# Backgrounds
# 2010aug08
#
#####

# «backgrounds»  (to ".backgrounds")
# (find-fline "/usr/share/backgrounds/")
# (find-fline "/usr/share/backgrounds/space-02.jpg")

# (find-zsh "dmissing backgrounds")





#####
#
# pstree on gnome
# 2010aug14
#
#####

# «pstree»  (to ".pstree")
# (find-angg ".fvwm/.fvwm2rc" "restart")
# (find-es "x" "gdm")
# How do I switch from fvwm to gnome and vice-versa?
# "fvwm --replace" on a gnome leaves nautilus running,

# (find-sh "pstree")

     |-gconfd-2
     |-gdm-binary-+-gdm-simple-slav-+-Xorg
     |            |                 |-gdm-session-wor-+-gnome-session-+-bluetooth-apple
     |            |                 |                 |               |-compiz---sh---gtk-window-deco
     |            |                 |                 |               |-evolution-alarm---{evolution-alar}
     |            |                 |                 |               |-gdu-notificatio
     |            |                 |                 |               |-gnome-panel
     |            |                 |                 |               |-gnome-power-man
     |            |                 |                 |               |-nautilus
     |            |                 |                 |               |-nm-applet
     |            |                 |                 |               |-polkit-gnome-au
     |            |                 |                 |               |-python
     |            |                 |                 |               |-ssh-agent
     |            |                 |                 |               |-unclutter
     |            |                 |                 |               |-update-notifier
     |            |                 |                 |               `-{gnome-session}
     |            |                 |                 `-{gdm-session-wo}
     |            |                 `-{gdm-simple-sla}
     |            `-{gdm-binary}
     |-6*[getty]
     |-gnome-keyring-d---2*[{gnome-keyring-}]
     |-2*[gnome-screensav]
     |-gnome-settings-
     |-gnome-terminal-+-gnome-pty-helpe
     |                |-zsh---zsh---emacs---pstree
     |                `-{gnome-terminal}
     |-gvfs-afc-volume---{gvfs-afc-volum}
     |-gvfs-fuse-daemo---3*[{gvfs-fuse-daem}]
     |-gvfs-gdu-volume
     |-gvfs-gphoto2-vo
     |-gvfsd
     |-gvfsd-burn
     |-gvfsd-metadata
     |-gvfsd-trash
     |-2*[indicator-apple]
     |-indicator-appli
     |-indicator-me-se
     |-indicator-messa
     |-indicator-sessi
     |-indicator-sound
     |-modem-manager
     |-notification-ar
     |-notify-osd
     |-polkitd
     |-pulseaudio-+-gconf-helper
     |            `-2*[{pulseaudio}]
     |-rsyslogd---2*[{rsyslogd}]
     |-rtkit-daemon---2*[{rtkit-daemon}]



#####
#
# modem-manager
# 2011mar17
#
#####

# «modem-manager»  (to ".modem-manager")
nm-applet
modem-manager

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
dmissing nm-applet
dmissing modem-manager
# (find-status   "network-manager-gnome")
# (find-vldifile "network-manager-gnome.list")
# (find-udfile   "network-manager-gnome/")
# (find-man "1 nm-applet")
# (find-man "1 nm-tool")
nm-tool

# (find-status   "modemmanager")
# (find-vldifile "modemmanager.list")
# (find-udfile   "modemmanager/")
# (find-fline "/lib/udev/rules.d/")
# (find-sh "grep -i huawei /lib/udev/rules.d/*")

# (find-sh "grep-aptavail -P modemmanager")
# (find-sh "grep-aptavail    modemmanager")
dmissing grep-aptavail
dctrl-tools
# (find-fline "/usr/bin/grep-aptavail")
# (find-man "grep-aptavail")

# (find-status   "network-manager")
# (find-vldifile "network-manager.list")
# (find-udfile   "network-manager/")





#####
#
# gnome-help
# 2010sep20
#
#####

# «gnome-help»  (to ".gnome-help")
# (find-fline "/usr/share/gnome/help/user-guide/")
# (find-fline "/usr/share/gnome/help/user-guide/C/")
# (find-bgprocess "gnome-help ghelp:///usr/share/gnome/help/user-guide/C/user-guide.xml")

# (code-c-d "gnomeuserguide" "/usr/share/gnome/help/user-guide/C/")
# (find-gnomeuserguidefile "gosbasic.xml" "Unmaximize the current window")

# What is the relation between gnome-help and yelp?
# (find-zsh "dmissing gnome-help")
# (find-man "1 gnome-help")
# (find-status   "yelp")
# (find-vldifile "yelp.list")
# (find-udfile   "yelp/")

# (find-sh "ps ax")
# (find-sh "pstree")

# «gwm-keys»  (to ".gwm-keys")

Alt-F1          Applications Menu
Alt-F2          run Applications dialog
PrtSc           take a screenshot of the entire desktop
Alt-PrtSc       take a screenshot of the currently focused window
Ctrl-Alt-Arrow  switch workspace
Ctrl-Alt-D      minimize all windows, give focus to the desktop
Alt-Tab         switch between windows (Shift cycles in reverse order)
Ctrl-Alt-Tab    switch focus between the panels and the desktop (Shift rev)

Alt-F4          close the currently focused window
Alt-F5          unmaximize the current window, if maximized
Alt-F7          move the currently focused window
Alt-F8          resize the currently focused window
Alt-F9          minimize the current window
Alt-F10         maximize the current window
Shift-Ctrl-Alt-Arrow   move the current window to another desktop

F10             activate the leftmost menu of the application window
Shift-F10       activate the context menu for the selected window

Mod4-D          window picker
Mod4-E          expo key
Alt-Space       activate the window menu




#####
#
# cheese
# 2011sep30
#
#####

# «cheese»  (to ".cheese")
# http://packages.debian.org/cheese
# http://packages.debian.org/squeeze/cheese
# http://packages.debian.org/source/squeeze/cheese
# http://ftp.de.debian.org/debian/pool/main/c/cheese/cheese_2.30.1-2.dsc
# http://ftp.de.debian.org/debian/pool/main/c/cheese/cheese_2.30.1.orig.tar.gz
# http://ftp.de.debian.org/debian/pool/main/c/cheese/cheese_2.30.1-2.debian.tar.gz
# http://live.gnome.org/Cheese/
# http://projects.gnome.org/cheese/
#
rm -Rv ~/usrc/cheese/
mkdir  ~/usrc/cheese/
cd $S/http/ftp.de.debian.org/debian/pool/main/c/cheese/
cp -v cheese_2.30.1* ~/usrc/cheese/
cd     ~/usrc/cheese/
dpkg-source -sn -x cheese_2.30.1-2.dsc
cd     ~/usrc/cheese/cheese-2.30.1/
dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (find-fline "~/usrc/cheese/")
 (eepitch-shell)
cd ~/usrc/cheese/
sudo dpkg -i *.deb

#
# (code-c-d "cheese" "~/usrc/cheese/cheese-2.30.1/")
# (find-cheesefile "")
# (find-cheesefile "README")
# (find-cheesefile "README" "gstreamer-properties")

# (find-status   "cheese")
# (find-vldifile "cheese.list")
# (find-udfile   "cheese/")
# (find-fline "/usr/share/applications/cheese.desktop")
# (find-udfile   "cheese/")
# (find-status   "cheese-common")
# (find-vldifile "cheese-common.list")
# (find-udfile   "cheese-common/")
# (find-man "1 cheese")

# (find-fline "~/Pictures/Webcam/")
# (find-fline "~/Pictures/Webcam/2015-03-08-162900.jpg")




#####
#
# Glade
# 2011nov18
#
#####

# «glade»  (to ".glade")
# (find-zsh "installeddebs | sort | grep glade")
# (find-zsh "availabledebs | sort | grep glade")
# http://glade.gnome.org/
# http://live.gnome.org/Glade/Tutorials
# (find-zsh "dmissing glade")
# (find-status   "glade-gnome")
# (find-vldifile "glade-gnome.list")
# (find-udfile   "glade-gnome/")
# (find-status   "glade")
# (find-vldifile "glade.list")
# (find-udfile   "glade/")






#####
#
# Network Manager
# 2011nov18
#
#####

# «network-manager»  (to ".network-manager")
# http://projects.gnome.org/NetworkManager/
#   IRC channel #nm at irc.freenode.net
# http://mail.gnome.org/archives/networkmanager-list/
# (find-fline "~/.gconf/system/networking/connections/")
# (find-fline "~/.gconf/apps/nm-applet/")
# (find-status   "network-manager-gnome")
# (find-vldifile "network-manager-gnome.list")
# (find-udfile   "network-manager-gnome/")
# (find-fline "/usr/share/nm-applet/")
# (find-fline "/etc/NetworkManager/")

# (code-c-d "nmappletglade" "/usr/share/nm-applet/")
# (find-nmappletgladefile "")
# (find-nmappletgladegrep "grep -nH -e show_password *")

nm-applet
# (find-zsh "dmissing nm-applet")




#####
#
# freedesktop.org
# 2012mar12
#
#####

# «freedesktop»  (to ".freedesktop")
# From Eric Abrahamsen's e-mail on emacs-orgmode, 2012mar12
# http://portland.freedesktop.org/
# (find-status   "xdg-utils")
# (find-vldifile "xdg-utils.list")
# (find-udfile   "xdg-utils/")

# (find-fline "/usr/bin/xdg-desktop-icon")
# (find-fline "/usr/bin/xdg-desktop-menu")
# (find-fline "/usr/bin/xdg-email")
# (find-fline "/usr/bin/xdg-icon-resource")
# (find-fline "/usr/bin/xdg-mime")
# (find-fline "/usr/bin/xdg-open")
# (find-fline "/usr/bin/xdg-screensaver")
# (find-fline "/usr/bin/xdg-settings")
# (find-man "1 xdg-desktop-icon")
# (find-man "1 xdg-desktop-menu")
# (find-man "1 xdg-email")
# (find-man "1 xdg-icon-resource")
# (find-man "1 xdg-mime")
# (find-man "1 xdg-open")
# (find-man "1 xdg-screensaver")
# (find-man "1 xdg-settings")
# (find-udfile "xdg-utils/README")
# (find-udfile "xdg-utils/RELEASE_NOTES")
# (find-udfile "xdg-utils/TODO")
# (find-udfile "xdg-utils/changelog.Debian.gz")
# (find-udfile "xdg-utils/changelog.gz")
# (find-udfile "xdg-utils/copyright")




#####
#
# The #docs channel at irc.gnome.org
# 2012apr07
#
#####

# «irc.gnome.org-docs»  (to ".irc.gnome.org-docs")
# http://live.gnome.org/DocumentationProject/Contact
# http://www.google.com/search?q=how+to+browse+xml+files+in+google+chrome

 (eepitch-ircgnome)
 (eepitch-kill)
 (eepitch-ircgnome)
 (eepitch-to-buffer "#docs@irc.gnome.org")

# (find-status   "gnome-user-guide")
# (find-vldifile "gnome-user-guide.list")
# (find-udfile   "gnome-user-guide/")

# (find-vldish "cat gnome-user-guide.list | grep pt")
# (find-vldish "cat gnome-user-guide.list | grep xml")
# (find-fline "/usr/share/gnome/help/user-guide/")

# (find-fline "/usr/share/gnome/help/user-guide/C/user-guide.xml")
# (find-bgprocess "yelp /usr/share/gnome/help/user-guide/C/user-guide.xml")





#####
#
# Fish (shell)
# 2012may03
#
#####

# «fish-shell»  (to ".fish-shell")
# (find-status   "fish")
# (find-vldifile "fish.list")
# (find-udfile   "fish/")




#####
#
# Default Window Manager
# 2012may06
#
#####

# «gnome-wm»  (to ".gnome-wm")
# http://tldp.org/HOWTO/XWindow-User-HOWTO/windowman.html
# http://ubuntu.paslah.com/the-gnome-interface/

# (find-man "gnome-wm")
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "/usr/bin/gnome-wm")

# (find-zsh "dmissing usr/bin/gnome-wm")




#####
#
# GVFS
# 2012nov02
#
#####

# «gfvs» (to ".gfvs")
# http://en.wikipedia.org/wiki/GVFS



#####
#
# Gnome shell
# 2013may26 / 2020jan10
#
#####

# «gnome-shell» (to ".gnome-shell")
# (find-sh "pstree")
# http://en.wikipedia.org/wiki/GNOME_Shell
# (find-zsh "installeddebs | sort | grep gnome-shell")
# (find-zsh "availabledebs | sort | grep gnome-shell")
# http://live.gnome.org/GnomeShell
# https://live.gnome.org/GnomeShell/Tour
# https://live.gnome.org/GnomeShell/CheatSheet
# https://live.gnome.org/GnomeShell/CheatSheet#Screencast_recording

# (find-status   "gnome-shell")
# (find-vldifile "gnome-shell.list")
# (find-udfile   "gnome-shell/")
# (find-man    "1 gnome-shell")
# (find-status   "gnome-shell-common")
# (find-vldifile "gnome-shell-common.list")
# (find-udfile   "gnome-shell-common/")
# (find-status   "gnome-shell-extensions")
# (find-vldifile "gnome-shell-extensions.list")
# (find-udfile   "gnome-shell-extensions/")

# (find-sh "ps ax")

gnome-shell

# 2019:
# https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00343.html
# https://gitlab.gnome.org/GNOME/gnome-shell/issues/1733

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-status   "gnome-shell")
# (find-vldifile "gnome-shell.list")
# (find-udfile   "gnome-shell/")
# (find-man "1 gnome-shell")
gnome-shell

# (find-sh "locate gnome-shell")





#####
#
# gnome-keyring
# 2019feb20
#
#####

# «gnome-keyring» (to ".gnome-keyring")
# https://wiki.gnome.org/GnomeKeyring
# https://en.wikipedia.org/wiki/GNOME_Keyring
# (find-status   "gnome-keyring")
# (find-vldifile "gnome-keyring.list")
# (find-udfile   "gnome-keyring/")

https://www.bleepingcomputer.com/forums/t/554516/how-to-disable-login-keyring/
https://www.thegeekstuff.com/2011/10/change-login-keyring-password/
http://ubuntuhandbook.org/index.php/2013/07/disable-unlock-login-keyring-ubuntu-13-04/

How do I turn off keyring?
This prevents being prompted for a password.
Open Applications --> Accessories -->Password and Encryption Keys.
Right-click on the "login" keyring.
Select "Change Password"
Enter your old password and leave the new password blank.

# (find-fline "/usr/share/dbus-1/services/org.gnome.keyring.service")
# (find-fline "/usr/share/dbus-1/services/org.freedesktop.secrets.service")
# (find-fline "/usr/share/GConf/gsettings/org.gnome.crypto.cache.convert")
# (find-fline "/usr/share/upstart/sessions/gnome-keyring-ssh.conf")
# (find-fline "/usr/share/upstart/sessions/gnome-keyring.conf")
# (find-udfile "gnome-keyring/README.Debian")
# (find-udfile "gnome-keyring/AUTHORS")
# (find-udfile "gnome-keyring/README")
# (find-udfile "gnome-keyring/copyright")
# (find-udfile "gnome-keyring/NEWS.gz")
# (find-udfile "gnome-keyring/changelog.Debian.gz")
# (find-man "1 gnome-keyring")
# (find-man "1 gnome-keyring-daemon")
# (find-fline "/usr/share/glib-2.0/schemas/org.gnome.crypto.cache.gschema.xml")
# (find-fline "/usr/lib/ubiquity/target-config/50gkd-caps")
# (find-fline "/etc/xdg/autostart/gnome-keyring-secrets.desktop")
# (find-fline "/etc/xdg/autostart/gnome-keyring-pkcs11.desktop")
# (find-fline "/etc/xdg/autostart/gnome-keyring-ssh.desktop")


# secret-tool: not installed
# (find-sh "apt-file search secret-tool")
libsecret-tools: /usr/bin/secret-tool
libsecret-tools: /usr/share/doc/libsecret-tools/changelog.Debian.gz
libsecret-tools: /usr/share/doc/libsecret-tools/copyright
libsecret-tools: /usr/share/man/man1/secret-tool.1.gz




#####
#
# seahorse
# 2019feb20
#
#####

# «seahorse» (to ".seahorse")
# http://seahorse.sourceforge.net/
# (find-status   "seahorse")
# (find-vldifile "seahorse.list")
# (find-udfile   "seahorse/")
# (find-sh "apt-file search seahorse")
# (find-fline "/usr/share/help/C/seahorse/")

# (find-udfile "seahorse/README")
# (find-udfile "seahorse/TODO")
# (find-fline "/usr/share/gnome-shell/search-providers/seahorse-search-provider.ini")
# (find-man "1 seahorse")
# (find-fline "/usr/share/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml")
# (find-fline "/usr/share/glib-2.0/schemas/org.gnome.seahorse.gschema.xml")
# (find-fline "/usr/share/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml")
# (find-fline "/usr/share/appdata/seahorse.appdata.xml")
# (find-fline "/usr/share/applications/seahorse.desktop")
# (find-fline "/usr/bin/seahorse")
# (find-fline "/usr/lib/seahorse/xloadimage")
# (find-fline "/usr/lib/seahorse/seahorse-ssh-askpass")

https://help.gnome.org/users/seahorse/stable/keyring-unlock.html.en




#####
#
# librsvg
# 2019jul09
#
#####

# «librsvg» (to ".librsvg")
# https://gitlab.gnome.org/GNOME/librsvg.git
# (find-es "autoconf" "m4_pattern_allow")
# https://github.com/dlenski/openconnect/issues/37

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rfv ~/usrc/librsvg/
cd      ~/usrc/
git clone https://gitlab.gnome.org/GNOME/librsvg.git
cd      ~/usrc/librsvg/

git clean -fx && git reset --hard
autoreconf -i

./autogen.sh

git reset
aclocal
automake --add-missing

autoreconf
./configure  |& tee oc


w autoconf
autoconf --version
autoconf
./configure  |& tee oc

# (find-fline "~/usrc/")
# (find-fline "~/usrc/librsvg/")
# (find-gitk  "~/usrc/librsvg/")

# (code-c-d "librsvg" "~/usrc/librsvg/")
# (find-librsvgfile "")
# (find-librsvgfile "INSTALL")
# (find-librsvgfile "INSTALL" "./configure")


http://live.gnome.org/DocumentationProject/Community



# Fish (easter egg)
# (find-fline "/usr/share/icons/hicolor/32x32/apps/gnome-panel-fish.png")
# http://www.eeggs.com/items/50088.html
# alt-f2 -> free the fish






# (find-fline "/etc/skel/")
# (find-xpdfpage "/etc/skel/Manuais/Manual Ubuntu Linux 8.04.pdf" (+ 8 241))
# (find-pdftotext "/etc/skel/Manuais/Manual Ubuntu Linux 8.04.pdf" (+ 8 241))




# (find-status   "gnome-accessibility")
# (find-vldifile "gnome-accessibility.list")
# (find-udfile   "gnome-accessibility/")

http://www2.explorando.com.br/linux/gnome-screenshot-tirar-printscreen.php


https://commons.wikimedia.org/wiki/GNOME_Desktop_icons
https://commons.wikimedia.org/wiki/GNOME_High_contrast_icons
https://commons.wikimedia.org/wiki/Tango_icons

seahorse

https://news.ycombinator.com/item?id=29215270 I ended up liking GNOME with the loss of one hand (dataswamp.org)
https://news.ycombinator.com/item?id=31778490 Gnome has no thumbnails in the file picker and my toilets are blocked (2021) (jayfax.neocities.org)
https://jayfax.neocities.org/mediocrity/gnome-has-no-thumbnails-in-the-file-picker.html
https://felipec.wordpress.com/2013/06/12/the-problem-with-gnome-3/




#  Local Variables:
#  coding:               utf-8-unix
#  End:
