#######
#
# E-scripts on golang.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://anggtwu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://anggtwu.net/e/golang.e>
#           or at <http://anggtwu.net/e/golang.e.html>.
#        See also <http://anggtwu.net/emacs.html>,
#                 <http://anggtwu.net/.emacs[.html]>,
#                 <http://anggtwu.net/.zshrc[.html]>,
#                 <http://anggtwu.net/escripts.html>,
#             and <http://anggtwu.net/>.
#
#######



golang
golang-1.15
golang-1.15-doc
golang-1.15-go
golang-1.15-src
golang-doc
golang-go
golang-src

# (find-status   "golang")
# (find-vldifile "golang.list")
# (find-udfile   "golang/")
# (find-status   "golang-1.15")
# (find-vldifile "golang-1.15.list")
# (find-udfile   "golang-1.15/")
# (find-status   "golang-1.15-doc")
# (find-vldifile "golang-1.15-doc.list")
# (find-udfile   "golang-1.15-doc/")
# (find-status   "golang-1.15-go")
# (find-vldifile "golang-1.15-go.list")
# (find-udfile   "golang-1.15-go/")
# (find-status   "golang-1.15-src")
# (find-vldifile "golang-1.15-src.list")
# (find-udfile   "golang-1.15-src/")
# (find-status   "golang-doc")
# (find-vldifile "golang-doc.list")
# (find-udfile   "golang-doc/")
# (find-status   "golang-go")
# (find-vldifile "golang-go.list")
# (find-udfile   "golang-go/")
# (find-status   "golang-src")
# (find-vldifile "golang-src.list")
# (find-udfile   "golang-src/")


# (find-man "1 go-build")
# (find-man "1 go-clean")
# (find-man "1 go-env")
# (find-man "1 go-fix")
# (find-man "1 go-fmt")
# (find-man "1 go-get")
# (find-man "1 go-install")
# (find-man "1 go-list")
# (find-man "1 go-run")
# (find-man "1 go-test")
# (find-man "1 go-tool")
# (find-man "1 go-version")
# (find-man "1 go-vet")
# (find-man "1 go")
# (find-man "1 gofmt")
# (find-man "7 go-packages")
# (find-man "7 go-path")
# (find-man "7 go-remote")
# (find-man "7 go-testflag")
# (find-man "7 go-testfunc")


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
go





#  Local Variables:
#  coding:               utf-8-unix
#  End:
