#######
#
# E-scripts on GPG and PGP.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/gpg.e>
#           or at <http://angg.twu.net/e/gpg.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.gpg»	(to "gpg")




#####
#
# gpg
# 2000nov26
#
#####

# «gpg»  (to ".gpg")
# (find-status "gnupg")
# (find-vldifile "gnupg.list")
# (find-fline "/usr/doc/gnupg/")
# (find-fline "/usr/doc/gnupg/README.gz" "gpg --gen-key")

# Note that this block will ERASE your ~/.gnupg/ directory.
# Use only when learning.

#
rm -Rv ~/.gnupg/
gpg --gen-key
# gpg (GnuPG) 1.0.1; Copyright (C) 1999 Free Software Foundation, Inc.
# This program comes with ABSOLUTELY NO WARRANTY.
# This is free software, and you are welcome to redistribute it
# under certain conditions. See the file COPYING for details.
#
# gpg: /home/root/.gnupg: directory created
# gpg: /home/root/.gnupg/options: new options file created
# gpg: you have to start GnuPG again, so it can read the new options file

cat > $EEG <<'---'
1
1024
0
y
Eduardo Ochs
edrx@mat.puc-rio.br

O
TestPasswd
TestPasswd
---
# Note that gpg is able to "collect entropy" from mouse movement.
eeg gpg --gen-key

find ~/.gnupg/
#

# (find-fline "~/.gnupg/")

gpg --list-keys
gpg --list-public-keys

cat /usr/src/mktclapp_3.9-1.dsc \
  | gpg --local-user 'Eduardo Ochs <edrx@mat.puc-rio.br>' \
        --clearsign --armor --textmode




#####
#
# generating and testing my key
# 2004aug06
#
#####

# gpg --gen-key
# (find-man "gpg")
# (find-progoutput "gpg --list-keys")
# (find-progoutput "gpg --list-public-keys")
# (find-progoutput "gpg --list-secret-keys")
# (find-progoutput "gpg --list-sigs")
# (find-progoutput "gpg --fingerprint")
# (find-progoutput "gpg -a --export")

       --list-public-keys [names]

gpg -v -v --keyserver www.keyserver.net --send-keys 'Eduardo Ochs'

host -l pgp.net | grep wwwkeys





#####
#
# What is the meaning of "signing a key" (for Debian, say)?
# 2001mar03
#
#####

# (find-fline "/usr/doc/gnupg/README.gz" "There are 2 steps to validate a key")






#####
#
#
#
#####

# (find-es "mktclapp")

# (find-fline "/usr/bin/dpkg-buildpackage")
# (find-fline "/usr/bin/dpkg-buildpackage.orig")
# (find-fline "/usr/bin/dpkg-buildpackage.orig" "signfile ()")






#  Local Variables:
#  coding:               utf-8-unix
#  End:
