#######
#
# E-scripts on graphviz.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/graphviz.e>
#           or at <http://angg.twu.net/e/graphviz.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# http://www.graphviz.org/

# (find-status   "graphviz")
# (find-vldifile "graphviz.list")
# (find-udfile   "graphviz/")
# (find-status   "graphviz-doc")
# (find-vldifile "graphviz-doc.list")
# (find-udfile   "graphviz-doc/")

# (find-fline "/usr/share/doc/graphviz/examples/")
# (find-fline "/usr/share/doc/graphviz/examples/lefty/")
# (find-fline "/usr/share/doc/graphviz/examples/demo/")
# (find-fline "/usr/share/doc/graphviz/examples/demo/pathplan_data/")
# (find-fline "/usr/share/doc/graphviz/examples/graphs/")
# (find-fline "/usr/share/doc/graphviz/examples/graphs/directed/")
# (find-fline "/usr/share/doc/graphviz/examples/graphs/undirected/")

# (find-man "7 graphviz")
# (find-man "1 acyclic")
# (find-man "1 bcomps")
# (find-man "1 ccomps")
# (find-man "1 circo")
# (find-man "1 diffimg")
# (find-man "1 dijkstra")
# (find-man "1 dot")
# (find-man "1 dot2gxl")
# (find-man "1 dotty")
# (find-man "1 fdp")
# (find-man "1 gc")
# (find-man "1 gml2gv")
# (find-man "1 gv2gxl")
# (find-man "1 gvcolor")
# (find-man "1 gvgen")
# (find-man "1 gvpack")
# (find-man "1 gvpr")
# (find-man "1 gxl2dot")
# (find-man "1 gxl2gv")
# (find-man "1 lefty")
# (find-man "1 lneato")
# (find-man "1 mm2gv")
# (find-man "1 neato")
# (find-man "1 nop")
# (find-man "1 osage")
# (find-man "1 prune")
# (find-man "1 sccmap")
# (find-man "1 sfdp")
# (find-man "1 smyrna")
# (find-man "1 tred")
# (find-man "1 twopi")
# (find-man "1 unflatten")
# (find-man "1 vimdot")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-anggfile "GRAPHVIZ/")
# (find-anggfile "GRAPHVIZ/box20.gv")
cd ~/GRAPHVIZ/
dot -Tpdf -o box20.pdf box20.gv
# (find-xpdf-page "~/GRAPHVIZ/box20.pdf")

# file:///usr/share/doc/graphviz/html/index.html
# file:///usr/share/doc/graphviz/html/info/command.html

# http://wiki.luatex.org/index.php/TeX_without_TeX
# http://wiki.luatex.org/index.php/File:Nodes_in_sample_paragraph.png
# https://gist.github.com/pgundlach/556247

# https://en.wikipedia.org/wiki/DOT_%28graph_description_language%29



http://www.philipzucker.com/categorical-combinators-for-graphviz-in-python/




#  Local Variables:
#  coding:               utf-8-unix
#  End:
