#######
#
# E-scripts on ikiwiki.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://anggtwu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://anggtwu.net/e/ikiwiki.e>
#           or at <http://anggtwu.net/e/ikiwiki.e.html>.
#        See also <http://anggtwu.net/emacs.html>,
#                 <http://anggtwu.net/.emacs[.html]>,
#                 <http://anggtwu.net/.zshrc[.html]>,
#                 <http://anggtwu.net/escripts.html>,
#             and <http://anggtwu.net/>.
#
#######



# «.setup»	(to "setup")



# (find-es "emacsconf2023" "emacsconf-wiki")




#####
#
# The instructions in https://ikiwiki.info/setup/
# 2024feb16
#
#####

# «setup»  (to ".setup")
# https://ikiwiki.info/setup/
# (find-es "emacsconf2023" "emacsconf-wiki")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo apt-get install ikiwiki

# (find-status   "ikiwiki")
# (find-vldifile "ikiwiki.list")
# (find-udfile   "ikiwiki/")
# (find-udfile   "ikiwiki/examples/")
# (find-udfile   "ikiwiki/html/")
# file:///usr/share/doc/ikiwiki/html/index.html
# http://localhost/emacsconf/

# (find-man "1 ikiwiki")
# (find-man "1 ikiwiki" "ikiwiki --rebuild srcdir destdir")
# (find-man "1 ikiwiki" "ikiwiki srcdir destdir")


ikiwiki --setup /etc/ikiwiki/auto.setup
emacsconf
git
edrx
edrx
edrx



ikiwiki-update-wikilist: cannot write to /etc/ikiwiki/wikilist
** Failed to add you to the system wikilist file.
** (Probably ikiwiki-update-wikilist is not SUID root.)
** Your wiki will not be automatically updated when ikiwiki is upgraded.


Successfully set up emacsconf:
	url:         http://scylla/~edrx/emacsconf
	srcdir:      ~/emacsconf
	destdir:     ~/public_html/emacsconf
	repository:  ~/emacsconf.git
To modify settings, edit ~/emacsconf.setup and then run:
	ikiwiki --setup ~/emacsconf.setup

# (find-fline "~/emacsconf.setup")


# (find-fline "~/LOGS/2024feb16.emacs")
# (find-fline "~/LOGS/2024feb16.emacs2")
# (find-fline "~/LOGS/2024feb16.emacs2" "ikiwiki")
# https://ikiwiki.info/setup/byhand/






#  Local Variables:
#  coding:               utf-8-unix
#  End:
