#######
#
# E-scripts - general index (started dec 2004)
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/index.e>
#           or at <http://angg.twu.net/e/index.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




«Packages»		(find-es "livecd" "var-www-vcarchives")
«SyncMaster_551v»	(find-es "hardware" "SyncMaster_551v")
«X-kbdrate»		(find-es "x" "X-kbdrate")
«cdrecord-on-k26»	(find-es "cdrom" "cdrecord-on-k26")
«monitor»		(find-es "hardware" "read-edid")
«mouse»			(find-es "mouse" "gpm_and_X")
«netcat»		(find-es "net" "netcat")
                        (find-eev "examples/eev-tests.e" "eechannel")
«runlevels»		(find-es "init" "runlevels")
«scanning-ports»	(find-es "net" "nmap")
«tar-hard-links»	(find-node "(tar)Applications" "link")
			(find-node "(tar)Standard" "\n`LNKTYPE'\n")
			(find-node "(tar)cpio" "multiple hard links")
«trackball»		(find-es "mouse" "logitech-trackball-2.6")
             		(find-es "mouse" "logitech-trackball-2.4")
«xargs»			(find-man "1 xargs")
			(find-node "(find)Multiple Files")




To do: a block sort (in Lua)




#  Local Variables:
#  coding:               utf-8-unix
#  End:
