#######
#
# E-scripts on ion.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/ion.e>
#           or at <http://angg.twu.net/e/ion.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######


# «.ion»		(to "ion")





#####
#
# ion2 (sarge version)
# 2005jan23
#
#####

# (find-status   "ion2")
# (find-vldifile "ion2.list")
# (find-udfile   "ion2/")
# (find-status   "ion2-doc")
# (find-vldifile "ion2-doc.list")
# (find-udfile   "ion2-doc/")

# (find-w3m "/usr/share/doc/ion2-doc/ionconf/index.html")
firefox /usr/share/doc/ion2-doc/ionconf/index.html &

# (find-man "1 ion")
# (find-fline "/usr/share/ion2/")
# (find-udfile "ion2/examples/scripts/")
# (find-udfile "ion2/examples/styles/")
# (find-fline "/etc/X11/ion2/")
# (find-fline "/etc/X11/ion2/ion-bindings.lua")



# (find-man "1 ion")

   F-keys
       F1       Show manual page (query, uses ion-man)
       Mod1+F1  Show Ion manual page.
       F2       Run an x-terminal-emulator.
       F3       Run a program (query). Precede the program name with a colon (:)
                to run in an x-terminal-emulator (ion-runinxterm).
       Mod1+F3  Open  a Lua code query.
       F4       Start new SSH session.
       F5       Open  a file for editing (query).
       F6       Open a file for viewing (query).
       F9       Go  to  existing workspace or create new (query). If a non-exis-
              tent workspace was entered, the type of the workspace to be cre-
              ated will be queried as well.
       Mod1+F9
              Create   a   new   workspace   (of   type  controlled  with  the
              default_ws_type variable) with a default name  formed  from  the
              type of the workspace.
       F12    Main menu

   Navigation
       Mod1+n            Go to n:th workspace (n=1..9, 0)
       Mod1+Right        Go to next workspace
       Mod1+Left         Go to previous workspace
       Mod1+Shift+n      Go to n:th screen (n=1,2)
       Mod1+Shift+Right  Go to next screen
       Mod1+Shift+Left   Go to previous screen
       Mod1+G     Go to client (query; only works in a frame)
       Mod1+K K   Go to previously active object

   Navigation on tiled workspaces
       Mod1+N     Go to frame below current frame
       Mod1+P     Go to frame above current frame
       Mod1+Tab   Go to frame right of current frame
       Mod1+K Tab Go to frame left of current frame

   Navigation on floating workspaces
       Mod1+N     Raise frame
       Mod1+P     Lower frame
       Mod1+Tab   Circulate focus and raise
       Mod1+K Tab  Back-circulate focus and raise

   Closing and destroying objects.
       Mod1+C     Close active object if possible
       Mod1+K C   Kill client owning current client window (if any)
       Mod1+K X   Destroy frame

   Frame operations
       Mod1+K N   Go to next client window within frame
       Mod1+K P   Go to previous client window within frame
       Mod1+K n   Go to n:th client window within frame (n=1..9, 0)
       Mod1+A     Attach named client window in the frame (query)
       Mod1+M     Frame context menu

   Tags
       Mod1+T     Toggle current client window's tag state
       Mod1+K T   Clear all objects' tag state
       Mod1+K A   Attach all tagged windows to the frame

   Resizing and splitting
       Mod1+K V    Maximize vertically
       Mod1+K H    Maximize horizontally
       Mod1+S      Split vertically (tiled workspaces only)
       Mod1+K S    Split horizontally (tiled workspaces only)
       Mod1+R      Enter resize mode

   Resize mode
       Left, Right, Up Down or F, B, P, N               Grow
       Shift+Left, Right, Up Down or Shift+F, B, P, N   Shrink
       Mod1+Left, Right, Up Down or Mod1+F, B, P, N     Move

   Miscellaneous
       Mod1+L      resize to same size
       Mod1+K Q    Send next key press to active client window.
       Mod1+Enter  Toggle client window full screen mode.






#####
#
# ion
# 2004jul21
#
#####

# «ion»  (to ".ion")
# (code-c-d "ion" "~/usrc/ion-3ds-20040730/")
# (find-ionfile "")
#
# http://modeemi.cs.tut.fi/~tuomov/ion/
# http://modeemi.cs.tut.fi/~tuomov/ion/dl/ion-3ds-20040730.tar.gz
#
rm -Rv ~/usrc/ion-3ds-20040730/
tar -C ~/usrc/ \
  -xvzf $S/http/modeemi.cs.tut.fi/~tuomov/ion/dl/ion-3ds-20040730.tar.gz
cd     ~/usrc/ion-3ds-20040730/
# ./configure	|& tee oc
make PREFIX=$HOME/ulocal LUA_DIR=$LUASRC		|& tee om
make PREFIX=$HOME/ulocal LUA_DIR=$LUASRC install	|& tee omi

#
# http://modeemi.cs.tut.fi/~tuomov/ion/dl/ion-doc-2-20040601.tar.gz
#
rm -Rv ~/usrc/ion-doc-2-20040601/
tar -C ~/usrc/ \
  -xvzf $S/http/modeemi.cs.tut.fi/~tuomov/ion/dl/ion-doc-2-20040601.tar.gz
cd     ~/usrc/ion-doc-2-20040601/

#
~/ulocal/bin/ion3
#
killall fvwm
LD_LIBRARY_PATH=~/ulocal/lib: \
  ~/ulocal/bin/ion3
#


# (find-man "3 dlopen" "LD_LIBRARY_PATH")
# (find-man "8 ldconfig")
# (find-man "1 man")
# (find-man "5 manpath")
# (find-fline "/etc/manpath.config")

# (find-es "man" "bsd_manpages")
# (find-angg ".zshrc" "bsd_manpages")

# (find-ionfile "")

#
MANPATH=$HOME/ulocal/share/man: \
  man -u ion3
#
MANPATH=$HOME/ulocal/share/man: \
  man zsh
#



#  Local Variables:
#  coding:               utf-8-unix
#  End:
