#######
#
# Links to the latest e-scripts.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/latest.e>
#           or at <http://angg.twu.net/e/latest.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



cd $ES
perl -nle 'm/«(.*)»/ && print "# (find-es \"pam\" \"$1\")"' \
  < pam.e |& tee ~/o

# (find-es "apt" "missing_upstream_debs1")
# (find-es "apt" "missing_upstream_debs2")

# (find-es "escripts" "page.tgz-other-home")

# (find-es "kernel" "make-kpkg-etags-glimpse")
# (find-es "kernel" "make-kpkg-ide")
# (find-es "kernel" "make-kpkg")
# (find-es "kernel" "make-kpkg0")

# (find-es "debiandev" "eev-yada0")
# (find-es "debiandev" "eev-dh0")
# (find-es "debiandev" "ivox-yada")

# (find-es "emacs" "glyphs_X")
# (find-es "emacs" "ange-ftp-bug")
# (find-es "kernel" "kernel-patch-udma")



#####
#
# 2000may29
#
#####

# (find-es "http" "apache_orig_config")
# (find-es "ps" "eps_crop_to_jpg")

# (find-es "pam" "pam")
# (find-es "pam" "pam-modules-wu-ftpd")
# (find-es "pam" "wu-ftpd-manpages")
# (find-es "pam" "python")
# (find-es "pam" "python-pam")
# (find-es "pam" "pam-src")
# (find-es "pam" "pam-zsh30-bug")

# (find-es "init")
# (find-es "clock")
# (find-es "netbasics")




#####
#
# 2000may18
#
#####

# (find-es "mysql" "mysql_tutorial")

# (find-es "wiki" "httpwiki")
# (find-fline "~/TCL/httpwiki")
# (find-es "zsh" "strange_arguments")
# (find-es "http" "runtmpcgi")
# (find-es "mysql" "mysql-doc")



#####
#
# 2000may12
#
#####

# (find-es "escripts" "copy_of_anggs_pages")

# (find-es "wiki" "ewiki_do1")
# (find-es "wiki" "ewiki_do0")
# (find-es "wiki" "ewiki")
# (find-es "hw-cdrw" "mkisofs_slinkb1")
# (find-es "hw-cdrw" "mkisofs-options")

# (find-es "general" "lsof-2.2")
# (find-fline "~/EXPECT/eeg")
# (find-es "python")
# (find-es "perl" "Net::NNTP")

# (find-es "music" "octal_and_tcl")
# (find-es "music" "octal_and_mktclapp")




#####
#
# 2000may08
#
#####

# (find-es "potato" "pot1cd_0")

# (find-es "hardware" "s3v_problems")
# (find-es "general" "lilo")
# (find-es "kernel" "kpkg")
# (find-es "kernel" "compile22")
# (find-es "perl" "Getopt::Std")
# (find-es "hardware" "P3_health")
# (find-es "console" "framebuffer")
# (find-es "mail" "Net::SMTP2")
# (find-es "perl" "sendEmail")
# (find-fline "~/bin/sendemail")





#####
#
# e-scripts slightly older than 2000may08
# 2000may08
#
#####

# (find-es "mail" "tracing_smtpprog_io")
# (find-node "(libc)Executing a File")

# (find-es "expect" "split_the_expect_manual")
# (find-es "expect" "inetd_logger0")
# (find-es "general" "peep")

# (find-es "potato" "boot-floppies-2.2.8")

# (find-es "console" "kbdrate_measuring")
# (find-es "console" "kbdrate_setting")




#####
#
# 2000apr09
#
#####

# (find-es "mail" "smail_to_exim_and_back")
# (find-es "mail" "local_mail_test")
# (find-es "mail" "how_exim_installs_itself")
# (find-es "mail" "host_and_resolv.conf")









#  Local Variables:
#  coding:               utf-8-unix
#  End:
