#######
#
# E-scripts on archives of local copies of videos (from Youtube etc).
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/localvideos.e>
#           or at <http://angg.twu.net/e/localvideos.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.dropbox»		(to "dropbox")
# «.create-torrent»	(to "create-torrent")
# «.pirate-bay»		(to "pirate-bay")
# «.ls_videos»		(to "ls_videos")
# «.copy-to-pen-drive»	(to "copy-to-pen-drive")
# «.command-line»	(to "command-line")
# «.announcements»	(to "announcements")
# «.deletion-and-ban»	(to "deletion-and-ban")
# «.length-of-video»	(to "length-of-video")




# (find-es "p2p" "create-torrent")
# (find-es "youtube" "youtube-dl-git")
# (find-es "blogme" "local-videos")
# (find-es "blogme" "local-videos-debug")
# (find-es "blogme" "linkdasruas")
# (find-es "javascript" "youtube-activate")
# (find-es "javascript" "spidermonkey")





#####
#
# Dropbox
# 2013oct05
#
#####

# «dropbox» (to ".dropbox")
# https://www.dropbox.com/install?os=lnx
# https://www.dropbox.com/download?dl=packages/dropbox.py
#  https://www.dropbox.com/download?dl=packages/dropbox.py
https://www.dropbox.com/help/247

# (find-status   "dropbox")
# (find-vldifile "dropbox.list")
# (find-udfile   "dropbox/")
# (find-udfile "dropbox/README")

# (find-man "1 dropbox")

https://www.dropbox.com/home/LocalBooks

# http://db.tt/vb7InsEH dropbox - manifestação





#####
#
# Create torrent
# 2013oct05
#
#####

# «create-torrent» (to ".create-torrent")
# (find-es "p2p" "create-torrent")
# (find-THLfile "manifs/")

# (setenv "TORRENT" "manifs-2013oct05")
# (setenv "TORRENT" "manifs-2013oct05-all-mp4s")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

echo $TORRENT

rm -Rv /sda5/torrents/$TORRENT/
mkdir  /sda5/torrents/$TORRENT/
cd     /sda5/torrents/$TORRENT/
# cp -ilv ~/TH/L/manifs/Bombas*.mp4 .
  cp -ilv ~/TH/L/manifs/*.mp4 .
laf
du -ch
# (find-sh "cd ~/TH/L/manifs/ && du -ch *.mp4")
# (find-sh "cd ~/TH/L/manifs/ && du -ch [1-O]*.mp4")
# (find-sh "cd ~/TH/L/manifs/ && du -ch [P-z]*.mp4")
# (find-sh "cd ~/TH/L/manifs/ && du -ch")

cd     /sda5/torrents/
transmission-create \
  -o $TORRENT.torrent -c 'Tear gas Rio 2013oct05 (all mp4s)' \
  -t http://tracker.ccc.de/announce \
  -t udp://tracker.publicbt.com:80/announce \
  $TORRENT/
chmod 644 $TORRENT.torrent

laf

Scp $TORRENT.torrent  edrx@angg.twu.net:slow_html/manifs/
Scp $TORRENT.torrent  edrx@angg.twu.net:public_html/manifs/

cd /tmp/
wget http://angg.twu.net/manifs/manifs-2013oct05.torrent

# (find-twusfile "manifs/")
# (find-twupfile "manifs/")

# http://angg.twu.net/manifs/
# http://angg.twu.net/manifs/manifs-2013oct05.torrent
# http://angg.twu.net/manifs/manifs-2013oct05-all-mp4s.torrent

# (find-fline "/sda5/torrents/")



 (eepitch-Twu)
 (eepitch-kill)
 (eepitch-Twu)

# (find-angg ".zshrc" "makepagefromtar")




#####
#
# Pirate Bay
# 2013oct16
#
#####

# «pirate-bay» (to ".pirate-bay")

 (setenv "DATE"       (ee-template0 "{(date-as-string)}"))
 (setenv "TORRENT"    (ee-template0 "{(date-as-string)}-manifs"))
 (setenv "TORRENTDIR" (ee-template0 "/sda5/torrents/{(getenv \"TORRENT\")}"))
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
echo                  $DATE
echo                  $TORRENTDIR/
echo   /sda5/torrents/$TORRENT/
rm -Rv /sda5/torrents/$TORRENT/
mkdir  /sda5/torrents/$TORRENT/
mkdir  /sda5/torrents/$TORRENT/manifs/
cp -v  ~/TH/L/linkdasruas.html $TORRENTDIR/
cp -v  ~/TH/L/local-videos.js  $TORRENTDIR/
cp -vl ~/TH/L/manifs/*.mp4     $TORRENTDIR/manifs/

# file:///sda5/torrents/2013oct16-manifs/
# file:///sda5/torrents/2013oct16-manifs/linkdasruas.html

cd     /sda5/torrents/
transmission-create \
  -o $TORRENT.torrent \
  -c "Link das ruas - videos of the Brazilian uprisings (version: $DATE)" \
  -t http://tracker.ccc.de/announce \
  -t udp://tracker.publicbt.com:80/announce \
     $TORRENT/
chmod 644 $TORRENT.torrent
Scp -v    $TORRENT.torrent $TWUS/manifs/
Scp -v    $TORRENT.torrent $TWUP/manifs/
echo http://angg.twu.net/manifs/$TORRENT.torrent

# (find-wget "http://angg.twu.net/manifs/2013oct16-manifs.torrent")
# (find-sh "transmission-show /sda5/torrents/$TORRENT.torrent")

# https://thepiratebay.sx/user/edrx
# http://www.wikihow.com/Upload-a-Torrent-to-The-Pirate-Bay
# https://thepiratebay.sx/upload

Link das ruas (v. 2013oct16) - videos of the Brazilian uprisings

Lots of videos (downloaded from Youtube as med-res MP4s) about the
recent events in Brazil: protests, police brutality, forced
evictions, illegal arrests, political manoeuvres, the biases of media
coverage, clashes, riots, etc - plus an index in HTML, for very fast
browsing & viewing without the need of an internet connection.

You can browse the web version of this at:
  http://angg.twu.net/linkdasruas.html
You can download the torrent corresponding to this version from:
  http://angg.twu.net/manifs/2013oct16-manifs.torrent

An explanation of the rationale behind this archive is here:
  http://linkdasruas.wordpress.com/2013/10/18/introduction/
  http://linkdasruas.wordpress.com/2013/10/18/introducao/


NOTE (TO TPB STAFF): this torrent contains an HTML index with lots of
links, which is unusual. Please see this thread:
https://forum.suprbay.org/showthread.php?tid=157388


 Please see this:



Delete this:
https://thepiratebay.sx/torrent/9053727 (1st version, deleted)
https://thepiratebay.sx/torrent/9077057 (2nd version, deleted)
https://thepiratebay.sx/torrent/9077353
https://forum.suprbay.org/search.php?action=results&sid=603ce8857205549a8fb354201d736e1e




#####
#
# ls_videos
# 2013oct06
#
#####

# «ls_videos» (to ".ls_videos")
# (find-bashnode "Bourne Shell Builtins" "`test'")
# (find-bashnode "Bash Conditional Expressions")

 (eepitch-bash)
 (eepitch-kill)
 (eepitch-bash)
cd /tmp/
D=""
D=/sda5/videos/
D=/dev
echo $D
[ -d $D ] && find $D -maxdepth 1 -name '*.mp4'

 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)

return readfile(ee_expand(fname)) end

= ls_mp4s "/sda5/videos/"
= ls_mp4s "/sda5/videos/"
= ls_mp4s "~/TH/L/manifs/"




#####
#
# Copy to pen drive
# 2013oct05
#
#####

# «copy-to-pen-drive» (to ".copy-to-pen-drive")
# (find-es "blogme" "local-videos-pen-drive")
# (find-es "pendrive" "partitioning")



#####
#
# Command-line version
# 2013oct07
#
#####

# «command-line» (to ".command-line")

# (find-blogme3file "local-videos.blogme")
# (find-blogme3file "local-videos.blogme" "vers" "o")
# (find-blogme3file "youtube.lua")

 For tests: use real "ls"s intead of saved outputs,
 send cps and dls to stdout, save output to o.html
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd ~/TH/L/
lua51 ~/blogme3/blogme3.lua \
  -big_videos_ls /sda5/videos/manifs/ \
  -videos_ls     manifs/ \
  -text          ~/linkdasruas.txt \
  -lv_html       ~/TH/L/o.html \
  -cps - \
  -dls -

 (find-angg ".zshrc" "linkdasruas")
 (find-zsh0 "makelinkdasruashtml")
 (defun c  () (interactive) (find-zsh0 "makelinkdasruashtml"))
 (defun cc () (interactive) (find-zsh0 "makelinkdasruashtmlcp"))
 (find-fline "/tmp/linkdasruas.cps")
 (find-fline "/tmp/linkdasruas.dls")

 Generate /tmp/linkdasruas.{cps,dls}
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-angg ".zshrc" "linkdasruas")
# (find-fline "~/TH/L/manifs/")
cd ~/TH/L/
lua51        ~/blogme3/blogme3.lua \
  -lv_blogme ~/blogme3/local-videos.blogme \
  -big_videos_ls /sda5/videos/manifs/ \
  -videos_ls     manifs/ \
  -text          ~/linkdasruas.txt \
  -lv_html  ~/TH/L/linkdasruas.html \
  -cps /tmp/linkdasruas.cps \
  -dls /tmp/linkdasruas.dls

cp -v ~/TH/L/linkdasruas.html ~/linkdasruas.html

# file:///home/edrx/TH/L/linkdasruas.html
# file:///home/edrx/linkdasruas.html
# http://angg.twu.net/linkdasruas.html

 (kill-new "cd /sda5/videos/manifs/\n")
# (find-angg       "linkdasruas.txt")
# (find-fline "/tmp/linkdasruas.cps")
# (find-fline "/tmp/linkdasruas.dls")
# (find-THLfile "manifs/")
# (find-sh "rm -v ~/TH/L/manifs/*.mp4")
# (find-sh "rm -v ~/TH/L/manifs/*.jpg")
# (find-sh "du -ch ~/TH/L/manifs/*.mp4")
# (find-THLsh "cd manifs && ls -laFS *.mp4")

 Copy to pen drive

# (find-es "blogme" "local-videos-pen-drive")

Scp -v ~/linkdasruas.html edrx@angg.twu.net:public_html/
Scp -v ~/local-videos.js  edrx@angg.twu.net:public_html/

Scp ~/HTML/thumbs.html edrx@angg.twu.net:public_html/

http://angg.twu.net/local-videos.js
http://angg.twu.net/tmp.html


# (find-fline "/tmp/o.html")
# file:///tmp/o.html
# file:///home/edrx/TH/L/o.html

 (eepitch-blogme3)
 (eepitch-kill)
 (eepitch-blogme3)
PP(_O)





#####
#
# Announcements
# 2013oct18
#
#####

# «announcements» (to ".announcements")
#
# https://www.facebook.com/photo.php?fbid=10202301631851875&set=pb.1523735650.-2207520000.1382083497.
# http://linkdasruas.wordpress.com/2013/10/18/introducao/

https://www.facebook.com/internationalriot/posts/10202301335404464
http://linkdasruas.wordpress.com/
http://linkdasruas.wordpress.com/2013/10/18/introducao/
http://linkdasruas.wordpress.com/2013/10/18/introduction/




#####
#
# Torrent deleted / user banned (by mistake)
# 2013oct20
#
#####

# «deletion-and-ban» (to ".deletion-and-ban")
# https://forum.suprbay.org/showthread.php?tid=157388





#####
#
# Getting the length of a video
# 2013oct24
#
#####

# «length-of-video» (to ".length-of-video")

http://stackoverflow.com/questions/497681/using-mplayer-to-determine-length-of-audio-video-file

# (find-man "mplayer")
# (find-man "mplayer" "-identify")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
VIDEO=/sda5/videos/my_funny_valentine-gIUMDqzrV2k.flv
videolength () { avconv -i $1 |& awk '$1=="totalduration" {print $3}'; }
videolength () { ffprobe -show_format $1 |& grep -i duration=; }
videolength () { ffprobe -show_format $1 |& grep -i ^duration= | cut -d = -f 2; }
videolength $VIDEO
cd ~/TH/L/manifs/
for i in *.mp4; do echo $(videolength $i) $i; done | tee /tmp/o

# (find-fline "/tmp/o")
# (find-sh "sort -n /tmp/o")

cat /tmp/o | awk '{total += $1} END {print total}'
cat /tmp/o | awk '{total += $1} END {print total / 60}'
cat /tmp/o | awk '{total += $1} END {print total / 3600}'

# (find-sh "locate srt")

http://superuser.com/questions/361329/how-to-get-length-of-video-file-from-console












http://angg.twu.net/question-to-piratebay-staff.txt.html
https://forum.suprbay.org/showthread.php?tid=25094
http://forum.suprbay.org/forumdisplay.php?fid=59


# (find-angg "manifs/README")

# (find-TH   "linkdasruas")
# (find-angg "linkdasruas.txt")
# (find-angg "local-videos.js")
# (find-TH   "local-videos")
# (find-TH   "videos-locais")

# (find-THLfile "local-videos.js")
# (find-THLfile "linkdasruas.txt")
# (find-THLfile "linkdasruas.html")
# (find-THLfile "videos-locais.html")




http://mundigourmet.com.br/~manifest/# 


http://mundigourmet.com.br/~manifest/comentarios.php
http://puu.sh/4JKs7.png
http://mundigourmet.com.br/~manifest/tabelas.txt

tabela comentario id - identificaýão do comentário
(auto_increment e primary) comentario - texto do comentário autor -
nome do autor (inserido junto com o comentário)(default:
Anônimo) data - data do comentário (d-m-Y - H:M) email - email
do autor (null) chkresposta - booleano, se é resposta ou não&

http://mundigourmet.com.br/~manifest/tabelas.txt











#  Local Variables:
#  coding:               utf-8-unix
#  End:
