#######
#
# E-scripts on mint.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://anggtwu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://anggtwu.net/e/mint.e>
#           or at <http://anggtwu.net/e/mint.e.html>.
#        See also <http://anggtwu.net/emacs.html>,
#                 <http://anggtwu.net/.emacs[.html]>,
#                 <http://anggtwu.net/.zshrc[.html]>,
#                 <http://anggtwu.net/escripts.html>,
#             and <http://anggtwu.net/>.
#
#######



# «.irc-channel»	(to "irc-channel")
# «.flatpak-chrome»	(to "flatpak-chrome")




https://en.wikipedia.org/wiki/Linux_Mint



#####
#
# irc-channel
# 2023may13
#
#####

# «irc-channel»  (to ".irc-channel")
# (find-angg ".emacs" "rcirc-spotchat")
# (find-spotchat-3a "#linuxmint-help")

https://community.linuxmint.com/tutorial/view/12

B3. List Of Channels And Network Used By Linux Mint

Linux Mint uses the Spotchat IRC network (On an IRC network each
channel has a unique name, so if there was only one IRC network in the
World there would only be one #England channel in the world for
instance. As you can imagine, there are many.).

The address for this network is: irc.spotchat.org

On this network, the distribution uses the following channel:
#linuxmint-help

By default, Hexchat (or Quassel) will join this channel. You're
welcome to ask questions about Linux Mint or to seek help from others.

Because Linux Mint is run by many different people, from older to
younger people, having very different cultures and sensibilities, it
is important that you remain calm, friendly and polite. You should
also avoid any sensitive subjects such as religion, sex and politics.
And you should avoid any term, insult, word that could hurt the
sensibility of others.



#####
#
# flatpak-chrome
# 2023may13
#
#####

# «flatpak-chrome»  (to ".flatpak-chrome")





#  Local Variables:
#  coding:               utf-8-unix
#  End:
