#######
#
# E-scripts on netsurf.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/netsurf.e>
#           or at <http://angg.twu.net/e/netsurf.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.wheezy»		(to "wheezy")
# «.mailing-list»	(to "mailing-list")
# «.irc»		(to "irc")
# «.quick-start»	(to "quick-start")
# «.lua-hubbub»		(to "lua-hubbub")




#####
#
# Netsurf on Debian Wheezy
# 2014aug30
#
#####

# «wheezy» (to ".wheezy")
# (find-zsh "availabledebs | sort | grep netsurf")
# (find-status   "netsurf-common")
# (find-vldifile "netsurf-common.list")
# (find-udfile   "netsurf-common/")
# (find-status   "netsurf-gtk")
# (find-vldifile "netsurf-gtk.list")
# (find-udfile   "netsurf-gtk/")
# (find-status   "netsurf")
# (find-vldifile "netsurf.list")
# (find-udfile   "netsurf/")

sudo apt-get build-dep netsurf




#####
#
# Mailing list
# 2014aug30
#
#####

# «mailing-list» (to ".mailing-list")
# http://vlists.pepperfish.net/pipermail/netsurf-dev-netsurf-browser.org/



#####
#
# IRC channel
# 2014aug30
#
#####

# «irc» (to ".irc")
# (find-freenode "#netsurf")
# (find-freenode-3a "#netsurf")




#####
#
# Installation via the QUICK-START method
# 2014aug30
#
#####

# «quick-start» (to ".quick-start")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -Rfv ~/usrc/netsurf/
# cd      ~/usrc/
# git clone --depth 1 git://git.netsurf-browser.org/netsurf.git
# cd      ~/usrc/netsurf/
# git pull --depth 1
# git pull
# (find-fline "~/usrc/")
# (find-fline "~/usrc/netsurf/")
# (code-c-d "netsurf" "~/usrc/netsurf/")
# (find-netsurffile "")
# (find-netsurffile "Docs/QUICK-START")
# http://git.netsurf-browser.org/netsurf.git/plain/Docs/QUICK-START

# http://git.netsurf-browser.org/netsurf.git/plain/Docs/env.sh
cd /tmp/
cp -v $S/http/git.netsurf-browser.org/netsurf.git/plain/Docs/env.sh .
source env.sh
ns-package-install
ns-clone
ns-pull-install
# rm env.sh
cd ~/dev-netsurf/workspace/
source env.sh
cd netsurf
make  |& tee om

# (find-fline "~/dev-netsurf/")
# (find-fline "~/dev-netsurf/workspace/")
# (find-fline "~/dev-netsurf/workspace/netsurf/" "nsgtk")
# (find-libhubbubfile "src/")

;; (find-netsurffile "Docs/QUICK-START")





#####
#
# lua-hubbub
# 2014aug30
#
#####

# «lua-hubbub» (to ".lua-hubbub")
# http://lua.2524044.n2.nabble.com/HTML-Parser-Recommendation-td7649472.html















# http://www.netsurf-browser.org/
# http://www.netsurf-browser.org/downloads/source/
# http://www.netsurf-browser.org/projects/hubbub/
# http://lua-users.org/lists/lua-l/2013-05/msg00628.html
# https://github.com/craigbarnes/packages/blob/master/netsurf-buildsystem.spec
# https://github.com/craigbarnes/packages/blob/master/libparserutils.spec#L29-39
# https://github.com/craigbarnes/packages/blob/master/libhubbub.spec#L34-44

# http://www.netsurf-browser.org/documentation/guide#Hotlist
# http://www.netsurf-browser.org/documentation/develop

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /tmp/
git clone git://git.netsurf-browser.org/libhubbub.git


sudo apt-get build-dep netsurf


https://news.ycombinator.com/item?id=35497728 Dooble Web Browser (textbrowser.github.io)







#  Local Variables:
#  coding:               utf-8-unix
#  End:
