#######
#
# E-scripts on npm.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://anggtwu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://anggtwu.net/e/npm.e>
#           or at <http://anggtwu.net/e/npm.e.html>.
#        See also <http://anggtwu.net/emacs.html>,
#                 <http://anggtwu.net/.emacs[.html]>,
#                 <http://anggtwu.net/.zshrc[.html]>,
#                 <http://anggtwu.net/escripts.html>,
#             and <http://anggtwu.net/>.
#
#######




# «.installed-package-contents»	(to "installed-package-contents")



(find-es "javascript" "npmjs")
(find-es "js" "nodejs-bullseye")
# (find-sh "apt-file search /npm")

# (find-status   "npm")
# (find-vldifile "npm.list")
# (find-udfile   "npm/")
# (find-fline "/usr/share/nodejs/")
# (find-fline "/usr/share/nodejs/npm/npmrc")
# (find-fline "/usr/share/nodejs/@npmcli/")

# (find-man "1 npm-access")
# (find-man "1 npm-adduser")
# (find-man "1 npm-audit")
# (find-man "1 npm-bin")
# (find-man "1 npm-bugs")
# (find-man "1 npm-cache")
# (find-man "1 npm-ci")
# (find-man "1 npm-completion")
# (find-man "1 npm-config")
# (find-man "1 npm-dedupe")
# (find-man "1 npm-deprecate")
# (find-man "1 npm-diff")
# (find-man "1 npm-dist-tag")
# (find-man "1 npm-docs")
# (find-man "1 npm-doctor")
# (find-man "1 npm-edit")
# (find-man "1 npm-exec")
# (find-man "1 npm-explain")
# (find-man "1 npm-explore")
# (find-man "1 npm-fund")
# (find-man "1 npm-help-search")
# (find-man "1 npm-help")
# (find-man "1 npm-hook")
# (find-man "1 npm-init")
# (find-man "1 npm-install-ci-test")
# (find-man "1 npm-install-test")
# (find-man "1 npm-install")
# (find-man "1 npm-link")
# (find-man "1 npm-logout")
# (find-man "1 npm-ls")
# (find-man "1 npm-org")
# (find-man "1 npm-outdated")
# (find-man "1 npm-owner")
# (find-man "1 npm-pack")
# (find-man "1 npm-ping")
# (find-man "1 npm-prefix")
# (find-man "1 npm-profile")
# (find-man "1 npm-prune")
# (find-man "1 npm-publish")
# (find-man "1 npm-rebuild")
# (find-man "1 npm-repo")
# (find-man "1 npm-restart")
# (find-man "1 npm-root")
# (find-man "1 npm-run-script")
# (find-man "1 npm-search")
# (find-man "1 npm-set-script")
# (find-man "1 npm-shrinkwrap")
# (find-man "1 npm-star")
# (find-man "1 npm-stars")
# (find-man "1 npm-start")
# (find-man "1 npm-stop")
# (find-man "1 npm-team")
# (find-man "1 npm-test")
# (find-man "1 npm-token")
# (find-man "1 npm-uninstall")
# (find-man "1 npm-unpublish")
# (find-man "1 npm-unstar")
# (find-man "1 npm-update")
# (find-man "1 npm-version")
# (find-man "1 npm-view")
# (find-man "1 npm-whoami")
# (find-man "1 npm")
# (find-man "1 npx")

# (find-man "1 npm")
npm help
npm help install
# (find-sh "npm help install")

# (find-man "1 npm-install")
# (find-man "1 npm-ls")


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-sh "find node_modules | sort")
# (find-sh-at-dir "" "find node_modules | sort")
npm uninstall ohm-js
npm   install ohm-js
npm ls
npm      view ohm-js

 (eepitch-nodejs)
 (eepitch-kill)
 (eepitch-nodejs)
ohmjs = require('ohm-js');
require.resolve('ohm-js');
require;


# (find-fline "/home/edrx/e/node_modules/ohm-js/")
# (find-fline "/home/edrx/e/node_modules/ohm-js/dist/ohm.cjs")




npm ls
npm ls ohm-js
npm ls ohm-js@17.1.0
npm view ohm-js@17.1.0
npm view ohm-js
npm folders ohm-js

npm get ohm-js
npm ll ohm-js

# (find-sh "npm help npm")

https://en.wikipedia.org/wiki/Npm



$HOME/.npmrc


 is an ini-formatted list of
         configs.  If present, it is parsed.  If the userconfig option is  set
         in the cli or env, that file will be used instead.

./etc/npmrc

# (find-fline "/etc/")

# (find-sh "locate npmrc")

# (find-man "5 npmrc")
# (find-fline "/usr/share/nodejs/npm/npmrc")


# (find-fline "~/.npm/")

(code-c-d "homenpm" "~/.npm/")
(code-c-d "homenpx" "~/.npm/_npx/50a6160ffc29bafc/node_modules/")
;; (find-homenpxfile "")
;; (find-homenpmfile "")
;; (find-homenpmsh "find * | sort")
;; (find-homenpxsh "find * | sort")



#####
#
# installed-package-contents
# 2024feb24
#
#####

# «installed-package-contents»  (to ".installed-package-contents")
# https://github.com/npm/installed-package-contents

# (find-git-links "https://github.com/npm/installed-package-contents" "npminstc")
# (code-c-d "npminstc" "~/bigsrc/installed-package-contents/")
# (find-npminstcfile "")
# (find-npminstcfile "README.md")

(find-es "js" "nodejs-from-git")






#  Local Variables:
#  coding:               utf-8-unix
#  End:
