#######
#
# E-scripts on OBJ, CafeOBJ and friends.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/obj.e>
#           or at <http://angg.twu.net/e/obj.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





http://www.ldl.jaist.ac.jp/cafeobj/
http://cseweb.ucsd.edu/~goguen/sys/obj.html
http://cseweb.ucsd.edu/~goguen/courses/230old/OBJ3SG.html
http://cseweb.ucsd.edu/~goguen/courses/230/obj/builtins.html
http://www.jaist.ac.jp/~kokichi/
http://cseweb.ucsd.edu/~goguen/ps/edissues.ps.gz
http://cseweb.ucsd.edu/~goguen/pubs/asbk.html

http://cseweb.ucsd.edu/~goguen/ps/iobj.ps.gz


# http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.13.458
# http://cseweb.ucsd.edu/~goguen/pps/iobj.pdf
# http://cseweb.ucsd.edu/~goguen/ps/iobj.pdf
(code-xpdf      "iobj" "$S/http/cseweb.ucsd.edu/~goguen/ps/iobj.pdf")
(code-pdftotext "iobj" "$S/http/cseweb.ucsd.edu/~goguen/ps/iobj.pdf")
;; (find-iobjpage      1  "Contents")
;; (find-iobjpage (+ 1 1) "Index")
;; (find-iobjtext "")



http://en.wikipedia.org/wiki/Clean_(programming_language)
http://wiki.clean.cs.ru.nl/Clean

http://www.google.com/url?sa=t&rct=j&q=&esrc=s&source=web&cd=1&ved=0CB0QFjAA&url=http%3A%2F%2Fwww.informatik.uni-trier.de%2F~ley%2Fdb%2Findices%2Fa-tree%2Fb%2FBurstall%3ARod_M%3D.html&ei=ayL5TqzCLMzjggeJ9bCJAg&usg=AFQjCNFje1HK0D8U5pzcbGKR0V_THdPGhQ

http://www.informatik.uni-trier.de/~ley/db/indices/a-tree/b/Burstall:Rod_M=.html
http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.144.3525






#  Local Variables:
#  coding:               utf-8-unix
#  End:
