#######
#
# E-scripts on Overleaf.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/overleaf.e>
#           or at <http://angg.twu.net/e/overleaf.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.dednat6-minimal»	(to "dednat6-minimal")



* overleaf and quiver:
# https://categorytheory.zulipchat.com/#narrow/stream/271602-general.3A-co.2Fappreciation/topic/Overleaf.20and.20Quiver.20app

https://www.overleaf.com/
https://www.overleaf.com/learn/how-to/Changing_compiler




#####
#
# dednat6-minimal
# 2021jan20
#
#####

# «dednat6-minimal»  (to ".dednat6-minimal")
# (find-TH "dednat6" "essential-files")
# (find-TH "dednat6" "quick-start")
# http://angg.twu.net/dednat6.html#quick-start

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rfv /tmp/dednat6.zip
cd      /tmp/
wget http://angg.twu.net/dednat6.zip

rm -Rfv /tmp/dn6-test-min/
mkdir   /tmp/dn6-test-min/
cd      /tmp/dn6-test-min/
unzip ../dednat6.zip "dednat6/**" dednat6load.lua demo-minimal.tex
ls -l

rm -v  /tmp/dednat6-minimal.zip
zip -r /tmp/dednat6-minimal.zip *

# (find-man "zip")

lualatex demo-minimal.tex
ls -l

cd /tmp/
Scp-np dednat6-minimal.zip $TWUP/dednat6-minimal.zip
Scp-np dednat6-minimal.zip $TWUS/dednat6-minimal.zip

# (find-twusfile "" "dednat6.zip")
# (find-twupfile "" "dednat6.zip")










#  Local Variables:
#  coding:               utf-8-unix
#  End:
