#######
#
# E-scripts on Pastebin and friends.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/paste.e>
#           or at <http://angg.twu.net/e/paste.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.0x0-server»		(to "0x0-server")
# «.ix.io»		(to "ix.io")
# «.scrot-imgbb»	(to "scrot-imgbb")
# «.webpaste»		(to "webpaste")
# «.oxo»		(to "oxo")



http://www.texpaste.com/
https://0x0.st/
https://pastebin.com/
https://paste.ubuntu.com/
https://bpa.st/
http://ix.io/
http://ix.io/2KQQ/elisp
https://imgur.com/upload
https://github.com/etu/webpaste.el
https://gist.github.com/
https://tpaste.us/
http://codepad.org/?lang=Lua
https://hastebin.com/rekarayiva.css
https://hastebin.com/
https://paste.tildeverse.org/
https://notabug.org/
http://pastie.org/p/5gr00kQhlONnJD7qmfG5zb
https://paste.debian.net/1233887/


#####
#
# 0x0.st server code
# 2019sep27
#
#####

# «0x0-server» (to ".0x0-server")
# (find-es "emacs" "0x0")
# https://0x0.st/
# (find-git-links "https://github.com/lachs0r/0x0" "0x0server")
# https://github.com/lachs0r/0x0

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rfv ~/usrc/0x0/
cd      ~/usrc/
git clone https://github.com/lachs0r/0x0
cd      ~/usrc/0x0/

git branch --list -a
git for-each-ref
PAGER=cat git log --oneline --graph --all -20

# (find-fline "~/usrc/")
# (find-fline "~/usrc/0x0/")
# (find-gitk  "~/usrc/0x0/")

# (code-c-d "0x0server" "~/usrc/0x0/")
# (find-0x0serverfile "")
# (find-0x0serverfile "fhost.py" "<pre>\nTHE NULL POINTER")




#####
#
# ix.io
# 2021jan08
#
#####

# «ix.io»  (to ".ix.io")
# (find-es "python" "pygments")
# (find-epackage-links 'ix)
# (find-epackage       'ix)
# (code-c-d "ix" "~/.emacs.d/elpa/ix-20131027.1629/")
# (find-ixfile "")
# (find-ixfile "ix.el")




#####
#
# scrot-imgbb
# 2020dec19
#
#####

# «scrot-imgbb»  (to ".scrot-imgbb")
# (find-angg ".emacs.templates" "find-sshot-links")
# (find-es    "emacs" "imgbb")
# (find-status   "scrot")
# (find-vldifile "scrot.list")
# (find-udfile   "scrot/")
# (find-man "1 scrot")

# (find-bgprocess '("sh" "-c" "sleep 5 && scrot          --select /tmp/foo.png"))
# (find-bgprocess '("sh" "-c" "sleep 5 && scrot --border --select /tmp/foo.png"))
# (find-fline   "/tmp/foo.png")
# (xz           "/tmp/foo.png")
# (imgbb-upload "/tmp/foo.png")

https://i.ibb.co/3rYX9Bc/foo.png

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

scrot --select /tmp/foo.png
scrot --delay 5 --count --border --select /tmp/foo.png
scrot --delay 5 --select /tmp/foo.png

# (find-man "sh")
sh -c "sleep 2 && scrot --select /tmp/foo.png"




#####
#
# webpaste
# 2022sep01
#
#####

# «webpaste»  (to ".webpaste")
# (find-epackage-links 'webpaste "webpaste" t)
# (find-epackage       'webpaste)
# (code-c-d "webpaste" "~/.emacs.d/elpa/webpaste-20220524.1745/")
# (find-webpastefile "")

(use-package! webpaste
              ;; :bind (("C-c C-p C-b" . webpaste-paste-buffer)
              ;;        ("C-c C-p C-r" . webpaste-paste-region)
              ;;        ("C-c C-p C-p" . webpaste-paste-buffer-or-region))
              )

(global-set-key (kbd "\C-c \C-p \C-b") 'webpaste-paste-buffer)
(global-set-key (kbd "C-c C-p \C-r") 'webpaste-paste-region)
(global-set-key (kbd "\C-c \C-p \C-p") 'webpaste-paste-buffer-or-region)

(setq webpaste-paste-raw-text t)
(setq webpaste-provider-priority
      '("dpaste.com" "dpaste.org"))
(setq webpaste-open-in-browser t)

(add-hook! 'webpaste-return-url-hook
  (lambda (url)
    (message "Copied URL to clipboard: %S" url)
    (simpleclip-set-contents url)))



#####
#
# oxo
# 2022dec18
#
#####

# «oxo»  (to ".oxo")
# (find-fline "~/LOGS/2022dec18.emacs" "oxo: a cli frontend to 0x0.st")
# https://tildegit.org/grym/oxo
# (code-c-d "oxo" "~/usrc/oxo/")
# (find-oxofile "")

https://news.ycombinator.com/item?id=35491520 0x0: Share Files from Terminal (0x0.st)





#  Local Variables:
#  coding:               utf-8-unix
#  End:
