#######
#
# E-scripts on raven10 stuff.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/raven10b.e>
#           or at <http://angg.twu.net/e/raven10b.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######


loadkeys ~/ZHTML/skel/replace/defkeymap850b.map
setfont ~/ZHTML/skel/replace/ega1.8


# (find-fline "/etc/hosts")
Trazer o glimpse em disquete.
smbclient \\\\pai\\cd TV
smbclient -L PAI

(find-fline "/pai:/cd/")

L BINARY.;1                         	binary	binary-i386
D BINARY-A                          	binary-all
D BINARY-I                          	binary-i386
F CHANGELO.;1                       	ChangeLog
L CONTENTS.;1                       	Contents	Contents-i386
L CONTENTS.000;1                    	Contents.gz	Contents-i386.gz
F CONTENTS.001;1                    	Contents-i386
F CONTENTS.GZ;1                     	Contents-i386.gz
D DISKS-I3                          	disks-i386
D MSDOS-I3                          	msdos-i386
L PACKAGES.;1                       	Packages	binary/Packages
F README.TXT;1                      	README.txt

split; caso o primeiro seja "F", cospe um mv o ";"



#######
#
# zsne
#
#######

function zsne () {
  cd ~/$1 &&
  mkdir -p $2 &&
  cd $2 &&
# lynx -source $1://$2/$3 > $3
  wget $1://$2/$3
}

function zbob () {
  zsne ftp pai/cd/BO/BINARY-I/$1 $2
}




######
#
# Icon (on slackware)
#
######

# (find-fline "/pai:/cd/BO/BINARY-I/DEVEL/")

zbob DEVEL ICONT_9_.DEB
zbob DEVEL ICONX_9_.DEB

cd ~/ftp/pai/cd/BO/BINARY-I/DEVEL/

cd $RBOI/DEVEL
ar -p ICONT_9_.DEB data.tar.gz | tar -tvzf -
ar -p ICONT_9_.DEB data.tar.gz | \
  tar -xvzf - -C / usr/bin/icont usr/man/man1/icont.1.gz

ar -p ICONX_9_.DEB data.tar.gz | tar -tvzf -
ar -p ICONX_9_.DEB data.tar.gz | \
  tar -xvzf - -C / usr/bin/iconx usr/man/man1/iconx.1.gz




######
#
# debian base
#
######

# (find-fline "/pai:/cd/BO/DISKS-I3/1997-05-/")

zsne	    ftp pai/cd/BO/DISKS-I3/1997-05- BASE1_3.TGZ
tar -xvzf ~/ftp/pai/cd/BO/DISKS-I3/1997-05-/BASE1_3.TGZ -C /mnt/hda6

cd /mnt/hda6
mkdir mnt/hda1
cp -iv ~/etc/fstab.hda6 etc/fstab
echo -n '' > etc/mtab

# (find-fline "~/etc/passwd.hda6")
# (find-fline "/mnt/hda6/etc/passwd")
# (find-fline "/etc/passwd")
#
cd /mnt/hda6/
[ -f etc/passwd.orig ] || mv -iv etc/passwd etc/passwd.orig
cp -v ~/etc/passwd.hda6 etc/passwd
cp -v ~/etc/securetty etc/

# (find-fline "/mnt/hda6/etc/inittab" ":/sbin/getty")

# (find-fline "/etc/inittab")
chroot /mnt/hda6 /sbin/getty 38400 tty9




# Pra apagar:

rm -Rv /mnt/hda6/bin
rm -Rv /mnt/hda6/boot
rm -Rv /mnt/hda6/cdrom
rm -Rv /mnt/hda6/dev
# rm -Rv /mnt/hda6/emacs
rm -Rv /mnt/hda6/etc
rm -Rv /mnt/hda6/floppy
rm -Rv /mnt/hda6/home
rm -Rv /mnt/hda6/initrd
rm -Rv /mnt/hda6/lib
# rm -Rv /mnt/hda6/lost+found
rm -Rv /mnt/hda6/mnt
rm -Rv /mnt/hda6/proc
rm -Rv /mnt/hda6/root
rm -Rv /mnt/hda6/sbin
rm -Rv /mnt/hda6/tmp
rm -Rv /mnt/hda6/usr
rm -Rv /mnt/hda6/var




#######
#
# urlget
#
#######

# (find-esfile "net.e" "urlget")

zsne http www.inf.ufrgs.br/~sagula urlget-3.12.tar.gz

cd ~/usrc/
rm -Rv urlget-3.12/
tar -xvzf ~/http/www.inf.ufrgs.br/~sagula/urlget-3.12.tar.gz
cd ~/usrc/urlget-3.12/
make |& tee om




#######
#
# wget
#
#######

# (find-fline "/ftp.us.debian.org:/debian/")
# (find-fline "/ftp.debian.org:/debian/hamm/hamm/source/admin/")


98aug04, mudanas importantes:
  (find-fline "/etc/passwd" "edrxroot")


# (find-fline "/etc/securetty")


# (find-esfile "raven10.e")
# (find-esfile "general.e")
# (find-esfile "net.e")




#####
#
# Bell
#
#####

Bell muito menos barulhento:

(progn
  (defun wrstr (s) (write-region s nil "/dev/tty1"))
  (defun bellstr (pitch dur) (format "\e[10;%d]\e[11;%d]" pitch dur)) ; Hz,ms
  (wrstr (bellstr 25 10))
  (beep)
)

A="\e[10;25]\e[11;10]\a"
for i in 1 2 3 4 5; do echo -n $A > /dev/tty$i; done




######
#
# Empacotando coisas pra levar pra raven:
#
######

# Depois eu tenho que tirar daqui tudo o que tem passwords ou que no
#  necessrio...

tar -cvzhf ~/toraven.tgz $(
find /home/root/bin/ -size -13000c -and -type f
find /home/root/replace/
find /home/root/ZHTML/
find /home/root/ICON/ -name '*.icn'
find /big/deb13/ -name TRANS.TBL
)

laf ~/toraven.tgz
mdir a:
read
mdel a:'*'
mcopy ~/toraven.tgz a:
mdir a:





#######
#
# des-trans.tbl'zando:
#
#######

# no remoto:
#
cd /C/debian
tar -cvzf ~/transs.tgz $(find * -name 'trans.tbl')


# transportar o transs.tgz para o meu home no proxy.
# No proxy:
#
cd ~/ICON; icont detrans.icn
#
cd ~
rm -fRv debian
mkdir debian
cd debian
tar -xvzf ../transs.tgz

cd ~/ICON; icont detrans.icn
cd ~/debian
~/ICON/detrans trans.tbl $(find * -type d) > ~/untrans2

# (find-fline "~/ICON/detrans.icn")





########
#
# smbmount
#
########


# (find-fline "/home/usr/shared_commands/monta")

nmblookup 'r10 (1)'

# Todos esses do "operation not permitted":
smbmount //'r10 (1)'/c /mnt/smb/amendoim
smbmount //10.0.1.8/c /mnt/smb/amendoim
smbmount //10.0.1.8/debian /mnt/smb/amendoim
smbmount //10.0.1.8/debian /mnt/smb/amendoim -c edrx

smbclient -I //10.0.1.8/debian
smbclient \\\\'r10 (1)'\\debian -I 10.0.1.5
smbclient \\\\'r10 (1)'\\debian -I 10.0.1.8

# Esse d "Permission denied":
strace -o s -f \
  smbmount //'r10 (1)'/debian /mnt/smb/amendoim -I 10.0.1.8 -U edrx

smbmount //'r10 (1)'/debian /mnt/smb/amendoim -I 10.0.1.8 -N
smbmount //'r10 (1)'/blob /mnt/smb/amendoim -I 10.0.1.8 -N


# Um tee d:
#   Password:
#   mount error: Invalid argument
#   Please look at smbmount's manual page for possible reasons
#
# -> mount(0, "/mnt/smb/amendoim", "smbfs", 0xc0ed0000, 0xbffff42c)
#   = -1 EINVAL (Invalid argument)
# Porqu o 0 no primeiro parmetro? Bad parsing?

man smbmount
man smbclient
man smbmnt

cd /home/var/src/daemons/samba-1.9.18p3/
agrep mount $(find * -name '*.[ch]')

# (code-c-d "smb" "/home/var/src/daemons/samba-1.9.18p3/")
# (find-smbfile "docs/")
# (find-smbfile "docs/faq/")
# (find-smbfile "docs/faq/Samba-meta-FAQ.txt")
# (find-smbfile "docs/faq/sambafaq.txt")
# (find-smbfile "source/smbmount.c")

# (find-k2tag "sys_mount")
# (find-k2tag "do_mount")
# (find-k2file "include/asm/unistd.h")





#########
#
# glimpse/agrep (raven)
#
#########

rm -Rv /usr/src/glimpse-4.1/{*,.*}
cd /usr/src/
tar -xvzf /snarf/ftp/ftp.cs.arizona.edu/glimpse/glimpse-4.1.src.tar.gz

cd /usr/src/glimpse-4.1/
chmod +x ./configure
./configure |& tee oc
make |& tee om

cd /usr/src/glimpse-4.1/
cp -v index/glimpseindex glimpse agrep/agrep bin/
strip bin/*

cd /usr/src/glimpse-4.1/bin/
cp -v agrep glimpse glimpseindex /usr/local/bin/
cd /usr/src/glimpse-4.1/
cp -v agrep/agrep.1 glimpse.1 glimpseindex.1 /usr/local/man/man1/





#######
#
# glimpseindexing/etagging the kernel sources
#
#######

# (find-esfile "general.e" "make depend")
# (find-k2file "Makefile" "depend dep")
# (find-k2file "compile.stdout" "--- zImage ---")

etags `cat .files.chS.used`

cd /usr/src/linux-2.0.35/
find * -name '*.[chS]' -and -anewer init/main.o > .files.chS.used
glimpseindex -H . -F < .files.chS.used




########
#
# Servidor http no proxy
#
########

# (find-fline "/saci/html/")
# (find-fline "/saci/html/index.html")
# (find-fline "/saci/html/controle/")

lynx http://10.0.1.1/
lynx http://10.0.1.1/controle
l /saci/html/controle/controle.cgi





#######
#
# nfs
#
#######

	  10.0.1.11  10.0.1.9  10.0.1.1
       	   pai (NT)  r10 (4)     proxy

10.0.1.3
amendoa?


10.0.1.4	           10.0.1.6
pistache     	       	     Michel
L.Bordallo

10.0.1.5
amendoim
L.Leal
                   10.0.1.2
                     galli


mount -t nfs 10.0.1.5:/ /A
mount -t nfs 10.0.1.4:/ /A
mount -t nfs 10.0.1.6:/ /A

10.0.1.3 = r10 (3)
10.0.1.9 = r10 (4)


mount -t nfs 10.0.1.4:/ /A

10.0.1.1:/  /mnt/proxy  nfs  defaults


domain name: dezminutos.com.br
dns: 10.0.1.1
netmask: 255.255.255.0





#  Local Variables:
#  coding:               utf-8-unix
#  End:
