#######
#
# E-scripts on recutils.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/recutils.e>
#           or at <http://angg.twu.net/e/recutils.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# https://www.gnu.org/software/recutils/
# https://www.gnu.org/software/recutils/rec-mode-manual/rec-mode.html

# (find-status   "recutils")
# (find-vldifile "recutils.list")
# (find-udfile   "recutils/")

# (find-node "(rec-mode)")
# (find-node "(recutils)")
# (find-node "(recutils)Purpose")
# (find-node "(recutils)A Little Example")
# (find-node "(recutils)Comments")


# http://ftp.gnu.org/gnu/recutils/recutils-1.8.tar.gz
# (find-fline "~/usrc/recutils-1.8/")
rm -Rv ~/usrc/recutils-1.8/
mkdir  ~/usrc/recutils-1.8/
tar -C ~/usrc/ -xvzf $S/http/ftp.gnu.org/gnu/recutils/recutils-1.8.tar.gz
cd     ~/usrc/recutils-1.8/

# (code-c-d "recutils" "~/usrc/recutils-1.8/")
# (find-recutilsfile "")
# (find-recutilsfile "ChangeLog" "git repo")
# (find-recutilsgrep "grep --color -nrH --null -e git *")
# (find-recutilsgrep "grep --color -nrH --null -e git *")
# (find-recutilssh "find * | sort | grep README")


http://savannah.gnu.org/git/?group=recutils
https://gist.github.com/gmolveau/6be062d9b9005cf985cda98dabdf0baa
https://gist.github.com/gmolveau/6be062d9b9005cf985cda98dabdf0baa#file-recutils_tutorial_example-md




#  Local Variables:
#  coding:               utf-8-unix
#  End:
