#######
#
# E-scripts on RPM (note: I use RedHat derivatives only very rarely).
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/rpm.e>
#           or at <http://angg.twu.net/e/rpm.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.rpm-contents»	(to "rpm-contents")



apti rpm
# (find-status "rpm")
# (find-vldifile "rpm.list")
# (find-fline "/usr/doc/rpm/")



#####
#
# Getting the contents of the rpms in a CD
# 2001jul16
#
#####

# «rpm-contents»  (to ".rpm-contents")
#
inscd
mount /cdrom
cd /cdrom/RedHat/RPMS/
# (find-fline "/cdrom/RedHat/RPMS/")

#
cd /cdrom/RedHat/RPMS/
(for i in *.rpm; do
   echo -e '\n '$i :
   rpm -qipl $i
 done 
) |& tee ~/tmp/redhat61-orpmqipl

#
cd
umount /cdrom
#
# (find-fline "~/tmp/redhat61-orpmqipl")







aptrm rpm librpm1

# (find-es "interbase")







for i in *.rpm; do
  echo -e '\n'$i :
  rpm -qp --scripts $i
done \
  |& tee /tmp/orpmscripts
# (find-fline "/tmp/orpmscripts")

for i in *.rpm; do
  echo -e '\n '$i :
  rpm -qipl $i
done \
  |& tee /tmp/orpmqipl
# (find-fline "/tmp/orpmqipl")




# To query only the installed packages (on an RPM-based system):
#
for i (`rpm -qa`)
do echo '\n'$i
   rpm -q --scripts $i
done



# To install a .src.rpm we do something like this:

rpm -iv /big/rh41b/SRPMS/gdb-4.16-5.src.rpm
rpm -bp /usr/src/redhat/SPECS/gdb-4.16.spec







#  Local Variables:
#  coding:               utf-8-unix
#  End:
