#######
#
# E-scripts on rust.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/rust.e>
#           or at <http://angg.twu.net/e/rust.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.metzger»	(to "metzger")
# «.egg»	(to "egg")



# https://en.wikipedia.org/wiki/Rust_(programming_language)
# (find-zsh "installeddebs | sort | grep rust")
# (find-zsh "availabledebs | sort | grep rust")

# (find-status   "rustc")
# (find-vldifile "rustc.list")
# (find-udfile   "rustc/")

https://github.com/emacs-lsp-legacy/lsp-rust
https://github.com/emacs-lsp/lsp-mode/blob/master/lsp-rust.el
https://en.wikipedia.org/wiki/Language_Server_Protocol




#####
#
# Perry Metzger and REmacs 
# 2019nov03
#
#####

# «metzger» (to ".metzger")
# https://www.youtube.com/watch?v=VADudzQGvU8 The Editor of a Lifetime
# https://github.com/remacs/remacs
#   "low hanging fruit"
# https://www.rust-lang.org/tools/install



#####
#
# egg: e-graphs good
# 2021jun13
#
#####

# «egg»  (to ".egg")
# https://egraphs-good.github.io/



https://lists.gnu.org/archive/html/emacs-devel/2021-03/msg00068.html Stefan Monnier:

I view the ELisp interpreter as a crutch to bootstrap the system.
AFAIK the only really good reason why we still have it is for the
benefit of debugging: debugging byte-compiled code (whether with Edebug
or with the backtrace debugger) is a lot more constraining than
debugging interpreted code, mostly because it loses the information
about the currently bound lexical variables.  All other uses of it could
be replaced by something like

    (defun eval (exp) (funcall (byte-compile `(lambda () ,exp))))






https://github.com/remacs/remacs/issues/1571

https://coredumped.dev/2021/10/21/building-an-emacs-lisp-vm-in-rust/ tree walk
https://news.ycombinator.com/item?id=29606523 Why Not Rust? (2020) (matklad.github.io) - everything in software engineering being turned into a competition 

https://news.ycombinator.com/item?id=33581901 Carefully exploring Rust as a Python developer (karimjedda.com)
https://news.ycombinator.com/item?id=36048261 Comprehensive Rust: course used by the Android team at Google (github.com/google)


https://lists.gnu.org/archive/html/emacs-devel/2023-01/msg00425.html Po Lu: Re: Consideration for Rust contributions in Emacs 







#  Local Variables:
#  coding:               utf-8-unix
#  End:
