#######
#
# E-scripts on Sage.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/sage.e>
#           or at <http://angg.twu.net/e/sage.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######






 (eepitch-shell2)
 (eepitch-kill)
 (eepitch-shell2)
apti sagemath




# http://en.wikipedia.org/wiki/Sage_%28mathematics_software%29
# http://www.sagemath.org/
# http://wiki.sagemath.org/
# http://wiki.sagemath.org/faq
# http://www.sagemath.org/download-source.html
# http://wiki.sagemath.org/DownloadAndInstallationGuide
# http://wiki.sagemath.org/faq/bigsagerant
# http://wiki.sagemath.org/animate

# (find-zsh "availabledebs | sort | grep sage")

sagemath-doc-en_8.6-6.deb
sagemath-jupyter_8.6-6.deb
sagemath_8.6-6.deb

apti sagemath


# (find-status   "sagemath")
# (find-vldifile "sagemath.list")
# (find-udfile   "sagemath/")
# (find-debpkg-links "sagemath")

http://elliottbrossard.blogspot.com/
http://sage.math.washington.edu/home/elliottd/calctut/intro.html



Márcio Adames:
https://gauss.ct.utfpr.edu.br/~marcio/Calculo3/Calculo_3.html

https://pretextbook.org/





 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sage

SageMath version 8.6, Release Date: 2019-01-15
Setting permissions of DOT_SAGE directory so only you can read and write it.
[SageTerminalApp] WARNING | Unknown error in handling PYTHONSTARTUP file /home/edrx/.pythonrc.py:

**********************************************************************

Oops, Sage crashed. We do our best to make it stable, but...

A crash report was automatically generated with the following information:
  - A verbatim copy of the crash traceback.
  - A copy of your input history during this session.
  - Data on your current Sage configuration.

It was left in the file named:
	'/home/edrx/.ipython/Sage_crash_report.txt'
If you can email this file to the developers, the information in it will help
them in understanding and correcting the problem.

You can mail it to: sage-support at sage-support@googlegroups.com
with the subject 'Sage Crash Report'.

If you want to do it now, the following command will work (under Unix):
mail -s 'Sage Crash Report' sage-support@googlegroups.com < /home/edrx/.ipython/Sage_crash_report.txt

In your email, please also include information about:
- The operating system under which the crash happened: Linux, macOS, Windows,
  other, and which exact version (for example: Ubuntu 16.04.3, macOS 10.13.2,
  Windows 10 Pro), and whether it is 32-bit or 64-bit;
- How Sage was installed: using pip or conda, from GitHub, as part of
  a Docker container, or other, providing more detail if possible;
- How to reproduce the crash: what exact sequence of instructions can one
  input to get the same crash? Ideally, find a minimal yet complete sequence
  of instructions that yields the crash.

To ensure accurate tracking of this issue, please file a report about it at:
http://trac.sagemath.org



https://www.sagemath.org/tour-graphics.html
https://lwn.net/Articles/710537/




#  Local Variables:
#  coding:               utf-8-unix
#  End:
