#######
#
# E-scripts on Scribus.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/scribus.e>
#           or at <http://angg.twu.net/e/scribus.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######






# «.fontforge»			(to "fontforge")
# «.fontmatrix»			(to "fontmatrix")
# «.libpodofo-size-mismatch»	(to "libpodofo-size-mismatch")





http://www.scribus.net/canvas/Scribus
http://en.wikipedia.org/wiki/Scribus
http://showmedo.com/videotutorials/series?name=NfUrduNov 


# (find-status   "scribus")
# (find-vldifile "scribus.list")
# (find-udfile   "scribus/")

# (find-status   "scribus-doc")
# (find-vldifile "scribus-doc.list")
# (find-udfile   "scribus-doc/")
# (find-status   "scribus-ng-doc")
# (find-vldifile "scribus-ng-doc.list")
# (find-udfile   "scribus-ng-doc/")
# (find-status   "scribus-ng")
# (find-vldifile "scribus-ng.list")
# (find-udfile   "scribus-ng/")
# (find-status   "scribus-template")
# (find-vldifile "scribus-template.list")
# (find-udfile   "scribus-template/")
# (find-status   "scribus")
# (find-vldifile "scribus.list")
# (find-udfile   "scribus/")

apti scribus-ng-doc scribus-ng

sudo apt-get install    scribus-doc



woff:
# (find-es "javascript" "google-fonts")
# (find-es "javascript" "google-fonts" ".woff")


# (find-freenode "#scribus")
(defun eejump-9 () (find-freenode "#scribus"))




#####
#
# FontForge
# 2013jun18
#
#####

# «fontforge» (to ".fontforge")
# (find-status   "fontforge")
# (find-vldifile "fontforge.list")
# (find-udfile   "fontforge/")
# (find-status   "fontforge-doc")
# (find-vldifile "fontforge-doc.list")
# (find-udfile   "fontforge-doc/")
# http://en.wikipedia.org/wiki/FontForge

# file:///usr/share/doc/fontforge/html/index.html
# file:///usr/share/doc/fontforge/html/faq.html#outline-conversion
# (find-fline "/usr/share/doc/fontforge/html/")




#####
#
# Fontmatrix
# 2013jul02
#
#####

# «fontmatrix» (to ".fontmatrix")
# (find-status   "fontmatrix")
# (find-vldifile "fontmatrix.list")
# (find-udfile   "fontmatrix/")
# file:///usr/share/scribus/doc/en/toolbox16.html
# http://fontmatrix.be/
# (find-man "1 fontmatrix")
# (find-sh "fontmatrix --help")
# http://en.wikipedia.org/wiki/PANOSE
# http://blip.tv/prokoudine/first-shot-at-panose-classification-with-fontmatrix-1496528

# http://ftp.de.debian.org/debian/pool/main/f/fontmatrix/fontmatrix_0.6.0+svn20110930-1.1.dsc
http://ftp.de.debian.org/debian/pool/main/f/fontmatrix/fontmatrix_0.6.0+svn20110930-1.1.dsc

Cantarell bold
Comnfortaa bold
Dejavu sans
Dejavu sans bold
Dejavu sans condensed bold
GFS Neohellenic bold
Nimbus sans L bold condensed
Tiresias infofont bold
Tiresias LPfont bold

Comfortaa light
Dejavu sans extralight
GFS neohellenic regular
Linux biolinum capitals 0 smallcaps
LMSsans10 regular





#####
#
# fontmatrix (from the debian sources)
# 2013jul06
#
#####

# <fontmatrix-deb-src>
# http://ftp.de.debian.org/debian/pool/main/f/fontmatrix/
# http://ftp.de.debian.org/debian/pool/main/f/fontmatrix/fontmatrix_0.6.0+svn20110930-1.1.dsc
# http://ftp.de.debian.org/debian/pool/main/f/fontmatrix/fontmatrix_0.6.0+svn20110930.orig.tar.gz
# http://ftp.de.debian.org/debian/pool/main/f/fontmatrix/fontmatrix_0.6.0+svn20110930-1.1.debian.tar.gz
#
rm -Rv ~/usrc/fontmatrix/
mkdir  ~/usrc/fontmatrix/
cd $S/http/ftp.de.debian.org/debian/pool/main/f/fontmatrix/
cp -v fontmatrix_0.6.0+svn20110930* ~/usrc/fontmatrix/
cd     ~/usrc/fontmatrix/
dpkg-source -sn -x fontmatrix_0.6.0+svn20110930-1.1.dsc
cd     ~/usrc/fontmatrix/fontmatrix-0.6.0+svn20110930/
dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (find-fline "~/usrc/fontmatrix/")
 (eepitch-shell)
cd ~/usrc/fontmatrix/
sudo dpkg -i *.deb

#
# (code-c-d "fontmatrix" "~/usrc/fontmatrix/fontmatrix-0.6.0+svn20110930/")
# (find-fontmatrixfile "")




#####
#
# libpodofo size mismatch
# 2013nov07
#
#####

# «libpodofo-size-mismatch» (to ".libpodofo-size-mismatch")
# Failed to fetch
# http://ftp.debian.org/debian/pool/main/libp/libpodofo/libpodofo0.9.0_0.9.0-1.1+b1_i386.deb
# Size mismatch

http://ftp.debian.org/debian/pool/main/libp/libpodofo/libpodofo0.9.0_0.9.0-1.1+b1_i386.deb

http://ftp.de.debian.org/debian/pool/main/libp/libpodofo/libpodofo_0.9.0-1.1.dsc
http://ftp.de.debian.org/debian/pool/main/libp/libpodofo/libpodofo_0.9.0.orig.tar.gz
http://ftp.de.debian.org/debian/pool/main/libp/libpodofo/libpodofo_0.9.0-1.1.debian.tar.gz

http://ftp.de.debian.org/debian/pool/main/libp/libpodofo/libpodofo_0.9.0-1.1.dsc
http://ftp.de.debian.org/debian/pool/main/libp/libpodofo/libpodofo_0.9.0.orig.tar.gz
http://ftp.de.debian.org/debian/pool/main/libp/libpodofo/libpodofo_0.9.0-1.1.debian.tar.gz

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /tmp/
wget  http://ftp.debian.org/debian/pool/main/s/scribus/scribus_1.4.0.dfsg+r17300-1.1_i386.deb  
R
dpkg -i scribus*









Graças a esta canetada da reitoria
nós temos desde 2011 uma direção do
pólo que é só do ICT*; o vice - o 
Áureo, da Produção Cultural - nunca
foi nomeado, e o Bazilio ficou
muito sobrecarregado.

A posição do ICT* sobre esta regra
é de apoio, com as seguintes justifi-
cativas principais:

  1) a consulta eleitoral para diretor
     do polo deveria ter sido uma
     eleição,

  2) só os professores que já termi-
     naram o estágio probatório (os 3
     primeiros anos) podem concorrer
     em eleições, porque:

     a) só eles têm experiência
        suficiente,

     b) seria ``constrangedor'' se um
        professor fosse reprovado no
        estágio probatório no meio
        do seu mandato,

     c) ``regra é regra'' - e não
        importa se essa mesma regra já
        foi ignorada em muitos lugares
        da UFF, nem que tudo indique que
        ela é ilegal.

(*) Na verdade a Engenharia e a Computação,
que são 2/3 do ICT (o outro 1/3 é o depto
de Física e Matemática).




  1) só os professores que já terminaram
     o probatório têm experiência
     suficiente,




#  Local Variables:
#  coding:               utf-8-unix
#  End:
