#######
#
# E-scripts on Slackware.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/slackware.e>
#           or at <http://angg.twu.net/e/slackware.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######









Algumas dicas do Oberdan:

#instalar codecs mplayer
mover o source pra dentro da pasta do SlackBuild
executar o .SlackBuild
(ps: fonte e SlackBuild pegos do site!)



#gerenciar o sistema
slackpkg upgrade patches - atualiza todos os patches instalados
slackpkg update - atualiza a lista de patches|pacotes
slackpkg install <pacote> - instala um pacote
slackpkg upgrade <pacote> - atualiza um pacote
slackpkg search <nome> - procura um determinado pacote


installpkg



#verificar os pacotes instalados
ls /var/log/packages


#MySQL

slackpkg search mysql (procura o pacote, depois de encontrado, instalar usando slackpkg install <nome do pacote>)

-configurando:

mysql_install_db
chown -R mysql.mysql /var/lib/mysql

-para usar
mysqld_safe &
mysql





comandos Slackware




##comandos de interface de redes

#para reiniciar TODAS as interfaces de rede é só rodar
/etc/rc.d/rc.inet1 restart

#para iniciar
/etc/rc.d/rc.inet1 start

#para parar
/etc/rc.d/rc.inet1 stop

#e para parar uma interface especifica,
ifconfig ethX down
ifconfig ethX up

#conectando-se à uma rede wifi de criptografia wap
wpa_passphrase "<ESSID>" "<SENHA>"
wpa_supplicant -i <interface(wlan0, eth1...)> -c /


#varrer redes disponíveis
iwlist <interface> scan


#trocar de rede wireless:
-matar o processo wpa_supplicant que estiver rodando
-matar a resolução dhcp rodando
-reiniciar

ps -ef|grep "wpa"
kill <pid>
ps -ef |grep "dhcp"
kill <pid>


#resolver configuração de rede através de servidores dhcp (dos roteadores em geral)
dhcpcd <interface>


#conectar à rede aberta ou wifi
iwconfig wlan0 essid <WIFI> key <SENHA>







-----------------------
links uteis

# http://blog.cesar.augustus.nom.br/conectando-em-redes-sem-fio-no-linux.html
# http://www.vivaolinux.com.br/artigo/Slackpkg-uma-otima-ferramenta-para-Slackware?pagina=2

# usando wireless via mão:
# http://blog.cesar.augustus.nom.br/conectando-em-redes-sem-fio-no-linux.html



/etc/slackpkg/mirrors









#  Local Variables:
#  coding:               utf-8-unix
#  End:
