#######
#
# E-scripts on SourceHut, a.k.a. sr.ht.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/srht.e>
#           or at <http://angg.twu.net/e/srht.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.irc»		(to "irc")
# «.git-repo-example»	(to "git-repo-example")
# «.ssh»		(to "ssh")



https://sr.ht/
https://srht.site/quickstart
https://man.sr.ht/meta.sr.ht/oauth.md
https://man.sr.ht/tutorials/
https://man.sr.ht/tutorials/set-up-account-and-git.md
https://en.wikipedia.org/wiki/OAuth
https://meta.sr.ht/oauth2
# (find-esfile "oauth.e")

https://news.ycombinator.com/item?id=28794352 How the .NET Foundation kerfuffle became a brouhaha (robmensching.com) - sourcehut - ssh into a failed CI host

https://mail.google.com/mail/u/0/#inbox/FMfcgzGlkZGBlmRJJRSdDjDLVxrDxXnK


# (find-fline "~/TH/R/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd ~/TH/R/
tar -cvzf /tmp/minimalpage.tgz index.html IMAGES/forthsun.png



#####
#
# irc
# 2023jan16
#
#####

# «irc»  (to ".irc")
# https://man.sr.ht/chat.sr.ht/
# https://sourcehut.org/blog/2021-11-29-announcing-the-chat.sr.ht-public-beta/
# https://sourcehut.org/blog/2022-07-06-sourcehut-and-irc/
# https://sourcehut.org/pricing/
# (find-libera-2a "#sr.ht")

# (find-fline "~/LOGS/2023jan16.sr.ht")




#####
#
# git-repo-example
# 2021oct31
#
#####

# «git-repo-example»  (to ".git-repo-example")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "/tmp/example/")
rm -Rv /tmp/example/
mkdir  /tmp/example/
cd     /tmp/example/
git init
echo 'Hello world!' > README.md
git add README.md
git commit -m "Initial commit"

git remote add origin git@git.sr.ht:~edrx/example
git push -u origin master

wget -O LICENSE https://www.gnu.org/licenses/gpl-3.0.txt
git add LICENSE
git commit -m "Small changes."
git push -u origin master

# https://man.sr.ht/license.md
# https://www.gnu.org/licenses/gpl-3.0.txt

# https://git.sr.ht/~edrx/example
# https://git.sr.ht/~edrx/example/
# https://git.sr.ht/~edrx/example/tree

# (find-git-links "https://git.sr.ht/~edrx/example" "example")




#####
#
# ssh
# 2021oct31
#
#####

# «ssh»  (to ".ssh")

# (find-fline "~/LOGS/sr.ht.2021oct31")

https://srht.site/


ssh edrx@sr.ht


https://news.ycombinator.com/item?id=29225155 Sourcehut’s Third Year (sourcehut.org)
https://news.ycombinator.com/item?id=29768197 What Is the Small Web? (ar.al)

https://drewdevault.com/

Vagner:
https://codeberg.org/

https://news.ycombinator.com/item?id=33403780 SourceHut terms of service updates, cryptocurrency projects to be removed (sourcehut.org)
https://srht.site/





#  Local Variables:
#  coding:               utf-8-unix
#  End:
