#######
#
# E-scripts on strace and friends.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/strace.e>
#           or at <http://angg.twu.net/e/strace.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.strace-debian»	(to "strace-debian")
# «.strace-git»		(to "strace-git")



# (find-esgrep "grep --color -nH -e strace *.e")
# (find-angg ".zshrc" "strace")
# (find-es "anatocc" "libvforkwrap")




#####
#
# strace-debian
# 2019sep25
#
#####

# «strace-debian» (to ".strace-debian")
# (find-status   "strace")
# (find-vldifile "strace.list")
# (find-udfile   "strace/")
# (find-udfile "strace/examples/strace-graph.gz")
# (find-man "1 strace")
# (find-sh "strace -h")




#####
#
# strace-git
# 2019sep25
#
#####

# «strace-git» (to ".strace-git")
# https://sourceforge.net/projects/strace/
# https://strace.io
# https://github.com/strace/strace
# (find-git-links "https://github.com/strace/strace" "strace")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -Rfv ~/usrc/strace/
cd      ~/usrc/
git clone https://github.com/strace/strace
cd      ~/usrc/strace/

git branch --list -a
git for-each-ref
PAGER=cat git log --oneline --graph --all -20

# (find-fline "~/usrc/")
# (find-fline "~/usrc/strace/")
# (find-gitk  "~/usrc/strace/")

# (code-c-d "strace" "~/usrc/strace/")
# (find-stracefile "")







#  Local Variables:
#  coding:               utf-8-unix
#  End:
