#######
#
# E-scripts on systemd.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/systemd.e>
#           or at <http://angg.twu.net/e/systemd.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# (find-es "devuan")



# https://wiki.debian.org/systemd
# (find-sh "pstree")
# (find-sh "pstree" "-systemd-")
# (find-status   "systemd")
# (find-vldifile "systemd.list")
# (find-udfile   "systemd/")
# (find-man "1 systemd")
# (find-man "8 telinit")
# (find-man "1 systemctl")
# (find-man "1 systemctl" "list-units [PATTERN...]")



 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
systemctl list-units
systemctl list-units | grep -i alsa
systemctl list-units | grep -i pulse
# (find-sh "systemctl status")
# (find-sh "systemctl status" "lightdm")
# (find-sh "systemctl status" "lightdm.service")
# (find-sh "systemctl status" "/usr/lib/xorg/Xorg :0")
# (find-sh "systemctl list-units")
# (find-sh "systemctl list-units | sort")

# (find-fline "/var/log/")
# (find-fline "/var/log/Xorg.0.log")
# (find-fline "/etc/init.d/keyboard-setup.sh")


From Vagner R:

debian used to use sysinit services to control processes back then.
Then RedHat adopted systemd, which is totally against the UNIX
Philosophy - do one thing and do it well. Pottering was the guy who
designed systemd and was a Micro$oft developer and lots of admin were
suspected about security issues if debian adopted systemd as well, and
that happened; systemd is a monolithic mammoth inside debian and other
GNU/Linux distros which is a paradox. Then many sysadmins were very
angry with debian leadership and tried to convince them not to adopt
it. But, they did. Because of this some devs left debian and the main
fork was devuan... That's really a long history... and a never ending
war inside the community...

https://www.infoworld.com/article/2608798/systemd--harbinger-of-the-linux-apocalypse.html

https://en.wikipedia.org/wiki/Systemd
https://en.wikipedia.org/wiki/Devuan
https://en.wikipedia.org/wiki/Init#SysV-style

# (find-es "devuan")

https://news.ycombinator.com/item?id=29855045 Systemd, 10 years later (2020) (darknedgy.net)
https://seb.jambor.dev/posts/systemd-by-example-part-1-minimization/
https://tratt.net/laurie/blog/2024/some_reflections_on_writing_unix_daemons.html




#  Local Variables:
#  coding:               utf-8-unix
#  End:
