#######
#
# E-scripts on tcsh
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/tcsh.e>
#           or at <http://angg.twu.net/e/tcsh.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# (find-status "tcsh")
# (find-vldifile "tcsh.list")
# (find-fline "/usr/doc/tcsh/")

# (find-fline "/etc/skel/.cshrc")
# (find-fline "/etc/skel/.alias")
# (find-fline "/etc/csh.cshrc")
# (find-fline "/etc/csh.login")
# (find-fline "/etc/csh.logout")
# (find-fline "/usr/share/doc/tcsh/examples/example.cshrc")
# (find-fline "/usr/share/doc/tcsh/examples/example.alias")
# (find-fline "/usr/share/doc/tcsh/examples/complete.tcsh.gz")
# (find-fline "/usr/share/doc/tcsh/README")

# (find-fline "/usr/share/doc/util-linux/examples/parse.tcsh.gz")



# (find-available "")


# (find-tcshbuiltin "set")
# (find-man "1 tcsh")
# (find-man "1 tcsh" "\n   Variable substitution")
# (find-man "1 tcsh" "\n   Input/output")
# (find-man "1 tcsh" "\n   Special shell variables")




####
#
# ee
# 2004mar18
#
####

# (find-tcshbuiltin "set")
# (find-man "1 tcsh" "-v  Sets the verbose shell variable")
# (find-man "1 tcsh" "\n   Special shell variables" "\n       verbose")
# (find-tcshbuiltin "alias")

#
cat > $EEG <<'%%%'
set
set verbose
set
unset verbose
exit
%%%
eeg tcsh

#
cat > $EEG <<'%%%'
alias ee 'set verbose; source /tmp/ee.sh; unset verbose'
cat > /tmp/ee.sh <<---
echo hi

 ls -lAF /tmp
---
cat /tmp/ee.sh

ee

alias ee 'set echo; source /tmp/ee.sh; unset echo'
ee

exit
%%%
eeg tcsh

#



####
#
# export
# 2004mar18
#
####

# (find-tcshbuiltin "set")
# (find-man "1 tcsh" "-v  Sets the verbose shell variable")






#  Local Variables:
#  coding:               utf-8-unix
#  End:
