#######
#
# E-scripts on tmp.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/tmp.e>
#           or at <http://angg.twu.net/e/tmp.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# (defun u () (interactive) (find-escript-upload-links "tmp" "{tag}"))
# (defun u () (interactive) (find-escript-upload-links "tmp" "mosaic-el"))
# (find-fline "~/LOGS/2019sep07.dto")

# «.mosaic-el»	(to "mosaic-el")
# «.dto-links»	(to "dto-links")







#####
#
# mosaic-el
# 2019sep07
#
#####

# «mosaic-el» (to ".mosaic-el")
# (find-es "music" "ecasound")
# (find-es "music" "snd")
# https://gitlab.com/dto/mosaic-el
# (find-git-links "https://gitlab.com/dto/mosaic-el" "mosaic")
# (find-fline "~/LOGS/2019sep07.dto")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rfv ~/usrc/mosaic-el/
cd      ~/usrc/
git clone https://gitlab.com/dto/mosaic-el
cd      ~/usrc/mosaic-el/
git pull

git branch --list -a
git for-each-ref
PAGER=cat git log --oneline --graph --all -20

# (find-fline "~/usrc/")
# (find-fline "~/usrc/mosaic-el/")
# (find-gitk  "~/usrc/mosaic-el/")

# (code-c-d "mosaic" "~/usrc/mosaic-el/")
# (find-mosaicfile "")
# (find-mosaicfile "mosaic.scm")
# (find-mosaicgrep "grep --color -nH -e run-snd-scheme *")

(add-to-list 'load-path "~/usrc/mosaic-el/")
(load "~/usrc/mosaic-el/cell.el")
(load "~/usrc/mosaic-el/inf-snd.el")
(setq inf-snd-scheme-program-name "/usr/bin/snd")
(add-to-list 'auto-mode-alist (cons "\\.cell" 'cell-mode))
(run-snd-scheme "/usr/bin/snd")

(find-mosaicfile "menu.cell")

(run-snd-scheme)


eval: Wrong number of arguments: (lambda (cmd) "Start inferior Snd-Scheme process.
CMD is used for determine which program to run. If interactively
called, one will be asked for program name to run." (interactive (list
(if current-prefix-arg (read-string "Run Snd Scheme: "
inf-snd-scheme-program-name) inf-snd-scheme-program-name))) (if
(comint-check-proc inf-snd-scheme-buffer) nil (let ((cmdlist
(inf-snd-args-to-list cmd))) (setq inf-snd-scheme-program-name cmd)
(set-buffer (apply (quote make-comint) inf-snd-scheme-buffer-name (car
cmdlist) nil (cdr cmdlist)))) (inf-snd-scheme-mode)
(snd-send-invisible "#f"))), 0


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
snd







#####
#
# dto-links
# 2019sep08
#
#####

# «dto-links» (to ".dto-links")
 
http://www.youtube.com/watch?v=1VyTd_Wf0qA 2016 New England Lisp Games Conference (Episode 1: David O'Toole)
https://www.youtube.com/channel/UCKfZ9JfFgg7cxa2hYfC5O0A dto games
http://xelf.me/profile.html




#  Local Variables:
#  coding:               utf-8-unix
#  ee-anchor-format:     "«%s»"
#  End:
