#######
#
# E-scripts on tramp.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/tramp.e>
#           or at <http://angg.twu.net/e/tramp.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.tramp-from-git»		(to "tramp-from-git")
# «.load-new-tramp»		(to "load-new-tramp")
# «.tramp-2.1.9»		(to "tramp-2.1.9")
# «.tramp-plink»		(to "tramp-plink")
# «.password-cache»		(to "password-cache")
# «.multi-hop»			(to "multi-hop")
# «.mailing-list»		(to "mailing-list")
# «.tramp-verbose»		(to "tramp-verbose")
# «.ftp»			(to "ftp")






# Still in the old place:

# «tramp-from-git»  (to ".tramp-from-git")
# «load-new-tramp»  (to ".load-new-tramp")
# «tramp-2.1.9»  (to ".tramp-2.1.9")
# «tramp-plink»  (to ".tramp-plink")
# «password-cache»  (to ".password-cache")
# «multi-hop»  (to ".multi-hop")
# (find-es "emacs" "tramp-from-git")
# (find-es "emacs" "load-new-tramp")
# (find-es "emacs" "tramp-2.1.9")
# (find-es "emacs" "tramp-plink")
# (find-es "emacs" "password-cache")
# (find-es "emacs" "multi-hop")




#####
#
# mailing-list
# 2023oct15
#
#####

# «mailing-list»  (to ".mailing-list")
# https://lists.gnu.org/r/tramp-devel/
# https://lists.gnu.org/archive/html/tramp-devel/2023-09/index.html
# https://lists.gnu.org/mailman/listinfo/tramp-devel




#####
#
# tramp-verbose
# 2013sep13
#
#####

# «tramp-verbose» (to ".tramp-verbose")
# http://lists.gnu.org/archive/html/emacs-orgmode/2013-09/msg00564.html eric




#####
#
# ftp
# 2023sep24
#
#####

# «ftp»  (to ".ftp")
# (find-es "android" "ftp")
# (find-angg ".emacs" "switftp")
# (find-file "/ftp:anonymous@ftp.gnu.org:/gnu/coreutils")
# (find-file "/ftp:ftp@192.168.1.2#2121:/")
# (find-node "(tramp)Password handling")
# (find-node "(tramp)Password handling" "because TRAMP passes the work to Ange FTP")
# (find-node "(tramp)Archive file names" "/ftp:anonymous@ftp.gnu.org:")
# (find-node "(tramp)Quick Start Guide" "host#port")
# (find-efile "net/ange-ftp.el")
# (setq ange-ftp-generate-anonymous-password nil)

(setq auth-source-debug t)

(code-c-d "whatsappimages" "/ftp:ftp@192.168.1.2#2121:/Android/media/com.whatsapp/WhatsApp/Media/WhatsApp Images/")
(code-c-d "whatsappvideo"  "/ftp:ftp@192.168.1.2#2121:/Android/media/com.whatsapp/WhatsApp/Media/WhatsApp Video/")
(code-c-d "dcimcamera"     "/ftp:ftp@192.168.1.2#2121:/DCIM/Camera/")
;; (find-whatsappimagesfile "")
;; (find-whatsappvideofile "")
;; (find-dcimcamerafile "")

(find-fline "/ftp:ftp@192.168.1.2#2121:/DCIM/Camera/")
(find-fline "/ftp:ftp@192.168.1.2#2121:")

ftp@192.168.1.2#2121

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
ftp 192.168.1.2 2121
ftp
ftp

# (find-man "ftp")

cd /media/mtp/phone/Phone/DCIM/Camera/





#  Local Variables:
#  coding:               utf-8-unix
#  End:
