#######
#
# E-scripts on twitter.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/twitter.e>
#           or at <http://angg.twu.net/e/twitter.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.twarc»		(to "twarc")
# «.docnow»		(to "docnow")
# «.developer-access»	(to "developer-access")
# «.tweepy»		(to "tweepy")
# «.advanced-search»	(to "advanced-search")


p: hoo

https://en.wikipedia.org/wiki/Twitter



# (find-zsh "installeddebs | sort | grep twitter")
# (find-zsh "availabledebs | sort | grep twitter")
# https://packages.debian.org/search?searchon=names&keywords=twitter

https://gwu-libraries.github.io/sfm-ui/posts/2018-03-20-twitter-command-line
https://github.com/gwu-libraries/notebooks/blob/master/20180320-twitter-commandline/Twitter%20command-line.ipynb



@nemoid321
https://en.wikipedia.org/wiki/Green_anarchism




#####
#
# twarc
# 2020jan01
#
#####

# «twarc» (to ".twarc")
# https://github.com/docnow/twarc




#####
#
# Documenting the Now
# 2020jan01
#
#####

# «docnow» (to ".docnow")
# https://www.docnow.io/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
pip3 install twarc

cd
find .* * | grep twarc

# (find-fline "~/.local/lib/python3.7/site-packages/twarc/")
# (find-fline "~/.local/lib/python3.7/site-packages/twarc-1.7.5.dist-info/")



#####
#
# developer-access
# 2020jan16
#
#####

# «developer-access» (to ".developer-access")
# https://developer.twitter.com/en/apply-for-access
# https://cran.r-project.org/web/packages/rtweet/vignettes/auth.html
# @eduardoochs
# https://developer.twitter.com/en/application/review
# https://developer.twitter.com/en/account/get-started
# https://cran.r-project.org/web/packages/rtweet/vignettes/auth.html




#####
#
# tweepy
# 2020jan16
#
#####

# «tweepy» (to ".tweepy")
# https://www.tweepy.org/
# https://github.com/tweepy/tweepy
# https://www.earthdatascience.org/courses/earth-analytics-python/using-apis-natural-language-processing-twitter/get-and-use-twitter-data-in-python/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
pip3 install tweepy




#####
#
# advanced-search
# 2020jul30
#
#####

# «advanced-search»  (to ".advanced-search")
# https://twitter.com/search-advanced?lang=en





https://github.com/bear/python-twitter
https://developer.twitter.com/en/docs/developer-utilities/twitter-libraries
https://stackabuse.com/accessing-the-twitter-api-with-python/

https://twitter.com/barbarasaccomor/status/1586861797658841089 cachorro com maionese
https://ssstwitter.com/barbarasaccomor/status/1586861797658841089
# (find-fline "~/tmp/" "cachorro_com_maionese_peq.mp4")
# (find-video "~/tmp/cachorro_com_maionese_peq.mp4")





#  Local Variables:
#  coding:               utf-8-unix
#  End:
