#######
#
# E-scripts on yelp, the help browser for GNOME.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/yelp.e>
#           or at <http://angg.twu.net/e/yelp.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.yelp-git»	(to "yelp-git")
# «.yelp4kde»	(to "yelp4kde")




# (find-status   "yelp")
# (find-vldifile "yelp.list")
# (find-udfile   "yelp/")
# (find-udfile "yelp/README" "http://git.gnome.org/browse/yelp/")
# https://wiki.gnome.org/Apps/Yelp
# https://www.freedesktop.org/wiki/Specifications/help-spec/
# https://packages.debian.org/sid/yelp
# https://packages.debian.org/source/sid/yelp
# https://salsa.debian.org/gnome-team/yelp.git
# http://git.gnome.org/browse/yelp

# (find-es "gnome" "freedesktop")
# (find-es "gnome" "freedesktop" "xdg-open")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
ps ax | grep yelp
yelp help:mate-user-guide

# (find-bgprocess "yelp help:mate-user-guide")

# (find-sh "locate mate-user-guide")
# (find-fline "/usr/share/help/C/")
# (find-fline "/usr/share/help/C/mate-user-guide/")
# (find-fline "/usr/share/help/en_GB/")


# (find-man "grep")
# (find-sh "grep -Riw lock /usr/share/help/{C,en_GB}/")

# (find-fline "~/LOGS/2019sep09.emacs" "yelp help:mate-user-guide")




#####
#
# yelp-git
# 2019sep09
#
#####

# «yelp-git» (to ".yelp-git")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rfv ~/usrc/yelp/
cd      ~/usrc/
git clone http://git.gnome.org/browse/yelp
cd      ~/usrc/yelp/

git branch --list -a
git for-each-ref
PAGER=cat git log --oneline --graph --all -20

# (find-fline "~/usrc/")
# (find-fline "~/usrc/yelp/")
# (find-gitk  "~/usrc/yelp/")
# (code-c-d "yelp" "~/usrc/yelp/")
# (find-yelpfile "")

# (find-yelpfile "docs/help-parsing.txt")
# (find-yelpfile "docs/help-parsing.txt" "GHELP URI SCHEME")




#####
#
# yelp4kde
# 2019sep10
#
#####

# «yelp4kde» (to ".yelp4kde")
# (find-angg "bin/yelp4kde")








#  Local Variables:
#  coding:               utf-8-unix
#  ee-anchor-format:     "«%s»"
#  End:
