;; This file:
;;   http://angg.twu.net/elisp/eev-vagner.el.html
;;   http://angg.twu.net/elisp/eev-vagner.el
;;           (find-angg "elisp/eev-vagner.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (find-es "eev" "vagner-settings")


;; Use chromium instead of google-chrome.
;; From: (find-newbrowser-links "g" "googlechrome" "chromium")
(defun ee-find-googlechrome-page (fname &optional page)
  `("chromium" ,(ee-fname-page-to-url fname page)))

;; Use okular instead of xpdf.
;; See: (find-newpdfviewer-links "okular" "okular")
(defalias 'find-pdf-page 'find-okular-page)

;; Make formfeeds appear as yellow "L"s on a red background.
;; See: (find-eev "eepitch.el" "glyphs")
;;
(defface eev-glyph-face-yellow-on-red
  '((t (:foreground "yellow" :background "red")))
  "Face used for the formfeed glyph (char 12).")
(eepitch-set-glyph 12 ?L 'eev-glyph-face-yellow-on-red)

;; See: (find-eev "eepitch.el" "eepitch-shell")
;;      (find-eev "eepitch.el" "other-terms")
;;      (find-eev "eepitch.el" "eepitch-vterm")
;;
(defun eepitch-shell  () (interactive) (eepitch-vterm nil "shell"))
(defun eepitch-shell2 () (interactive) (eepitch-vterm nil "shell 2"))
(defun eepitch-shell3 () (interactive) (eepitch-vterm nil "shell 3"))



;; Local Variables:
;; coding:  utf-8-unix
;; End:
