
\ ==============================================================================
\ 
\ 	RubyFORTH -- Copyright (C) 2007-8, Marc Simpson (GPL). 
\ 
\       Trivial access to system commands, with a simple syntax.
\ 
\ ==============================================================================

\ --[ Core ]--------------------------------------------------------------------

prim (system) swap ; system(pop + " " + pop)

: system: ( command$  -- ) create , does> @ 0 parse (system) ;
: system  ( "command" -- ) peek-word create , does> @ 0 parse (system) ;

\ --[ Shell Commands ]----------------------------------------------------------

\ " ls" system: dir			( An example of different naming )
\ system ed				( Command 'ed' becomes word 'ed' )
\ system ls
\ system cp
\ system touch

\ --[ Sample Script ]-----------------------------------------------------------

\ ls -l /tmp/
\ touch /tmp/abc.txt
\ cp /tmp/abc.txt /tmp/def.txt
\ ls -l /tmp/
