-- This file:
--   http://angg.twu.net/AGDA/Postulate2.agda.html
--   http://angg.twu.net/AGDA/Postulate2.agda
--           (find-angg "AGDA/Postulate2.agda")
--   See:    (find-angg "AGDA/Postulate1.agda")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun e () (interactive) (find-angg "AGDA/Postulate2.agda"))


postulate A₁ :                                              Set
postulate A₂ : (a₁ : A₁) →                                  Set
postulate B₁ : (a₁ : A₁) → (a₂ : A₂ a₁) →                   Set
postulate B₂ : (a₁ : A₁) → (a₂ : A₂ a₁) → (b₁ : B₁ a₁ a₂) → Set

record RA : Set1 where
  field
    a₁ : A₁
    a₂ : A₂ a₁

record RB2 (a₁ : A₁) (a₂ : A₂ a₁) : Set1 where
  field
    b₁ : B₁ a₁ a₂
    b₂ : B₂ a₁ a₂ b₁

record RB1 (ra : RA) : Set1 where
  field
    b₁ : B₁ (RA.a₁ ra) (RA.a₂ ra)
    b₂ : B₂ (RA.a₁ ra) (RA.a₂ ra) b₁

-- (find-agdatype "RA.a₁")
-- (find-agdatype "RA.a₂")
-- (find-agdatype "RB.b₁")
-- (find-agdatype "RB.b₂")

module MB21 {a₁ : A₁} {a₂ : A₂ a₁} (rb : RB2 a₁ a₂) where
    b₁ : B₁ a₁ a₂
    b₁ = RB2.b₁ rb
    b₂ : B₂ a₁ a₂ b₁
    b₂ = RB2.b₂ rb

module MB11 {ra : RA} (rb : RB1 ra) where
    a₁ : A₁
    a₁ = RA.a₁ ra
    a₂ : A₂ a₁
    a₂ = RA.a₂ ra
    b₁ : B₁ a₁ a₂
    b₁ = RB1.b₁ rb
    b₂ : B₂ a₁ a₂ b₁
    b₂ = RB1.b₂ rb

-- err: (find-agdatype "MB21.a₁")
-- err: (find-agdatype "MB21.a₂")
--      (find-agdatype "MB21.b₁")
--      (find-agdatype "MB21.b₂")

-- (find-agdatype "MB11.a₁")
-- (find-agdatype "MB11.a₂")
-- (find-agdatype "MB11.b₁")
-- (find-agdatype "MB11.b₂")




-- Local Variables:
-- coding:  utf-8-unix
-- End:
