-- This file:
--   http://angg.twu.net/AGDA/TestModInfix.agda.html
--   http://angg.twu.net/AGDA/TestModInfix.agda
--           (find-angg "AGDA/TestModInfix.agda")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 20220201
-- Public domain.
--
-- Newer version: (find-angg "AGDA/TestModInfix.agda")
-- (defun a () (interactive) (find-angg "AGDA/TestModInfix.agda"))
-- (set-frame-font "Noto Mono 13")

module TestModInfix where

open import Agda.Builtin.String
open import Agda.Builtin.String.Properties

infixl 4 _++_
_++_ : String -> String -> String
_++_ str1 str2 = primStringAppend str1 str2

module Add (i : String) where
  infixl 4 _+++_
  add   : String -> String -> String
  add   a b = "(" ++ a ++ " +_" ++ i ++ " " ++ b ++ ")"
  _+++_ : String -> String -> String
  _+++_ a b = add a b

module Add0 = Add "0"
module Add1 = Add "1"
-- open Add0
open          Add "2"

aa : String
aa = "AAA"
bb : String
bb = "BBB"
cc : String
cc = aa +++ bb

-- (find-agdanorm "aa ++ bb")
-- (find-agdanorm "Add.add   \"4\" aa bb")
-- (find-agdanorm "Add0.add        aa bb")
-- (find-agdanorm "Add._+++_ \"9\" aa bb")
-- (find-agdanorm "Add0._+++_      aa bb")
-- (find-agdanorm "aa Add0.+++ bb")
-- (find-agdanorm "aa +++ bb")
-- (find-agdanorm "aa add bb")
-- (find-agdanorm "_+++_")
-- (find-agdatype "_+++_")
-- (find-agdanorm "cc")





-- Local Variables:
-- coding:  utf-8-unix
-- End:
