#!/usr/bin/env gnuplot -persist
# This file:
#   http://angg.twu.net/GNUPLOT/surface1.9.gnuplot.html
#   http://angg.twu.net/GNUPLOT/surface1.9.gnuplot
#           (find-angg "GNUPLOT/surface1.9.gnuplot")
#
# https://gnuplot.sourceforge.net/demo_5.4/surface1.9.gnu
#
# set terminal pngcairo  transparent enhanced font "arial,10" fontscale 1.0 size 600, 400 
# set output 'surface1.9.png'
set samples 21, 21
set isosamples 11, 11
set style data lines
set title "3D gnuplot demo" 
set xlabel "X axis" 
set xlabel  offset character -3, -2, 0 font "" textcolor lt -1 norotate
set xrange [ -10.0000 : 10.0000 ] noreverse nowriteback
set x2range [ * : * ] noreverse writeback
set ylabel "Y axis" 
set ylabel  offset character 3, -2, 0 font "" textcolor lt -1 rotate
set yrange [ -10.0000 : 10.0000 ] noreverse nowriteback
set y2range [ * : * ] noreverse writeback
set zlabel "Z axis" 
set zlabel  offset character -5, 0, 0 font "" textcolor lt -1 norotate
set zrange [ * : * ] noreverse writeback
set cbrange [ * : * ] noreverse writeback
set rrange [ * : * ] noreverse writeback
set colorbox vertical origin screen 0.9, 0.2 size screen 0.05, 0.6 front  noinvert bdefault
NO_ANIMATION = 1
## Last datafile plotted: "$grid"
splot x*y with points

# splot -10
pause -1 "Hit return to continue"


# (find-eepitch-intro "3.3. `eepitch-preprocess-line'")
# (setq eepitch-preprocess-regexp "")
# (setq eepitch-preprocess-regexp "^#: ")
# (find-man "gnuplot")
#
#:  (eepitch-shell)
#:  (eepitch-kill)
#:  (eepitch-shell)
#: gnuplot -persist surface1.9.gnuplot
#: ./surface1.9.gnuplot
# (find-bgprocess "gnuplot ./surface1.9.gnuplot")
