-- This file:
--   http://angg.twu.net/HASKELL/testpipes.hs.html
--   http://angg.twu.net/HASKELL/testpipes.hs
--           (find-angg "HASKELL/testpipes.hs")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun e () (interactive) (find-angg "HASKELL/testpipes.hs"))
-- (find-fline "~/LOGS/2022sep20.haskell" "stdinAll = yield =<<")
-- (find-es "haskell" "pipes")

import Control.Category
import Control.Monad
import Pipes
import qualified Pipes.Prelude as P
import Prelude hiding ((.), id)

stdinAll1 = do str <- lift getContents; yield str
stdinAll2 = yield =<< lift getContents

{-
 (eepitch-ghci)
 (eepitch-kill)
 (eepitch-ghci)
:set -package pipes
:load testpipes.hs
:t for

:t stdinAll1
:t stdinAll2
stdinAll1


-}




-- Local Variables:
-- coding:  utf-8-unix
-- End:
