-- This file:
-- http://angg.twu.net/LATEX/2014istanbul-a
-- http://angg.twu.net/LATEX/2014istanbul-a.html
--  (find-angg        "LATEX/2014istanbul-a")
-- (defun l () (interactive) (find-LATEX "2014istanbul-a.lua"))
-- (defun t () (interactive) (find-LATEX "2014istanbul-a.tex"))
--

bigstr = [[
\def\foo{%s}
% Fruits
Banana
Bacate
  Bacuri
Belancia

\def\bar{%s}
% Greens
BANANA
Bacate
  BACURI
Belancia

]]



bigstr = [[
\def\Basic{%s}
ZSets
BPM, WPM
T/R closure
ZDAG
Stable map
Stable subset
Open subset
Topology
Priming
Generators
Walls
L/R generators
Interwall arrows
$(D^-, \downarrow)$
%
% \def\Zhas{%s}
{}
ZHAs
(x,y) and (l,r)
O(D-) bij D
Logic in a topology
Interior
Implication
Negation
Logic on ZDAG
Logic in a ZHA
{}
ZDAGs as cats
T/and/imp as props
$\lambda$-notation
Functors
  Stable maps
  Priming
  (andQ)
  (Qimp)
Adjunctions
  (andQ)/(Qimp)
  ess/disc/int
NTs
Adjunctions as NTs
imp in topologies
Representables
bot, or, coimp
Archetypal cases


\def\Intpl{%s}
Intuitionistic PL
  ZDAG models
  Axioms
  Theorems
  Non-theorems
  ND
  Sequents
  impE in sequents
  impE in ND
Tableaus
Countermodels
{}
$\lambda$-calculus
Curry-Howard
$\beta$ and $\eta$
CCCs
{}
Modalities on ZDAGs
  Examples
  Axioms
  Theorems
  Non-theorems
Modalities on ZHAs
  as functors
  stable truth-values
  diamond-shaped regions
  co-J
  co-J/inc/J
  separators
The algebra of modalities
  and,or,comp,impimp
  The ten theorems
{}
Maps between ZHAs
  monic
  epi
  factoring
  kernels
  action on generators


\def\Toposes{%s}
ZToposes
  objects
  maps
  elements
  subobjects
  sub-elements
  products
  pullbacks
  classifier
  logic
  internal logic
  internal language
Sequents
  functional
  logical
  logic



]]


-- (find-angg "LUA/lua50init.lua" "split")
-- split = function (str, pat, use_rest)
--     local arr = {}
--     str = string.gsub(str, pat or "([^%s]+)", function (word)
--         table.insert(arr, word)
--         return ""
--       end)
--     if use_rest and str ~= "" then table.insert(arr, str) end
--     return arr
--   end


dofile(os.getenv("LUA_INIT"):sub(2))

initsp = "\\phantom{o}"
initsp = "."
initsp = "\\phantom{i}"
line_change_initial_spaces = function (li)
    return (li:gsub("^( +)", function (s) return (s:gsub(" ", initsp)) end))
  end
line_transform = function (li)
    if li:match"^%%" then return end
    return line_change_initial_spaces(li).." \\\\\n"
  end
block_transform = function (B)
    local C = {}
    for i,li in ipairs(B) do C[#C+1] = line_transform(li) end
    return C
  end
blockstr_transform = function (blockstr)
    return table.concat(block_transform(splitlines(blockstr)))
  end
blockstr_transform1 = function (blockstr)
    local fmt, blockstr = blockstr:match "^([^\n]+)\n(.*)$"
    assert(blockstr, "No match")
    local blockstr = blockstr_transform(blockstr)
    local blockstr = format("\\begin{tabular}{l}\n%s\\end{tabular}", blockstr)
    return format(fmt, blockstr).."\n\n"
  end
blockstr_transformn = function (bigstr)
    return ((bigstr.."\n\n"):gsub("([^\n].-)\n\n+", blockstr_transform1))
  end

bigstr2 = blockstr_transformn(bigstr)
writefile("2014istanbul-a.inc", bigstr2)


--[==[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "2014istanbul-a.lua"


= blockstr_transform [[
% Fruits
Banana
Bacate
  Bacuri
Belancia
]]



= initsp"  Hello"
splitblocks(bigstr)

PP(split(bigstr, "(.-)\n\n\n*"))
PP(split(bigstr, "(.-)\n\n\n*", 1))






--]==]


-- Local Variables:
-- coding: raw-text-unix
-- End:
