# This file:     (find-LATEX "2017planar-has-1.mk")
#   http://angg.twu.net/LATEX/2017planar-has-1.mk.html
#   http://angg.twu.net/LATEX/2017planar-has-1.mk
#         (find-LATEXfile "" "2017planar-has-1.mk")
#
# Based on:  (find-dednat6 "Makefile")
# Used by:   (find-LATEXgrep "grep --color -nH -e 2017planar-has-1.mk *.tex")
# Newer version: (find-LATEX "2019.mk")
#
# Original usage: (find-LATEXsh "make -f 2017planar-has-1.mk")
#                 (find-es "tex" "biber-ph1")

STEM= 2017planar-has-1

pdf:	$(STEM).pdf
clean:	$(STEM).clean
veryclean: $(STEM).veryclean

%.pdf:
	lualatex $*.tex
	biber    $*
	lualatex $*.tex

%.clean:
	rm -Rfv $*.aux $*.log $*.out $*.toc $*.dnt $*.fls
	rm -Rfv $*.bbl $*.bcf $*.blg $*.run.xml

%.veryclean: %.clean
	rm -Rfv $*.pdf



