# This file:
#   http://angg.twu.net/LATEX/2021-2-C3-diag-nums.gnuplot.html
#   http://angg.twu.net/LATEX/2021-2-C3-diag-nums.gnuplot
#           (find-angg "LATEX/2021-2-C3-diag-nums.gnuplot")
# Author: Eduardo Ochs <eduardoochs@gmail.com>
#
# (defun e  () (interactive) (find-LATEX "2021-2-C3-diag-nums.tex"))
# (defun l  () (interactive) (find-LATEX "2021-2-C3-diag-nums.lua"))
# (defun gp () (interactive) (find-LATEX "2021-2-C3-diag-nums.gnuplot"))


set obj 4 polygon from 0,0,0 to 1,0,0 to 1,1,0 to 0,1,0 to 0,0,0
set obj 5 polygon from 0,1,0 to 1,1,0 to 1,2,0 to 0,2,0 to 0,1,0
set obj 6 polygon from 0,2,0 to 1,2,0 to 1,3,0 to 0,3,0 to 0,2,0
set obj 7 polygon from 0,3,0 to 1,3,0 to 1,4,0 to 0,4,0 to 0,3,0
set obj 8 polygon from 0,4,0 to 1,4,0 to 1,5,0 to 0,5,0 to 0,4,0
set obj 9 polygon from 1,0,0 to 2,0,0 to 2,1,0 to 1,1,0 to 1,0,0
set obj 10 polygon from 1,1,0 to 2,1,0 to 2,2,0 to 1,2,0 to 1,1,0
set obj 11 polygon from 1,2,0 to 2,2,0 to 2,3,0 to 1,3,0 to 1,2,0
set obj 12 polygon from 1,3,0 to 2,3,0 to 2,4,0 to 1,4,0 to 1,3,0
set obj 13 polygon from 1,4,0 to 2,4,0 to 2,5,0 to 1,5,0 to 1,4,0
set obj 14 polygon from 2,0,0 to 3,0,0 to 3,1,0 to 2,1,0 to 2,0,0
set obj 15 polygon from 2,1,0 to 3,1,0 to 3,2,0 to 2,2,0 to 2,1,0
set obj 16 polygon from 2,2,0 to 3,3,1 to 2,3,0 to 2,2,0
set obj 17 polygon from 2,2,0 to 3,2,0 to 3,3,1 to 2,2,0
set obj 18 polygon from 2,3,0 to 3,3,1 to 3,4,1 to 2,4,0 to 2,3,0
set obj 19 polygon from 2,4,0 to 3,4,1 to 3,5,1 to 2,5,0 to 2,4,0
set obj 20 polygon from 3,0,0 to 4,0,0 to 4,1,0 to 3,1,0 to 3,0,0
set obj 21 polygon from 3,1,0 to 4,1,0 to 4,2,0 to 3,2,0 to 3,1,0
set obj 22 polygon from 3,2,0 to 4,2,0 to 4,3,1 to 3,3,1 to 3,2,0
set obj 23 polygon from 3,3,1 to 4,3,1 to 3,4,1 to 3,3,1
set obj 24 polygon from 4,3,1 to 4,4,2 to 3,4,1 to 4,3,1
set obj 25 polygon from 3,4,1 to 4,4,2 to 4,5,2 to 3,5,1 to 3,4,1
set obj 26 polygon from 4,0,0 to 5,0,0 to 5,1,0 to 4,1,0 to 4,0,0
set obj 27 polygon from 4,1,0 to 5,1,0 to 5,2,0 to 4,2,0 to 4,1,0
set obj 28 polygon from 4,2,0 to 5,2,0 to 5,3,1 to 4,3,1 to 4,2,0
set obj 29 polygon from 4,3,1 to 5,3,1 to 5,4,2 to 4,4,2 to 4,3,1
set obj 30 polygon from 4,4,2 to 5,5,3 to 4,5,2 to 4,4,2
set obj 31 polygon from 4,4,2 to 5,4,2 to 5,5,3 to 4,4,2

n = 31

set for [o=1:n] obj o polygon depthorder fs transparent solid 0.8 fc "gray75"
set pm3d depthorder border lc "black" lw 2

set xrange [0:5]; set yrange [0:5]; set zrange [0:3]
set view equal xyz
set view 30,30,1.5

set title "b"
splot -10
pause -1 "Hit return to continue"




# (find-eepitch-intro "3.3. `eepitch-preprocess-line'")
# (setq eepitch-preprocess-regexp "")
# (setq eepitch-preprocess-regexp "^#: ")
#
#:  (eepitch-shell)
#:  (eepitch-kill)
#:  (eepitch-shell)
#: gnuplot 2021-2-C3-diag-nums.gnuplot


#: gnuplot
#: load "2021-2-C3-diag-nums.gnuplot"





# Local Variables:
# coding:  utf-8-unix
# mode:    gnuplot
# End:
