% (defun c () (interactive) (find-sh         "lilypond purcell-minuet.ly"))
% (defun d () (interactive) (find-xpdfpage "~/LILYPOND/purcell-minuet.pdf"))
% (find-es "print" "default-printer")

% (find-lilypondnode "Creating titles")
% (find-lilylearnnode "Version number" "\\version")
\version "2.12.3"

\header {
  title = "Minuet"
  subtitle = "in A minor, Z649"
  subsubtitle = "(Edrx, 2011aug13 19:30)"
  % subtitle = "4"
  source = "Coverless book, page 4"
  composer = "Henry Purcell"
  enteredby = "edrx"
  copyright = "Public Domain?"
}



RightHand = \relative c'' {
  a8( gis8 a8 b8  a4) | b4-.-4 b4-. e,4-. | a4( gis4 a4 | b2--) b4-. |
  \break
  c8( b8 c8 d8 c4) | b4-. b4-. e,4-. | a4( b4 gis4 | a2) e'4-. |
    \break
  d4( c8 b8 e4) | c4( b8 a8 b4) | c4( d4. c16 d16 | e2.) | 
  \break
  a,8( gis8 a8 b8 a4) | b4-. b4-. e,4-. | a4( gis4 a4 | b2--) b4-. |
  \break
  c8( b8 c8 d8 c4) | b4-. b4-. e,4-. | a4( b4 gis4 | a2.)
}

LeftHand = \relative c'' {
  <a, c>2.( | <g! b>2. | <f a>2. | <e gis>2.) |
  \break
  << { r4 g!4-2 c4-1 | r4 d2-1     | c4-1 r4 b4-2 | a2-1      c4-1 } \\
     { c,2.-5        | g'2-4 a4-3~ | a4   e2-5    | r4 a,4-5 a'4-2 } >> |
  \break
  << { b2-1 b4-2   | a2-1 g!4        | r4 a2_1 | gis2.-2 } \\
     { a2-2 gis4-3 | r4 a,4-5 g'!4-1 | f2.-2   | e2.-4   } >> |
  \break
  <a c>2.( | <g! b>2. | <f a>2. | <e gis>2.) |
  \break
  << { r4 g!4-2 c4-1 | r4 d2-1     | c4-1 r4 b4-2 | a2.-1    } \\
     { c,2.-5        | g'2-4 a4-3~ | a4   e2-5    | r4 a,2-5 } >> |
}

\layout{
  indent = 0.0\cm
  ragged-right=##t
}

% (find-lilypondnode "LilyPond grammar")
% (find-lilypondnode "LilyPond grammar" "command_element:")

% { a b c }
% { \time 3/4 a b c }
  % (find-lilylearnnode "Music expressions explained" "<<c e>>")

% (find-lilypondnode "Structure of a score")
% (find-lilypondnode "Accidentals" "`!'")


{ \time 3/4
  % \key c
     <<
       \new Staff { \clef treble \RightHand }
       \new Staff { \clef bass \LeftHand  }
     >>
}




% (find-lilylearnnode "Simple notation" "\\relative")
% (find-lilypondnode "Absolute octave entry")
% (find-lilypondnode "Relative octave entry")
% (find-lilyglosnode "Pitch names")
% \relative c'' {
  % (find-lilylearnnode "Accidentals and key signatures" "\\key")
  % (find-lilylearnnode "Simple notation" "\\time")

% \relative c' {
%   \key c \major
%   \time 3/4
%   \clef treble \RightHand
% }
  % << \clef treble \RightHand >>
  % << \clef bass \LeftHand >>


  % (find-lilypondnode "Normal repeats" "\\repeat volta")
  % (find-lilypondnode "Durations" "c4")
  % (find-lilylearnnode "Ties and slurs" "`(' and `)'")
  % (find-lilypondnode "Fingering instructions" "NOTE-DIGIT")
  % (find-lilypondnode "Bar and bar number checks" "|")
  % (find-lilylearnnode "Music expressions explained" "<<c e>>")

  % a8 gis8 a8 b8  a4 | b4 b4 e,4 | a4 gis4 a4 | b2 b4 | c8 b8 c8 d8 a4 |
  % \break
  % b4 b4 e,4 | a4 b4 gis4 | a2 e'4 | d4 c8 b8 e4 | c4 b8 a8 b4 |
  % \break
  % c4 d4. c16 d16 | e2. | 
  % \break
  % a,8 gis8 a8 b8  a4 | b4 b4 e,4 | a4 gis4 a4 | b2 b4 | c8 b8 c8 d8 a4 |
  % \break
  % b4 b4 e,4 | a4 b4 gis4 | a2.



  % << a,2. c2. >> | << g2. b2. >> | << f2. a2. >> | << e2. gis2. >> |

  % (find-lilypondnode "Octave checks")
  % (find-lilypondnode "Chorded notes")



  % \repeat volta 2 {
  %   e4( d4 c4 b4  |  a8 c8 b8 d8 c4 g4)  |
  %   g'4( f4 e4 c4 |  b4-1 <<fis4-2 a4-3>> g4-1) r4 |
  % }
  % (find-lilypondnode "Dynamics" "\\espressivo")
  % (find-lilypondnode "Line breaking" "\\break")
  % (find-lilypondnode "Line breaking" "ragged-right")
  %d'4\espressivo( c4 b4) r4 | \break

  % Second bar
  %f'4\espressivo( e4 d4) r4 |
  %a'4\espressivo( g4 f4 e4 | % This slur should continue! How?
  % (find-lilylearnnode "I'm hearing Voices" "\\\\")
  % (find-lilypondnode "Single-staff polyphony" "\\\\")
  %d8 f8 e8 g8) << { f4.( d8) } \\ { a8 c8 b8 d8 } >> |
  %<<c4 e4(>> d4 c4 b4 | a8 c8 b8 d8 c4 g4) |
  %a'4( g4 <<b,4 f'4>> <<c4 e4>> | d8 f8 b,8 d8 c4) r4 |
  %d'4\espressivo( c4 b4) r4 |
  %f'4\espressivo( e4 d4) r4 | a4 g4 f4 e4


% (find-lilysnipnode "Text" "date =")

% (find-lilypondnode "Common notation for keyboards")
% (find-lilylearnnode "Music expressions explained")



% (find-lilylearnnode "Saving typing with variables and functions")

% \layout{ragged-right=##t}
% (find-lilypondnode "Score layout" "\\layout")
% (find-lilypondnode "File structure" "\\layout")
% (find-lilypondnode "Single-staff polyphony" "\\voiceOne")
% (find-lilypondnode "Single-staff polyphony" "\\voiceTwo")

% (find-lilypondnode "Cheat sheet")

% (find-lilylearnnode "Introduction to the LilyPond file structure")
% (find-lilypondnode "File structure")
% (find-lilypondnode "Creating titles")




% (find-lilylearnnode "Organizing pieces with variables")
% (find-lilypondnode "Using variables")
% (find-lilypondnode "Rests" "`r'")
% (find-lilypondnode "Invisible rests" "`s'")


% (find-schumannajugendpage  1  "Melody")




% Local Variables:
% coding:           raw-text-unix
% ee-anchor-format: "%s"
% End:
