-- This file:
--   http://angg.twu.net/LUA/RAngFormulas1.lua.html
--   http://angg.twu.net/LUA/RAngFormulas1.lua
--           (find-angg "LUA/RAngFormulas1.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun o  () (interactive) (find-angg "LUA/UbExpr1.lua"))
-- (defun l  () (interactive) (find-angg "LUA/UbExpr2.lua"))
-- (defun r  () (interactive) (find-angg "LUA/RAng1.lua"))
-- (defun rf () (interactive) (find-angg "LUA/RAngFormulas1.lua"))

-- «.DFI»	(to "DFI")


require "Pict2e1"    -- (find-angg "LUA/Pict2e1.lua")
require "UbExpr1"    -- (find-angg "LUA/UbExpr1.lua")
require "UbExpr2"    -- (find-angg "LUA/UbExpr2.lua")
require "RAng1"      -- (find-angg "LUA/RAng1.lua")


-- See:
-- (find-angg "LUA/RAng1.lua" "RAng-test4")
-- (c2m221ftp 2 "TFC2")
-- (c2m221fta   "TFC2")
-- (c2m221fda   "TFC2")
-- (c2m221dfip 4 "exercicio-1-resps")
-- (c2m221dfia   "exercicio-1-resps")
-- (find-LATEXfile "2022-1-C2-der-fun-inv.tex")
-- (find-LATEXfile "2022-1-C2-der-fun-inv.tex" "cp -v {UbExpr1,")
-- (find-LATEXfile "2022-1-C2-der-fun-inv.tex" "dofile \"RAngFormulas1.lua\"")

-- «DFI»  (to ".DFI")
-- (c2m221dfip 3 "defs-DFIs")
-- (c2m221dfia   "defs-DFIs")
-- (c2m221dfip 4 "exercicio-1-resps")
-- (c2m221dfia   "exercicio-1-resps")

DFI = RAng.new [[
  \begin{array}{lrcl}
    \text{Se:}    &                <f(g(x))> &\eqnp{1}& <x> \\
    \text{Então:} & \frac{d}{d<x>} <f(g(x))> &\eqnp{2}& \frac{d}{d<x>} <x> \\
                                            &&\eqnp{3}& 1 \\
                  & \frac{d}{d<x>} <f(g(x))> &\eqnp{4}& <Mul(fp(g(x)),gp(x))> \\
                  & <Mul(fp(g(x)),gp(x))>    &\eqnp{5}& 1 \\
                  & <gp(x)>                  &\eqnp{6}& \D \frac{1}{<fp(g(x))>} \\
  \end{array}}
]]

DFIminus = RAng.new [[
  \begin{array}{lrcl}
    \text{Se:}    & f(g(x))       &\eqnp{1}& x \\
    \text{Então:} & g'(x)         &\eqnp{6}& \D \frac{1}{f'(g(x))} \\
  \end{array}}
]]


-- (c2m221dfip 3 "defs-DFIs")
-- (c2m221dfia   "defs-DFIs")
-- (find-angg "LUA/UbExpr2.lua")
-- (find-angg "LUA/UbExpr2.lua" "define_MV1")
-- (find-angg "LUA/UbExpr2.lua" "defsubst-test")

define_MV1()
lnp = function (x) return app("\\ln'", x) end
y,s,c,th = "y", "s", "c", "\\theta "

SDFIa0 = defsubst0("SDFIa", [[
      f(expr1) := exp(expr1)
     fp(expr1) := exp(expr1)
      g(expr1) := ln(expr1)
     gp(expr1) := lnp(expr1)
  ]])
eval(SDFIa0)


--[==[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "RAngFormulas1.lua"

= SDFIa0
= SDFIa

= SDFIa(f(22))


print(SDFIa)

=       DFI
=       DFI :topict()
= SDFIa(DFI):topict()

--]==]





-- Local Variables:
-- coding:  utf-8-unix
-- End:
