######
#
# This file:
#   http://angg.twu.net/LUA/README.e.html
#   http://angg.twu.net/LUA/README.e
#           (find-angg "LUA/README.e")
# Author: Eduardo Ochs <eduardoochs@gmail.com>
# Version: 2021sep25
#
# In the HTML version of this file the sexp hyperlinks work.
#
######



Most of the files in:
  http://angg.twu.net/LUA/
          (find-angg "LUA/")
are _not_ standalone Lua programs...
They need eev and my Lua init file and
they are to be used from their test blocks.

See: http://angg.twu.net/2021-test-blocks.html
     http://angg.twu.net/LUA/lua50init.lua.html
     http://angg.twu.net/.emacs.html#ee-lua-set-init-file
      (find-angg        "LUA/lua50init.lua")
      (find-angg        ".emacs"    "ee-lua-set-init-file")

      (find-angg        "emacs-lua/tests.e" "find-angg-and-find-es")




 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

# Download or update your ~/LUA/lua50init.lua.
#
mkdir -p ~/LUA/
rm -fv   ~/LUA/lua50init.lua
cd       ~/LUA/
wget http://angg.twu.net/LUA/lua50init.lua




;; Put this in your ~/.emacs.
;; Needs to be after the:
;;
;;   (require 'eev-load)
;;   (eev-mode 1)

;; From: (find-angg "emacs-lua/tests.e" "find-angg-and-find-es")
;;
(defun find-angg (fname &rest rest)
  (apply 'find-wgeta (format "http://angg.twu.net/%s" fname) rest))
(defun find-es (fname &rest rest)
  (apply 'find-wgeta (format "http://angg.twu.net/e/%s.e" fname) rest))

;; From: (find-angg ".emacs" "ee-lua-set-init-file")
;;
(defun ee-lua-set-init-file (fname)
  (interactive (list t))
  (if (eq fname nil)
      (setenv "LUA_INIT" nil)
    (if (eq fname t)
	(setq fname "~/LUA/lua50init.lua"))
    (setenv "LUA_INIT" (concat "@" (ee-expand fname)))))

(ee-lua-set-init-file t)

