(find-equailfile "sgml-input.el" "&tau;")
(find-equailfile "sgml-input.el" "&epsilon;")
(find-equailfile "sgml-input.el" "&chi;")
(insert 964 949 967)




        Inspecting LuaTeX's
          data structures
           using LuaREPL

      (or: making the TeXbook
        more accessible to
         distracted people)

           Eduardo Ochs
            2015feb27




Introduction
============
1. A paragraph in TeX is a series of lines.
   A line in TeX is a series of characters and spaces.

   ^ This is a simplification!

2. A vbox is a list of things stacked on one another.
   A hbox is a list of things going from left to right.
   A paragraph is a vbox containing lines and vertical space.
   A line is an hbox containing characters and horizontal space.

   ^ This is STILL a simplification - vboxes and hboxes can also
     contain glue, penalties, kerning, hyphens, math items...

The TeXbook explains how TeX constructs boxes.
It has all the rules - there are LOTS of them - and hundreds
of exercises to let help you learn the rules, if you REALLY
want that...

The TeXbook teaches readers to internalize all the rules, and
predict what TeX will do in every situation.

The TeXbook is for people whose brains are the size of this room.
I am going to present something that works for people with short
attention spans (like me!).



A demo
======
http://wiki.luatex.org/index.php/TeX_without_TeX
http://wiki.luatex.org/images/Sample_paragraph.png
http://wiki.luatex.org/images/Paragraph_with_boxes.png
http://wiki.luatex.org/images/Nodes_in_sample_paragraph.png
(find-es "luatex" "traversing-a-paragraph")






http://wiki.luatex.org/index.php/TeX_without_TeX
http://wiki.luatex.org/images/Sample_paragraph.png
http://wiki.luatex.org/images/Paragraph_with_boxes.png
http://wiki.luatex.org/images/Nodes_in_sample_paragraph.png

(find-texbookpage (+ 12  65) "Two lines of type")
(find-texbookpage (+ 12 145) "the three largest signs")
(find-texbookpage (+ 12 171) "Inserting spaces according to the table")
(find-texbookpage (+ 12 390) "path")

Some people know how TeX represents paragraphs, formulas, etc
internally - not only as bigger boxes made of smaller boxes,
but also as _data structures_.


How do we _become_ these people?




Old things -> new things
========================

                             TeX			     
	                      |			    
	                      v			    
   Emacs        Lua -----> LuaTeX -----> TeX_without_TeX  
     |	         |            |                 |	    
     v	         v            v                 v	    
  eev and     LuaREPL -> LuaTeX REPL -----> twot REPL	    
  eepitch                     |			    
	                      v			    
	              Inspecting LuaTeX's		    
	                data structures		    
	                 using LuaREPL                    


Resources
=========
TeX, LuaTeX, Lua:
  (find-angg ".emacs.papers" "texbook")
  (find-angg ".emacs" "luatex")

TeX_without_TeX:
  http://wiki.luatex.org/index.php/TeX_without_TeX
  http://wiki.luatex.org/images/Sample_paragraph.png
  http://wiki.luatex.org/images/Paragraph_with_boxes.png
  http://wiki.luatex.org/images/Nodes_in_sample_paragraph.png
  (find-LATEX "twot-boxes.lua")
  (find-LATEX "twot-pages.lua")
  (find-LATEX "twot-paragraph.lua")

LuaREPL:
  https://github.com/hoelzro/lua-repl/

LuaREPL for LuaTeX:
  http://tug.org/pipermail/luatex/2015-February/005073.html
  (find-LATEX "twot.tex")

This presentation:
  http://angg.twu.net/luatex.html
  (find-LATEX "twot.tex")
  (find-LATEX "twot2.tex")
  (find-es "luatex" "tex-without-tex")
  (find-es "luatex" "traversing-a-paragraph")
  (find-es "luatex" "getting-glyph-data")

Eev and eepitch:
  http://angg.twu.net/#eev
  http://angg.twu.net/eev-intros/find-eev-intro.html
                                (find-eev-intro)
                                (find-eev-intro "Installation: way 1")
  http://angg.twu.net/eev-intros/find-eval-intro.html
                                (find-eval-intro)
  http://angg.twu.net/eev-intros/find-eepitch-intro.html
                                (find-eepitch-intro)

Eduardo Ochs (me):
  http://angg.twu.net/
  eduardoochs@gmail.com
  IRC: edrx at freenode.net (channel: #eev)
