#include "pf_all.h"
#include "mtamacros.h"
#include "tcl.h"

Tcl_Interp *tclpfinterp;

static void RetString(char *data, int len) {
  Tcl_SetObjResult(tclpfinterp, Tcl_NewStringObj(data, len));
}
static void RetInt(int n) {
  Tcl_SetObjResult(tclpfinterp, Tcl_NewIntObj(n));
}

void *CustomFunctionTable[]={
  (void *)RetString,
  (void *)RetInt
};	
Err CompileCustomFunctions(void) {
/* Params are: Name in UPPER CASE, Function, Index, #rets (0/1), NumParams */
  CreateGlueToC( "->TCL", 0, C_RETURNS_VOID, 2 );
  CreateGlueToC( "N->TCL", 1, C_RETURNS_VOID, 1 );
  return 0;
}
