import re

debre1 = re.compile(r'^\s*([0-9]+\s+)?(?P<filename>\S+)(\s+->\s+.*)?\n?$')
debre2 = re.compile(r'^(?P<path>.*/)?(?P<basename>[^/]+)$')
debre3 = re.compile(r'^(?P<stem>[^_]+)_((?P<epoch>[0-9])(:|%3a))?(?P<version>.*).deb$')
debre4 = re.compile(r'^(?P<bigversion>.*)-(?P<smallversion>.*)$')

def debparse(li):
  try:
    filename = debre1.match(li).group('filename')
    dict2    = debre2.match(filename).groupdict()
    basename = dict2['basename']
    dict3    = debre3.match(basename).groupdict()
    version  = dict3['version']
    dict4    = debre4.match(version).groupdict()
    return {
	'filename':	filename,
	'path':		dict2['path'],
	'basename':	basename,
	'stem':		dict3['stem'],
	'epoch':	dict3['epoch'],
	'version':	version,
	'bigversion':	dict4['bigversion'],
	'smallversion':	dict4['smallversion']
	}
  except:
    None

#print debparse("   415144 dists/blah/muffin_0.9-1.deb -> foo ")
#print debparse("/var/cache/apt/archives/g++_1%3a2.95.2-13_i386.deb\n")
#print debparse("dialog_0.9a-20000118-3.deb")

class dict1:
  def __init__(self, name):
    self.dict = {}
    self.name = name
    self.first = self.default_first
    self.again = self.default_again
  def default_first(self, key, val):
    self.dict[key] = val
  def default_again(self, key, val):
    print "dict1 %s: %s -> %s and again to %s" % (self.name, key,
      self.dict[key], val)
  def feed(self, key, val):
    if self.dict.has_key(key):
      self.again(key, val)
    else:
      self.first(key, val)

d = dict1("d")
d.feed(1, 2)
d.feed(3, 4)
d.feed(1, 5)
print d.dict

def mapreadline(function, obj):
  while 1:
    li = obj.readline()
    if li == "":
      break
    function(li)

def pr(format, tuple):
  print format % tuple
def pr1(s):
  pr("\"%s\"", s)

import sys
# mapreadline(pr1, sys.stdin)
f = open("/home/root/oinstalleddebs")
print f.readline()
print f.readline()
print f.readline()
print f.readline()
# mapreadline(pr1, f)

# (find-pylibnode "File Descriptor Operations")
# (find-pylibnode "File Objectsfile")
# (find-pylibnode "Methods")
# (find-pylibnode "pprint")
# (find-pylibnode "os.path" "`split(path)'")

"""
 (eepitch-python)
 (eepitch-kill)
 (eepitch-python)
ee_dofile("debs.py")

"""

