#!/usr/bin/wish
# (find-es "tcl" "placer")
# (find-es "tcl" "wm-geometry")
# (find-man "1 wish" "-name name")
# (find-angg ".fvwm/.fvwm2rc" "style-fullscreen")
# (find-sh0 "~/TCL/geometry.tcl")
# (find-sh0 "~/TCL/geometry.tcl -geometry +100+200 -name g-fullscreen")
# (find-sh0 "~/TCL/geometry.tcl -geometry 240x125+100+200 -name g-fullscreen")
# (find-sh0 "~/TCL/geometry.tcl -geometry 240x125+100+200 -name g-bare")

set step 5

proc incrsize {dx dy} {
  regexp {([0-9]+)(.)([0-9]+)(.)([0-9]+)(.)([0-9]+)} [wm geometry .] \
    -> width sep1 height sep2 x sep3 y
  wm geometry . "[expr $width+$dx]$sep1[expr $height+$dy]$sep2$x$sep3$y"
}
proc ok {} { puts [wm geometry .]; exit }
bind . <Left>  { global step; incrsize -$step 0 }
bind . <Right> { global step; incrsize  $step 0 }
bind . <Up>    { global step; incrsize 0 -$step }
bind . <Down>  { global step; incrsize 0  $step }
bind . 1       { global step; set step 1 }
bind . 5       { global step; set step 5 }
bind . q       { ok }
bind . Q       { ok }
