# This file:
#   http://angg.twu.net/TCL/resizer.tcl.html
#   http://angg.twu.net/TCL/resizer.tcl
#           (find-angg "TCL/resizer.tcl")
# Author: Eduardo Ochs <eduardoochs@gmail.com>
#
# See: (find-es "tcl" "resizer")

package-require-Tk;   # See: (find-es "tcl" "package-require-Tk")

proc incrsize {dx dy} {
  regexp {([0-9]+)(.)([0-9]+)(.)([0-9]+)(.)([0-9]+)} [wm geometry .] \
    -> width sep1 height sep2 x sep3 y
  wm geometry . "[expr $width+$dx]$sep1[expr $height+$dy]$sep2$x$sep3$y"
}

bind . <Left>  { incrsize -5 0 }
bind . <Right> { incrsize  5 0 }
bind . <Up>    { incrsize 0 -5 }
bind . <Down>  { incrsize 0  5 }


lindex {{} {This is a test block:

 (eepitch-tclsh)
 (eepitch-kill)
 (eepitch-tclsh)
  source resizer.tcl

}} 0 ;# End of the test block


