-- demo.lua: a demo of how to use blogme4.
-- This file:
--   http://angg.twu.net/blogme4/demo.lua.html
--   http://angg.twu.net/blogme4/demo.lua
--            (find-blogme4file "demo.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 2011feb17
-- License: GPL3

-- Preliminaries:
-- (find-blogme3 "anggdefs.lua" "setvbuf")
io.stdout:setvbuf("no")

-- Now the real thing.

-- (find-blogme4 "def.lua" "def")
dofile "blogme4.lua"    -- (find-blogme4 "blogme4.lua")
Def [[ htmlize 2 title,body   html_output = TITLEDHTML(title, H2(title)..body) ]]

print "  Testing blogme_eval(...):"

blogme_eval [=====[
[# Comments. #]
[lua:
  print "  We're inside a [lua: ...] block in demo.lua."
  print "  Note that stuff outside [htmlize ...] is executed but not rendered."
]
[htmlize [J Some random title]

  [P A paragraph.]

  [P Another, with some text in [BF boldface], [IT italic] and [COLOR
  orange color].]

  [P This is the output of [TT blogme4/demo.lua].]

]
]=====]

                       -- print(html_output)
          writefile("demo.html", html_output)
print [[  writefile("demo.html", html_output)]]
print("  Now browse: file://"..os.getenv("PWD").."/demo.html")


-- Blogme3 uses something much heavier, of course.
-- There are many blogme3 source files here:
--      (find-angg "TH/")
-- Here's how they are used:
--         http://angg.twu.net/TH/Makefile.auto
--      (find-angg "TH/Makefile" "Makefile.auto")
--      (find-angg "TH/Makefile")
--      (find-blogme3 "options.lua")
-- One easy way to get all of them at once is to download:
--         http://angg.twu.net/edrx.tgz
-- they will be in the directory "TH/" of the tarball.




-- Local Variables:
-- coding:             raw-text-unix
-- ee-anchor-format:   "%s"
-- End:
