#######
#
# E-scripts on Adwin.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/adwin.e>
#           or at <http://angg.twu.net/e/adwin.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# http://adwin.de/
# http://adwin.de/download/ADwin-linux.tar.gz
tar -tvzf $S/http/adwin.de/download/ADwin-linux.tar.gz | tee ~/o
#
rm -Rv ~/bigsrc/adwin/
mkdir  ~/bigsrc/adwin/
tar -C ~/bigsrc/adwin/ -xvzf \
  $S/http/adwin.de/download/ADwin-linux.tar.gz

#
# (find-fline "~/bigsrc/adwin/linux/")
# (find-fline "~/bigsrc/adwin/")
cd ~/bigsrc/adwin/
tar -xvzf linux/adwin-compiler-4.20.07.00.tar.gz
tar -xvzf linux/adwin-doc-4.20.08.tar.gz
tar -xvzf linux/adwin-labview_drv-linux-2.2.tar.gz
tar -xvzf linux/adwin-lib-3.0.452.tar.gz

#
# (code-c-d "adwincomp" "~/bigsrc/adwin/adwin-compiler-4.20.07.00/")
# (code-c-d "adwindoc"  "~/bigsrc/adwin/adwin-doc-4.20.08/doc/")
# (code-c-d "adwindrv"  "~/bigsrc/adwin/adwin-labview_drv-linux-2.2/")
# (code-c-d "adwinlib"  "~/bigsrc/adwin/adwin-lib-3.0.452/")
# (find-adwincompfile "")
# (find-adwindocfile "")
# (find-adwindrvfile "")
# (find-adwinwinfile "")
# (find-adwindocsh "find * | grep pdf | sort")

# (find-fline "~/bigsrc/adwin/adwin-doc-4.20.08/doc/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
mkdir /tmp/pdfs/
A=(
ADbasic/ADbasic4-Tutorial_eng.pdf
ADbasic/ADbasic4_eng.pdf
ADwin-Gold/Gold-HW_eng.pdf
ADwin-Gold/Gold-HW_eng_old.pdf
ADwin-Light-16/Light-16_Pin-Out_der_Stiftleisten_ger.pdf
ADwin-Light-16/Light-16_eng.pdf
ADwin-PRO-Hardware/Pro-HW_eng.pdf
ADwin-PRO-Software/Pro-SW_eng.pdf
Common/CAN-82527-ArchOvw.pdf
Common/Pin-Assignments_eng.pdf
Driver_Installation/Driver-Installation_eng.pdf
HSM/HSM-24V_eng.pdf
LabView/Labview_eng.pdf
Scilab/Scilab_eng.pdf
)
cd ~/bigsrc/adwin/adwin-doc-4.20.08/doc/
cp -v $A /tmp/pdfs/

for i in $A; do cp $


# (find-pspage (ee-adwindocfile "ADbasic/ADbasic4-Tutorial_eng.pdf"))
# (find-pspage (ee-adwindocfile "ADbasic/ADbasic4_eng.pdf"))
# (find-pspage (ee-adwindocfile "ADwin-Gold/Gold-HW_eng.pdf"))
# (find-pspage (ee-adwindocfile "ADwin-Gold/Gold-HW_eng_old.pdf"))
# (find-pspage (ee-adwindocfile "ADwin-Light-16/Light-16_Pin-Out_der_Stiftleisten_ger.pdf"))
# (find-pspage (ee-adwindocfile "ADwin-Light-16/Light-16_eng.pdf"))
# (find-pspage (ee-adwindocfile "ADwin-PRO-Hardware/Pro-HW_eng.pdf"))
# (find-pspage (ee-adwindocfile "ADwin-PRO-Software/Pro-SW_eng.pdf"))
# (find-pspage (ee-adwindocfile "Common/CAN-82527-ArchOvw.pdf"))
# (find-pspage (ee-adwindocfile "Common/Pin-Assignments_eng.pdf"))
# (find-pspage (ee-adwindocfile "Driver_Installation/Driver-Installation_eng.pdf"))
# (find-pspage (ee-adwindocfile "HSM/HSM-24V_eng.pdf"))
# (find-pspage (ee-adwindocfile "LabView/Labview_eng.pdf"))
# (find-pspage (ee-adwindocfile "Scilab/Scilab_eng.pdf"))







#  Local Variables:
#  coding:               utf-8-unix
#  End:
