#######
#
# E-scripts sobre o material do André Nepomuceno (sobre Python).
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/andre.e>
#           or at <http://angg.twu.net/e/andre.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.Python_basico.zip»		(to "Python_basico.zip")
# «.Aula-01»			(to "Aula-01")
# «.Aula-02»			(to "Aula-02")
# «.plot_example-email»		(to "plot_example-email")
# «.projeto-minicurso»		(to "projeto-minicurso")
# «.unix-philosophy»		(to "unix-philosophy")
# «.pagina-blogme»		(to "pagina-blogme")






#####
#
# Python_basico.zip (from Overleaf)
# 2021jun14
#
#####

# «Python_basico.zip»  (to ".Python_basico.zip")
# https://mail.google.com/mail/ca/u/0/#inbox/FMfcgzGkXmffTrGXGZDXrRMwBxrVCnfj

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rv ~/ANDRE/Python_basico/
mkdir  ~/ANDRE/Python_basico/
cd     ~/ANDRE/Python_basico/
unzip  ~/ANDRE/Python_basico.zip
# (find-fline "~/ANDRE/Python_basico/presentation_test.tex" "plot_example")
# (find-fline "~/ANDRE/Python_basico/presentation_test.tex" "plot_position_time")

pdflatex presentation_test.tex

# (find-fline "~/ANDRE/Python_basico/presentation_test.tex")
# (find-fline "~/ANDRE/Python_basico/presentation_test.tex" "plot_example")
# (find-fline "~/ANDRE/Python_basico/images_python/")

# (code-c-d "pythonbasico" "~/ANDRE/Python_basico/")
# (code-pdf-page "pythonbasico" "~/ANDRE/Python_basico/presentation_test.pdf")
# (code-pdf-text "pythonbasico" "~/ANDRE/Python_basico/presentation_test.pdf")
# (find-pythonbasicofile "")
# (find-pythonbasicopage)
# (find-pythonbasicopage 118)
# (find-pythonbasicotext)
# (find-pythonbasicopage 10 "Vamos instalar os pacotes spyder, jupyter, numpy")
# (find-pythonbasicotext 10 "Vamos instalar os pacotes spyder, jupyter, numpy")
# (find-pythonbasicopage 16 "Conversao (Type Casting)")
# (find-pythonbasicotext 16 "Conversao (Type Casting)")
# (find-pythonbasicopage 18 "Atributos e Metodos")
# (find-pythonbasicotext 18 "Atributos e Metodos")
# (find-pythonbasicopage 20 "help(math)")
# (find-pythonbasicotext 20 "help(math)")
# (find-pythonbasicopage 27 "Heron")
# (find-pythonbasicotext 27 "Heron")
# (find-pythonbasicopage 28 "operador atribuicao")
# (find-pythonbasicotext 28 "operador atribuicao")
# (find-pythonbasicopage 34 "if x < 10:")
# (find-pythonbasicotext 34 "if x < 10:")
# (find-pythonbasicopage 41 "format")
# (find-pythonbasicotext 41 "format")
# (find-pythonbasicopage 45 "range")
# (find-pythonbasicotext 45 "range")
# (find-pythonbasicopage 56 "Argumento Nomeado")
# (find-pythonbasicotext 56 "Argumento Nomeado")
# (find-pythonbasicopage 58 "Argumentos default")
# (find-pythonbasicotext 58 "Argumentos default")
# (find-pythonbasicopage 59 "Escopo")
# (find-pythonbasicotext 59 "Escopo")
# (find-pythonbasicopage 60 "Criando um Modulo")
# (find-pythonbasicotext 60 "Criando um Modulo")
# (find-pythonbasicopage 62 "lambda")
# (find-pythonbasicotext 62 "lambda")
# (find-pythonbasicopage 70 "Compreensao de Lista")
# (find-pythonbasicotext 70 "Compreensao de Lista")
# (find-pythonbasicopage 71 "Tuplas")
# (find-pythonbasicotext 71 "Tuplas")
# (find-pythonbasicopage 72 "A chave der ser um objeto imutavel")
# (find-pythonbasicotext 72 "A chave der ser um objeto imutavel")
# (find-pythonbasicopage 74 "Metodos keys(), values() e items()")
# (find-pythonbasicotext 74 "Metodos keys(), values() e items()")

 (eepitch-python)
 (eepitch-kill)
 (eepitch-python)
num = dict([('primeiro',1),
            ('segundo', 2),
            ('terceiro',3)])
num
for k in num:
    print(k,'\t',num[k])






#####
#
# Aula-01
# 2021jun15
#
#####

# «Aula-01»  (to ".Aula-01")
# https://www.youtube.com/watch?v=Lwk8MzOmpyE



#####
#
# Aula-02
# 2021jun14
#
#####

# «Aula-02»  (to ".Aula-02")

# (find-youtubedl-links "/sda5/videos/Math/" "Python_Basico_-_Aula_02_-_Condicoes_e_Strings" "-eLclmNOue8" ".mp4" "andre2")
# (code-video "andre2video" "/sda5/videos/Math/Python_Basico_-_Aula_02_-_Condicoes_e_Strings--eLclmNOue8.mp4")
# (find-andre2video "0:00")




#####
#
# plot_example-email
# 2021jun14
#
#####

# «plot_example-email»  (to ".plot_example-email")

Oi André!

Eu ainda uso o LaTeX _meio_ como dinossauro... eu sei usar o Overleaf
um pouquinho, mas eu tenho uma instalação inteira do TeXLive no meu
computador e eu costumo rodar o pdflatex e o lualatex "localmente"...

Eu consegui baixar a fonte do "Python_basico" e quando eu rodo

  pdflatex presentation_test.tex

o pdflatex dá erro no slide 118. Vou copiar o final do log aqui:

  [103] (./presentation_test.vrb
  Overfull \hbox (38.76424pt too wide) in paragraph at lines 17--17
  []\OT1/pcr/m/n/10.95 >>> b = np.array ([[0 , 3, -2], [7, 1, 3], [4, 0, -1]]); b
  [] 
  ) [104] (./presentation_test.vrb) [105] (./presentation_test.vrb) [106]
  (./presentation_test.vrb) [107 <./images_python/exemplo_arquivo.png>]
  (./presentation_test.vrb
  Overfull \hbox (51.90422pt too wide) in paragraph at lines 9--9
  []\OT1/pcr/m/n/10.95 web_file = urllib.request.urlopen("http://www-personal.umi
  ch[] 
  ) [108] (./presentation_test.vrb) [109] (./presentation_test.vrb
  Overfull \hbox (5.91428pt too wide) in paragraph at lines 17--17
  []    \OT1/pcr/m/n/10.95 my_file.write("{:f}\t\t{:f}\n".format(x[i],y[i]))[] 
  ) [110] (./presentation_test.vrb) [111] (./presentation_test.vrb) [112]
  (./presentation_test.vrb) [113] (./presentation_test.vrb) [114]
  (./presentation_test.vrb) [115] (./presentation_test.vrb) [116]
  (./presentation_test.vrb) [117 <./images_python/exemplo_plot01.png>]
  (./presentation_test.vrb) [118]
  
  ! LaTeX Error: File `plot_example' not found.
  
  See the LaTeX manual or LaTeX Companion for explanation.
  Type  H <return>  for immediate help.
   ...                                              
                                                    
  l.2303 \end{frame}
                    
  ? 

e vou copiar um trecho da fonte do seu slide 118:

  \begin{frame}
  \frametitle{Gráficos}
  No exemplo anterior, o Spyder mostrará o gráfico no console IPython.
  Para abrir uma janela independente (e editar o gráfico), o Spyder deve
  ser configurado da seguinte forma:
  \newline
  Ferramenteas $\,\rightarrow$ Preferência $\,\rightarrow$ Console
  IPython $\,\rightarrow$ Gráficos
  \newline
  Na aba Gráficos, selecione saída: \textbf{Automático}
  \newline
  Quando rodar o seu programa, aparecerá na tela uma janela semelhante a
  figura abaixo.
  \begin{center}
  \includegraphics[scale=0.3]{plot_example} 
  \end{center}
  \end{frame}

O diretório images_python/ tem um monte de ".png"s e um ".jpeg" mas
ele não tem nenhum arquivo com nome começando com "plot_example".

Eu posso dar um jeito do pdflatex não tentar incluir essa imagem, mas
talvez isso seja um erro que você queria consertar...

  [[]],
    Eduardo



#####
#
# projeto-minicurso
# 2021jun21
#
#####

# «projeto-minicurso»  (to ".projeto-minicurso")
# (code-pdf-page "projminicurso" "~/ANDRE/projeto_minicurso_python21.pdf")
# (code-pdf-text "projminicurso" "~/ANDRE/projeto_minicurso_python21.pdf")
# (find-projminicursopage)
# (find-projminicursotext)





#####
#
# unix-philosophy
# 2021jun22
#
#####

# «unix-philosophy»  (to ".unix-philosophy")
# (find-books "__comp/__comp.el" "free-as-in-freedom")
# (find-books "__comp/__comp.el" "raymond")
# (find-books "__comp/__comp.el" "unix-haters")

https://en.wikipedia.org/wiki/Unix_philosophy

Everyone should, at some point, read The Unix-Haters Handbook. A great
deal of it is outdated or simply wrong, but it does have a running
theme of a prediction that has largely been borne out: people assuming
that all Unix's flaws are actually virtues and that if you don't think
so, then you Just Don't Get It.

https://en.wikipedia.org/wiki/The_UNIX-HATERS_Handbook
https://web.mit.edu/~simsong/www/ugh.pdf
  (code-pdf-page "unixhaters" "$S/https/web.mit.edu/~simsong/www/ugh.pdf")
  (code-pdf-text "unixhaters" "$S/https/web.mit.edu/~simsong/www/ugh.pdf")
  ;; (find-unixhaterspage)
  ;; (find-unixhaterstext)
https://www.reddit.com/r/programming/comments/74cws/the_unix_haters_handbook_reconsidered/

https://news.ycombinator.com/item?id=19416485 The Unix-Haters Handbook (1994) [pdf] (web.mit.edu)
https://news.ycombinator.com/item?id=13781815 The Unix-Haters Handbook (1994) [pdf] (web.mit.edu)
https://news.ycombinator.com/item?id=7726115 The Unix Haters Handbook (1994) [pdf] (web.mit.edu)

The problem here is that most unix tools (ls being the exception) do
double duty, they both emit output for other programs and output for
the user. Which one you get and how the user output is presented being
controlled by flags.

If you want them to only emit data in a standardized format you are
implicitly cutting out the user.

https://www.joelonsoftware.com/2003/12/14/biculturalism/ 
What are the cultural differences between Unix and Windows
programmers? There are many details and subtleties, but for the most
part it comes down to one thing: Unix culture values code which is
useful to other programmers, while Windows culture values code which
is useful to non-programmers.

http://www.lysator.liu.se/c/pikestyle.html

https://www.landley.net/history/mirror/unix/srcos.html


https://calibre-ebook.com/download_linux

https://en.wikipedia.org/wiki/The_Cuckoo%27s_Egg_(book)

See Steve McConnell, Code Complete, for a treatment of modular design
in software and the flexibility it provides.




#####
#
# pagina-blogme
# 2021jun22
#
#####

# «pagina-blogme»  (to ".pagina-blogme")
# (find-TH "2021projeto-de-ensino")
# (find-es "andre" "pagina-blogme")





https://mail.google.com/mail/ca/u/0/#inbox/FMfcgzGkXvztWNfxwtlpjjSxgmzzrCJF







#  Local Variables:
#  coding:               utf-8-unix
#  End:
