#######
#
# E-scripts on android.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/android.e>
#           or at <http://angg.twu.net/e/android.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.2.3.4»			(to "2.3.4")
# «.sl4a»			(to "sl4a")
# «.local-urls»			(to "local-urls")
# «.video-formats»		(to "video-formats")
# «.galaxy-s3-mini»		(to "galaxy-s3-mini")
# «.android-41-manuals»		(to "android-41-manuals")
# «.default-apps»		(to "default-apps")
# «.wi-fi_direct»		(to "wi-fi_direct")
# «.open-in-browser»		(to "open-in-browser")
# «.mtp»			(to "mtp")
# «.mtpfs-deb-src»		(to "mtpfs-deb-src")
# «.libmtp-deb-src»		(to "libmtp-deb-src")
# «.go-mtpfs»			(to "go-mtpfs")
# «.airdroid»			(to "airdroid")
# «.ssh-server»			(to "ssh-server")
# «.camscanner»			(to "camscanner")
# «.genymotion»			(to "genymotion")
# «.rooting»			(to "rooting")
# «.samsung-a5»			(to "samsung-a5")
# «.adb»			(to "adb")
# «.adb-shell»			(to "adb-shell")
# «.libib»			(to "libib")
# «.AP»				(to "AP")
# «.autocorrect»		(to "autocorrect")
# «.vlc»			(to "vlc")
# «.3g-2016»			(to "3g-2016")
# «.tuners»			(to "tuners")
# «.whatsapp»			(to "whatsapp")
# «.whatsapp-dl-audios»		(to "whatsapp-dl-audios")
# «.whatsapp-backup»		(to "whatsapp-backup")
# «.whatsapp-export»		(to "whatsapp-export")
# «.ccleaner»			(to "ccleaner")
# «.telegram»			(to "telegram")
# «.thunar»			(to "thunar")
# «.zoom»			(to "zoom")
# «.zoom-download-recording»	(to "zoom-download-recording")
# «.google-meet»		(to "google-meet")
# «.falha-no-upload»		(to "falha-no-upload")
# «.find-my-phone»		(to "find-my-phone")
# «.emacs-android»		(to "emacs-android")
# «.galaxy-m20»			(to "galaxy-m20")
# «.best-pdf-viewer»		(to "best-pdf-viewer")
# «.best-ebook-reader»		(to "best-ebook-reader")
# «.google-pdf-viewer»		(to "google-pdf-viewer")
# «.galaxy-s3-tablet»		(to "galaxy-s3-tablet")
# «.automount-2021»		(to "automount-2021")
# «.best-drawing-apps»		(to "best-drawing-apps")
# «.best-file-manager»		(to "best-file-manager")
# «.backup»			(to "backup")
# «.hiya»			(to "hiya")
# «.safe-mode»			(to "safe-mode")
# «.zulip»			(to "zulip")
# «.discord»			(to "discord")
# «.xfce-gvfs»			(to "xfce-gvfs")
# «.f-droid»			(to "f-droid")
# «.conversations»		(to "conversations")
# «.termux»			(to "termux")
# «.termux-rsync»		(to "termux-rsync")
# «.screenshots»		(to "screenshots")
# «.developer-mode»		(to "developer-mode")
# «.scrcpy»			(to "scrcpy")
# «.signal»			(to "signal")
# «.ftp»			(to "ftp")
# «.swiftp»			(to "swiftp")
# «.ip-address»			(to "ip-address")




# (find-es "lua5" "zerobrane")
# (find-es "hardware" "samsung-duos")



#####
#
# Users guide for Android 2.3.4
# 2013feb15
#
#####

# «2.3.4» (to ".2.3.4")
# (find-es "hardware" "samsung-duos")
# (find-angg ".emacs.papers" "android")

# (find-android234page      3  "Contents")
# (find-android234text "")
# (find-android234page  11 "About this guide")
# (find-android234page  15 "Android basics")
# (find-android234page  27   "Monitoring your phone's status")
# (find-android234page  57 "Connecting to networks and devices")
# (find-android234page  61 "Connecting to Wi-Fi networks")
# (find-android234text  61 "Connecting to Wi-Fi networks")
# (find-android234page  67   "Connecting to a computer via USB")
# (find-android234page  69 "Sharing your phone's mobile data connection")
# (find-android234text  69 "Sharing your phone's mobile data connection")
# (find-android234page  79 "Placing and receiving calls")
# (find-android234page  95 "Searching by text and voice")
# (find-android234page 109 "Contacts")
# (find-android234page 127 "Accounts")
# (find-android234page 135 "Gmail")
# (find-android234page 162   "Using keyboard shortcuts")
# (find-android234page 165 "Calendar")
# (find-android234page 181 "Google Voice")
# (find-android234page 195 "Google Talk")
# (find-android234page 209 "Email")
# (find-android234page 229 "Messaging")
# (find-android234page 239 "Browser")
# (find-android234page 255 "Maps, Navigation, Places, and Latitude")
# (find-android234page 273 "Camera")
# (find-android234page 281 "Gallery")
# (find-android234page 295 "YouTube")
# (find-android234page 307 "Music")
# (find-android234page 317 "News & Weather")
# (find-android234page 323 "Clock")
# (find-android234page 329 "Car Home")
# (find-android234page 337 "Calculator")
# (find-android234page 339 "Tags")
# (find-android234page 345 "Market")
# (find-android234page 357 "Settings")
# (find-android234page 362   "Tethering")






#####
#
# sl4a
# 2012oct16
#
#####

# «sl4a»  (to ".sl4a")
https://code.google.com/p/android-scripting/
http://android-scripting.googlecode.com/files/Practical_Android_Projects_Ch05_Introducing_SL4A.pdf
http://www.youtube.com/watch?v=N_Bpnzl5sxg SL4A Video Help: Uninstalling an Interpreter
http://www.youtube.com/watch?v=Hg0xmLT6A9c SL4A Video Help: Adding a Live Folder
http://www.youtube.com/watch?v=yETKw1FsHmo SL4A Video Help: Adding a New Script
http://www.youtube.com/watch?v=4bsbzLEEdQs SL4A Video Help: Using the API Browser and Code Generation



#####
#
# URLs for local files in the sdcard
# 2012oct16
#
#####

# «local-urls»  (to ".local-urls")
# http://android.stackexchange.com/questions/4775/how-can-i-open-an-html-file-i-have-copied-from-pc-to-sd-card-of-phone
# http://android.answerific.com/q/open-html-file-from-sd-card.html
# http://android.bigresource.com/Android-Load-Html-page-saved-in-sdcard-on-droid--RGYv4rnTK.html
# http://androidforums.com/introductions/626241-help-my-android-tablet-cannot-open-html-files.html
# http://code.google.com/p/android/issues/detail?id=2454
# (find-TH "tmp")

<pre>
[R file:///]
[R file:///sdcard/]
[R file:///sdcard/index.html]
[R file://sdcard]
[R file://localhost]
[R content://com.android.htmlfileprovider/sdcard/test/index.html]
[R content://com.android.htmlfileprovider/sdcard/index.html]
[R content://com.android.htmlfileprovider/mnt/sdcard/index.html]
[R content://com.android.htmlfileprovider/mnt/sdcard/]
</pre>

http://phandroid.com/phones/



#####
#
# Video formats supported by my phone
# 2013aug04
#
#####

# «video-formats» (to ".video-formats")
# (find-es "youtube" "video-formats")
# http://developer.android.com/guide/appendix/media-formats.html
# http://stackoverflow.com/questions/5097101/what-video-format-will-play-on-all-android-devices

# Test:
# (find-man "1 youtube-dl" "H264 video in MP4 container at 480p: 18")
# (find-man "1 youtube-dl" "-f, --format FORMAT")
# (find-man "1 youtube-dl" "-F, --list-formats")
# WebM video at 480p: 43
# H264 video in MP4 container at 480p: 18
# H264 video in FLV container at 360p: 34
# H264 video in FLV container at 480p: 35
#
cd /tmp/
function bd () {
  mkdir /tmp/$1/
  cd    /tmp/$1/
  youtube-dl -f $1 -t 'http://www.youtube.com/watch?v=zqZNZHUr6B0'
  F=$(echo *)
  mv -iv $F ../$1_$F
}
# Then run "bd 43", "bd 18", "bd 34", "bd 35"
# and copy the results to the phone.
# The only one that works there is "18".




#####
#
# Samsung GT-I8190L (Galaxy S3 mini)
# 2013aug22
#
#####

# «galaxy-s3-mini» (to ".galaxy-s3-mini")
# (find-es "hardware" "galaxy-s3-mini")
# http://hexamob.com/devices/devices-devices/android-rooting-methods-for-samsung-galaxy-s3-minigt-i8190l-with-android-version-4-x-jelly-bean/




#####
#
# Android 4.1 manuals
# 2013aug22
#
#####

# «android-41-manuals» (to ".android-41-manuals")
# (find-angg ".emacs" "android")

https://support.google.com/android/
http://www.pcadvisor.co.uk/forums/1/tech-helproom/4202807/user-guide-manual-for-android-41/
http://www.boeboer.com/android-4-1-jelly-bean-user-manual/
http://www2.claro.com.br/aparelhos/arquivos/manuais/Samsung%20Galaxy%20SIII%20Mini.PDF

;; (find-fline "~/tmp/")
(code-xpdf     "android41" "~/tmp/nexus_7_guidebook.pdf")
(code-pdf-text "android41" "~/tmp/nexus_7_guidebook.pdf" 0)
;; (find-android41page)
;; (find-android41text)
;; (find-android41text "Factory data reset")



#####
#
# Default apps
# 2013sep22
#
#####

# «default-apps» (to ".default-apps")
# Clear default app settings by going to
# Settings > Application manager > All

# 2016:
# Clear default app settings by going to
# Settings > Applications > Defaults
# applications, and tapping Clear.

# «wi-fi_direct» (to ".wi-fi_direct")
# http://en.wikipedia.org/wiki/Wi-Fi_Direct
# http://www.youtube.com/watch?v=XT-0oUtVOpg Share Files using WiFi Direct on Android
# wifi shoot

# «open-in-browser» (to ".open-in-browser")
# https://play.google.com/store/apps/details?id=ru.gelin.android.browser.open&hl=en
# http://stackoverflow.com/questions/2201917/how-can-i-open-a-url-in-androids-web-browser-from-my-application
# http://stackoverflow.com/questions/6277315/android-open-a-url-in-a-browser
# https://code.google.com/p/android-open-in-browser/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd ~/usrc/
hg clone https://code.google.com/p/android-open-in-browser/
# (find-fline "~/usrc/")
# (find-fline "~/usrc/android-open-in-browser/")

(code-c-d "openinbrowser"    "~/usrc/android-open-in-browser/")
(code-c-d "openinbrowsersrc" "~/usrc/android-open-in-browser/src/ru/gelin/android/browser/open/")
;; (find-openinbrowserfile "")
;; (find-openinbrowsersrcfile "")

https://code.google.com/p/android-open-in-browser/

# denis nelubin






#####
#
# MTP
# 2013aug22
#
#####

# «mtp»            (to ".mtp")
# «mtpfs-deb-src»  (to ".mtpfs-deb-src")
# «libmtp-deb-src» (to ".libmtp-deb-src")
# «go-mtpfs»       (to ".go-mtpfs")
# (find-es "mtp")
# (find-zsh "availabledebs | sort | grep mtp")
# (find-zsh "availabledebs | sort | grep mtp | grep -v smtp")

https://github.com/hanwen/go-mtpfs
http://en.wikipedia.org/wiki/Media_Transfer_Protocol
https://wiki.archlinux.org/index.php/MTP
http://roger.steneteg.org/299/mount-mtp-device-on-debian-7-wheezy/
http://blog.itsbilal.com/2012/12/connect-an-android-4-0-phonetablet-to-ubuntu-the-reliable-way/
https://github.com/hanwen/go-mtpfs.git




#####
#
# airdroid
# 2013aug28
#
#####

# «airdroid» (to ".airdroid")
# http://airdroid.com/
# http://web.airdroid.com/
# http://192.168.1.101:8888/
# http://192.168.1.106:8888/
# http://help.airdroid.com/
# http://help.airdroid.com/customer/portal/articles/1369133-failed-to-connect-to-device
# (find-fline "~/tmp/Camera Roll.zip")
~/tmp/Camera Roll.zip

S+


http://www.apowersoft.com/airdroid-alternative.html
http://airmore.com/alternative-to-airdroid.html
http://alternativeto.net/software/airdroid/




#####
#
# ssh server
# 2013sep26
#
#####

# «ssh-server» (to ".ssh-server")
# https://play.google.com/store/apps/details?id=com.icecoldapps.sshserver&hl=en




#####
#
# CamScanner
# 2013dec08
#
#####

# «camscanner» (to ".camscanner")
# (find-es "gimp" "whiteboard")
# https://www.camscanner.net/
# https://www.camscanner.net/user/upgrade
# https://www.camscanner.net/user/guide#guide0

alternativa: officelens





#####
#
# Genymotion
# 2015aug27
#
#####

# «genymotion» (to ".genymotion")
# https://www.youtube.com/watch?v=60Nf-Cl07q4
# https://www.genymotion.com/#!/
# https://www.genymotion.com/#!/download
# (find-fline "~/usrc/" "genymotion-2.5.2_x64_debian.bin")
# (find-fline "~/usrc/genymotion-2.5.2_x64_debian.bin")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rv ~/usrc/genymotion/
cd ~/usrc/
./genymotion-2.5.2_x64_debian.bin

# - Trying to find VirtualBox toolset .................... WARNING
#   (Virtualbox was not found in you PATH. Please install it manually)
# - Extracting files ..................................... OK (Extract
#   into: [/home/edrx/usrc/genymotion])
# 
# Installation done successfully.
# 
# You can now use these tools from [/home/edrx/usrc/genymotion]:
#  - genymotion
#  - genymotion-shell
#  - gmtool

# (find-es "qemu" "virtualbox")

# (code-c-d "genymotion" "~/usrc/genymotion/")
# (find-genymotionfile "")




#####
#
# rooting
# 2015aug27
#
#####

# «rooting» (to ".rooting")
# http://whiteboard.ping.se/Android/Rooting
# http://www.cnet.com/how-to/how-to-easily-root-an-android-device/
# http://lifehacker.com/5339901/get-root-access-in-android-with-one-click
# http://www.androidcentral.com/root
# http://techapple.net/2014/05/5-best-android-emulators-linux-run-android-apps-linux-ubuntulinuxmintfedoraarchlinuxopensusemageiacentos-etc/
# https://www.youtube.com/watch?v=MQRA9nwxU7g
# http://www.androidcentral.com/rooting-it-me-some-qa 

# http://lifehacker.com/5789397/the-always-up-to-date-guide-to-rooting-any-android-phone
# https://www.reddit.com/r/Android/comments/2jzdf6/why_and_how_should_i_root_my_phone/
# http://trendblog.net/guide-to-android-rooting-custom-roms-apps/ 

# http://trendblog.net/android-guide-make-nandroid-backup-android-phone/
# http://trendblog.net/fix-soft-bricked-android-device-first-aid-guide/http://www.droidviews.com/how-to-boot-android-devices-in-fastboot-download-bootloader-or-recovery-mode/
# http://www.droidviews.com/how-to-boot-android-devices-in-fastboot-download-bootloader-or-recovery-mode/




#####
#
# Samsung Galaxy A5
# 2016mar05
#
#####

# «samsung-a5» (to ".samsung-a5")
# http://forum.xda-developers.com/samsung-a-series

Direct Access:
http://inside-galaxy.blogspot.com.br/2014/07/samsung-galaxy-s5-how-to-enable-and-use_28.html

Samsung Account:
http://www.androidcentral.com/do-i-need-samsung-account-my-galaxy-s6
https://www.youtube.com/watch?v=W9F7CS946zU How to find your Samsung Account ID and Password

Rooting:
https://www.youtube.com/watch?v=brt3NevXzd8 How to Root Samsung Galaxy A5 SM-A500 SM-A510 Easily one click without voiding warranty 2016
http://forum.xda-developers.com/samsung-a-series/general/how-to-root-galaxy-a5-a500fu-lollipop-5-t3137613

Samsung Galaxy A5 (SM-A500M)
Runs: Android 5.0.2

Slow wifi:
http://www.technobezz.com/fix-samsung-galaxy-s5-wi-fi-issue/
http://devicehelp.singtel.com/web/samsung-galaxy-a5/videos/issue-slow-wifi-on-android/
http://forums.androidcentral.com/samsung-galaxy-s5/464055-wifi-slow-galaxy-s5-strange-problem-please-help.html





#####
#
# adb (Android Debug Bridge)
# 2016mar05
#
#####

# «adb» (to ".adb")
# (find-zsh "installeddebs | sort | grep adb")
# (find-zsh "availabledebs | sort | grep adb")
# (find-zsh "availabledebs | sort | grep android-tools-adb")
# (find-available "android-tools-adb")
# (find-available "android-tools-adbd")

# (find-status   "android-tools-adb")
# (find-vldifile "android-tools-adb.list")
# (find-udfile   "android-tools-adb/")
# (find-status   "android-tools-adbd")
# (find-vldifile "android-tools-adbd.list")
# (find-udfile   "android-tools-adbd/")
# (find-fline "/etc/init/android-tools-adbd.conf")

# (find-man "1 adb")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo ps ax | grep adb
adb devices
adb help
# (find-sh "adb help")
adb shell
  pwd
  ls -l
  exit

# (find-sh0 "adb get-state")
# (find-sh0 "adb get-serialno")
# (find-sh0 "adb get-devpath")

# (find-sh "adb help")
# (find-sh "adb help" "adb shell <command>")
# (find-sh "adb shell set")
# (find-sh "adb shell ls -l /system/")




#####
#
# adb shell
# 2016mar05
#
#####

# «adb-shell» (to ".adb-shell")
# (find-es "mtp" "adb")
# (find-angg ".emacs" "android-adb")

 (eepitch-adbshell)
 (eepitch-kill)
 (eepitch-adbshell)
ls -lAF
ls -l
ls -lF
ls -lF /sbin/
ls -lF /system/
ls -lF /system/bin/
echo $SHELL


which ls
set

 (eepitch-adbshell2)
 (eepitch-kill)
 (eepitch-adbshell2)

http://developer.android.com/guide/developing/tools/adb.html
http://developer.android.com/tools/device.html
http://www.droidviews.com/a-comprehensive-guide-to-adb-android-debug-bridge-and-commands/
http://www.droidviews.com/a-comprehensive-guide-to-adb-android-debug-bridge-and-commands/2/

# How to enable USB debugging mode (tricky on Samsung Galaxy A5):
# https://www.kingoapp.com/root-tutorials/how-to-enable-usb-debugging-mode-on-android.htm





#####
#
# recognizing and cataloging books
# 2016apr23
#
#####

# «libib» (to ".libib")
# http://erickfelinto.libib.com/



#####
#
# AP currently not in use. Internet connection slow.
# 2016jun15
#
#####

# «AP» (to ".AP")
# https://en.wikipedia.org/wiki/Wireless_access_point
# https://www.youtube.com/watch?v=A1lWOU9JMqU



#####
#
# Autocorrect
# 2016aug02
#
#####

# «autocorrect» (to ".autocorrect")
# http://www.wikihow.com/Turn-Off-Auto-Correct-on-an-Android
# how to turn off autocorrect on android
# http://www.google.com/search?q=how+to+turn+off+autocorrect+on+android



#####
#
# VLC on Android
# 2016aug09
#
#####

# «vlc» (to ".vlc")
video player tips




#####
#
# Problema com o 3G da Vivo
# 2016aug15
#
#####

# «3g-2016» (to ".3g-2016")

desligar por 10 minutos
desligar dados moveis
religar

  config -> conexões -> mais redes -> redes moveis -> dados moveis
  config -> gerenciamento de cartao sim -> rede de servico de dados -> desativar dados moveis
  config -> gerenciamento de cartao sim -> rede de servico de dados -> SIM 1
  vivo chip -> meu vivo -> dados -> internet -> plano contratado

    Plano contratado

    Contratado     1.00 MB
    Consumido      1.00 MB
    Contratado em 16/07/16
    Válido até    16/08/16
    Atualizado em 06/08/16 às 00:00

chrome ->
  www.portalsva2.vivo.com.br: Você utilizou 100% da sua franquia de internet




#####
#
# Tuners
# 2016aug26
#
#####

# «tuners» (to ".tuners")
# https://play.google.com/store/apps/details?id=com.bitcount.cleartune&hl=en





#####
#
# WhatsApp
# 2016sep07
#
#####

# «whatsapp» (to ".whatsapp")
# http://www.whatsappfor.org/how-to/whatsapp-free-space-smartphone-deleting-messages/
# https://www.whatsapp.com/faq/en/android
# https://www.whatsapp.com/faq/en/android/23741041 WhatsApp FAQ - How do I delete messages or chats?
# http://www.thejournal.ie/whatsapp-chat-space-2472402-Nov2015/



#####
#
# How to download audios from Whatsapp Web
# 2018fev03
#
#####

# «whatsapp-dl-audios» (to ".whatsapp-dl-audios")
# https://www.google.com.br/search?q=how+to+download+audio+from+whatsapp+web
# https://www.quora.com/How-do-I-save-WhatsApp-chats-and-media-files-from-WhatsApp-web-to-PC




#####
#
# whatsapp-backup
# 2023jul29
#
#####

# «whatsapp-backup»  (to ".whatsapp-backup")
# https://faq.whatsapp.com/481135090640375/?cms_platform=android



#####
#
# whatsapp-export
# 2024jun13
#
#####

# «whatsapp-export»  (to ".whatsapp-export")
# https://www.reddit.com/r/DataHoarder/comments/a7c0yq/full_whatsapp_chat_export_40000_messages/
# https://www.reddit.com/r/whatsapp/comments/tmx6ax/fix_whatsapp_not_initializing_whatsapp_not/




#####
#
# CCleaner
# 2016sep10
#
#####

# «ccleaner» (to ".ccleaner")
# https://www.piriform.com/ccleaner-android




#####
#
# Telegram
# 2016oct27
#
#####

# «telegram» (to ".telegram")
# (find-es "telegram")
# https://web.telegram.org/
# https://web.telegram.org/#/im?p=@fnaufel
# https://desktop.telegram.org/
# (find-zsh "installeddebs | sort | grep telegram")
# (find-zsh "availabledebs | sort | grep telegram")




#####
#
# thunar
# 2017ago08
#
#####

# «thunar» (to ".thunar")
# (find-es "mtp")

# (find-status   "thunar")
# (find-vldifile "thunar.list")
# (find-udfile   "thunar/")
# (find-man "1 Thunar")
# (find-man "1 thunar")
# http://thunar.xfce.org/
# https://docs.xfce.org/xfce/thunar/start
# http://www.android.com/filetransfer/
# android the connected device is unable to access data on this device
# http://www.linuxquestions.org/questions/debian-26/debian-8-xfce-thunar-mount-mtp-android-device-4175545323/

sudo apt-get install jmtpfs
mkdir  ~/Android
jmtpfs ~/Android
jmtpfs
# Unable to open ~/.mtpz-data for reading, MTPZ disabled.zsh: abort      jmtpfs
# -> https://sourceforge.net/p/libmtp/bugs/968/

mkdir ~/.mtpz-data

Failed to mount "Android".
Error when getting information for file '/home/edrx/Android': Input/output error.

# (find-es "mtp")
# (find-es "mtp" "jmtpfs")





#####
#
# Zoom (pra conversar com a Fal)
# 2018dec03 / 2020apr22 / 2021oct15
#
#####

# «zoom» (to ".zoom")
# https://zoom.us/
# https://zoom.us/download?os=linux
# S4+
# https://www.uwo.ca/math/faculty/kapulkin/seminars/hottest.html
# https://en.wikipedia.org/wiki/Zoom_Video_Communications
# (find-status   "zoom")
# (find-vldifile "zoom.list")
# (find-udfile   "zoom/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /tmp/
sudo dpkg -i /tmp/zoom_amd64.deb
apti -f

# (find-zsh "installeddebs | sort | grep mime")




#####
#
# Zoom: how to download a recording
# 2021jul22
#
#####

# «zoom-download-recording»  (to ".zoom-download-recording")
# https://www.youtube.com/watch?v=w-XLAb0TJT8
# In Firefox: use shift-rightclick, then download movie

# (find-fline "~/.zoom/")
# (find-fline "~/Documents/Zoom/")
# (find-fline "~/Documents/Zoom/" "2021oct18_15:04.m4a")
# (code-audio "bruno1audio" "~/Documents/Zoom/2021oct18_15:04.m4a")
# (find-bruno1audio)
# (find-bruno1audio "0:00")





#####
#
# Google Meet
# 2020sep04
#
#####

# «google-meet»  (to ".google-meet")
# https://support.google.com/meet/answer/9308681?hl=en Record a video meeting





#####
#
# falha no upload (google drive)
# 2018abr12
#
#####

# «falha-no-upload» (to ".falha-no-upload")
# Falha no upload. Você desativou permissões p/acessar o armazen. P/ editar, acesse config dos apps.
# http://www.techtudo.com.br/dicas-e-tutoriais/noticia/2016/01/android-marshmallow-como-gerenciar-permissoes-dos-apps.html




#####
#
# Find my phone
# 2018mai13
#
#####

# «find-my-phone» (to ".find-my-phone")
# https://myaccount.google.com/find-your-phone-guide
# https://support.google.com/accounts/answer/7177579 Find, lock, or erase your lost phone or computer
# https://support.google.com/accounts/answer/7177579?visit_id=1-636615897677359012-2547704499&p=lda&hl=en-GB&rd=1
# https://play.google.com/store/apps/details?id=com.fsp.android.phonetracker&hl=en
# https://www.androidauthority.com/best-find-my-phone-apps-for-android-and-other-find-my-phone-methods-too-565016/

# http://www.google.com/devices





#####
#
# emacs-android
# 2019jul15
#
#####

# «emacs-android» (to ".emacs-android")
# https://github.com/zielmicha/emacs-android



#####
#
# galaxy-m20
# 2022jan01
#
#####

# «galaxy-m20»  (to ".galaxy-m20")
# (find-es "hardware" "samsung-m20")
# (find-sh "lsusb")
# (find-sh "lsusb" "04e8:6860 Samsung Electronics Co., Ltd Galaxy A5 (MTP)")
# (find-sh "sudo dmesg")
# (find-sh "sudo dmesg" "SerialNumber: 3401f18bac0c4665")

model number sm-m205m
serial number rx8m70rcktm

Attention

The connected device can't access data on your phone. Reconnect the
USB cable and try again.

Android File Transfer of Samsung Smart Switch must be installed on
macOS devices. To download Android File Transfer, go to
http://www.android.com/filteransfer, or to download Samsung Smart
Switch, go to https://www.samsung.com/smartswitch.




#####
#
# galaxy-s3-tablet
# 2019jul17
#
#####

# «galaxy-s3-tablet» (to ".galaxy-s3-tablet")
# (find-es "hardware" "samsung-galaxy-tab-s3")
# (find-sh "lsusb")
# (find-sh "lsusb" "04e8:6860 Samsung Electronics Co., Ltd Galaxy A5 (MTP)")

model number sm-t820
serial number r52ka1qz4bn

# https://www.samsung.com/us/business/support/owners/product/galaxy-tab-s3-9-7-with-s-pen-wi-fi/



#####
#
# Connecting an android device does not open the File Manager any more
# 2022jan01
#
#####

# «automount-2021»  (to ".automount-2021")
# (find-es "mtp" "mtpfs-jan2022")
# (find-zsh "installeddebs | sort | grep mtp")
# (find-zsh "availabledebs | sort | grep mtp")

desconecte o dispositivo e depois abra diferentes telas de terminal ou
janelas de GNU screen ou de tmux para os seguintes comandos:

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo dmesg -w |& tee /tmp/od
# (find-fline "/tmp/od")
sudo journalctl -f
sudo udevadm monitor


[  100.712112] IPv6: ADDRCONF(NETDEV_CHANGE): wlp2s0: link becomes ready
[  555.294048] usb 3-1: USB disconnect, device number 2
[  561.657353] usb 3-1: new high-speed USB device number 3 using ehci-pci
[  561.817382] usb 3-1: New USB device found, idVendor=04e8, idProduct=6860, bcdDevice= 4.00
[  561.817393] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  561.817398] usb 3-1: Product: SAMSUNG_Android
[  561.817403] usb 3-1: Manufacturer: SAMSUNG
[  561.817408] usb 3-1: SerialNumber: 3401f18bac0c4665
[ 1616.801781] perf: interrupt took too long (2507 > 2500), lowering kernel.perf_event_max_sample_rate to 79750

Jan 01 22:35:28 scylla kernel: usb 3-1: USB disconnect, device number 3
Jan 01 22:35:28 scylla kernel: usb 3-1: new high-speed USB device number 4 using ehci-pci
Jan 01 22:35:33 scylla kernel: usb 3-1: new high-speed USB device number 5 using ehci-pci
Jan 01 22:35:33 scylla kernel: usb 3-1: New USB device found, idVendor=04e8, idProduct=6860, bcdDevice= 4.00
Jan 01 22:35:33 scylla kernel: usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 01 22:35:33 scylla kernel: usb 3-1: Product: SAMSUNG_Android
Jan 01 22:35:33 scylla kernel: usb 3-1: Manufacturer: SAMSUNG
Jan 01 22:35:33 scylla kernel: usb 3-1: SerialNumber: 3401f18bac0c4665

monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent

KERNEL[1990.778553] remove   /devices/pci0000:00/0000:00:1d.7/usb3/3-1/3-1:1.0 (usb)
KERNEL[1990.779322] unbind   /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
KERNEL[1990.779439] remove   /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
UDEV  [1990.785036] remove   /devices/pci0000:00/0000:00:1d.7/usb3/3-1/3-1:1.0 (usb)
UDEV  [1990.790816] unbind   /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
UDEV  [1990.791631] remove   /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
KERNEL[1996.601683] add      /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
KERNEL[1996.602585] add      /devices/pci0000:00/0000:00:1d.7/usb3/3-1/3-1:1.0 (usb)
KERNEL[1996.602723] bind     /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
UDEV  [1996.620286] add      /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)
UDEV  [1996.628284] add      /devices/pci0000:00/0000:00:1d.7/usb3/3-1/3-1:1.0 (usb)
UDEV  [1996.628395] bind     /devices/pci0000:00/0000:00:1d.7/usb3/3-1 (usb)



Message on cell phone:

  Allow access to phone data?

Message on cell phone:

  Attention

  The connected device can't access data on your phone. Reconnect the
  USB cable and try again.

  Android File Transfer of Samsung Smart Switch must be installed on
  macOS devices. To download Android File Transfer, go to
  http://www.android.com/filteransfer, or to download Samsung Smart
  Switch, go to https://www.samsung.com/smartswitch.

Message on Debian 10:

  Could not display "mtp://SAMSUNG_SAMSUNG_Android_3401f18bac0c4665/"
  Error: no such interface "org.gtk.vfs.Mount" on object at path /org/gtk/vfs/mount/1
  Please select another viewer and try again.

# (find-man "tail")


# (find-es "systemd")
# (find-fline "/etc/systemd/")
# (find-fline "/lib/systemd/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
grep -Ri mtp /etc/systemd/
grep -Ri mtp /lib/systemd/




#####
#
# best-pdf-viewer
# 2019jul18
#
#####

# «best-pdf-viewer» (to ".best-pdf-viewer")
# «google-pdf-viewer» (to ".google-pdf-viewer")

# https://google-pdf-viewer.en.softonic.com/android
# https://www.androidauthority.com/best-pdf-readers-for-android-366394/
  ebookdroid
  pdf viewer pro
  xodo pdf reader
  google pdf viewer




#####
#
# best-ebook-reader
# 2019jul18
#
#####

# «best-ebook-reader» (to ".best-ebook-reader")
# https://www.lifehack.org/articles/technology/10-best-ebook-reader-apps-for-android-you-need-know.html
# https://www.androidauthority.com/best-ebook-ereader-apps-for-android-170696/





#####
#
# best-drawing-apps
# 2019jul17
#
#####

# «best-drawing-apps» (to ".best-drawing-apps")
# https://www.androidauthority.com/best-drawing-apps-android-748179/
# https://www.youtube.com/watch?v=19zkF-fYDjg
  papercolor / paperdraw

  goodnotes 

https://www.androidauthority.com/best-stylus-apps-and-s-pen-apps-for-android-586579/

https://techwiser.com/best-handwriting-apps-for-android/
https://techwiser.com/best-handwriting-apps-for-android/
https://www.technobezz.com/5-top-best-android-app-handwritten-notes/





#####
#
# best-file-manager
# 2019jul17
#
#####

# «best-file-manager» (to ".best-file-manager")
# https://fossbytes.com/best-android-file-manager-explorer-apps/
  total commander




#####
#
# backup
# 2019oct19
#
#####

# «backup» (to ".backup")
# Back up or restore data on your Android device:
# https://support.google.com/android/answer/2819582?hl=en



#####
#
# Hiya spam call detector
# 2020jan24
#
#####

# «hiya» (to ".hiya")
https://hiya.com/uk/




#####
#
# safe-mode
# 2020mar23
#
#####

# «safe-mode» (to ".safe-mode")
# https://www.androidauthority.com/how-to-enter-safe-mode-android-801476/
# https://www.androidauthority.com/turn-off-safe-mode-657337/





#####
#
# zulip
# 2020mar23
#
#####

# «zulip» (to ".zulip")
# (find-es "zulip")
# https://zulipchat.com/features/
# https://c3puro20202.zulipchat.com/help/getting-your-organization-started-with-zulip
# https://zulipchat.com/help/format-your-message-using-markdown#emphasis
# https://zulipchat.com/help/start-a-new-topic
# https://johncarlosbaez.wordpress.com/2020/03/25/category-theory-community-server/




#####
#
# discord
# 2020sep09
#
#####

# «discord»  (to ".discord")
# https://snapcraft.io/install/discord/debian
# https://www.reddit.com/r/debian/comments/cfx445/discord_on_debian_10_buster/
# https://discord.com/
# https://discordapp.com/
# https://en.wikipedia.org/wiki/Discord_(software)
# https://discord.com/channels/406534637242810369/579041038669447178
# https://support.discord.com/hc/en-us
# https://www.youtube.com/results?search_query=discord+tutorial

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /tmp/
# (find-fline "/tmp/")
sudo dpkg -i discord*.deb
apti -f

sudo apt-get autoremove

# (find-status   "discord")
# (find-vldifile "discord.list")
# (find-udfile   "discord/")

S4




#####
#
# xfce-gvfs - packages needed to mount android devices in xfce
# 2020mar23
#
#####

# «xfce-gvfs» (to ".xfce-gvfs")
# https://docs.xfce.org/xfce/thunar/unix-filesystem#gnome_virtual_file_system

Gnome Virtual File System (GVFS)

Some thunar features, like support for trash, removable media and
remote file systems only can be used if the gvfs packages provided by
your distribution are installed

E.g. For Debian and its' derivatives, the packages "gvfs-backends" and
"gvfs-fuse" are required.

# http://forums.debian.net/viewtopic.php?t=126176

I may be barking up the wrong tree here, it's been a while since I
used XFCE... do you have gvfs-backends installed? IIRC Thunar uses
gvfs for 'virtual' (e.g. network) filesystems, and (again IIRC) the
xfce-desktop task installs only gvfs, but not the gvfs-backends
package.

# https://www.linuxquestions.org/questions/debian-26/debian-8-xfce-thunar-mount-mtp-android-device-4175545323/
# https://wiki.gnome.org/Projects/gvfs/backends
# https://docs.xfce.org/xfce/thunar/unix-filesystem#gnome_virtual_file_system
# https://wiki.debian.org/mtp
# https://wiki.debian.org/mtp#copy_files_off_your_smarphone_with_mtp-getfile
# File manager (Thunar) -> Edit -> Preferences -> Advanced





#####
#
# f-droid
# 2020oct05
#
#####

# «f-droid»  (to ".f-droid")
# https://f-droid.org/

Te indico instalar a loja F-Droid no celular.

Baixa o F-droid aqui https://f-droid.org/pt_BR/packages/



#####
#
# conversations
# 2022jan01
#
#####

# «conversations»  (to ".conversations")

Conversations (An encrypted, user friendly XMPP instant messaging
client optimized for mobile) -
https://f-droid.org/packages/eu.siacs.conversations




#####
#
# termux
# 2020oct06
#
#####

# «termux»  (to ".termux")
# (find-es "termux")
# (find-es "termux" "first-connection")
# https://termux.com/
# https://wiki.termux.com/wiki/Main_Page
# https://wiki.termux.com/wiki/Remote_Access
# https://github.com/termux/termux-widget

 (eepitch-shell2)
 (eepitch-kill)
 (eepitch-shell2)
sshd
locate sshd

sudo iwconfig
sudo iwlist

# (find-man "8 iwconfig")

apti openssh-server

# (find-sh "locate ifconfig")
# (find-es "ethernet")

# (find-man "fuser")
export 

# (find-man "ssh")
u0_a307@192.168.1.6

ssh -p 8022 u0_a307@192.168.1.6
ssh -p 8022 u0_a307@192.168.1.3
pwd

# (find-fline "/ssh:u0_a307@192.168.1.3/")
# (find-fline "/ssh:u0_a307@192.168.1.3#8022:")


u0_a307

ssh edrx@localhost




#####
#
# termux-rsync
# 2023oct03
#
#####

# «termux-rsync»  (to ".termux-rsync")
# (find-angg ".zshrc" "termux")
# https://wiki.termux.com/wiki/Remote_Access
# (find-man "1 ssh")
# (find-man "1 rsync")
# (find-man "1 scp")
# (find-angg ".emacs" "switftp")
# In termux: whoami, ifconfig, sshd

 (eepitch-termux)
 (eepitch-kill)
 (eepitch-termux)







#####
#
# screenshots
# 2021may09
#
#####

# «screenshots»  (to ".screenshots")
# https://support.google.com/android/answer/9075928?hl=en

Open the screen that you want to capture.

Depending on your phone: Press the Power and Volume down buttons at
the same time.

At the bottom left, you'll find a preview of your screenshot. On some
phones, at the top of the screen, you'll find Screenshot capture .




#####
#
# developer-mode
# 2022feb12
#
#####

# «developer-mode»  (to ".developer-mode")
# Settings -> About Phone -> Software Information -> Build Number [click 7 times]
# https://www.howtogeek.com/129728/how-to-access-the-developer-options-menu-and-enable-usb-debugging-on-android-4.2/




#####
#
# scrcpy
# 2022feb12
#
#####

# «scrcpy»  (to ".scrcpy")
# https://github.com/Genymobile/scrcpy





#####
#
# signal
# 2022mar22
#
#####

# «signal»  (to ".signal")
nnmm



#####
#
# ftp
# 2023sep24
#
#####

# «ftp»  (to ".ftp")
# «swiftp»  (to ".swiftp")
# (find-es "tramp" "ftp")
# (find-angg ".emacs" "switftp")
# https://www.reddit.com/r/androidapps/comments/lerrxy/best_ftp_server_apps_for_android/
# https://f-droid.org/packages/be.ppareit.swiftp_free/
# https://github.com/ppareit/swiftp
# (code-c-d "swiftp" "~/usrc/swiftp/")
# (find-swiftpfile "")
# (find-swiftpsh "find * | sort")
# (find-swiftpfile "app/src/main/res/values/strings.xml" "Failed to start the FTP server, unable to get IP address")




#####
#
# ip-address
# 2023sep28
#
#####

# «ip-address»  (to ".ip-address")

How to find your local IP address on Android
Open Android Settings > Connections.
Tap Wi-Fi, then select Settings (the gear icon) for the Wi-Fi network you're connected to.
Tap View more and scroll to your IP address, where you'll see your IPv4 and/or IPv6.

Or: on termux, run ifconfig.




air command

ACR Gravação de chamadas

https://stackoverflow.com/questions/35906081/hide-nfc-tag-type-not-supported-error-on-samsung-galaxy-devices

http://whiteboard.ping.se/Android/Debian
https://play.google.com/store/apps/details?id=org.connectbot

https://pinboard.in/u:timmensch/t:android/t:lua/
https://github.com/stevedonovan/AndroLua

http://www.android.com/tether#wifi
http://www.android.com/tether#usb
http://www.android.com/tether#bluetooth

https://wiki.debian.org/ChrootOnAndroid
http://generativemusic.com/bloom10worlds.html Brian Eno

btw, you can run emacs on android, and use org from there.

You can install termux from fdroid
and then, at a termux shell, enter:
$ pkg install emacs

I use emacs for org and matrix because matrix clients on android are not as nice.

https://www.androidauthority.com/best-camera-apps-for-android-188148/
https://www.androidcentral.com/android-will-never-be-supported-regular-linux-kernel-thats-not-stopping-google-trying
https://arstechnica.com/information-technology/2021/08/excerpt-the-history-of-android-as-written-by-a-longtime-android-developer/
https://news.ycombinator.com/item?id=31423623 Total Commander forced to stop letting you install APKs (androidpolice.com)
https://lists.gnu.org/archive/html/emacs-devel/2023-02/msg00699.html To use adb on Linux you need to do the following:
https://blog.rom1v.com/2023/03/scrcpy-2-0-with-audio/ with audio forwarded to your computer




#  Local Variables:
#  coding:               utf-8-unix
#  End:
