#######
#
# E-scripts on apt-cacher.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/apt-cacher.e>
#           or at <http://angg.twu.net/e/apt-cacher.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.similar-packages»	(to "similar-packages")
# «.install-and-test»	(to "install-and-test")
# «.test-local-server»	(to "test-local-server")
# «.apt-cacher-import»	(to "apt-cacher-import")



# (find-esgrep "grep -nH -e apt-cacher *.e")
# (find-es "debrepository" "apt-cacher")



#####
#
# Similar packages
# 2013aug15
#
#####

# «similar-packages» (to ".similar-packages")
# http://www.unix-ag.uni-kl.de/~bloch/acng/
# http://packages.debian.org/wheezy/apt-cacher-ng
# (find-available "apt-cacher")
# (find-available "apt-cacher-ng")
# (find-available "approx")



#####
#
# Install a server and test it
# 2013aug15
#
#####

# «install-and-test» (to ".install-and-test")

# «test-local-server» (to ".test-local-server")
# If the local apt-cacher server is up and running then this should
# show its status:
#   http://127.0.0.1:3142/

# (find-sh "sudo chmod -v 777 /etc/apt/apt.conf.d/")
# (find-sh0 "ls    /etc/apt/apt.conf.d/*apt-proxy*")
# (find-sh0 "rm -v /etc/apt/apt.conf.d/*apt-proxy*")
# (find-fline     "/etc/apt/apt.conf.d/")
# (find-fline     "/etc/apt/apt.conf.d/90apt-proxy.conf")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo chmod -v 777 /etc/apt/apt.conf.d/
ls -lAF           /etc/apt/apt.conf.d/

cat               /etc/apt/apt.conf.d/90apt-proxy.conf
cat             > /etc/apt/apt.conf.d/90apt-proxy.conf <<'%%%'
// (setq backup-inhibited t)
// (find-es "apt-cacher")
// (find-es "apt-cacher" "test-local-server")
Acquire::http::Proxy "http://127.0.0.1:3142";
%%%
cat               /etc/apt/apt.conf.d/90apt-proxy.conf
# (find-fline    "/etc/apt/apt.conf.d/90apt-proxy.conf")
# (find-fline    "/etc/apt/apt.conf.d/")

R
apt-get remove  -y xzgv
rm -v /var/cache/apt/archives/xzgv*
apt-get install -y xzgv

# (find-fline "/var/cache/apt/archives/" "xzgv")

# (find-fline "/var/cache/apt-cacher/headers/")
# (find-fline "/var/cache/apt-cacher/packages/")
# (find-fline   "/var/log/apt-cacher/access.log")

apt-get remove  -y xzgv
rm -v /var/cache/apt/archives/xzgv*
apt-get install -y xzgv




#####
#
# apt-cacher-import
# 2013aug15
#
#####

# «apt-cacher-import» (to ".apt-cacher-import")
# (find-status   "apt-cacher")
# (find-vldifile "apt-cacher.list")
# (find-udfile   "apt-cacher/")
# (find-fline "/usr/share/apt-cacher/apt-cacher-import.pl")










https://help.ubuntu.com/community/Apt-Cacher-Server

# (find-vcaafile "")
# (find-man "cp")
cp -uv /var/cache/apt/archives/*.deb /tmp/hde2/vcaa/







#  Local Variables:
#  coding:               utf-8-unix
#  End:
