#######
#
# E-scripts on basic.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/basic.e>
#           or at <http://angg.twu.net/e/basic.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.basic256»	(to "basic256")
# «.bwbasic»	(to "bwbasic")
# «.yabasic»	(to "yabasic")
# «.F-to-C»	(to "F-to-C")





#####
#
# basic256
# 2020nov27
#
#####

# «basic256»  (to ".basic256")
# (find-status   "basic256")
# (find-vldifile "basic256.list")
# (find-udfile   "basic256/")
# http://www.basic256.org/




#####
#
# bwbasic
# 2020nov27
#
#####

# «bwbasic»  (to ".bwbasic")
# (find-status   "bwbasic")
# (find-vldifile "bwbasic.list")
# (find-udfile   "bwbasic/")



#####
#
# yabasic
# 2020nov27
#
#####

# «yabasic»  (to ".yabasic")
# (find-status   "yabasic")
# (find-vldifile "yabasic.list")
# (find-udfile   "yabasic/")
# (find-man "1 yabasic")



#####
#
# F-to-C
# 2020nov27
#
#####

# «F-to-C»  (to ".F-to-C")
# (defun eepitch-bwbasic () (interactive) (eepitch-comint "bwbasic" "bwbasic"))

 (eepitch-bwbasic)
 (eepitch-kill)
 (eepitch-bwbasic)
10 print "Temperature in Fahrenheit?"
20 input F
30 C = (F-32)*5/9
30 print "Temperature in Celsius:", C

list

run
32

run
212


https://jmmv.dev/2023/01/endbasic-parsing-difficulties.html
https://retool.com/visual-basic/
https://jorgicor.niobe.org/bas55/



#  Local Variables:
#  coding:               utf-8-unix
#  End:
