#######
#
# E-scripts on calibre.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/calibre.e>
#           or at <http://angg.twu.net/e/calibre.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######






# «.ebook-convert»	(to "ebook-convert")
# «.calibre-git»	(to "calibre-git")



http://manual.calibre-ebook.com



# (find-status   "calibre")
# (find-vldifile "calibre.list")
# (find-udfile   "calibre/")
# (find-zsh "installeddebs | sort | grep calibre")
# (find-zsh "availabledebs | sort | grep calibre")

http://manual.calibre-ebook.com/
http://manual.calibre-ebook.com/conversion.html
http://manual.calibre-ebook.com/conversion.html#page-setup
http://calibre-ebook.com/demo

~/books/graeber__the_democracy_project.epub

https://www.youtube.com/watch?v=Xu_FgtM_Oqs

# (find-fline "~/.config/calibre/")
# (find-fline "~/Calibre Library/")



# (find-sh "cd; find | grep -i calibre")




#####
#
# ebook-convert
# 2019dec05
#
#####

# «ebook-convert» (to ".ebook-convert")
# https://unix.stackexchange.com/questions/414712/lightweight-pdf-to-mobi-and-epub-converter-for-ubuntu
# (find-status   "calibre")
# (find-vldifile "calibre.list")
# (find-udfile   "calibre/")
# (find-man "1 ebook-convert")
# (find-man "1 ebook-convert" "--base-font-size")
# (find-man "1 ebook-convert" "--pdf-page-numbers")
# (find-sh "ebook-convert --list-recipes")
# (find-fline "/usr/bin/ebook-convert")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
ebook-convert
ebook-convert --list-recipes

cd /tmp/
ebook-convert \
  coates__between_the_world_and_me.epub \
  coates__between_the_world_and_me.pdf \
  --base-font-size=12 \
  --pdf-page-numbers

cd /tmp/
ebook-convert \
  huey_p_newton__revolutionary_suicide.epub \
  huey_p_newton__revolutionary_suicide.pdf \
  --base-font-size=12 \
  --pdf-page-numbers

cd ~/books/
ebook-convert \
  thunberg__our_house_is_on_fire_scenes_of_a_family_and_a_planet_in_crisis.epub \
  thunberg__our_house_is_on_fire_scenes_of_a_family_and_a_planet_in_crisis.pdf \
  --base-font-size=12 \
  --pdf-page-numbers

cd /tmp/
ebook-convert \
  cunliffe__the_scythians_nomad_warriors_of_the_steppe.epub \
  cunliffe__the_scythians_nomad_warriors_of_the_steppe.pdf \
  --base-font-size=12 \
  --pdf-page-numbers




#####
#
# calibre-git
# 2019dec05
#
#####

# «calibre-git» (to ".calibre-git")
# https://github.com/kovidgoyal/calibre
# (find-git-links "https://github.com/kovidgoyal/calibre" "calibre")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -Rfv ~/usrc/calibre/
cd      ~/usrc/
git clone https://github.com/kovidgoyal/calibre
cd      ~/usrc/calibre/

git branch --list -a
git for-each-ref
PAGER=cat git log --oneline --graph --all -20

# (find-fline "~/usrc/")
# (find-fline "~/usrc/calibre/")
# (find-gitk  "~/usrc/calibre/")

# (code-c-d "calibre" "~/usrc/calibre/")
# (find-calibrefile "")
# (find-calibresh "find * | sort")
# (find-calibregrep "grep --color -nRH --null -e ebook-convert *")
# (find-calibregrep "grep --color -nRH --null -e EbookConvert *")
# (find-calibrefile "src/calibre/utils/complete.py" "if module == 'ebook-convert'")




https://linuxconfig.org/calibre-drm-removal-for-ebooks-on-linux

https://dindi.garjola.net/calibredb-view.html

https://news.ycombinator.com/item?id=35017120 Roald Dahl ebooks remotely updated to censored versions after purchase (thetimes.co.uk)




#  Local Variables:
#  coding:               utf-8-unix
#  End:
