#######
#
# E-scripts on color.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/color.e>
#           or at <http://angg.twu.net/e/color.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.vivid»		(to "vivid")
# «.oklch-picker»	(to "oklch-picker")
# «.find-erainbowgrid»	(to "find-erainbowgrid")




gradient:
<bpalmer> this seems to support that recollection:
          https://twitter.com/finmoorhouse/status/1543580508508065794
          , suggesting using HSV instead.
https://observablehq.com/@mjbo/perceptually-uniform-color-models
https://www.joshwcomeau.com/css/make-beautiful-gradients/
https://www.lescouleurs.ch/en/the-colours/63-colours
https://hexcodle.com/
https://news.ycombinator.com/item?id=38797472 Hexcodle (hexcodle.com)




#####
#
# vivid
# 2024jan19
#
#####

# «vivid»  (to ".vivid")
# https://github.com/WetDesertRock/vivid
# https://www.easyrgb.com/en/math.php
# (code-c-d "vivid" "~/usrc/vivid/")
# (find-vividfile "")
# (find-vividfile "README.md")
# (find-vividfile "example/")




#####
#
# oklch-picker
# 2024mar03
#
#####

# «oklch-picker»  (to ".oklch-picker")
# https://oklch.com/#70,0.1,59,100
# https://github.com/evilmartians/oklch-picker

# (find-git-links "https://github.com/evilmartians/oklch-picker" "oklchpicker")
# (code-c-d "oklchpicker" "~/usrc/oklch-picker/")
# (find-oklchpickerfile "")
(find-oklchpickerfile "README.md")



#####
#
# find-erainbowgrid
# 2024mar22
#
#####

# «find-erainbowgrid»  (to ".find-erainbowgrid")
;; (find-angg "elisp/find-erainbowgrid.el")
(load       "~/elisp/find-erainbowgrid.el")
# (find-es "emacs" "ct.el")






https://chadaustin.me/2024/01/truecolor-terminal-emacs/
https://github.com/DevelopmentCool2449/colorful-mode






#  Local Variables:
#  coding:               utf-8-unix
#  End:
