#######
#
# E-scripts on D-Bus.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/dbus.e>
#           or at <http://angg.twu.net/e/dbus.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# (find-sh "locate etc | grep dbus")

# (find-zsh "installeddebs | sort | grep  bus")
# (find-zsh "installeddebs | sort | grep dbus")
# (find-zsh "availabledebs | sort | grep  bus")
# (find-zsh "availabledebs | sort | grep dbus")
# (find-status   "dbus")
# (find-vldifile "dbus.list")
# (find-udfile   "dbus/")
# (find-man "1 dbus-send")
# (find-man "1 dbus-monitor")
# (find-man "1 dbus-uuidgen")
# (find-man "1 dbus-cleanup-sockets")
# (find-man "1 dbus-daemon")

# http://www.freedesktop.org/software/dbus/
# http://www.freedesktop.org/wiki/Software/dbus/
# http://en.wikipedia.org/wiki/D-Bus

https://github.com/Lenbok/scad-dbus
emacsconf2022

https://www.reddit.com/r/openscad/comments/k6vq1f/no_preferences_features_inputdriverdbus/



#  Local Variables:
#  coding:               utf-8-unix
#  End:
