#######
#
# E-scripts on DVDs and the DVD drive (and movie files)
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/dvd.e>
#           or at <http://angg.twu.net/e/dvd.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.libdvdcss»			(to "libdvdcss")
# «.dvdrecord»			(to "dvdrecord")
# «.mplayer-subtitles»		(to "mplayer-subtitles")
# «.mplayer-upstream»		(to "mplayer-upstream")
# «.mplayer-fast-subtitles»	(to "mplayer-fast-subtitles")
# «.mplayer-running»		(to "mplayer-running")
# «.mplayer-subtitle-visibility»  (to "mplayer-subtitle-visibility")
# «.vlc»			(to "vlc")
# «.exact-copy»			(to "exact-copy")
# «.dvd-udf»			(to "dvd-udf")
# «.dvd+rw-tools»		(to "dvd+rw-tools")
# «.dvd-double-layer-split»	(to "dvd-double-layer-split")
# «.dvdauthor»			(to "dvdauthor")
# «.bscat.lua»			(to "bscat.lua")
# «.libdvdread»			(to "libdvdread")
# «.vobcopy»			(to "vobcopy")
# «.vlc-upstream»		(to "vlc-upstream")
# «.backup-graft-points»	(to "backup-graft-points")
# «.sarge-CDs-graft-points»	(to "sarge-CDs-graft-points")
# «.youtube-dl»			(to "youtube-dl")
# «.youtube-dl-deb-src»		(to "youtube-dl-deb-src")
# «.dvdbackup»			(to "dvdbackup")
# «.lsdvd»			(to "lsdvd")
# «.k9copy»			(to "k9copy")
# «.subtitles-avidemux»		(to "subtitles-avidemux")
# «.subtitleripper»		(to "subtitleripper")


Related pages:
  (find-es "cdrom")



#####
#
# debian packages
# 2006jul02
#
#####

# (find-man "cdrdao")
# (find-zsh "acse -i dvd | sort")

cpdvd - transfer a DVD title to your harddisk
cpvts - raw copy title sets from a DVD to your harddisc
dvdbackup - tool to rip DVD's from the command line
dvdrip - Perl front end for transcode
dvdrip-doc - Documentation for dvd::rip
dvdrtools - DVD writing program
dvdtape - Create DVD master filesystems on DLT media
lsdvd - read the contents of a DVD
ogle - DVD player with support for DVD menus
ogle-gui - User interface to ogle (Gtk)
ogle-mmx - DVD player with support for DVD menus
regionset - view and modify the region code of DVD drives
subtitleripper - DVD Subtitle Ripper for Linux
vobcopy - A tool to copy DvD VOBs to hard disk

  (find-sh "lsdvd -h")
  (find-sh "lsdvd -x /dev/hdc")

cd /dev/
sudo ln -s hdc dvd

  libdvdread3
  libdvdread3-dev
  (find-udfile "libdvdread3/README.Debian")
  (find-udfile "libdvdread3/examples/install-css.sh")

/usr/share/doc/libdvdread3/examples/install-css.sh

<resolve> edrx: to copy dvds: dvdrip, to play dvds - emms&mplayer

(find-sh "cdrecord")
(find-sh "cdrecord -help")
(find-sh "cdrecord -scanbus")
(find-sh "sudo cdrecord -scanbus")

(find-zsh "acse -i xine | sort")

% (find-fline "/usr/share/doc/libdvdread4/README.Debian")





#####
#
# libdvdcss
# 2010mar29
#
#####

# «libdvdcss»  (to ".libdvdcss")
# (find-udfile "libdvdread3/README.Debian")
# (find-fline "/etc/apt/sources.list")
# (find-fline "~/.dvdcss/")

# Unofficial Maintainers (lenny/stable releases)
# http://unofficial.debian-maintainers.org/
deb     http://unofficial.debian-maintainers.org/ lenny main contrib non-free restricted
deb-src http://unofficial.debian-maintainers.org/ lenny main contrib non-free restricted

# (find-status   "libdvdcss2")
# (find-vldifile "libdvdcss2.list")
# (find-udfile   "libdvdcss2/")

# (find-man "1 dvd_region")
# (find-udfile "libdvdcss2/README")
# (find-fline "/usr/bin/csstest")

# http://www.debianhelp.co.uk/codecs.htm
# http://debian-multimedia.org/pool/main/libd/libdvdcss/
# http://unofficial.debian-maintainers.org/pool/main/libd/libdvdcss/

# 2013sep04:
# http://en.wikipedia.org/wiki/Libdvdcss
# http://packages.debian.org/testing/libdvdread4





#####
#
# literal copies via mount
# 2006jul02
#
#####

(find-fline "$ASROOT/etc/fstab")
/dev/dvd        /mnt/dvd        iso9660 ro,noauto,user

(find-fline "/dev/")
(find-sh0 "sudo ln -sf hdc /dev/dvd")
(find-sh0 "sudo ln -sf hdd /dev/cdrom")

cd /oldfs/dvds/argel/
mount /mnt/dvd/
cd /mnt/dvd/
cp -diPpvR * /oldfs/dvds/argel/

mkdir /oldfs/dvds/argel2/
cd    /oldfs/dvds/argel2/
mount /mnt/dvd/
cd    /mnt/dvd/
cp -diPpvR * /oldfs/dvds/argel2/

mkdir /oldfs/dvds/ozu/
cd    /oldfs/dvds/ozu/
mount /mnt/dvd/
cd    /mnt/dvd/
cp -diPpvR * /oldfs/dvds/ozu/

mkdir /oldfs/dvds/gwen/
cd    /oldfs/dvds/gwen/
mount /mnt/dvd/
cd    /mnt/dvd/
cp -diPpvR * /oldfs/dvds/gwen/

cd
umount /mnt/dvd/

# (find-fline "/oldfs/dvds/gwen/")
# (find-fline "/mnt/dvd/")




#####
#
# dvdrecord
# 2006jul09
#
#####

# «dvdrecord»  (to ".dvdrecord")
# (find-udfile "dvdrtools/changelog.gz")
# (find-udfile "dvdrtools/NEWS.gz")
# (find-udfile "dvdrtools/ChangeLog.gz")
# (find-udfile "dvdrtools/README")
# (find-udfile "dvdrtools/README.Debian")
# (find-udfile "dvdrtools/copyright")
# (find-udfile "dvdrtools/changelog.Debian.gz")
# (find-man "1 dvdrecord")
# (find-man "1 dvdrecord" "mkisofs -R /master/tree | dvdrecord")

# (find-fline "/dev/")
# (find-sh0 "sudo ln -sf hdc /dev/dvd")
# (find-sh0 "sudo ln -sf hdd /dev/cdrom")
# (find-fline "/oldfs/dvds/ozu/")
# (find-fline "/oldfs/dvds/")
# (find-man "mkisofs")

mkisofs -R /oldfs/dvds/ozu | dvdrecord -v fs=6m speed=2 dev=2,0 -
mkisofs -R /oldfs/dvds/ozu | cdrecord speed=8 -v -v -v -v -v -dev=/dev/dvd -

mkisofs -R -o /oldfs/dvds/ozu.iso /oldfs/dvds/ozu
sudo dvdrecord speed=8 -v -v -v -v -v -dev=/dev/dvd /oldfs/dvds/ozu.iso

# (find-sh "sudo cdrecord -scanbus")

cdrecord dev=help
# (find-status   "cdrtools-doc")
# (find-vldifile "cdrtools-doc.list")
# (find-udfile   "cdrtools-doc/")

scsidev: '/dev/dvd'
devname: '/dev/dvd'
scsibus: -2 target: -2 lun: -2
Warning: Open by 'devname' is unintentional and not supported.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.7'
Using libscg transport code version 'schily-scsi-linux-sg.c-1.75'
atapi: 1
Vendor_info    : 'TSSTcorp'
Identifikation : 'CD/DVDW SH-W162D'
Device seems to be: Generic mmc2 DVD.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE 
Supported modes: PACKET SAO
Drive buf size : 1048576 = 1024 KB
FIFO size      : 4194304 = 4096 KB
dvdrecord: Drive does not support TAO recording.
dvdrecord: Illegal write mode for this drive.
/home/edrx/e(edrx:pe)# 

 (eechannel-xterm "A")
R
cdrecord -scanbus

# http://cdrecord.berlios.de/old/private/cdrecord.html
# Important information: Linux-2.6.8.1 breaks CD/DVD writing for suid
# root applications




#####
#
# playing HD-ized DVDs (vob files) with subtitles
# 2006jul09
#
#####

# «mplayer-subtitles»  (to ".mplayer-subtitles")
# (find-man "1 mplayer")
# (find-man "1 mplayer" "-dvd-device <path to device>")
# (find-man "1 mplayer" "Quickstart DVD playing")
# (find-man "1 mplayer" "-ifo <VOBsub ifo file>")
# (find-man "1 mplayer" "toggle subtitle visibility")

#
cd /oldfs/dvds/argel/video_ts/
# mplayer -font /usr/share/fonts/truetype/freefont/FreeSans.ttf dvd://
mplayer \
  -font /usr/share/fonts/truetype/freefont/FreeSans.ttf \
  vts_01_1.vob

#
# http://www.doom9.org/index.html?/dvd-structure.htm

  New_Face failed. Maybe the font path is wrong.
  Please supply the text font file (~/.mplayer/subfont.ttf).
  subtitle font: load_sub_face failed.

# (find-fline "~/.mplayer/")
# (find-fline "~/.mplayer/subfont.ttf")
# (find-sh "locate ttf | grep '\\.ttf$'")

 (eepitch-shell)
cd ~/.mplayer/
ln -sf /usr/share/fonts/truetype/freefont/FreeSans.ttf subfont.ttf





#####
#
# mplayer
# 2006jul02
#
#####

(find-man "1 mplayer")
(find-man "1 mplayer" "toggle subtitle visibility")

New_Face failed. Maybe the font path is wrong.
Please supply the text font file (~/.mplayer/subfont.ttf).
subtitle font: load_sub_face failed.

(find-sh "locate ttf | grep 'ttf$'")

mplayer dvd://
mplayer -font /usr/share/fonts/truetype/freefont/FreeSans.ttf dvd://





#####
#
# vobcopy
# 2006jul02
#
#####

# (find-status   "vobcopy")
# (find-vldifile "vobcopy.list")
# (find-udfile   "vobcopy/")
vobcopy -I -v -v 

# (find-fline "/usr/bin/vobcopy")
# (find-man "1 vobcopy")
# (find-udfile "vobcopy/alternative_programs.txt")
# (find-udfile "vobcopy/changelog.Debian.gz")
# (find-udfile "vobcopy/copyright")
# (find-udfile "vobcopy/changelog.gz")
# (find-udfile "vobcopy/README.gz")
# (find-udfile "vobcopy/Release-Notes.gz")
# (find-fline "/usr/lib/menu/vobcopy")

# (find-sh "vobcopy -h")




#####
#
# mplayer from upstream
# 2006jul11
#
#####

# «mplayer-upstream»  (to ".mplayer-upstream")
# (find-angg ".zshrc" "mplayer")
# http://www.mplayerhq.hu/design7/dload.html
# http://www1.mplayerhq.hu/MPlayer/releases/MPlayer-1.0pre8.tar.bz2
# http://www1.mplayerhq.hu/MPlayer/releases/codecs/essential-20060611.tar.bz2
# http://www1.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
# http://www1.mplayerhq.hu/MPlayer/skins/disappearer-1.1.tar.bz2
# (code-c-d "mplayer" "~/bigsrc/MPlayer-1.0pre8/")
# (find-mplayerfile "")
# (find-mplayerfile "README" "set of fonts")
# (find-mplayerfile "README" "--with-codecsdir=DIR")
# (find-mplayerw3m "DOCS/HTML/en/faq.html" "mplayer -alang eng -slang eng example.mkv")
# (find-mplayerw3m "DOCS/HTML/en/features.html")
# (find-mplayerw3m "DOCS/HTML/en/dvd.html")
# (find-mplayerw3m "DOCS/HTML/en/subosd.html")
# (find-mplayerw3m "DOCS/HTML/en/subosd.html" "TOOLS/subfont-c")
# (find-mplayerfile "TOOLS/subfont-c/README")

#
# This is the simplistic way to build an upstream mplayer.
# Don't use this, use the alternatives below...

rm -Rv ~/bigsrc/MPlayer-1.0pre8/
tar -C ~/bigsrc/ -xvjf \
  $S/http/www1.mplayerhq.hu/MPlayer/releases/MPlayer-1.0pre8.tar.bz2
cd     ~/bigsrc/MPlayer-1.0pre8/

./configure |& tee oc
make        |& tee om

#
# The full way.
# I'm not totally happy with the result yet - I still can't get
# subtitles... :-(

rm -Rv ~/bigsrc/MPlayer-1.0pre8/
tar -C ~/bigsrc/ -xvjf \
  $S/http/www1.mplayerhq.hu/MPlayer/releases/MPlayer-1.0pre8.tar.bz2
cd     ~/bigsrc/MPlayer-1.0pre8/

find * -type f -name '*.[ch]' | sort > .files.ch
etags $(cat .files.ch)

#
cd ~/bigsrc/MPlayer-1.0pre8/
./configure |& tee oc
make        |& tee om

#
# «mplayer-fast-subtitles»  (to ".mplayer-fast-subtitles")
# About patching config.h by hand to use fast subtitles...
# I haven't tried that yet.
# (find-mplayerw3m "DOCS/HTML/en/faq.html")
# (find-mplayerw3m "DOCS/HTML/en/faq.html" "FAST_OSD")
# (find-mplayerfile "config.h")
# (find-mplayerfile "config.h" "Enable fast OSD/SUB renderer" "FAST_OSD")

/* Edrx */
#define FAST_OSD

# Apparently there are only four .c files, all in libvo/, that need to
# be recompiled...
# (find-mplayersh "grep    FAST_OSD $(cat .files.ch)")
# (find-mplayersh "grep -l FAST_OSD $(cat .files.ch)")
# (find-mplayerfile "")
# (find-mplayerfile "libvo/")
# (find-mplayerfile "libvo/font_load.c")
# (find-mplayerfile "libvo/osd.c")
# (find-mplayerfile "libvo/osd_template.c")
# (find-mplayerfile "libvo/vo_gl.c")
#
cd $MPLAYERDIR
rm -v libvo/font_load.o libvo/osd.o libvo/osd_template.o libvo/vo_gl.o
make        |& tee om2

#
# (code-c-d "mplayerfonts" "~/bigsrc/mplayer-fonts/font-arial-iso-8859-1/")
# (find-mplayerfontsfile "")
# (find-mplayerfontsfile  "README-arial-iso-8859-1")
# (find-mplayerfontsfile "font-arial-18-iso-8859-1/")

rm -Rv ~/bigsrc/mplayer-fonts/
mkdir  ~/bigsrc/mplayer-fonts/
tar -C ~/bigsrc/mplayer-fonts/ -xvjf \
  $S/http/www1.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
cd ~/bigsrc/mplayer-fonts/font-arial-iso-8859-1/
cd font-arial-14-iso-8859-1/

mkdir ~/.mplayer/font/
cp -v font.desc *.raw ~/.mplayer/font/
laf

#




#####
#
# mplayer-running
# 2006jul31
#
#####

# «mplayer-running»  (to ".mplayer-running")
# «mplayer-subtitle-visibility»  (to ".mplayer-subtitle-visibility")
# (find-fline "~/.mplayer/")
# (find-fline "~/.mplayer/font/")
# (find-man "1 mplayer")
# (find-man "1 mplayer" "toggle subtitle visibility")
#   v - toggle subtitle visibility
#   j - switch subtitle language
#   F - toggle display of "forced subtitles"

#
# (code-c-d "argel" "/oldfs/dvds/argel/video_ts/")
# (find-argelsh "mplayer -vo null -ao null -frames 0 -v vts_01_1.vob")
cd /oldfs/dvds/argel/video_ts/
            mplayer -vo null -ao null -frames 0 -v vts_01_1.vob |& tee ~/o
$MPLAYERDIR/mplayer -vo null -ao null -frames 0 -v vts_01_1.vob |& tee ~/o2
# (find-tkdiff "~/o" "~/o2")
# (find-fline "~/o")
# (find-fline "~/o2")

#
# What is the function that displays the "Subtitles: enabled" message?
# Does it take care also of setting up the hook that will erase the
# message afte a certain amount of time?
# I would like to add a message for "j" ("switch subtitle language").

# (find-mplayersh "grep    Subtitles: $(cat .files.ch)")
# (find-mplayersh "grep -l Subtitles: $(cat .files.ch)")
# (find-mplayerfile "help/help_mp-en.h")
# (find-mplayerfile "help/help_mp-en.h" "\"Subtitles: %s\"")
# (find-mplayersh "grep MSGTR_SubSelectStatus  $(cat .files.ch)")
# (find-mplayersh "grep MSGTR_SubVisibleStatus $(cat .files.ch)")
# (find-mplayerfile "mplayer.c" "MSGTR_SubSelectStatus")
# (find-mplayerfile "mplayer.c" "MSGTR_SubVisibleStatus")
# (find-mplayersh "grep MP_CMD_SUB_SELECT     $(cat .files.ch)")
# (find-mplayersh "grep MP_CMD_SUB_VISIBILITY $(cat .files.ch)")
# (find-mplayerfile "")
# (find-mplayerfile "etc/input.conf")
# (find-mplayerfile "DOCS/tech/slave.txt")
# (find-mplayerfile "DOCS/tech/slave.txt" "sub_select [value]")
# (find-mplayerfile "DOCS/tech/slave.txt" "sub_visibility [value]")
# (find-mplayersh "grep sub_visibility $(cat .files.ch)")
# (find-mplayerfile "mplayer.c" "int mp_property_sub_visibility(")
# (find-mplayerfile "mplayer.c"     "mp_property_sub_visibility,")
# (find-mplayersh "grep OSDTYPE_SUBTITLE $(cat .files.ch)")

# (find-mplayerfile "find_sub.c" "vo_osd_changed(OSDTYPE_SUBTITLE);")
# (find-mplayerfile "libvo/sub.c" "case OSDTYPE_SUBTITLE:")
# (find-mplayerfile "libvo/sub.c" "case OSDTYPE_SUBTITLE:" "case OSDTYPE_SUBTITLE:")

#
cd /oldfs/dvds/argel/video_ts/
mplayer vts_01_2.vob
#
# (find-angg ".zshrc" "mplayer")
# (find-fline "~/o")
cd /oldfs/dvds/argel/video_ts/
$MPLAYERDIR/mplayer vts_01_2.vob 2>&1 | tee ~/o
#
cd /oldfs/dvds/argel/video_ts/
vlc vts_01_2.vob
#

<edrx> oooo, scary
<edrx> the faq.html says that
<edrx> mplayer -vo null -ao null -frames 0 -v filename | grep sid
<edrx> mplayer -vo null -ao null -frames 0 -v filename | grep aid
<edrx> should show the available audio languages and subtitle
       languages
<edrx> but I'm examining the output of
<edrx> mplayer -vo null -ao null -frames 0 -v vts_01_1.vob
<edrx> and it has no lines containing either "sid" or "aid"...
<edrx> is it possible that is a .vob that vlc knows how to extract
       subtitle info from but mplayer doesn't?
<ShadowJK> try a few second's worth of frames

# (find-mplayerw3m "DOCS/HTML/en/faq.html" "mplayer -alang eng -slang eng example.mkv")
# (find-mplayerw3m "DOCS/HTML/en/faq.html" "mplayer -vo null -ao null -frames 0 -v filename | grep sid")




#####
#
# mplayer - fast subtitles
# 2006jul23
#
#####


# Mailing list:
# http://lists.mplayerhq.hu/pipermail/mplayer-users/






#####
#
# vlc
# 2006jul23
#
#####

# «vlc»  (to ".vlc")
# (find-es "vlc")
# (find-angg ".zshrc" "vlca")
# (find-zsh "acse -i vlc | sort")
# (find-status   "vlc")
# (find-vldifile "vlc.list")
# (find-udfile   "vlc/")
# (find-status   "vlc-data")
# (find-vldifile "vlc-data.list")
# (find-udfile   "vlc-data/")
# (find-fline "/usr/share/vlc/lua/http/custom.lua")

# (find-man "1 svlc")
# (find-sh "vlc --help")
# (find-sh "vlc --help" "Hot keys")
# (find-sh "vlc --longhelp --advanced")
# (find-sh "vlc --longhelp --advanced" " ALSA audio output")
# (find-angg ".zshrc" "myaplay1")
# (find-fline "~/.vlc/vlcrc" "key-vol-mute=m")
# (find-sh "lspci")

# vlc works and can show subtitles, but it gives a lot of video noise
# here (SiS 86C326)
#
cd /oldfs/dvds/argel/video_ts/
vlc vts_01_1.vob

#
# (find-fline "/oldfs/dvds/ozu/video_ts/")
cd /oldfs/dvds/ozu/video_ts/
vlc vts_01_2.vob &



#####
#
# vlc: specifying an offset
# 2006oct21
#
#####

How do I start vlc from Emacs specifying some defaults (subtitles in
portuguese, etc) and an offset?

# (find-man "vlc")
# (find-sh "vlc --help")
# (find-sh "vlc --longhelp --advanced")
# (find-sh "vlc --longhelp --advanced" "HTTP remote control interface")
# (find-w3m   "/usr/share/vlc/http/index.html" "+12min 42sec")
# (find-fline "/usr/share/vlc/http/index.html" "+12min 42sec")

# (find-sh "vlc --longhelp --advanced" "--sub-track <integer>")





#####
#
# exact copy of a dvd
# 2006nov02
#
#####

# «exact-copy»  (to ".exact-copy")
 (eechannel-xterm "A")
mkdir /tmp/dvd/

# Check the size
mount  /tmp/dvd/
du -c  /tmp/dvd/
find   /tmp/dvd/
umount /tmp/dvd/

cd /oldfs/dvds/
laf
df
cat /dev/hdc > consent.iso

# Mount the iso as udf
sudo mount -o loop,ro /oldfs/dvds/consent.iso /tmp/dvd/
cd    /tmp/dvd/
du -c
find
cd
sudo umount /tmp/dvd/

# Mount the iso as iso9660
sudo mount -o loop,ro -t iso9660 /oldfs/dvds/consent.iso /tmp/dvd/
cd    /tmp/dvd/
du -c
find
cd
sudo umount /tmp/dvd/

# (find-man "growisofs" "growisofs -dvd-compat -Z /dev/dvd=image.iso")
# (find-sh "dvd+rw-mediainfo /dev/hdc")
cd /oldfs/dvds/
growisofs -dvd-compat -Z /dev/hdc=consent.iso






#####
#
# mounting an iso image as dvd://
# 2006jul23
#
#####

# «dvd-udf»  (to ".dvd-udf")
# (find-man "8 mount")
# (find-man "8 mount" "Mount options for udf")

<csmanx> uhmmm... i can mplay a dvd image i created using dd, but i
         can't mplay this image's vob files extracted by vobsub
<edrx> how do you play the dd'ed image?
<csmanx> edrx: I mount it as loopback, and mplayer dvd://
<edrx> I mounted some dvds and copied the files in them to my HD and I
       still don't know if I lost some information in non-file
       sections of the discs or not...
<edrx> you mean you just use losetup, without the mount?
<csmanx> mount -t udf -o loop dvd.iso /mnt/somewhere
<csmanx> and then mplayer dvd://
<edrx> thanks




#####
#
# dvd+rw-tools
# 2006oct15
#
#####

# «dvd+rw-tools»  (to ".dvd+rw-tools")
# (find-other-debian-links "growisofs")
# (find-status   "dvd+rw-tools")
# (find-vldifile "dvd+rw-tools.list")
# (find-udfile   "dvd+rw-tools/")
# (find-udw3m    "dvd+rw-tools/index.html")

# http://fy.chalmers.se/~appro/linux/DVD+RW/

# (find-man "1 growisofs")
# (find-man "1 dvd+rw-mediainfo")

# (find-sh "dmesg" "dvd")
# (find-sh "dmesg" "DVD-ROM")
# (find-sh "dvd+rw-mediainfo /dev/hdc")




#####
#
# splitting a double-layer video DVD into two (data) DVDs
# 2006oct29
#
#####

# «dvd-double-layer-split»  (to ".dvd-double-layer-split")
# Note - this is the most primitive solution possible - the resulting
# 2 DVDs have all the original files of the original one, but one
# might have to copy everything back to the HD to have the files in a
# structure that the smartest, more-DVD-player-ish programs can handle

 (eechannel-xterm "A")
mkdir        /oldfs/dvds/corp1/
mount        /tmp/dvd/
cd           /tmp/dvd/
cp -diPpvR * /oldfs/dvds/corp1/
cd           /oldfs/dvds/corp1/
find
du -c

cd /oldfs/dvds/corp1/video_ts/
        'ls' | awk 'NR <= 14'
laf   $('ls' | awk 'NR <= 14')
du -c $('ls' | awk 'NR <= 14')
laf   $('ls' | awk 'NR  > 14')
du -c $('ls' | awk 'NR  > 14')
rm -Rv   /oldfs/dvds/corp1{-1,-2}/
mkdir -p /oldfs/dvds/corp1{-1,-2}/{audio,video}_ts/
cd       /oldfs/dvds/corp1/video_ts/
cp -ilv $('ls' | awk 'NR <= 14') /oldfs/dvds/corp1-1/video_ts/
cp -ilv $('ls' | awk 'NR  > 14') /oldfs/dvds/corp1-2/video_ts/
cd       /oldfs/dvds/corp1-1/
find
du -c
cd       /oldfs/dvds/corp1-2/
find
du -c

umount       /tmp/dvd/

# (find-man "growisofs" "To master and burn an ISO9660")
# (find-sh "dvd+rw-mediainfo /dev/hdc")
cd /oldfs/dvds/corp1-1/
growisofs -dvd-compat -Z /dev/hdc -R -J -v .
cd /oldfs/dvds/corp1-2/
growisofs -dvd-compat -Z /dev/hdc -R -J -v .

 (eechannel-xterm "A")
mkdir        /oldfs/dvds/corp2/
mount        /tmp/dvd/
cd           /tmp/dvd/
cp -diPpvR * /oldfs/dvds/corp2/
cd           /oldfs/dvds/corp2/
find
du -c







#####
#
# dto's e-scripts
# 2006oct16
#
#####

# http://dto.freeshell.org/e/dvd.e
# http://dto.freeshell.org/e/dvd.e.html
# (code-c-d "dtoe" "$S/http/dto.freeshell.org/e/")
# (find-dtoefile "dvd.e")

# (find-man "cdrecord" "    speed=")
# (find-man "cdrecord" "    -dao")
# (find-man "cdrecord" "    -audio")
cdrecord -v -speed=24 -dao -dev=dvd2 -audio -pad -overburn $CDRS

# (find-man "growisofs")
# (find-man "growisofs" "\nEXAMPLES\n")
# (find-man "growisofs" "To master and burn an ISO9660")
growisofs -dvd-compat -Z /dev/cdrom1 -udf -R -J -v /md0/sessions/basement/*.wav
growisofs -dvd-compat -Z /dev/cdrom1 -udf -R -J -v $TMP

# (find-fline "/dev/")


# (find-fline "/big/music/rips-rare/")


 (eechannel-xterm "A")
# (find-sh "dvd+rw-mediainfo /dev/hdc")
sudo ln -sf hdc /dev/dvd

cd /big/music/rips-rare/
growisofs  -v -Z /dev/dvd -R -J harry-caos/

# (find-sh0 "mkdir -p /tmp/dvd; sudo mount -o ro /dev/dvd /tmp/dvd")
# (find-fline "/tmp/dvd/")
# (find-sh0 "sudo umount /tmp/dvd")
 
cd /big/music/rips-rare/
growisofs -M /dev/dvd -R -J joyd-warsaw/


sudo ln -sf hdc /dev/dvd


growisofs -Z /dev/dvd -R -J harry-caos/
growisofs -M /dev/dvd -R -J joyd-warsaw/



 (eechannel-xterm "A")
# (find-sh "dvd+rw-mediainfo /dev/hdc")
sudo ln -sf hdc /dev/dvd

# (find-fline "/big/music/rips-bra/")
cd /big/music/rips-bra/
growisofs -dvd-compat -Z /dev/dvd -R -J -v .

# (find-sh0 "mkdir -p /tmp/dvd; sudo mount -o ro /dev/dvd /tmp/dvd")
# (find-fline "/tmp/dvd/")
# (find-sh0 "sudo umount /tmp/dvd")




#####
#
# dvdauthor
# 2006oct22
#
#####

# «dvdauthor»  (to ".dvdauthor")
# (find-status   "dvdauthor")
# (find-vldifile "dvdauthor.list")
# (find-udfile   "dvdauthor/")
# (find-udfile "dvdauthor/README")
# (find-fline "/oldfs/dvds/ozu/video_ts/")

# http://ftp.debian.org/debian/pool/main/d/dvdauthor/
# http://ftp.debian.org/debian/pool/main/d/dvdauthor/dvdauthor_0.6.11-1.dsc
# http://ftp.debian.org/debian/pool/main/d/dvdauthor/dvdauthor_0.6.11-1.diff.gz
# http://ftp.debian.org/debian/pool/main/d/dvdauthor/dvdauthor_0.6.11.orig.tar.gz
#
rm -Rv ~/usrc/dvdauthor/
mkdir  ~/usrc/dvdauthor/
cd $S/http/ftp.debian.org/debian/pool/main/d/dvdauthor/
cp -v dvdauthor_0.6.11* ~/usrc/dvdauthor/
cd     ~/usrc/dvdauthor/
dpkg-source -sn -x dvdauthor_0.6.11-1.dsc
cd     ~/usrc/dvdauthor/dvdauthor-0.6.11/
dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (code-c-d "dvdauthor" "~/usrc/dvdauthor/dvdauthor-0.6.11/")
# (find-dvdauthorfile "")
# (find-dvdauthorfile "README")
# (find-dvdauthorfile "src/")




#####
#
# copying vobs with bad sectors: bscat.lua
# 2007jan06
#
#####

# «bscat.lua»  (to ".bscat.lua")
# (find-angg "bin/bscat.lua")

Does not work well, it reports bad sectors everywhere at some vobs -
is that a bug in my script? dalias told me to read the archives of the
mplayer mailing lists for info on copy-protection of DVDs by
intentional bad sectors...

http://www.mplayerhq.hu/design7/mailing_lists.html




#####
#
# copying vobs with bad sectors: libdvdread
# 2007jan06
#
#####

# «libdvdread»  (to ".libdvdread")
# (find-efunctiondescr 'brdsc)
# http://ftp.debian.org/debian/pool/main/libd/libdvdread/
# http://ftp.debian.org/debian/pool/main/libd/libdvdread/libdvdread_0.9.7-2.dsc
# http://ftp.debian.org/debian/pool/main/libd/libdvdread/libdvdread_0.9.7-2.diff.gz
# http://ftp.debian.org/debian/pool/main/libd/libdvdread/libdvdread_0.9.7.orig.tar.gz
#
rm -Rv ~/usrc/libdvdread/
mkdir  ~/usrc/libdvdread/
cd $S/http/ftp.debian.org/debian/pool/main/libd/libdvdread/
cp -v libdvdread_0.9.7* ~/usrc/libdvdread/
cd     ~/usrc/libdvdread/
dpkg-source -sn -x libdvdread_0.9.7-2.dsc
cd     ~/usrc/libdvdread/libdvdread-0.9.7/

#
# (code-c-d "libdvdread" "~/usrc/libdvdread/libdvdread-0.9.7/")
# (find-libdvdreadfile "")




#####
#
# copying vobs with bad sectors: vobcopy
# 2007jan06
#
#####

# «vobcopy»  (to ".vobcopy")
# (find-fline "~/LOGS/2006nov10.emacs")
# (find-fline "~/LOGS/2006nov10.emacs" "<Han> edrx, I always use vobcopy -l")
# (find-fline "~/LOGS/2006nov10.emacs" "-dvd-device /path/to/dvd/root dvd://title_no")
# (find-status   "vobcopy")
# (find-vldifile "vobcopy.list")
# (find-udfile   "vobcopy/")

# (find-man "1 vobcopy")
# (find-man "1 vobcopy" "-m, --mirror")
# (find-man "1 vobcopy" "-v, --verbose")
# (find-man "1 vobcopy" "-o, --output-dir OUTPUT-DIR")
# (find-man "1 vobcopy" "-I, --info")
# (find-man "1 vobcopy" "-i, --input-dir INPUT-DIR")
# (find-udfile "vobcopy/alternative_programs.txt")
# (find-udfile "vobcopy/README.gz")
# (find-udfile "vobcopy/Release-Notes.gz")

# (find-fline "/usr/bin/vobcopy")

# (find-bigdvdcopy-script "/oldfs/dvds/ran.iso" 10)

mkdir /oldfs/dvds/ran/
cp -iv /tmp/dvd/video_ts/* /oldfs/dvds/ran/
vobcopy -v -I -i /tmp/dvd/video_ts/ -o /oldfs/dvds/ran/

# (find-bigdvdcopy-script "/oldfs/dvds/capote.iso" 14)
 (eepitch-shell)
mkdir /oldfs/dvds/capote/
vobcopy -m -v -I -i /tmp/dvd/video_ts/ -o /oldfs/dvds/capote/
sudo umount /tmp/dvd/

# (find-fline "/oldfs/dvds/capote/")
# (find-fline "/oldfs/dvds/capote/capote/video_ts/")
# (find-sh0 "sudo umount /tmp/dvd/; rmdir /tmp/dvd/; rm /tmp/dvd")
# (find-sh0 "ln -s /oldfs/dvds/capote/capote /tmp/dvd")
# (find-fline "/tmp/dvd/")






#####
#
# VLC from upstream
# 2007jan14
#
#####

# «vlc-upstream»  (to ".vlc-upstream")
# (find-es "vlc")
# http://www.videolan.org/vlc/
# http://download.videolan.org/pub/videolan/vlc/0.8.6a/vlc-0.8.6a.tar.bz2
# http://ftp.debian.org/debian/pool/main/v/vlc/vlc_0.8.6.a.debian-1.dsc

#
rm -Rv ~/bigsrc/vlc-0.8.6a/
tar -C ~/bigsrc/ -xvjf \
  $S/http/download.videolan.org/pub/videolan/vlc/0.8.6a/vlc-0.8.6a.tar.bz2
cd     ~/bigsrc/vlc-0.8.6a/
./configure |& tee oc

#
dmissing ffmpeg/avcodec.h
apti libavcodec-dev
apti libtheora-dev



# (code-c-d "vlc" "~/bigsrc/vlc-0.8.6a/")
# (find-vlcfile "")


Build-Depends:

#
A=(
debhelper
dh-buildinfo
quilt
nasm
gettext
linux-kernel-headers
xlibmesa-gl-dev
liba52-0.7.4-dev
libarts1-dev
libasound2-dev
libaudiofile-dev
libavcodec-dev
libavformat-dev
libcaca-dev
libcdio-dev
libdvdnav-dev
libdvdread-dev
libdts-dev
libesd0-dev
libflac-dev
libfreetype6-dev
libfribidi-dev
libggi2-dev
libglib2.0-0
libglide2-dev
libgnutls11-dev
libhal-dev
libid3tag0-dev
libidl0
libimlib2-dev
liblircclient-dev
liblivemedia-dev
libmad0-dev
libmatroska-dev
libmodplug-dev
libmpcdec-dev
libmpeg2-4-dev
libncurses5-dev
libogg-dev
libpostproc-dev
libpng12-dev
libsdl1.2-dev
libsmbclient-dev
libsvga1-dev
libsysfs-dev
libtar-dev
libtheora-dev
libvcdinfo-dev
libvorbis-dev
libwxgtk2.6-dev
libx11-dev
libxext-dev
libxml2-dev
libxt-dev
libxv-dev
zlib1g-dev
libavc1394-dev
libraw1394-dev
libxosd-dev
libtwolame-dev
libspeex-dev
libsdl-image1.2-dev
libgtk2.0-dev
python-dev
)
apti $A

#
xulrunner
libxul-dev
libaa1-dev
libavahi-client-dev
libdvbpsi4-dev
libdc1394-13-dev
libnotify-dev

apti linux-headers-2.6.17-2-686






mplayer -dvd-device /oldfs/dvds/padrone/ dvd://

# (find-man "vlc")


http://wiki.multimedia.cx/index.php?title=DVD
http://www.le-hacker.org/dvd.html
http://www.mpucoder.com/DVD/
http://www.mpucoder.com/DVD/vobov.html
http://www.mpucoder.com/guides/index.html





#####
#
# backup of the hdbs using graft-points
# 2006dec23 / 2007apr09
#
#####

# «backup-graft-points»  (to ".backup-graft-points")

 (eepitch-shell)
sudo fdisk /dev/hdb
p
q
mkdir /tmp/hdb1
mkdir /tmp/hdb2
mkdir /tmp/hdb3
mkdir /tmp/hdb5
mkdir /tmp/hdb6
mkdir /tmp/hdb7
sudo mount -o ro /dev/hdb1 /tmp/hdb1
sudo mount -o ro /dev/hdb2 /tmp/hdb2
sudo mount -o ro /dev/hdb3 /tmp/hdb3
sudo mount -o ro /dev/hdb5 /tmp/hdb5
sudo mount -o ro /dev/hdb6 /tmp/hdb6
sudo mount -o ro /dev/hdb7 /tmp/hdb7

sudo umount /dev/hdb1
sudo umount /dev/hdb2
sudo umount /dev/hdb3
sudo umount /dev/hdb5
sudo umount /dev/hdb6
sudo umount /dev/hdb7

sudo mount /dev/hdb1 /tmp/hdb1
sudo mount /dev/hdb2 /tmp/hdb2
sudo mount /dev/hdb3 /tmp/hdb3
sudo mount /dev/hdb5 /tmp/hdb5
sudo mount /dev/hdb6 /tmp/hdb6
sudo mount /dev/hdb7 /tmp/hdb7

cd /tmp

 (eechannel-xterm "A")

umount /tmp/dvd/
sudo mount -o loop,ro -t iso9660 /oldfs/dvds/consent.iso /tmp/dvd/
cd    /tmp/dvd/

# Ele pos todos os arquivos na raiz, vou ter que usar graft points
# (nao terminei)
# (find-man "8 mkisofs" "-graft-points")
function asgraftpoints () {
  awk '{ print "/" $1 "=" $1 }' > /tmp/graft.points
  echo -graft-points -path-list /tmp/graft.points
}

# (find-man "8 mkisofs")
# (find-man "8 mkisofs" "foo/bar/xxx=../old.lis")
cd /tmp/
sudo mkisofs -v -R -J -o /oldfs/dvds/hdb1to6-backup.iso \
  $(print -l hdb1/ hdb2/ hdb3/ hdb5/ hdb6/ | asgraftpoints)

# (find-fline "/oldfs/dvds/")
# (find-fline "/oldfs/dvds/" "hdb1to6-backup.iso")

print -l hdb1 hdb2 hdb3 hdb5 hdb6 | asgraftpoints
# (find-fline "/tmp/graft.points")
# (find-fline "/oldfs/dvds/")
# (find-fline "/oldfs/dvds/" "hdb1to6-backup.iso")

growisofs -dvd-compat -Z /dev/hdc=/oldfs/dvds/pantano.iso
# (find-bigdvdcopy-script "/oldfs/dvds/hdb1to6-backup.iso" 10)
# (find-bigdvdcopy-script "/oldfs/dvds/castelo.iso" 10)

# Sea monkeys:
# (find-fline "/tmp/dvd/hdb6/snarf/http/users.uniserve.com/~sbarclay/holiday.html")
# (find-fline "/tmp/dvd/hdb6/snarf/http/users.uniserve.com/~sbarclay/parttwo.htm")




#####
#
# recording the sarge CDs on a DVD (with graft-points)
# 2007apr09
#
#####

# «sarge-CDs-graft-points»  (to ".sarge-CDs-graft-points")

 (eechannel-xterm "A")
 (eepitch-shell)
mkdir /tmp/sarge1/
mkdir /tmp/sarge2/
mkdir /tmp/sarge3/
mkdir /tmp/sarge4/
mkdir /tmp/sarge5/
mkdir /tmp/sarge6/
sudo mount -o loop,ro $VWT/sarge/debian-31r1-i386-binary-1.iso /tmp/sarge1/
sudo mount -o loop,ro $VWT/sarge/debian-31r1-i386-binary-2.iso /tmp/sarge2/
sudo mount -o loop,ro $VWT/sarge/debian-31r1-i386-binary-3.iso /tmp/sarge3/
sudo mount -o loop,ro $VWT/sarge/debian-31r1-i386-binary-4.iso /tmp/sarge4/
sudo mount -o loop,ro $VWT/sarge/debian-31r1-i386-binary-5.iso /tmp/sarge5/
sudo mount -o loop,ro $VWT/sarge/debian-31r1-i386-binary-6.iso /tmp/sarge6/

# (find-bigdvdcopy-script "/oldfs/dvds/sarge-1to6.iso" 10)
# (find-fline "$VWT/sarge/")

cd $VWT/sarge/
sudo mkisofs -v -R -J -o /oldfs/dvds/sarge-1to6.iso \
  $(print -l *.iso | asgraftpoints)

sudo umount /tmp/dvd/
mount | grep dvd
mount /tmp/dvd/
# (find-fline "/tmp/dvd/")

cd $VWT/sarge/
md5sum *.iso |& tee /tmp/o5vwt
cd /tmp/dvd/
md5sum *.iso |& tee /tmp/o5dvd
cat /tmp/o5vwt /tmp/o5dvd

# (find-fline "/oldfs/dvds/")

# Mount the the .iso image or the real DVD
sudo umount /tmp/dvd/
mount | grep dvd
mount /tmp/dvd/
sudo mount -o loop,ro            /oldfs/dvds/sarge-1to6.iso /tmp/dvd/

# Write the .iso into a single DVD-R
# (find-sh "dvd+rw-mediainfo /dev/hdc")
growisofs -dvd-compat -Z /dev/hdc=/oldfs/dvds/sarge-1to6.iso





#####
#
# youtube-dl (from the debian sources)
# 2011sep07
#
#####

# «youtube-dl»  (to ".youtube-dl")
# «youtube-dl-deb-src»  (to ".youtube-dl-deb-src")
# (find-es "video" "youtube-dl")
# http://www.littleubuntu.com/blog/?p=3
# http://www.arrakis.es/~rggi3/youtube-dl/
# http://ftp.debian.org/debian/pool/main/y/youtube-dl/
# http://ftp.debian.org/debian/pool/main/y/youtube-dl/youtube-dl_2013.07.10-1.dsc
# http://ftp.debian.org/debian/pool/main/y/youtube-dl/youtube-dl_2013.07.10-1.debian.tar.gz
# http://ftp.debian.org/debian/pool/main/y/youtube-dl/youtube-dl_2013.07.10.orig.tar.gz

#
rm -Rv ~/usrc/youtube-dl/
mkdir  ~/usrc/youtube-dl/
cd $S/http/ftp.debian.org/debian/pool/main/y/youtube-dl/
cp -v youtube-dl_2013.07.10* ~/usrc/youtube-dl/
cd     ~/usrc/youtube-dl/
dpkg-source -sn -x youtube-dl_2013.07.10-1.dsc
cd     ~/usrc/youtube-dl/youtube-dl-2013.07.10/
dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (find-fline "~/usrc/youtube-dl/")
 (eepitch-shell)
cd ~/usrc/youtube-dl/
sudo dpkg -i *.deb

#
# (code-c-d "youtubedl" "~/usrc/youtube-dl/youtube-dl-2013.07.10/")
# (find-youtubedlfile "")
# (find-status   "youtube-dl")
# (find-vldifile "youtube-dl.list")
# (find-udfile   "youtube-dl/")
# (find-fline "/usr/bin/youtube-dl")
# (find-man "1 youtube-dl")
# (find-man "1 youtube-dl" "-f FMT")
# http://rg3.github.com/youtube-dl/faq.html
# https://github.com/rg3/youtube-dl/

# (find-youtubedl-links "/sda5/videos/" "" "4t_72EYcP90" "" "{stem}")
# youtube-dl -F -t 'http://www.youtube.com/watch?v=4t_72EYcP90'
# youtube-dl -f 18 -t 'http://www.youtube.com/watch?v=4t_72EYcP90'

 (eexterm-kill)
 (eexterm "A")
cd /tmp/
youtube-dl 'http://www.youtube.com/watch?v=KLGtw8ebWHA'
# mv -iv ... ~/tmp/brookers_harry_potter.flv
cd ~/tmp/
mplayer brookers_harry_potter.flv


# http://packages.qa.debian.org/y/youtube-dl.html


# http://rg3.github.com/youtube-dl/download.html
# https://github.com/rg3/youtube-dl/raw/2011.02.25c/youtube-dl
 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd $S/https/github.com/rg3/youtube-dl/raw/
cp -v 2011.02.25c/youtube-dl ~/bin/
chmod 755  ~/bin/youtube-dl

cd /tmp/
mkdir /tmp/ydl/
cd    /tmp/ydl/
cd /sda5/videos/
youtube-dl -t 'http://www.youtube.com/watch?v=Ra6WJgVt4Y0'

# (find-sh "youtube-dl")
# (find-sh "youtube-dl -h")

# http://deturl.com/




#####
#
# dvdbackup
# 2013jan03
#
#####

# «dvdbackup» (to ".dvdbackup")
# (find-status   "dvdbackup")
# (find-vldifile "dvdbackup.list")
# (find-udfile   "dvdbackup/")
# (find-man "1 dvdbackup")
# (find-man "1 dvdbackup" "VIDEO_TS")
# (find-man "1 dvdbackup" "dvdbackup -M")
# (find-man "1 dvdbackup" "dvdbackup -M" "dvdauthor" "IFO files")
# (find-man "1 dvdbackup" "select read error handling")
# (find-udfile "dvdbackup/README.Debian")
# (find-udfile "dvdbackup/README.gz")
# (find-udfile "dvdbackup/NEWS.gz")
# (find-udfile "dvdbackup/AUTHORS")
# (find-udfile "dvdbackup/copyright")
# (find-udfile "dvdbackup/changelog.gz")
# (find-udfile "dvdbackup/changelog.Debian.gz")
# https://wiki.archlinux.org/index.php/Dvdbackup

# (find-dvd-links)
# (find-sh "dmesg | tail")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /sda7/DVDs/
mkdir Lear/
cd /sda7/DVDs/Lear/
dvdbackup -M -i /dev/sr0

# (find-fline "/sda7/DVDs/Lear/KING_LEAR/")

cd    /sda7/DVDs/
mkdir /sda7/DVDs/ParaPara/
cd    /sda7/DVDs/ParaPara/
dvdbackup -M -i /dev/sr0
# (find-fline "/sda7/DVDs/ParaPara/")
# (find-fline "/sda7/DVDs/ParaPara/Harajuku Dansu  3/VIDEO_TS/")





#####
#
# lsdvd
# 2013jan03
#
#####

# «lsdvd» (to ".lsdvd")
# (find-status   "lsdvd")
# (find-vldifile "lsdvd.list")
# (find-udfile   "lsdvd/")

# (find-udfile "lsdvd/README")
# (find-man "1 lsdvd")
# (find-fline "/usr/bin/lsdvd")

lsdvd -h
lsdvd    /dev/sr0
lsdvd -x /dev/sr0
# (find-sh "lsdvd -x /dev/sr0")




#####
#
# k9copy
# 2013feb14
#
#####

# «k9copy» (to ".k9copy")
# (find-status   "k9copy")
# (find-vldifile "k9copy.list")
# (find-udfile   "k9copy/")
# http://k9copy.sourceforge.net/web/index.php/en/




#####
#
# Extracting subtitles with avidemux
# 2013feb14
#
#####

# «subtitles-avidemux» (to ".subtitles-avidemux")
# (find-es "video" "avidemux")
# http://en.flossmanuals.net/Avidemux/ExtractingDVDSubtitles/
#   ^ good explanation of the VOBSUB format



#####
#
# subtitleripper
# 2013feb15
#
#####

# «subtitleripper» (to ".subtitleripper")
# http://www.dvd-guides.com/content/view/231/59/

# (find-sh "grep-aptavail -i subtitle")
# (find-zsh "installeddebs | sort | grep subtitleripper")
# (find-zsh "availabledebs | sort | grep subtitleripper")

# (find-status   "subtitleripper")
# (find-vldifile "subtitleripper.list")
# (find-udfile   "subtitleripper/")
# (find-status   "ksubtitleripper")
# (find-vldifile "ksubtitleripper.list")
# (find-udfile   "ksubtitleripper/")
# http://subtitleripper.sourceforge.net/
# http://ksubtitleripper.berlios.de/

# (find-status   "transcode")
# (find-vldifile "transcode.list")
# (find-udfile   "transcode/")
# (find-status   "transcode-doc")
# (find-vldifile "transcode-doc.list")
# (find-udfile   "transcode-doc/")





#  Local Variables:
#  coding:               utf-8-unix
#  End:
