#######
#
# E-scripts on putting my ethernet card to work at home.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/ethernet.e>
#           or at <http://angg.twu.net/e/ethernet.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




#######
#
# Rede (99jan30)
#
#######

# (find-fline "/usr/doc/HOWTO/")
# (find-fline "/usr/doc/HOWTO/NET-3-HOWTO.gz" 950)
# (find-fline "/usr/doc/HOWTO/Ethernet-HOWTO.gz")
# (find-k22file "")

sh /usr/src/linux-2.2/scripts/ver_linux

cd $MODULES
insmod 8390.o
insmod ne2k-pci.o

ifconfig eth0 down
ifconfig
route

ifconfig eth0 10.0.1.1 netmask 255.255.255.0 up
# route add 10.0.1.3 eth0

# route add -net 10.0.1.0 netmask 255.255.255.0 eth0
# route add default gw 10.0.1.1 eth0

ifconfig
route

route add default gw 10.0.1.1 eth0
route

ifconfig eth0 192.168.1.10 netmask 255.255.255.0 up
route add -net 192.168.1.0 netmask 255.255.255.0 eth0
route add default gw 192.168.1.1 eth0

ping 10.0.1.3

dpkg -iE ~/HASH/smbfsx ~/HASH/samba
agrep smb $HAI/../../Contents

psne $FDEBIAN/dists/slink/main/source/base/netbase_3.11-1.2.diff.gz
psne $FDEBIAN/dists/slink/main/source/base/netbase_3.11-1.2.dsc








#  Local Variables:
#  coding:               utf-8-unix
#  End:
