#######
#
# E-scripts on expat, luaexpat, etc.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/expat.e>
#           or at <http://angg.twu.net/e/expat.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.expat-src»		(to "expat-src")
# «.xml_in_a_nutshell»	(to "xml_in_a_nutshell")




#####
#
# expat-2.0.0
# 2007may17
#
#####

# «expat-src»  (to ".expat-src")
# http://ufpr.dl.sourceforge.net/sourceforge/expat/expat-2.0.0.tar.gz
#
rm -Rv ~/usrc/expat-2.0.0/
tar -C ~/usrc/ -xvzf \
  $S/http/ufpr.dl.sourceforge.net/sourceforge/expat/expat-2.0.0.tar.gz
cd     ~/usrc/expat-2.0.0/

./configure |& tee oc
make        |& tee om

#
# (code-c-d "expat" "~/usrc/expat-2.0.0/")
# (find-expatfile "")
# (find-expatw3m "doc/reference.html")

# (find-es "lua5" "kepler-1.1")
# (code-c-d "keplersrc" "~/usrc/kepler-1.1/")
# (find-keplersrcfile "")
# (find-keplersrcfile "luaexpat/")




http://www.xml.com/axml/testaxml.htm
http://www.xml.com/pub/a/98/10/guide0.html
http://www.xml.com/pub/a/98/10/guide0.html?page=2
http://www.xml.com/axml/target.html
http://www.xml.com/pub/a/98/09/exexegesis-0.html

http://homepages.inf.ed.ac.uk/wadler/topics/xml.html
http://homepages.inf.ed.ac.uk/wadler/papers/xml-essence/xml-essence.pdf
http://homepages.inf.ed.ac.uk/wadler/papers/xml-essence/xml-essence-slides.pdf
http://homepages.inf.ed.ac.uk/wadler/papers/next700/next700.dvi.gz
http://homepages.inf.ed.ac.uk/wadler/papers/next700dimacs/next700dimacs.dvi.gz
http://homepages.inf.ed.ac.uk/wadler/papers/xsl-semantics/xsl-semantics.dvi.gz
http://homepages.inf.ed.ac.uk/wadler/papers/xpath-semantics/xpath-semantics.dvi.gz

http://homepages.inf.ed.ac.uk/wadler/xml/




#####
#
# XML in a Nutshell, 2nd ed (O'Reilly)
# 2007may21
#
#####

# «xml_in_a_nutshell»  (to ".xml_in_a_nutshell")
# (find-unpack-chm-links "~/books/oreilly_xml_in_a_nutshell_2nd.chm")
#  "~/usrc/xmlnutshell/" "xmlnutshell"
# (find-fline "~/books/" "oreilly_xml_in_a_nutshell_2nd.chm")
#
rm -Rv ~/usrc/xmlnutshell/
mkdir  ~/usrc/xmlnutshell/
cd     ~/usrc/xmlnutshell/
extract_chmLib \
  ~/books/oreilly_xml_in_a_nutshell_2nd.chm \
  ~/usrc/xmlnutshell/

#
# (code-c-d "xmlnutshell" "~/usrc/xmlnutshell/")
# (find-xmlnutshellfile "")
# (find-xmlnutshellw3m "Front matter.htm")
# (find-xmlnutshellw3m "_chapter 20.htm" "\nDefault Values")

# (code-ps "xmlpocketref" "~/books/xml_pocket_ref.pdf")
# (find-xmlpocketrefpage 1)
# (find-xmlpocketrefpage 6)
# (find-xmlpocketrefpage (+ 7 43))

# (code-ps "learningxml" "~/books/learning_xml.pdf")
# (find-learningxmlpage 1)
# (find-learningxmlpage 3)
# (find-learningxmlpage (+ 4 36))






#  Local Variables:
#  coding:               utf-8-unix
#  End:
