#######
#
# E-scripts on Factor.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/factor.e>
#           or at <http://angg.twu.net/e/factor.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.factor»	(to "factor")

# (find-es "fortho" "factor")


http://docs.factorcode.org/content/article-first-program.html
slime fuel gadget.

gadget.
http://docs.factorcode.org/content/word-04291270155ef6b03b5357e9107b5450c9631d7e.html

khttp://www.nongnu.org/geiser/
http://factor-language.blogspot.com/2009/01/screencast-editing-factor-code-with.html
http://programming-musings.org/2009/05/14/geiser/
http://programming-musings.org/category/emacs/





#####
#
# Factor
# 2011nov20
#
#####

# «factor»  (to ".factor")
# (find-es "fortho" "factor")
# http://en.wikipedia.org/wiki/Factor_(programming_language)
# Freenode: #concatenative
# http://factorcode.org/
# http://github.com/slavapestov/factor/
# http://concatenative.org/wiki/view/Factor/GIT%20repository
# http://concatenative.org/wiki/view/Factor/Building%20Factor

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rfv ~/usrc/factor/
rm -Rfv ~/bigsrc/factor/
cd      ~/bigsrc/
tar  -C ~/bigsrc/ -xvzf ~/tmp/factor-git.gz
git clone git://factorcode.org/git/factor.git
# ^ should be "update"...
tar -cvzf ~/tmp/factor-git.gz factor/

cd      ~/bigsrc/factor/
./build-support/factor.sh update  |& tee obfu

# (code-c-d "factor" "~/bigsrc/factor/")
# (find-factorfile "")
# (find-factorfile "build-support/")
# (find-factorfile "build-support/factor.sh")
# (find-factorfile "extra/lua/lua.factor")

# Core bootstrap completed in 36 minutes and 40 seconds.
# Bootstrap completed in 36 minutes and 40 seconds.
# Bootstrapping is complete.
# Now, you can run Factor:
# /home/edrx/bigsrc/factor/factor -i=factor.image

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd ~/bigsrc/factor/
./factor -i=factor.image
./factor -i=factor.image.fresh

# http://re-factor.blogspot.com/



# 2022apr14:
# https://github.com/factor/factor
# (find-git-links "https://github.com/factor/factor" "factor")
# (code-c-d "factor" "~/bigsrc/factor/")
# (find-factorfile "")
# (find-factorsh "find * | sort")
# (find-factorsh "find basis/ | sort")
# (find-factorfile "basis/editors/emacs/")

# https://concatenative.org/wiki/view/Front%20Page

# https://github.com/mcandre/fuel

# (find-epackage-links 'fuel "fuel" t)
# (find-epackage       'fuel)
# (code-c-d "fuel" "~/.emacs.d/elpa/fuel-20211221.2127/")
# (find-fuelfile "")


https://kittenlang.org/








#  Local Variables:
#  coding:               utf-8-unix
#  End:

