#######
#
# E-scripts on fengari.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/fengari.e>
#           or at <http://angg.twu.net/e/fengari.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




https://news.ycombinator.com/item?id=30404104 Fengari – Lua for the Browser (fengari.io) - If one likes Python, then the chance of liking Lua are low / The Infamous TCL War
https://fengari.io/


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "/tmp/fengari/")
rm -Rv /tmp/fengari/
mkdir  /tmp/fengari/
cd     /tmp/fengari/
curl -L -O https://github.com/fengari-lua/fengari-web/releases/download/v0.1.4/fengari-web.js
cat > test.html <<'%%%'
  <script src="fengari-web.js" type="text/javascript"></script>
  <script type="application/lua">
  print("hello world!")
  </script>
%%%

# file:///tmp/fengari/

https://www.youtube.com/watch?v=xrLIgmd8xik


https://github.com/fengari-lua/fengari
https://github.com/fengari-lua/fengari-web
https://github.com/fengari-lua/fengari-interop
https://github.com/fengari-lua/fengari-node-cli
https://github.com/fengari-lua/fengari-loader
https://hackernoon.com/why-we-rewrote-lua-in-js-a66529a8278d

# rm -Rfv ~/usrc/fengari/
cd      ~/usrc/
git clone https://github.com/fengari-lua/fengari
cd      ~/usrc/fengari/

# rm -Rfv ~/usrc/fengari-web/
cd      ~/usrc/
git clone https://github.com/fengari-lua/fengari-web
cd      ~/usrc/fengari-web/

# rm -Rfv ~/usrc/fengari-interop/
cd      ~/usrc/
git clone https://github.com/fengari-lua/fengari-interop
cd      ~/usrc/fengari-interop/

# rm -Rfv ~/usrc/fengari-node-cli/
cd      ~/usrc/
git clone https://github.com/fengari-lua/fengari-node-cli
cd      ~/usrc/fengari-node-cli/

# rm -Rfv ~/usrc/fengari-loader/
cd      ~/usrc/
git clone https://github.com/fengari-lua/fengari-loader
cd      ~/usrc/fengari-loader/

# (code-c-d "fengari" "~/usrc/fengari/")
# (find-fengarifile "")
# (code-c-d "fengariweb" "~/usrc/fengari-web/")
# (find-fengariwebfile "")
# (code-c-d "fengariinterop" "~/usrc/fengari-interop/")
# (find-fengariinteropfile "")
# (code-c-d "fengarinodecli" "~/usrc/fengari-node-cli/")
# (find-fengarinodeclifile "")
# (code-c-d "fengariloader" "~/usrc/fengari-loader/")
# (find-fengariloaderfile "")

(let ((default-directory "~/usrc/"))
  (grep "grep --color=auto -niRH --null -e html fengari*")
  )



#  Local Variables:
#  coding:               utf-8-unix
#  End:
