#######
#
# E-scripts on fortran.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/fortran.e>
#           or at <http://angg.twu.net/e/fortran.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.debian»		(to "debian")
# «.fortran-mode»	(to "fortran-mode")



#####
#
# debian
# 2022oct16
#
#####

# «debian»  (to ".debian")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
apti gfortran
apti gfortran-10-doc
apti doc-base

The following additional packages will be installed:
  libuuid-perl
Suggested packages:
  dhelp | dwww | dochelp | doc-central | yelp | khelpcenter
The following NEW packages will be installed:
  doc-base libuuid-perl

Preparing to unpack .../doc-base_0.11.1_all.deb ...
Unpacking doc-base (0.11.1) ...
Setting up libuuid-perl (0.28-1+b2) ...
Setting up doc-base (0.11.1) ...
Registering 177 doc-base files...
Error in `/usr/share/doc-base/dblatex-releasenotes', line 13: all `Format' sections are invalid.
Error in `/usr/share/doc-base/dblatex-manual', line 13: all `Format' sections are invalid.
Note: `install-docs --verbose --check file_name' may give more details about the above errors.
Processing triggers for man-db (2.9.4-2) ...

Learn Fortran | Your first program | fortran Tutorial 1 

https://yewtu.be/watch?v=OE01hgDfrnA&list=PLlN_VAm6znTLUlWobSsMPjgiIgcPnVkQp


# (find-status   "gfortran")
# (find-vldifile "gfortran.list")
# (find-udfile   "gfortran/")
# (find-udfile "gfortran/README.Debian")

# (find-man "gfortran")


#####
#
# fortran-mode
# 2022oct16
#
#####

# «fortran-mode»  (to ".fortran-mode")
# (find-efunctiondescr 'fortran-mode)
# (find-efunction      'fortran-mode)
# (find-efunctiondescr 'f90-mode)
# (find-efunction      'f90-mode)
# (find-es "emacs" "auto-mode-alist")
# (find-evardescr 'auto-mode-alist)
# (find-evariable 'auto-mode-alist)




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; fortran tools
;; https://fortran-lang.org/
;; apt install gfortran
https://github.com/Beliavsky/Fortran-Tools

;; https://www.reddit.com/r/fortran/comments/jr7ut9/fortran_for_computational_chemistry/
;; https://www.reddit.com/r/fortran/comments/v8ypli/are_there_any_good_fortran_ides_on_linux/
;; editors
;; emacs, neovim, code:;blocks
;;

;; CBFortran = Code::Blocks IDE for Fortran https://cbfortran.sourceforge.io/ , for installation https://www.youtube.com/watch?v=PAd5IHs3OIs .. you can use geany also https://www.geany.org/
;; TL;DR - Find an editor that supports LSP and figure out how to configure it to work with either
;; https://github.com/hansec/fortran-language-server
;; Or
;; https://github.com/gnikit/fortls
;; The IDE itself doesn’t matter. Odds are your just looking for something that supports Fortran completion, suggestions, quick fixes, etc.

;; Doom fortran modules
;; https://github.com/doomemacs/doomemacs/tree/master/modules/lang/fortran

;; (fortran +lsp +ifort)

;; https://emacs-lsp.github.io/lsp-mode/page/lsp-fortran/
;; pip install fortls

;; fortran tags
;; https://github.com/raullaasner/fortran-tagS

;; fortran videos
https://fortranwiki.org/fortran/show/Videos

;; Modern fortran by example
https://yewtu.be/channel/UCxyrnOWKQ6BJVGurA3vOMWA

;; Fortran for Advanced Quantum Chemistry Methods
https://github.com/cp2k/cp2k
https://qc2-teaching.readthedocs.io/en/latest/index.html
https://www.amazon.com/Fortran-Programs-Chemical-Analysis-Simulation/dp/0884152804

;;"Understanding Molecular Simulations" by Dann Frenkel

;; Chemistry Source Code Fortran Languages
https://www.iaswww.com/apr/Computers/Programming/Languages/Fortran/Source_Code/Chemistry/

;; http://www.diracprogram.org/doku.php

https://www.winteracter.com/
https://news.ycombinator.com/item?id=39438771 Winteracter – The Fortran GUI Toolset (winteracter.com)




#  Local Variables:
#  coding:               utf-8-unix
#  End:
