#######
#
# E-scripts on Gaim.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/gaim.e>
#           or at <http://angg.twu.net/e/gaim.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.gaim-meanwhile»	(to "gaim-meanwhile")
# «.PKG_CONFIG_PATH»	(to "PKG_CONFIG_PATH")






######
#
# meanwhile and gaim-meanwhile: compiling
# 2006jul06
#
######

# «gaim-meanwhile»  (to ".gaim-meanwhile")
# Dependencies:
apti gaim pkg-config libglib2.0-dev
# gaim-dev is not in the first 6 sarge CDs:
# http://ftp.debian.org/debian/pool/main/g/gaim/
# http://ftp.debian.org/debian/pool/main/g/gaim/gaim-dev_1.2.1-1.4_i386.deb
cd $S/http/ftp.debian.org/debian/pool/main/g/gaim/
sudo dpkg -i gaim-dev_1.2.1-1.4_i386.deb

# (find-status   "gaim")
# (find-vldifile "gaim.list")
# (find-udfile   "gaim/")
# (find-status   "gaim-dev")
# (find-vldifile "gaim-dev.list")
# (find-udfile   "gaim-dev/")
# (find-zsh "acse gaim")
# (find-zsh "dmissing -i gaim.pc")
# (find-zsh "dmissing -i gaim-dev")
# (find-zsh "acse glib2.0")
# http://meanwhile.sourceforge.net/
# http://optusnet.dl.sourceforge.net/sourceforge/meanwhile/meanwhile-1.0.2.tar.gz
# http://optusnet.dl.sourceforge.net/sourceforge/meanwhile/gaim-meanwhile-1.2.8.tar.gz

# (code-c-d "meanwhile"     "~/usrc/meanwhile-1.0.2/")
# (code-c-d "gaimmeanwhile" "~/usrc/gaim-meanwhile-1.2.8/")
# (find-meanwhilefile "")
# (find-gaimmeanwhilefile "")

#
rm -Rv ~/usrc/meanwhile-1.0.2/
tar -C ~/usrc/ -xvzf \
  $S/http/optusnet.dl.sourceforge.net/sourceforge/meanwhile/meanwhile-1.0.2.tar.gz
cd     ~/usrc/meanwhile-1.0.2/
./configure |& tee oc
make        |& tee om

#
rm -Rv ~/usrc/gaim-meanwhile-1.2.8/
tar -C ~/usrc/ -xvzf \
  $S/http/optusnet.dl.sourceforge.net/sourceforge/meanwhile/gaim-meanwhile-1.2.8.tar.gz
cd     ~/usrc/gaim-meanwhile-1.2.8/
./configure --help |& tee och
PKG_CONFIG_PATH=$HOME/usrc/meanwhile-1.0.2 \
GAIM_CFLAGS="-I/usr/include/gaim -I$HOME/usrc/meanwhile-1.0.2/src" \
LDFLAGS="-L$HOME/usrc/meanwhile-1.0.2/src" \
  ./configure      |& tee oc
make               |& tee om

#
# (find-gaimmeanwhilefile "src/")
# (find-gaimmeanwhilefile "om")
# (find-meanwhilefile "src/" "mw_cipher.h")
# (find-gaimmeanwhilefile "")
# (find-gaimmeanwhilefile "src/mwgaim.c")

#
# «PKG_CONFIG_PATH»  (to ".PKG_CONFIG_PATH")
# It took me a while to find the right setting...
# (find-man "1 pkg-config")
# (find-man "1 pkg-config" "PKG_CONFIG_PATH")
# (find-gaimmeanwhilefile "")
# (find-gaimmeanwhilefile "configure")
# (find-gaimmeanwhilefile "configure" "pkg_cv_MEANWHILE_LIBS=")
# (find-gaimmeanwhilefile "configure" "PKG_CONFIG_PATH=")
# (find-gaimmeanwhilefile "och")
# (find-gaimmeanwhilefile "och" "LDFLAGS")
# (find-gaimmeanwhilefile "och" "MEANWHILE_LIBS")
# (find-gaimmeanwhilefile "oc")
# (find-gaimmeanwhilefile "oc" "meanwhile.pc")
# (find-fline "$HOME/usrc/meanwhile-1.0.2/src/")
cd /tmp/
PKG_CONFIG_PATH=$HOME/usrc/meanwhile-1.0.2 \
  pkg-config --exists --print-errors "meanwhile >= 1.0.0 meanwhile < 2.0.0"

#








#  Local Variables:
#  coding:               utf-8-unix
#  modes:                (fundamental-mode emacs-lisp-mode)
#  End:
