#######
#
# E-scripts on gettext.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/gettext.e>
#           or at <http://angg.twu.net/e/gettext.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.gettext-git»	(to "gettext-git")



# (find-status   "gettext")
# (find-vldifile "gettext.list")
# (find-udfile   "gettext/")

# https://en.wikipedia.org/wiki/Gettext
# https://www.gnu.org/software/gettext/
# https://ftp.gnu.org/pub/gnu/gettext/gettext-0.20.1.tar.gz
# https://savannah.gnu.org/projects/gettext/
# git://git.savannah.gnu.org/gettext.git 





#####
#
# gettext from git
# 2019jul09
#
#####

# «gettext-git» (to ".gettext-git")
# git://git.savannah.gnu.org/gettext.git
# https://git.savannah.gnu.org/gettext.git

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -Rfv ~/usrc/gettext/
cd      ~/usrc/
git clone git://git.savannah.gnu.org/gettext.git
cd      ~/usrc/gettext/
git reset

aclocal
autoheader
autoreconf

# git clean -dfx
# git reset --hard

# (find-fline "~/usrc/")
# (find-fline "~/usrc/gettext/")
# (find-gitk  "~/usrc/gettext/")

# (code-c-d "gettext" "~/usrc/gettext/")
# (find-gettextfile "")
# (find-gettextfile "INSTALL")








#  Local Variables:
#  coding:               utf-8-unix
#  ee-anchor-format:     "«%s»"
#  End:
