\#######
#
# E-scripts on godot.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://anggtwu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://anggtwu.net/e/godot.e>
#           or at <http://anggtwu.net/e/godot.e.html>.
#        See also <http://anggtwu.net/emacs.html>,
#                 <http://anggtwu.net/.emacs[.html]>,
#                 <http://anggtwu.net/.zshrc[.html]>,
#                 <http://anggtwu.net/escripts.html>,
#             and <http://anggtwu.net/>.
#
#######



# «.unzip»			(to "unzip")
# «.vulkan»			(to "vulkan")
# «.learn-gdscript»		(to "learn-gdscript")
# «.godot-docs»			(to "godot-docs")
# «.gdscript-mode»		(to "gdscript-mode")
# «.godot_grapher»		(to "godot_grapher")
# «.step-by-step»		(to "step-by-step")
# «.dodge-the-creeps»		(to "dodge-the-creeps")
# «.squash-the-creeps»		(to "squash-the-creeps")
# «.editor»			(to "editor")
# «._init»			(to "_init")
# «._ready»			(to "_ready")
# «.get_node»			(to "get_node")
# «.scripting»			(to "scripting")
# «.godot-demo-projects»	(to "godot-demo-projects")
# «.signal»			(to "signal")
# «.instancing»			(to "instancing")
# «.animation»			(to "animation")


https://pinglestudio.com/blog/full-cycle-development/godot-vs-unity-2022
https://www.reddit.com/r/godot/comments/bmv2mk/anyone_using_emacs_as_external_editor/
https://www.reddit.com/r/godot/comments/11ze0dy/godot_401_is_unbearably_slow_for_me/
https://github.com/godotengine/emacs-gdscript-mode
https://pinglestudio.com/blog/full-cycle-development/godot-vs-unity-2022
https://docs.godotengine.org/en/stable/getting_started/step_by_step/
https://godotengine.org/asset-library/asset?category=10&support[official]=1

https://hn.algolia.com/?q=godot
https://hn.algolia.com/?dateRange=all&page=0&prefix=false&query=godot&sort=byDate&type=story





#####
#
# unzip
# 2023jun28
#
#####

# «unzip»  (to ".unzip")
# (find-man "1 unzip")
# (find-man "1 unzip" "-o     overwrite existing files")
# https://godotengine.org/download/linux/
# https://godotengine.org/download/3.x/linux/
# https://downloads.tuxfamily.org/godotengine/4.0.3/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "~/bigsrc/godots/")
# rm -Rv ~/bigsrc/godots/
mkdir -p ~/bigsrc/godots/
cd       ~/bigsrc/godots/
mv -v /tmp/Godot_v3.5.2-stable_x11.64.zip .
mv -v /tmp/Godot_v4.0-stable_linux.x86_64.zip .
mv -v /tmp/Godot_v4.0.3-stable_linux.x86_64.zip .
mv -v /tmp/Godot_v4.1-stable_linux.x86_64.zip .
unzip -f Godot_v3.5.2-stable_x11.64.zip
unzip -o Godot_v4.0-stable_linux.x86_64.zip
unzip -f Godot_v4.0.3-stable_linux.x86_64.zip
unzip -f Godot_v4.1-stable_linux.x86_64.zip

 (eepitch-shell3)
 (eepitch-kill)
 (eepitch-shell3)
mkdir -p ~/bigsrc/godots/a/
~/bigsrc/godots/Godot_v3.5.2-stable_x11.64

~/bigsrc/godots/Godot_v4.0-stable_linux.x86_64
~/bigsrc/godots/Godot_v4.0.3-stable_linux.x86_64
~/bigsrc/godots/Godot_v4.1-stable_linux.x86_64
~/bigsrc/godots/Godot_v4.1-stable_linux.x86_64 --help
~/bigsrc/godots/Godot_v4.1-stable_linux.x86_64 --editor --debug
~/bigsrc/godots/Godot_v4.1-stable_linux.x86_64 --editor --video-driver GLES2
~/bigsrc/godots/Godot_v4.1-stable_linux.x86_64 --rendering-driver opengl3
~/bigsrc/godots/Godot_v4.1-stable_linux.x86_64 --display-driver x11


https://docs.godotengine.org/en/3.5/
https://docs.godotengine.org/en/3.5/getting_started/introduction/introduction_to_godot.html
https://docs.godotengine.org/en/3.5/getting_started/step_by_step/index.html
https://github.com/godotengine/emacs-gdscript-mode
https://docs.godotengine.org/en/3.5/tutorials/scripting/gdscript/index.html
https://docs.godotengine.org/en/3.5/getting_started/introduction/learn_to_code_with_gdscript.html


Your video card drivers seem not to support the required OpenGL 3.3 version.
If possible, consider updating your video card drivers.
If you recently updated your video card drivers, try rebooting.

https://ask.godotengine.org/138019/godot-doesnt-start-due-to-opengl-version
https://github.com/godotengine/godot/issues/76524 Godot not support your video card #76524
https://www.reddit.com/r/godot/comments/xefouu/almost_cried/
https://godotengine.org/download/linux/
https://godotengine.org/article/about-godot4-vulkan-gles3-and-gles2/
https://godotengine.org/article/abandoning-gles3-vulkan-and-gles2



#####
#
# vulkan
# 2023jul08
#
#####

# «vulkan»  (to ".vulkan")

apti libvulkan1
https://wiki.archlinux.org/title/Vulkan

ls /usr/share/vulkan/icd.d/

apti vulkan-tools

# (find-status   "vulkan-tools")
# (find-vldifile "vulkan-tools.list")
# (find-udfile   "vulkan-tools/")
# (find-sh "vulkaninfo")

vkcube
vkcubepp

# (find-man "1 vulkaninfo")




#####
#
# learn-gdscript
# 2023jul27
#
#####

# «learn-gdscript»  (to ".learn-gdscript")
# https://github.com/GDQuest/learn-gdscript
# (find-git-links "https://github.com/GDQuest/learn-gdscript" "learngdscript")
# (code-c-d "learngdscript" "~/usrc/learn-gdscript/")
# (find-learngdscriptfile "")
# (find-learngdscriptgrep "grep --color=auto -nRH --null -e 'Board Width' *")
# (find-learngdscriptgrep "grep --color=auto -niRH --null -e Board *")
# (find-learngdscriptfile "course/lesson-17-while-loops/")
# (find-learngdscriptfile "course/lesson-17-while-loops/lesson.tres" "Moving to the end of a board")
# (find-learngdscriptfile "course/README.md")
# (find-learngdscriptfile "course/README.md" "SOLID")
# (find-learngdscriptfile "README.md" "The desktop version offers better performance")

# (find-learngdscriptfile "course/lesson-4-drawing-a-rectangle/drawing_rectangle/DrawingRectangle.gd")


 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
ee_ls = function (n)
    local fmt = "echo -n ~/usrc/learn-gdscript/course/lesson-%s-*/"
    return ee_shorten(getoutput(format(fmt, n)))
  end
for i=1,28 do print(ee_ls(i)) end
for i=1,28 do
  print(format('(code-c-d "learngd%s" "%s")', i, ee_ls(i)))
end
for i=1,28 do
  print(format('(find-learngd%sfile "")', i))
end


(code-c-d "learngd1" "~/usrc/learn-gdscript/course/lesson-1-what-code-is-like/")
(code-c-d "learngd2" "~/usrc/learn-gdscript/course/lesson-2-your-first-error/")
(code-c-d "learngd3" "~/usrc/learn-gdscript/course/lesson-3-standing-on-shoulders-of-giants/")
(code-c-d "learngd4" "~/usrc/learn-gdscript/course/lesson-4-drawing-a-rectangle/")
(code-c-d "learngd5" "~/usrc/learn-gdscript/course/lesson-5-your-first-function/")
(code-c-d "learngd6" "~/usrc/learn-gdscript/course/lesson-6-multiple-function-parameters/")
(code-c-d "learngd7" "~/usrc/learn-gdscript/course/lesson-7-member-variables/")
(code-c-d "learngd8" "~/usrc/learn-gdscript/course/lesson-8-defining-variables/")
(code-c-d "learngd9" "~/usrc/learn-gdscript/course/lesson-9-adding-and-subtracting/")
(code-c-d "learngd10" "~/usrc/learn-gdscript/course/lesson-10-the-game-loop/")
(code-c-d "learngd11" "~/usrc/learn-gdscript/course/lesson-11-time-delta/")
(code-c-d "learngd12" "~/usrc/learn-gdscript/course/lesson-12-using-variables/")
(code-c-d "learngd13" "~/usrc/learn-gdscript/course/lesson-13-conditions/")
(code-c-d "learngd14" "~/usrc/learn-gdscript/course/lesson-14-multiplying/")
(code-c-d "learngd15" "~/usrc/learn-gdscript/course/lesson-15-modulo/")
(code-c-d "learngd16" "~/usrc/learn-gdscript/course/lesson-16-2d-vectors/")
(code-c-d "learngd17" "~/usrc/learn-gdscript/course/lesson-17-while-loops/")
(code-c-d "learngd18" "~/usrc/learn-gdscript/course/lesson-18-for-loops/")
(code-c-d "learngd19" "~/usrc/learn-gdscript/course/lesson-19-creating-arrays/")
(code-c-d "learngd20" "~/usrc/learn-gdscript/course/lesson-20-looping-over-arrays/")
(code-c-d "learngd21" "~/usrc/learn-gdscript/course/lesson-21-strings/")
(code-c-d "learngd22" "~/usrc/learn-gdscript/course/lesson-22-functions-return-values/")
(code-c-d "learngd23" "~/usrc/learn-gdscript/course/lesson-23-append-to-arrays/")
(code-c-d "learngd24" "~/usrc/learn-gdscript/course/lesson-24-access-array-indices/")
(code-c-d "learngd25" "~/usrc/learn-gdscript/course/lesson-25-creating-dictionaries/")
(code-c-d "learngd26" "~/usrc/learn-gdscript/course/lesson-26-looping-over-dictionaries/")
(code-c-d "learngd27" "~/usrc/learn-gdscript/course/lesson-27-value-types/")
(code-c-d "learngd28" "~/usrc/learn-gdscript/course/lesson-28-specifying-types/")
(find-learngd1file "")
(find-learngd2file "")
(find-learngd3file "")
(find-learngd4file "")
(find-learngd5file "")
(find-learngd6file "")
(find-learngd7file "")
(find-learngd8file "")
(find-learngd9file "")
(find-learngd10file "")
(find-learngd11file "")
(find-learngd12file "")
(find-learngd13file "")
(find-learngd14file "")
(find-learngd15file "")
(find-learngd16file "")
(find-learngd17file "")
(find-learngd18file "")
(find-learngd19file "")
(find-learngd20file "")
(find-learngd21file "")
(find-learngd22file "")
(find-learngd23file "")
(find-learngd24file "")
(find-learngd25file "")
(find-learngd26file "")
(find-learngd27file "")
(find-learngd28file "")

# (find-learngd4file "drawing_rectangle/DrawingRectangle.gd")




#####
#
# godot-docs
# 2023jul30
#
#####

# «godot-docs»  (to ".godot-docs")
# (find-angg ".emacs" "ee-rstdoc-:gd3")
# (find-gd3docrsh "find * | sort")
# https://github.com/godotengine/godot-docs
# (find-git-links "https://github.com/godotengine/godot-docs" "godotdocs")
# (code-c-d "godotdocs" "~/bigsrc/godot-docs/")
# (find-godotdocsfile "")
# (find-godotdocsfile "README.md")
# (find-godotdocsfile "README.md" "Sphinx extensions")
# (find-godotdocsfile "requirements.txt")
# (find-godotdocssh "find * | sort")
# (find-godotdocssh "find * | sort | grep classes/class_animatedsprite")
# (find-godotdocssh "find * | sort | grep tutorials/2d")
# (find-godotdocsfile "_build/html/classes/")
# (find-godotdocsfile "tutorials/2d/canvas_layers.rst")
# (find-gd3doc "tutorials/2d/canvas_layers")
# (find-gd3docrgrep "grep --color=auto -nH --null -e _init $(cat .files.rst)")
# (find-gd3docrgrep "grep --color=auto -nH --null -e drawing $(cat .files.rst)")
# (find-gd3doc "tutorials/3d/procedural_geometry/index")
# (find-gd3doc "tutorials/3d/procedural_geometry/arraymesh")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -Rfv ~/bigsrc/godot-docs/
cd      ~/bigsrc/
git clone https://github.com/godotengine/godot-docs
cd      ~/bigsrc/godot-docs/

git checkout 3.5

cd ~/bigsrc/godot-docs/
pip3 install -r requirements.txt

make html   |& tee omh

cd      ~/bigsrc/godot-docs/
find [a-z]* | sort | grep 'rst$'
find [a-z]* | sort | grep 'rst$' | tee .files.rst



# (find-rstdoc-links :gd3)
# (find-gd3doc "getting_started/introduction/index")
# (find-gd3doc "getting_started/step_by_step/index")
# (find-gd3doc "getting_started/first_2d_game/index")
# (find-gd3doc "getting_started/first_3d_game/index")
# (find-gd3doc  "tutorials/editor/external_editor")
# (find-gd3docw "tutorials/editor/external_editor")
# (find-gd3docr "tutorials/editor/external_editor")

https://docs.godotengine.org/en/stable/tutorials/scripting/gdscript/gdscript_basics.html
https://github.com/godotengine/godot-docs
https://github.com/godotengine/godot-docs/tree/4.1
https://github.com/godotengine/godot-docs/tree/3.5
https://github.com/godotengine/godot-docs/tree/3.5/tutorials/2d
https://docs.godotengine.org/en/3.5/tutorials/2d/canvas_layers.html





#####
#
# gdscript-mode
# 2023jul30
#
#####

# «gdscript-mode»  (to ".gdscript-mode")
# (find-epackage-links 'gdscript-mode "gdscriptmode" t)
# (find-epackages      'gdscript-mode)
# (find-epackage       'gdscript-mode)
# (code-c-d "gdscriptmode" "~/.emacs.d/elpa/gdscript-mode-20230527.2344/")
# (find-gdscriptmodefile "")




#####
#
# godot_grapher
# 2023jul31
#
#####

# «godot_grapher»  (to ".godot_grapher")
# https://ask.godotengine.org/65403/how-can-i-make-a-function-graphic
# https://github.com/Zylann/godot_grapher
# (find-git-links "https://github.com/Zylann/godot_grapher" "godot_grapher")
# (code-c-d "godotgrapher" "~/usrc/godot_grapher/")
# (find-godotgrapherfile "")
# (find-godotgraphersh "ls *.gd")
# (find-godotgraphersh "cat *.gd")
# (find-godotgrapherfile "cursor_dialog.gd")
# (find-godotgrapherfile "cursor_item.gd")
# (find-godotgrapherfile "formula_edit.gd")
# (find-godotgrapherfile "function_item.gd")
# (find-godotgrapherfile "graph_view.gd")
# (find-godotgrapherfile "main.gd")
# (find-godotgrapherfile "outliner.gd")
# (find-godotgrapherfile "project_data.gd")

# (find-godotgrapherfile "graph_view.gd" "Expression.new()")
# (find-gd3doc "classes/class_expression")
# (find-gd3doc "classes/class_expression#class-expression-method-parse")
# (find-godotref-links "Expression" "parse")
# (find-godotref-links "Expression" "execute")
# (find-godotref-links "Expression" "has_execute_failed")

			var y = expression.execute(var_inputs, expression_context, false)
			
			if expression.has_execute_failed():

_project
get_function_list

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "/tmp/godot_grapher/")
rm -Rv   /tmp/godot_grapher/
mkdir    /tmp/godot_grapher/
cp -av ~/usrc/godot_grapher /tmp/
cd       /tmp/godot_grapher/




#####
#
# step-by-step
# 2023aug19
#
#####

# «step-by-step»  (to ".step-by-step")
# (find-gd3doc "getting_started/step_by_step/index")



#####
#
# dodge-the-creeps
# 2023jul31
#
#####

# «dodge-the-creeps»  (to ".dodge-the-creeps")
# (find-gd3doc  "getting_started/first_2d_game/index")
# (find-gd3doc  "getting_started/first_2d_game/01.project_setup")
# (find-gd3docr "getting_started/first_2d_game/01.project_setup")
# (find-gd3doc  "getting_started/first_2d_game/02.player_scene")
# (find-gd3docr "getting_started/first_2d_game/02.player_scene")
# (find-gd3doc  "getting_started/first_2d_game/03.coding_the_player")
# (find-gd3docr "getting_started/first_2d_game/03.coding_the_player")
# (find-gd3doc  "getting_started/first_2d_game/04.creating_the_enemy")
# (find-gd3docr "getting_started/first_2d_game/04.creating_the_enemy")
# (find-gd3doc  "getting_started/first_2d_game/05.the_main_game_scene")
# (find-gd3docr "getting_started/first_2d_game/05.the_main_game_scene")
# (find-gd3doc  "getting_started/first_2d_game/06.heads_up_display")
# (find-gd3docr "getting_started/first_2d_game/06.heads_up_display")
# (find-gd3doc  "getting_started/first_2d_game/07.finishing-up")
# (find-gd3docr "getting_started/first_2d_game/07.finishing-up")
# (find-gd3doc "getting_started/introduction/first_look_at_the_editor" "docks")
# (find-fline "/tmp/")
# (find-godotref-links "AnimatedSprite" "play")
# (find-godotref-links "AnimatedSprite" "stop")
# (find-godotref-links "Area2D")
# (find-godotref-links "CanvasItem" "get_viewport_rect")
# (find-godotref-links "CanvasItem" "hide")
# (find-godotref-links "CanvasItem" "show")
# (find-godotref-links "CollisionShape2D")
# (find-godotref-links "Input" "is_action_pressed")
# (find-godotref-links "Label")
# (find-godotref-links "Node" "_process")
# (find-godotref-links "Node" "get_node")
# (find-godotref-links "Node" "queue_free")
# (find-godotref-links "Object" "_init")
# (find-godotref-links "Object" "_notification")
# (find-godotref-links "Object" "emit_signal")
# (find-godotref-links "PackedScene")
# (find-godotref-links "Path2D")
# (find-godotref-links "RigidBody2D")
# (find-godotref-links "SpriteFrames" "get_animation_names")
# (find-godotref-links "Thread" "start")
# (find-godotref-links "Vector2" "ZERO")
# (find-godotref-links "Vector2" "length")
# (find-godotref-links "Vector2" "normalized")

 (eepitch-shell3)
 (eepitch-kill)
 (eepitch-shell3)
# rm -v        /tmp/dodge_assets.zip
rm -Rv         /tmp/dodge_assets/
unzip -d /tmp/ /tmp/dodge_assets.zip
rm -Rv         /tmp/dodgethecreeps/
mkdir          /tmp/dodgethecreeps/
cd             /tmp/dodgethecreeps/

 (kill-new   "/tmp/dodgethecreeps/")
~/bigsrc/godots/Godot_v3.5.2-stable_x11.64

# (find-sh "cd /tmp/dodge_assets/ && cp -Rv art/ fonts/ /tmp/dodgethecreeps/")

# (find-fline "/tmp/dodge_assets/")
# (find-fline "/tmp/dodgethecreeps/")

(find-2a 
 ' (find-fline "/tmp/dodge_assets/")
 ' (find-fline "/tmp/dodgethecreeps/")
 )



#####
#
# squash-the-creeps
# 2023aug20
#
#####

# «squash-the-creeps»  (to ".squash-the-creeps")
# https://github.com/GDQuest/godot-3d-dodge-the-creeps/releases/tag/1.0.0
# (find-fline "/tmp/squash_the_creeps_start.zip")
# (find-gd3doc "getting_started/first_3d_game/01.game_setup")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -v        /tmp/squash_the_creeps_start.zip
rm -Rv         /tmp/squash_the_creeps_start/
unzip -d /tmp/ /tmp/squash_the_creeps_start.zip
rm -Rv         /tmp/squashthecreeps/
mkdir          /tmp/squashthecreeps/
cd             /tmp/squashthecreeps/

 (eepitch-shell3)
 (eepitch-kill)
 (eepitch-shell3)
 (kill-new   "/tmp/squash_the_creeps_start/")
 (kill-new   "/tmp/squashthecreeps/")
~/bigsrc/godots/Godot_v3.5.2-stable_x11.64



#####
#
# editor
# 2023aug04
#
#####

# «editor»  (to ".editor")
# (find-gd3doc  "getting_started/first_2d_game/05.the_main_game_scene")
# (find-gd3docr "getting_started/first_2d_game/05.the_main_game_scene" "new buttons at the top of the editor")
# (find-gd3docrfile "getting_started/first_2d_game/img/path2d_buttons.png")
# (find-gd3docrsh "find [a-z]* | sort | grep 'rst$' | tee .files.rst")
# (find-gd3docrsh "find * | sort")
# (find-gd3docrsh "find * | sort | grep -i editor")
# (find-gd3docrsh "grep _init $(cat .files.rst)")
# (find-gd3doc "tutorials/editor/index")
# (find-gd3doc "development/editor/index")


#####
#
# _init and _ready
# 2023aug04
#
#####

# «_init»   (to "._init")
# «_ready»  (to "._ready")
# (find-gd3docrfile ".files.rst")
# (find-gd3docrgrep "grep --color=auto -nH --null -e _init $(cat .files.rst)")
# (find-gd3doc "classes/class_node#description" "_ready")
# (find-gd3doc "getting_started/step_by_step/scripting_first_script")
# (find-gd3doc "getting_started/step_by_step/scripting_first_script#turning-around")
# (find-gd3doc "tutorials/best_practices/godot_notifications#ready-vs-enter-tree-vs-notification-parented")
# (find-gd3doc "tutorials/scripting/gdscript/gdscript_basics#class-constructor" "_init")
# (find-gd3doc "tutorials/scripting/overridable_functions")
# (find-godotref-links "Node" "_process")
# (find-godotref-links "Node" "_ready")
# (find-godotref-links "Object" "_init")
# (find-godotref-links "Object" "_notification")



#####
#
# get_node
# 2023aug05
#
#####

# «get_node»  (to ".get_node")
# (find-gd3doc "tutorials/scripting/nodes_and_scene_instances#syntactic-sugar")



#####
#
# scripting
# 2023aug04
#
#####

# «scripting»  (to ".scripting")
# (find-gd3docr "tutorials/scripting/gdscript/index")
# (find-gd3doc "tutorials/scripting/gdscript/index")
# (find-gd3doc "tutorials/scripting/gdscript/gdscript_basics")
# (find-gd3doc "tutorials/scripting/gdscript/gdscript_styleguide")




#####
#
# godot-demo-projects
# 2023aug02
#
#####

# «godot-demo-projects»  (to ".godot-demo-projects")
# https://github.com/godotengine/godot-demo-projects
# (find-gd3doc  "getting_started/first_2d_game/index")
# (find-gd3docr "getting_started/first_2d_game/index")
# (find-gd3docr "getting_started/first_2d_game/index" "Why start with 2D?")
# (find-git-links "https://github.com/godotengine/godot-demo-projects" "godotdemops")
# https://godotengine.github.io/godot-demo-projects/

# https://github.com/godotengine/godot-demo-projects
# (find-git-links "https://github.com/godotengine/godot-demo-projects" "gdemoprojects")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# rm -Rfv ~/bigsrc/godot-demo-projects/
cd      ~/bigsrc/
git clone https://github.com/godotengine/godot-demo-projects
cd      ~/bigsrc/godot-demo-projects/

export PAGER=cat
git branch --list -a
git for-each-ref
git log --oneline --graph --all -20

git checkout 3.5

# (find-fline "~/bigsrc/")
# (find-fline "~/bigsrc/godot-demo-projects/")
# (find-gitk  "~/bigsrc/godot-demo-projects/")

# (code-c-d "gdemoprojects" "~/bigsrc/godot-demo-projects/")
# (find-gdemoprojectsfile "")
# (find-gdemoprojectssh "find * | sort")
# (find-gdemoprojectsfile "2d/")
# (find-gdemoprojectsfile "2d/dodge_the_creeps/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rv /tmp/dodge_the_creeps/
mkdir  /tmp/dodge_the_creeps/
cd ~/bigsrc/godot-demo-projects/2d/ && cp -av dodge_the_creeps/ /tmp/
cd     /tmp/dodge_the_creeps/

# (find-fline "/tmp/dodge_the_creeps/")




#####
#
# signal
# 2023aug05
#
#####

# «signal»  (to ".signal")
# (find-gd3doc "getting_started/step_by_step/signals")
# (find-gd3doc "tutorials/scripting/gdscript/gdscript_basics#signals")
# (find-gd3doc "tutorials/scripting/instancing_with_signals")
# (find-gd3doc "getting_started/step_by_step/signals#connecting-a-signal-via-code")
# (find-godotref-links "Node" "get_node")
# (find-godotref-links "Object" "connect")
# (find-godotref-links "Object" "emit_signal")
# (find-godotref-links "Object" "get_node")
# (find-godotref-links "Object" "get_signal_connection_list")
# (find-godotref-links "Object" "set_deferred")



#####
#
# instancing
# 2023aug16
#
#####

# «instancing»  (to ".instancing")
# (find-gd3doc "getting_started/step_by_step/index")
# (find-gd3doc "getting_started/step_by_step/instancing")
# (find-fline "/tmp/instancing/")

 (eepitch-shell3)
 (eepitch-kill)
 (eepitch-shell3)
LIBGL_ALWAYS_SOFTWARE=1 \
  ~/bigsrc/godots/Godot_v3.5.2-stable_x11.64

 (eepitch-shell2)
 (eepitch-kill)
 (eepitch-shell2)
# rm -v        /tmp/instancing.zip
rm -Rv         /tmp/instancing/
unzip -d /tmp/ /tmp/instancing.zip




#####
#
# animation
# 2023aug04
#
#####

# «animation»  (to ".animation")
# https://docs.godotengine.org/en/stable/tutorials/animation/introduction.html

# (find-gd3doc "tutorials/animation/introduction")


# (find-gd3docrgrep "grep --color=auto -niH --null -e camera $(cat .files.rst)")
# (find-gd3doc "classes/class_camera")


# (find-gd3doc "tutorials/3d/introduction_to_3d#d-viewport")
# (find-gd3doc "getting_started/introduction/first_look_at_the_editor")
# (find-gd3doc "tutorials/editor/command_line_tutorial")
# (find-gd3doc "classes/class_configfile")
# (find-gd3doc "classes/class_file")
# (find-gd3doc "classes/class_input")
# (find-gd3doc "tutorials/scripting/gdscript/gdscript_basics#inheritance" "extends")
# (find-gd3doc "classes/class_thread#class-thread-method-start")
# (find-godotref-links "Thread" "start")

https://github.com/file-acomplaint/GodoTeX

# (find-gd3doc "getting_started/introduction/learning_new_features" "flameshot")
# (find-gd3doc "tutorials/scripting/gdnative/what_is_gdnative")
# (find-gd3doc "tutorials/scripting/visual_script/getting_started")
# (find-gd3doc "tutorials/scripting/visual_script/getting_started#doc-getting-started-visual-script")

# (find-gd3doc "tutorials/scripting/debug/index")
# (find-gd3doc "tutorials/scripting/debug/overview_of_debugging_tools")
# (find-gd3doc "tutorials/scripting/debug/debugger_panel")



#  Local Variables:
#  coding:               utf-8-unix
#  End:
