#######
#
# E-scripts on Google Groups.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/googlegroups.e>
#           or at <http://angg.twu.net/e/googlegroups.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.help»			(to "help")
# «.logica-l»			(to "logica-l")
# «.pending-messages»		(to "pending-messages")
# «.moderated-members»		(to "moderated-members")
# «.bisteca-florentina»		(to "bisteca-florentina")
# «.change-date-format»		(to "change-date-format")
# «.death-of-the-hyperlink»	(to "death-of-the-hyperlink")
# «.filter-by-month»		(to "filter-by-month")
# «.mensagem-de-bloqueio»	(to "mensagem-de-bloqueio")
# «.arthur-2022»		(to "arthur-2022")




#####
#
# help
# 2016jun07
#
#####

# «help» (to ".help")
# https://support.google.com/groups/?hl=en#topic=9216 Welcome to the Google Groups Help Center
# https://support.google.com/groups/topic/2459487?hl=en&ref_topic=9216 ...as an administrator
# https://support.google.com/groups/answer/2647680?hl=en&ref_topic=2459440 View & modify member settings
# https://support.google.com/groups/answer/2627595?hl=en&ref_topic=2459440 Turn on message moderation




#####
#
# logica-l
# 2016jun07
#
#####

# «logica-l» (to ".logica-l")
# Welcome message + recent threads:
# https://groups.google.com/a/dimap.ufrn.br/forum/#!forum/logica-l

# Classificar:
# https://groups.google.com/a/dimap.ufrn.br/d/msg/logica-l/MuCIUL_C6xQ/pHzxrvRCBAAJ Auto-moderação
# https://groups.google.com/a/dimap.ufrn.br/forum/#!topic/logica-l/xSLPVAemRF8 "Desculpem"
# Sobre espontaneidade e outras coisas (edrx 2016jun06):
#   https://groups.google.com/a/dimap.ufrn.br/forum/#!topic/logica-l/Qt8988LR_ys
# Uma síntese de ideias ... a respeito de Lógica, Ciência, Religiões e Verdade (AB 2012nov14):
#   https://groups.google.com/a/dimap.ufrn.br/d/msg/logica-l/u0Dde0r57rs/0_qQNt8aFHgJ



#####
#
# Pending messages
# 2016jun07
#
#####

# «pending-messages» (to ".pending-messages")
# https://groups.google.com/a/dimap.ufrn.br/forum/#!pendingmsg/logica-l
# https://groups.google.com/a/dimap.ufrn.br/d/topic/logica-l/K5-MzV_edp8/discussion



#####
#
# Moderated members
# 2016jun07
#
#####

# «moderated-members» (to ".moderated-members")
# https://groups.google.com/a/dimap.ufrn.br/forum/#!managemembers/logica-l/members/active

Obs: quando eu rejeitei a minha mensagem de teste




#####
#
# Bisteca florentina
# 2016jun07
#
#####

# «bisteca-florentina» (to ".bisteca-florentina")
# https://groups.google.com/a/dimap.ufrn.br/forum/#!searchin/logica-l/bisteca
# https://groups.google.com/a/dimap.ufrn.br/d/msg/logica-l/K5-MzV_edp8/U1NX9Myc5LUJ
# https://groups.google.com/a/dimap.ufrn.br/d/topic/logica-l/K5-MzV_edp8/discussion




#####
#
# Change date format
# 2016jun07
#
#####

# «change-date-format» (to ".change-date-format")
https://productforums.google.com/forum/#!topic/gmail/_wBNK-PhjmQ
English (UK) -> DD/MM/YYYY 
English (US) -> MM/DD/YYYY. 
Click the Settings wheel at top right, click Settings> General tab,
language is the first option to select. 





#####
#
# Death of the hyperlink
# 2016jun07
#
#####

# «death-of-the-hyperlink» (to ".death-of-the-hyperlink")
# (find-TH "ferramentas-para-ativistas" "death-of-the-hyperlink")
# http://www.theglobeandmail.com/opinion/a-blogfathers-lament-for-the-web/article26850949/
# https://medium.com/matter/the-web-we-have-to-save-2eb1fe15a426
# http://blog.wibki.com/google-is-killing-the-web/

# More by Hossein Derakhshan:
# https://medium.com/@h0d3r
# http://newmediasoc.com/projects/link-age/
# https://re-publica.de/en/16/session/post-web-internet-future-television
#   10:00 bubbles
#   13:00 DJs
# https://medium.com/thoughts-on-media/death-of-hyperlink-the-aftermath-cb10ce79e014
# https://medium.com/@h0d3r/bridges-mark-zuckerberg-destroyed-e005d1703216
# https://medium.com/@h0d3r/why-the-web-is-dying-a2398da2c30




#####
#
# filter-by-month
# 2016jun07
#
#####

# «filter-by-month» (to ".filter-by-month")
# https://mail.google.com/mail/ca/u/0/#sent/1552ad33dc89e730
# https://groups.google.com/a/dimap.ufrn.br/forum/#!topic/logica-l/inCc-vh47Oo

Google Groups - como ver os posts de um certo mês?

Caros,

alguém sabe como fazer o Google Groups mostrar todos os threads de
um determinado ano, ou mês?

Deixa eu explicar melhor.

Neste link aqui a gente vê a "welcome message" da Logica-L e abaixo
dela todos os threads da lista, dos mais recentes pros mais antigos,

  https://groups.google.com/a/dimap.ufrn.br/forum/#!forum/logica-l

mas o browser começa mostrando só os threads mais recentes, e
à medida que a gente vai scrollando pra baixo ele carrega outros.
Ir pros threads de dois meses atrás leva um tempinho. Ir pros
threads do ano passado leva um tempão. Ir pros threads de dois anos
atrás exige uma paciência que só raramente eu tenho.

Se a gente procura, por exemplo, por "bisteca", a gente chega nesta
página,

  https://groups.google.com/a/dimap.ufrn.br/forum/#!searchin/logica-l/bisteca

e daí pra ir pra threads e mensagens específicos. Já descobri
que clicando em "More message options" à direita de uma mensagem eu
consigo um link praquela mensagem, e, clicando em "Topic options"
lááá em cima, à direita de onde diz "[Logica-l] Como
modificar as listas Qualis ?" e " 24 posts by 7 authors", uma das
opções é "Link to this topic", e com isto eu consigo:

  https://groups.google.com/a/dimap.ufrn.br/d/msg/logica-l/K5-MzV_edp8/TdSy5R5yyrUJ
  https://groups.google.com/a/dimap.ufrn.br/d/topic/logica-l/K5-MzV_edp8/discussion

Alguém sabe como mostrar os threads de fev/2012?


UPDATE:

Minha enésima tentativa de fazer um filtro por data funcionou!!!
Testem:

https://groups.google.com/a/dimap.ufrn.br/forum/#!search/after$3A2012$2F02$2F01$20AND$20before$3A2012$2F02$2F29

A "search query" é "after:2012/02/01 AND before:2012/02/29", e ela
é mostrada numa caixa de busca em que ela pode ser editada na
mão in human-friendly ways...

  [[]],
    Eduardo...





#####
#
# Mensagem de bloqueio
# 2016jun07
#
#####

# «mensagem-de-bloqueio» (to ".mensagem-de-bloqueio")

Oi Cifuentes,

a gente da comissão de moderação ainda está bem atrasado
pra aprender as ferramentas, e só há 1h descobri que você
tinha mandado uma mensagem assim,

  João Marcos, trabalhando tão cedo?, eu também. 
  Um forte abraço. 
  Cifuentes 

que estava pendente há dias, como uma indicação de que o
próprio Google tinha achado que era spam....

Nós vamos tentar fazer com que mensagens curtas que nos parecem que
deveriam ter sido mandadas em privado sejam bloqueadas, mas queremos
garantir que o sender saiba o que aconteceu e possa mandá-la em
privado para o destinatário...

Ainda não sabemos fazer isto automaticamente, e esta foi a primeira
mensagem que eu barrei - e com dias de atraso, porque só vi ela
agora há pouco!...

  Desculpa, buenas salenas, etc,
    [[]], Eduardo Ochs





#####
#
# arthur-2022
# 2022nov18
#
#####

# «arthur-2022»  (to ".arthur-2022")

A "search query" é "after:2012/02/01 AND before:2012/02/29", e ela
A "search query" é "after:2007/01/01 AND before:2012/12/31", e ela





# Etc:
http://www.economist.com/news/leaders/21699909-curbs-free-speech-are-growing-tighter-it-time-speak-out-under-attack







#  Local Variables:
#  coding:               utf-8-unix
#  End:
