#######
#
# E-scripts on hardware: ethernet boards
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/hw-eth.e>
#           or at <http://angg.twu.net/e/hw-eth.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





#####
#
# placa ISA curta, "Novell, Inc. (C) 1990"
# 00jan30
#
#####

# Não é PNP, não é ne2000 em 0x340.
# Não consegui pôr pra funcionar.
# Acho que ela está morta.





#####
#
# Risola board on ifigenia (kernel 2.0.xx)
# 00jan30
#
#####

# «risola»

pnpdump | tee ~/o
# (find-fline "~/o")

cat > /tmp/pnp <<'---'
(READPORT 0x0203)
(ISOLATE PRESERVE)
(IDENTIFY *)
(VERBOSITY 2)
(CONFLICT (IO FATAL)(IRQ FATAL)(DMA FATAL)(MEM FATAL)) # or WARNING
#
(CONFIGURE RTL8019/1662106 (LD 0
  (IO 0 (SIZE 32) (BASE 0x0300))
  (INT 0 (IRQ 9 (MODE +E)))
  (ACT Y)
))
#
(WAITFORKEY)
---
isapnp /tmp/pnp


# Below here things are too 2.0'ish.

cd /lib/modules/2.0.36/
insmod net/8390.o
insmod net/ne.o io=0x300 irq=9





#####
#
# angg's pci ne2000 ethernet board
# 00jan30
#
#####

# «realtek_pci»

# Board id:
# (find-vldifile "pciutils.list")
# (find-fline "/usr/doc/pciutils/")
# (find-fline "/usr/share/misc/pci.ids")
#
# lspci
# 00:0e.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 8029

# Modules, net conf: too 2.2-specific?

cd /boot/angg22/
insmod 8390.o
insmod ne2k-pci.o

ifconfig eth0 down
ifconfig
ifconfig eth0 10.0.0.1 up
ifconfig
route




#  Local Variables:
#  coding:               utf-8-unix
#  End:
