#######
#
# E-scripts and notes about adding Free Software licenses to files.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/licenses.e>
#           or at <http://angg.twu.net/e/licenses.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





#####
#
# Making eev a GNU program
# 2005jan06
#
#####

# (find-eetcfile "")
# (find-eevfile "")
# (find-eevfile ".files")

#
cd ~/eev-current/
(grep -v / .files | sort
 grep    / .files | sort
) | grep -v '^$' \
  | grep -v '\.html$' \
  | awk '{printf "       (find-eevfile @%s@)\n", $1}' \
  | tr @ \" \
  | tee ~/o

#

  Copyright (C) 2004, 2005 Free Software Foundation, Inc.



http://www.gnu.org/licenses/gpl-howto.html
http://www.gnu.org/prep/maintain/html_node/Copyright-Notices.html
http://www.gnu.org/prep/maintain/html_node/License-Notices.html

(code-c-d "gnumaintain" "$S/http/www.gnu.org/prep/maintain/html_node/")
(find-gnumaintainw3m "License-Notices.html")
(find-gnumaintainw3m "License-Notices.html" "program files")
(find-gnumaintainw3m "License-Notices.html" "small program")
(find-gnumaintainw3m "License-Notices.html" "Documentation files")
(find-gnumaintainw3m "License-Notices.html" "Small supporting files")

0  doesn't need a license
PD - public domain
GNU - GPL: (find-gnumaintainw3m "License-Notices.html" "program files")
VTIM - may only be copied verbatim
license(): the license is stated in an accompanying file in the same dir

SSF: (find-gnumaintainw3m "License-Notices.html" "Small supporting files")
  Copying and distribution of this file, with or without modification,
  are permitted in any medium without royalty provided the copyright
  notice and this notice are preserved.

SSF-: SSF with a few words removed
  Copying and distribution of this file, with or without modification,
  are permitted provided the copyright notice and this notice are
  preserved.



0      ok  (find-eevfile ".files")
PD     ok  (find-eevfile "BUGS")
0      ok  (find-eevfile "CHANGELOG")
VTIM   ok  (find-eevfile "COPYING")
VTIM() +-  (find-eevfile "DEDICATION")
0??    +-  (find-eevfile "DEDICATION.c-r")
SSF-   ok  (find-eevfile "EMACS")
PD     ok  (find-eevfile "INSTALL")
GNU    ok  (find-eevfile "Makefile")
SSF-   ok  (find-eevfile "NEWS")
SSF    ok  (find-eevfile "README")
PD     ok  (find-eevfile "README-0.95.0")
PD     ok  (find-eevfile "THANKS")
SSF    ok  (find-eevfile "TODO")
0      ok  (find-eevfile "VERSION")
GNU    ok  (find-eevfile "compose.el")
GNU    ok  (find-eevfile "eeg")
GNU    ok  (find-eevfile "eeg4")
GNU    ok  (find-eevfile "eegchannel")
GNU    ok  (find-eevfile "eev-dev.el")
GNU    ok  (find-eevfile "eev-insert.el")
GNU    ok  (find-eevfile "eev-langs.el")
GNU    ok  (find-eevfile "glyphs.el")
GNU    ok  (find-eevfile "htmlize-eev.el")
PD     ok  (find-eevfile "doc/EEVMANIFESTO")
SSF-   ok  (find-eevfile "doc/HISTORY")
PD     ok  (find-eevfile "doc/NAO_pt")
0      ok  (find-eevfile "doc/README")
SSF    ok  (find-eevfile "doc/README-0.93")
SSF    ok  (find-eevfile "doc/TOURISM")
PD()   ok  (find-eevfile "doc/diag-links.jpg")
PD()   ok  (find-eevfile "doc/diag-links.svg")
PD()   ok  (find-eevfile "doc/diag-save.jpg")
PD()   ok  (find-eevfile "doc/diag-save.svg")
PD     ok  (find-eevfile "doc/keys.e")
PD()   ok  (find-eevfile "doc/shot-f3.png")
PD()   ok  (find-eevfile "doc/shot-f9.png")
PD     ok  (find-eevfile "doc/tutorial.e")
GNU    ok  (find-eevfile "examples/README")
GNU()  ok  (find-eevfile "examples/awk.e")
GNU()  ok  (find-eevfile "examples/c.e")
GNU()  ok  (find-eevfile "examples/debian.e")
GNU()  ok  (find-eevfile "examples/eev-make.e")
GNU()  ok  (find-eevfile "examples/eev-tests.e")
GNU()  ok  (find-eevfile "examples/emacs.e")
GNU()  ok  (find-eevfile "examples/gtk.e")
GNU()  ok  (find-eevfile "examples/lua.e")
GNU()  ok  (find-eevfile "examples/make.e")
GNU()  ok  (find-eevfile "examples/mgp.e")
GNU()  ok  (find-eevfile "examples/perl.e")
GNU()  ok  (find-eevfile "examples/php.e")
GNU()  ok  (find-eevfile "examples/ps.e")
GNU()  ok  (find-eevfile "examples/python.e")
GNU()  ok  (find-eevfile "examples/screenshots.e")
GNU()  ok  (find-eevfile "examples/sh.e")
GNU()  ok  (find-eevfile "examples/svn.e")
GNU()  ok  (find-eevfile "examples/tcltk.e")
GNU()  ok  (find-eevfile "examples/tex.e")
PD     ok  (find-eevfile "rcfiles/.bashrc")
PD     ok  (find-eevfile "rcfiles/.bashrc-psne")
PD     ok  (find-eevfile "rcfiles/.fvwmrc")
PD     ok  (find-eevfile "rcfiles/.pythonrc.py")
PD     ok  (find-eevfile "rcfiles/.tclshrc")
PD     ok  (find-eevfile "rcfiles/.vimrc")
PD     ok  (find-eevfile "rcfiles/.zshrc")
PD     ok  (find-eevfile "rcfiles/.zshrc-psne")
0      ok  (find-eevfile "rcfiles/README")
GNU    ok  (find-eevfile "rcfiles/change")
GNU    ok  (find-eevfile "rcfiles/change.awk")
PD     ok  (find-eevfile "rcfiles/channel.py")
PD     ok  (find-eevfile "rcfiles/channel.tcl")
0      ok  (find-eevfile "rcfiles/tmp/README")
0      ok  (find-eevfile "tmp/README")
PD     ok  (find-eevfile "tmp/tmp-pst.tex")
PD     ok  (find-eevfile "tmp/tmp.c")
PD     ok  (find-eevfile "tmp/tmp.mp")
PD     ok  (find-eevfile "tmp/tmp.tex")





  Permission is granted to anyone to make or distribute verbatim
copies of this document, in any medium, provided that the copyright
notice and permission notice are preserved, and that the distributor
grants the recipient permission for further redistribution as
permitted by this notice.



#  Local Variables:
#  coding:               utf-8-unix
#  End:
