#######
#
# E-scripts on mathologer.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/mathologer.e>
#           or at <http://angg.twu.net/e/mathologer.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.e_to_the_pi_i_for_dummies»	(to "e_to_the_pi_i_for_dummies")
# «.shoelace»			(to "shoelace")
# «.pi-is-irrational»		(to "pi-is-irrational")
# «.volunteering»		(to "volunteering")
# «.calculus-easy-parse»	(to "calculus-easy-parse")



# (find-youtubedl-links "/sda5/videos/" nil "jcKRGpMiVTw" nil "ramanujan112")
# (find-efunction 'find-youtubedl-links)

# (find-youtubedl-links "/sda5/videos/Math/" nil "jcKRGpMiVTw" nil "ramanujan112")
# (find-youtubedl-links "/tmp/videos/" nil "jcKRGpMiVTw" nil "ramanujan112")
# (code-video "ramanujan112video" "/sda5/videos/Ramanujan_-_Making_sense_of_...-1_12_and_Co.-jcKRGpMiVTw.mp4")
# (find-ramanujan112video)
# (find-ramanujan112video "8:54" "if there are dots")
# (find-ramanujan112video "12:10" "level 2")
# (find-ramanujan112video "12:40" "convergent and divergent")
# (find-ramanujan112video "26:25" "extend in many ways")






#####
#
# e_to_the_pi_i_for_dummies
# 2021jun09
#
#####

# «e_to_the_pi_i_for_dummies»  (to ".e_to_the_pi_i_for_dummies")
# (find-youtubedl-links "/sda5/videos/Math/" "e_to_the_pi_i_for_dummies" "-dhHrg-KbJ0" ".webm" "etothepi")
# (find-fline "/sda5/videos/Math/" "-dhHrg-KbJ0")
# (code-video "etothepivideo" "/sda5/videos/Math/e_to_the_pi_i_for_dummies--dhHrg-KbJ0.webm")
# (find-etothepivideo)
# (find-etothepivideo "0:00")
# (find-etothepivideo "9:24")
# (find-etothepivideo "10:47" "first triangle")
# (find-etothepivideo "10:55" "align, stretch")
# (find-etothepivideo "11:34" "circle")
# (find-etothepivideo "12:00" "to the power of eight")
# (find-etothepivideo "12:27" "the closer you start to the unit circle ")




#####
#
# shoelace
# 2021jun17
#
#####

# «shoelace»  (to ".shoelace")
# (find-youtubedl-links "/sda5/videos/Math/" "Gauss_s_magic_shoelace_area_formula_and_its_calculus_companion-0K" "0KjG8Pg6LGk" ".webm" "gshoelace")
# (find-fline "/sda5/videos/Math/" "0KjG8Pg6LGk")
# (code-video "gshoelacevideo" "/sda5/videos/Math/Gauss_s_magic_shoelace_area_formula_and_its_calculus_companion-0KjG8Pg6LGk.webm")
# (find-gshoelacevideo)
# (find-gshoelacevideo "0:00")




#####
#
# pi-is-irrational
# 2021jul05
#
#####

# «pi-is-irrational»  (to ".pi-is-irrational")
# https://www.youtube.com/watch?v=Lk_QF_hcM8A
# (code-video "piirrvideo" "/sda5/videos/Math/Pi_is_IRRATIONAL_-_animation_of_a_gorgeous_proof-Lk_QF_hcM8A.mp4")
# (find-piirrvideo)
# (find-piirrvideo "0:00")
# (find-piirrvideo "14:00")


https://www.youtube.com/watch?v=X63MWZIN3gM Why did they prove this amazing theorem in 200 different ways? Quadratic Reciprocity MASTERCLASS




http://www.youtube.com/watch?v=fw1kRz83Fj0 Power sum MASTER CLASS: How to sum quadrillions of powers ... by hand! (Euler-Maclaurin formula) (Mathologer)

# (find-youtubedl-links "/sda5/videos/Math/" "Power_sum_MASTER_CLASS_-_How_to_sum_quadrillions_of_powers_..._by_hand_Euler-Maclaurin_formula" "fw1kRz83Fj0" ".mkv" "powersum")
# (code-video "powersumvideo" "/sda5/videos/Math/Power_sum_MASTER_CLASS_-_How_to_sum_quadrillions_of_powers_..._by_hand_Euler-Maclaurin_formula-fw1kRz83Fj0.mkv")
# (find-powersumvideo "4:57")




#####
#
# volunteering
# 2022aug04
#
#####

# «volunteering»  (to ".volunteering")
# https://www.youtube.com/watch?v=kuOxDh3egN0&lc=UgxGK-GnZ0VB4K9PzHB4AaABAg my comment
# https://mail.google.com/mail/u/0/#sent/QgrcJHrhvWgXsGtKfsvXpKkNkJNcdMWNXkg my subtitles
https://www.qedcat.com/ mathologer

;; (find-extra-file-links "/sda5/videos/Math/Why_is_calculus_so_..._EASY-kuOxDh3egN0.webm" "{c}")
(code-video "{c}video" "/sda5/videos/Math/Why_is_calculus_so_..._EASY-kuOxDh3egN0.webm")
;; (find-{c}video t)
;; (eev-avadj-mode 1)
# (find-fline "/sda5/videos/Math/Why_is_calculus_so_..._EASY-kuOxDh3egN0.pt-BR.vtt")
# (find-fline "/sda5/videos/Math/" "Why_is_calculus_so_..._EASY-kuOxDh3egN0.pt-BR.vtt")

Volunteering to translate the subtitles of "Why is calculus so ... EASY?" to Portuguese
Hi Burkard and Marty,

I would like to volunteer to translate the subtitles of "Why is
calculus so ... EASY?" - a.k.a.:

  http://www.youtube.com/watch?v=kuOxDh3egN0

to Brazilian Portuguese. My holidays start tomorrow, so this should
take me (much) less than one week. What is the procedure? Are there
other volunteers working on that? How do we coordinate efforts? Should
I just prepare a .vtt file that works well locally on my machine and
then after I'm happy with it I send it to you? Instructions, please!

Btw, I usually prepare subtitles for my own videos using some quick
Emacs hacks that I wrote... I learned a bit of subed,

  https://github.com/sachac/subed

but I stumbled on some of its quirks and gave up... but one of the
other plans for the first days of my holidays is to get in touch with
its author and fix that.

  Cheers, best, etc =),
  Eduardo Ochs
    http://angg.twu.net/math-b.html
    http://angg.twu.net/#eev



#####
#
# calculus-easy-parse
# 2022aug17
#
#####

# «calculus-easy-parse»  (to ".calculus-easy-parse")
# (find-calceasyvideo "13:30")
# (find-calceasyvideo "14:35")
# (find-calceasyvideo "15:13" "dá pra ensinar um macaco")
# (find-calceasyvideo "16:15" "regras")
# (find-calceasyvideo "16:40" "(5 + sin x) / (x^3 ln x)")

\Frac{ \ln{x}^3 }{ 5+\sin{x} }

\def\m{}
\def\ppr#1{(#1)'}
\def\PPR#1{\left(#1\right)'}
\def\Frac#1#2{\frac{#1}{#2}}

\PPR{\Frac{5 + \sin{x}}{x^3 \m \ln{x}}}
= \PPR{\Frac{\Red1{5 + \sin{x}}}{\Green1{x^3 \m \ln{x}}}}
= \PPR{\Frac{\Red1{f          }}{\Green1{x^3 \m \ln{x}}}}



mathsmasters@qedcat.com


numberphile

3blue1brown



#  Local Variables:
#  coding:               utf-8-unix
#  End:
