#######
#
# E-scripts on matrix.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/matrix.e>
#           or at <http://angg.twu.net/e/matrix.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.weechat»		(to "weechat")
# «.ement»		(to "ement")
# «.element»		(to "element")
# «.pantalaimon»	(to "pantalaimon")

https://matrix.to/#/#pgf-tikz:matrix.org
/join #pgf-tikz:matrix.org

https://en.wikipedia.org/wiki/Matrix_(protocol)




#####
#
# weechat
# 2022nov01
#
#####

# «weechat»  (to ".weechat")
# https://en.wikipedia.org/wiki/WeeChat
# https://github.com/weechat/weechat
# https://github.com/weechat/weechat
# https://weechat.org/
@ https://weechat.org/files/doc/stable/weechat_user.en.html
# https://weechat.org/files/doc/stable/weechat_user.en.html#install
# (find-status   "weechat")
# (find-vldifile "weechat.list")
# (find-udfile   "weechat/")
# (find-zsh "installeddebs | sort | grep weechat")
# (find-zsh "availabledebs | sort | grep weechat")



#####
#
# ement
# 2022nov01
#
#####

# «ement»  (to ".ement")
# (find-epackage-links 'ement "ement" t)
# (find-epackage       'ement)
# (code-c-d "ement" "~/.emacs.d/elpa/ement-0.4.1/")
# (find-ementfile "")
# https://github.com/alphapapa/ement.el



#####
#
# element
# 2022dec10
#
#####

# «element»  (to ".element")
# https://en.wikipedia.org/wiki/Element_(software)
# (find-fline "~/LOGS/2022dec10.emacs" "<parsnip> no, i use Element")
# https://github.com/vector-im/element-web
# https://element.io/




#####
#
# pantalaimon
# 2022dec10
#
#####

# «pantalaimon»  (to ".pantalaimon")
# (find-status   "pantalaimon")
# (find-vldifile "pantalaimon.list")
# (find-udfile   "pantalaimon/")


https://akselmo.dev/2022/12/29/How-To-Use-Matrix.html



#  Local Variables:
#  coding:               utf-8-unix
#  End:
