#######
#
# E-scripts about ndiswrapper.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/ndiswrapper.e>
#           or at <http://angg.twu.net/e/ndiswrapper.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.make-kpkg»			(to "make-kpkg")
# «.ndiswrapper-source»		(to "ndiswrapper-source")
# «.ndiswrapper-modules-broken»	(to "ndiswrapper-modules-broken")
# «.ndiswrapper-modules»	(to "ndiswrapper-modules")
# «.wpasupplicant»		(to "wpasupplicant")
# «.linux-2.6-deb-src»		(to "linux-2.6-deb-src")
# «.wlan»			(to "wlan")
# «.wlan-igor»			(to "wlan-igor")





#####
#
# building the linux kernel (with make-kpkg)
# 2009mar03
#
#####

# «make-kpkg»  (to ".make-kpkg")
# (find-zsh "installeddebs | sort")
# (find-zsh "installeddebs | sort" "linux-image-2.6.18")
# (find-zsh "installeddebs | sort | grep linux-image-2.6.18")
# (find-zsh "availabledebs | sort")
# (find-zsh "availabledebs | sort" "linux-image-2.6.18")
# (find-zsh "availabledebs | sort | grep linux-image-2.6.18")


# (find-zsh "installeddebs | sort" "linux-source")
# (find-debpkg-links "linux-image-2.6.18")
# (find-debpkg-links "linux-headers-2.6.18")
# (find-esgrep "grep -n -e make-kpkg *.e")
# (find-es "kernel" "make-kpkg")
# (find-fline "/usr/src/")
# (find-fline "~/usrc/linux/")
# (find-fline "~/usrc/linux/linux-source-2.6.18/")
# (find-zsh "installeddebs | sort" "linux-image-")

# (find-man "make-kpkg")
# (find-man "make-kpkg" "make-kpkg --rootcmd fakeroot kernel_image")
# (find-sh "tar -tvjf /usr/src/linux-source-2.6.18.tar.bz2 | head -n 100")
make-kpkg --rootcmd fakeroot kernel_image

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rf ~/usrc/linux/
mkdir  ~/usrc/linux/
cd     ~/usrc/linux/
# tar -xvjf /usr/src/linux-source-2.6.18.tar.bz2
  tar -xjf  /usr/src/linux-source-2.6.18.tar.bz2
laf
cd     ~/usrc/linux/linux-source-2.6.18/
# make config
make allyesconfig                          |& tee omayc
make-kpkg --rootcmd fakeroot kernel_image  |& tee ../mkrfki
make-kpkg --rootcmd fakeroot binary        |& tee ../mkrfb

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "~/usrc/linux/")
# (find-fline "/boot/grub/")
# (find-fline "/boot/grub/menu.lst")
# (find-fline "/boot/grub/menu.lst" "## End Default Options ##")
cd ~/usrc/linux/
sudo dpkg -i linux-image-* linux-headers-*

# (find-sh "dmesg")

cd     ~/usrc/linux/linux-source-2.6.18/
make config





#####
#
# ndiswrapper-source
# 2009mar05
#
#####

# «ndiswrapper-source»  (to ".ndiswrapper-source")
(find-file "/var/lib/dpkg/available")
(find-file "/var/lib/dpkg/status")
(find-file "/var/lib/dpkg/")
(find-file "/var/lib/dpkg/info/")
(find-file "/var/lib/dpkg/info/ndiswrapper-source.list")
(find-file "/usr/share/doc/ndiswrapper-source/")
(find-file "/usr/share/doc/ndiswrapper-source/README.Debian")

# (find-status   "ndiswrapper-source")
# (find-vldifile "ndiswrapper-source.list")
# (find-udfile   "ndiswrapper-source/")
# (find-udfile   "ndiswrapper-source/README.Debian" "modules_image")

# (find-fline "~/usrc/")
# (find-fline "~/usrc/linux/")
# (find-fline "~/usrc/linux/" "ndiswrapper-modules-")
# (find-fline "~/usrc/linux/modules/ndiswrapper/")
# (find-fline "~/usrc/linux/modules/ndiswrapper/omlbn")
# (find-fline "~/usrc/linux/modules/ndiswrapper/omlbn" "WARNING:")
# (find-fline "~/usrc/linux/modules/ndiswrapper/omlbn" "dpkg-deb: building package")
# (find-fline "/usr/src/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd     ~/usrc/linux/
laf
rm -Rv ~/usrc/linux/modules/
rm -Rv ~/usrc/linux/modules/ndiswrapper/
tar -xvjf /usr/src/ndiswrapper-source.tar.bz2
cd     ~/usrc/linux/modules/ndiswrapper/
                           uname -r
sudo module-assistant -l $(uname -r) build ndiswrapper   |& tee omlbn

# (find-fline "/usr/src/")
# Needs ndiswrapper-{utils,commons}
cd /usr/src/
uname -r
laf
laf ndiswrapper-modules-$(uname -r)_*
sudo dpkg -i ndiswrapper-modules-$(uname -r)_*

# (find-fline "/var/cache/modass/" "ndiswrapper-source.buildlog.")

# (find-status   "linux-kbuild-2.6.18")
# (find-vldifile "linux-kbuild-2.6.18.list")
# (find-udfile   "linux-kbuild-2.6.18/")

# (find-zsh "installeddebs | sort" "_")
# (find-zsh "installeddebs | sort" "linux-headers-")
# (find-zsh "installeddebs | sort" "ndiswrapper-")
# (find-status   "ndiswrapper-modules-2.6.18-4-486")
# (find-vldifile "ndiswrapper-modules-2.6.18-4-486.list")
# (find-udfile   "ndiswrapper-modules-2.6.18-4-486/")




#####
#
# ndiswrapper-modules: broken notes
# 2009mar06
#
#####

# «ndiswrapper-modules-broken»  (to ".ndiswrapper-modules-broken")
# Who sets this link?
#   (find-fline "/usr/src/" "linux ->")
# (find-fline "/usr/src/")
# (find-fline "/usr/src/ndiswrapper-source.tar.bz2")
# apt-get install linux-source-2.6.18
# apt-get install linux-headers-2.6.18
# kernel-package
# build-essential
# (find-file "/home/cdrom0/pool/main/l/linux-2.6/")

# Broken:
cd     ~/usrc/linux/modules/ndiswrapper/
sudo module-assistant build ndiswrapper   |& tee omlbn
# sudo module-assistant -l 2.6.18 build ndiswrapper   |& tee omlbn
sudo module-assistant -l 2.6.18-4 build ndiswrapper   |& tee omlbn
sudo module-assistant -l 2.6.18-4-486 build ndiswrapper   |& tee omlbn
     module-assistant build ndiswrapper
sudo module-assistant build ndiswrapper
sudo module-assistant -u /usr/src/linux-headers-2.6.18 build ndiswrapper

# (find-man "8 module-assistant")
# (find-man "8 module-assistant" "  prepare")
# (find-man "8 module-assistant" "ROOT_CMD")
module-assistant auto-install ndiswrapper
module-assistant -S fakeroot auto-install ndiswrapper
module-assistant auto-install ndiswrapper
module-assistant prepare |& tee ~/tmp/m-a-p
apt-get install linux-headers-2.6.18-5-486

# (find-man "8 module-assistant")

# (find-sh "locate linux-image")
# (find-fline "/home/cdrom0/pool/main/l/linux-2.6/")
# (find-fline "/home/cdrom0/pool/main/l/linux-latest-2.6/")

dpkg -i linux-headers-2.6.18-4-486_2.6.18.dfsg.1-12_i386.deb \
        linux-headers-2.6.18-4_2.6.18.dfsg.1-12_i386.deb \
        linux-image-2.6.18-4-486_2.6.18.dfsg.1-12_i386.deb \
        linux-patch-debian-2.6.18_2.6.18.dfsg.1-12_all.deb \
        linux-source-2.6.18_2.6.18.dfsg.1-12_all.deb \
        linux-tree-2.6.18_2.6.18.dfsg.1-12_all.deb



#####
#
# ndiswrapper-modules
# 2009mar11
#
#####

# «ndiswrapper-modules»  (to ".ndiswrapper-modules")

# (find-zsh "installeddebs | sort" "ndiswrapper")
# (find-zsh "installeddebs | sort | grep ndiswrapper")
# (find-zsh "availabledebs | sort" "ndiswrapper")
# (find-zsh "availabledebs | sort | grep ndiswrapper")
# (find-vldifile "" "ndiswrapper")
# (code-c-d "ndiswrappersrc" "/usr/src/modules/ndiswrapper/")
# (find-ndiswrappersrcfile "INSTALL")
# (find-ndiswrappersrcfile "INSTALL" "driver present, hardware present")
# (find-ndiswrappersrcfile "INSTALL" "wlan0")
# (find-ndiswrappersrcfile "INSTALL" "iwconfig")
# (find-ndiswrappersrcfile "INSTALL" "wpa_supplicant")
# (find-sh0 "sudo ndiswrapper -l")
# (find-ndiswrappersrcfile "")
# (find-ndiswrappersrcgrep "grep -n -e eth *.c")
# (find-sh "dmesg")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
R
ndiswrapper -l

# (find-fline "/usr/src/modules/ndiswrapper/INSTALL")

# (find-sh "lspci")
# (find-sh "lspci -n")
# (find-sh "lsusb")

# (find-udfile "ndiswrapper-common/README")
# (find-udfile "ndiswrapper-common/AUTHORS")
# (find-udfile "ndiswrapper-common/README.Debian")
# (find-udfile "ndiswrapper-common/copyright")
# (find-udfile "ndiswrapper-common/NEWS.Debian.gz")
# (find-udfile "ndiswrapper-common/changelog.gz")
# (find-udfile "ndiswrapper-common/changelog.Debian.gz")
# (find-man "8 ndiswrapper")
# (find-man "8 loadndisdriver")

# (find-status   "ndiswrapper-modules-2.6.18-4-486")
# (find-vldifile "ndiswrapper-modules-2.6.18-4-486.list")
# (find-udfile   "ndiswrapper-modules-2.6.18-4-486/")
# (find-vldifile "ndiswrapper-modules-2.6.18-4-486.postinst")
# (find-vldifile "ndiswrapper-modules-2.6.18-4-486.postrm")

# (find-fline "/media/" "cdrom")
# (find-fline "/media/cdrom/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm -Rv ~/tmp/wireless/
mkdir  ~/tmp/wireless/
cd /media/cdrom/
cp -av * ~/tmp/wireless/

# (find-fline          "~/tmp/wireless/")
# (code-c-d "wireless" "~/tmp/wireless/")
# (find-wirelessfile "")
# (find-wirelessfile "Drivers/WINXP/")

# (find-status   "ndiswrapper-common")
# (find-vldifile "ndiswrapper-common.list")
# (find-udfile   "ndiswrapper-common/")

# (find-fline "/sbin/loadndisdriver")
# (find-fline "/usr/sbin/ndiswrapper")
# (find-udfile "ndiswrapper-common/README")
# (find-udfile "ndiswrapper-common/AUTHORS")
# (find-udfile "ndiswrapper-common/README.Debian")
# (find-udfile "ndiswrapper-common/copyright")
# (find-udfile "ndiswrapper-common/NEWS.Debian.gz")
# (find-udfile "ndiswrapper-common/changelog.gz")
# (find-udfile "ndiswrapper-common/changelog.Debian.gz")
# (find-man "8 ndiswrapper")
# (find-man "8 loadndisdriver")
# (find-fline "/etc/ndiswrapper")


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd ~/tmp/wireless/Drivers/WINXP/
R
ndiswrapper
ndiswrapper -i *.inf
ifconfig

# (find-sh "find /etc/ | sort")
# (find-fline "/etc/network/interfaces")
# (find-man "5 interfaces")

# (find-zsh "grep-available -i 'network-manager'")
# (find-zsh "grep-available -i 'network manager'")
# (find-zsh "grep-available -i 'kde'")
# (find-zsh "availabledebs | sort | grep network")

# (find-status   "network-manager-gnome")
# (find-vldifile "network-manager-gnome.list")
# (find-udfile   "network-manager-gnome/")
# (find-man "1 nm-vpn-properties")
# (find-man "1 nm-applet")


apti network-manager-gnome

# (find-status   "network-manager")
# (find-vldifile "network-manager.list")
# (find-udfile   "network-manager/")

# (find-man "1 NetworkManagerDispatcher")
# (find-man "1 NetworkManager")
# (find-man "1 nm-tool")
# (find-udfile "network-manager/changelog.Debian.gz")
# (find-udfile "network-manager/changelog.gz")
# (find-udfile "network-manager/copyright")
# (find-udfile "network-manager/TODO")
# (find-udfile "network-manager/NEWS.Debian.gz")
# (find-udfile "network-manager/README")
# (find-udfile "network-manager/README.Debian")
# (find-udfile "network-manager/AUTHORS")
# (find-fline "/usr/lib/network-manager/nm-crash-logger")
# (find-fline "/var/lib/NetworkManager")
# (find-fline "/etc/NetworkManager/dispatcher.d/01ifupdown")
# (find-fline "/etc/dbus-1/event.d/25NetworkManager")
# (find-fline "/etc/dbus-1/event.d/26NetworkManagerDispatcher")
# (find-fline "/etc/dbus-1/system.d/NetworkManager.conf")
# (find-sh "sudo nm-tool")
# (find-sh "sudo ps ax")
/org/freedesktop/NetworkManager/Devices/eth0

Applications -> System tools -> Network tools



#####
#
# wpasupplicant
# 2009mar11
#
#####

# «wpasupplicant»  (to ".wpasupplicant")

# (find-zsh "grep-available -i wireless")
# (find-status   "wpasupplicant")
# (find-vldifile "wpasupplicant.list")
# (find-udfile   "wpasupplicant/")

# (find-fline "/etc/init.d/wpa-ifupdown")
# (find-fline "/etc/network/if-up.d")
# (find-fline "/etc/network/if-down.d")
# (find-fline "/etc/network/if-pre-up.d")
# (find-fline "/etc/network/if-post-down.d")
# (find-fline "/etc/wpa_supplicant/functions.sh")
# (find-fline "/etc/wpa_supplicant/ifupdown.sh")
# (find-fline "/etc/logrotate.d/wpa_action")
# (find-fline "/sbin/wpa_cli")
# (find-fline "/sbin/wpa_supplicant")
# (find-fline "/sbin/wpa_action")
# (find-man "5 wpa_supplicant.conf")
# (find-man "5 wpa_supplicant.conf" "wpa_cli reconfigure")
# (find-man "5 wpa_supplicant.conf" "Catch all example")
# (find-man "8 wpa_action")
# (find-man "8 wpa_cli")
# (find-man "8 wpa_cli" "non-root")
# (find-man "8 wpa_passphrase")
# (find-man "8 wpa_supplicant")
# (find-man "8 wpa_background")
# (find-udfile "wpasupplicant/README.gz")
# (find-udfile "wpasupplicant/README.gz" "Catch all example")
# (find-udfile "wpasupplicant/README.gz" "operation without configuration files")
# (find-udfile "wpasupplicant/eap_testing.txt.gz")
# (find-udfile "wpasupplicant/changelog.gz")
# (find-udfile "wpasupplicant/README.modes.gz")
# (find-udfile "wpasupplicant/changelog.Debian.gz")
# (find-udfile "wpasupplicant/README.Debian")
# (find-udfile "wpasupplicant/copyright")
# (find-udfile "wpasupplicant/NEWS.Debian.gz")
# (find-udfile "wpasupplicant/examples/ieee8021x.conf")
# (find-udfile "wpasupplicant/examples/README.wpa_supplicant.conf.gz")
# (find-udfile "wpasupplicant/examples/wpa_supplicant.conf.template")
# (find-udfile "wpasupplicant/examples/plaintext.conf")
# (find-udfile "wpasupplicant/examples/wep.conf")
# (find-udfile "wpasupplicant/examples/wpa-psk-tkip.conf")
# (find-udfile "wpasupplicant/examples/wpa2-eap-ccmp.conf")
# (find-udfile "wpasupplicant/examples/wpa_supplicant.init-daemon")
# (find-fline "/usr/bin/wpa_passphrase")
# (find-fline "/etc/network/if-up.d/wpasupplicant")
# (find-fline "/etc/network/if-down.d/wpasupplicant")
# (find-fline "/etc/network/if-pre-up.d/wpasupplicant")
# (find-fline "/etc/network/if-post-down.d/wpasupplicant")




#####
#
# linux-2.6 (from the debian sources)
# 2009mar17
#
#####

# «linux-2.6-deb-src»  (to ".linux-2.6-deb-src")
# http://ftp.de.debian.org/debian/pool/main/l/linux-2.6/
# http://ftp.de.debian.org/debian/pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-12.dsc
# http://ftp.de.debian.org/debian/pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-12.diff.gz
# http://ftp.de.debian.org/debian/pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1.orig.tar.gz
#
rm -Rv ~/bigsrc/linux-2.6/
mkdir  ~/bigsrc/linux-2.6/
cd $S/http/ftp.de.debian.org/debian/pool/main/l/linux-2.6/
cp -v linux-2.6_2.6.18.dfsg.1* ~/bigsrc/linux-2.6/
cd     ~/bigsrc/linux-2.6/
dpkg-source -sn -x linux-2.6_2.6.18.dfsg.1-12.dsc
cd     ~/bigsrc/linux-2.6/linux-2.6-2.6.18.dfsg.1/
# dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (find-fline "~/bigsrc/linux-2.6/")
 (eepitch-shell)
cd ~/bigsrc/linux-2.6/
sudo dpkg -i *.deb

#
# (code-c-d "linux26" "~/bigsrc/linux-2.6/linux-2.6-2.6.18.dfsg.1/")
# (find-linux26file "")
# (find-linux26file "debian/")
# (find-linux26file "debian/control")




#####
#
# Does the Acer notebook come with a wireless thingy built-in?
# 2010mar22
#
#####

# «wlan»  (to ".wlan")
# (find-sh "dmesg" "wlan0")
# (find-sh "dict wlan")
# (find-sh "sudo ifconfig")
# (find-man "wlan")

# (find-zsh "dmissing wlan")
# (find-status   "linux-wlan-ng")
# (find-vldifile "linux-wlan-ng.list")
# (find-udfile   "linux-wlan-ng/")
# (find-status   "linux-wlan-ng-doc")
# (find-vldifile "linux-wlan-ng-doc.list")
# (find-udfile   "linux-wlan-ng-doc/")



 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo iwlist scan

# (find-status   "wireless-tools")
# (find-vldifile "wireless-tools.list")
# (find-udfile   "wireless-tools/")

# (find-man "7 wireless")
# (find-man "8 iwconfig")
# (find-man "8 iwevent")
# (find-man "8 iwgetid")
# (find-man "8 iwlist")
# (find-man "8 iwpriv")
# (find-man "8 iwspy")
# (find-udfile "wireless-tools/README.Debian")
# (find-udfile "wireless-tools/copyright")
# (find-udfile "wireless-tools/DISTRIBUTIONS.txt.gz")
# (find-udfile "wireless-tools/DISTRIBUTIONS.txt.gz" "auto wlan0")
# (find-udfile "wireless-tools/PCMCIA.txt.gz")
# (find-udfile "wireless-tools/HOTPLUG.txt.gz")
# (find-udfile "wireless-tools/README.gz")
# (find-udfile "wireless-tools/changelog.Debian.gz")
# (find-udfile "wireless-tools/changelog.gz")




#####
#
# Trying to put the wlan to work (Igor Morgado)
# 2010jul04
#
#####

# «wlan-igor»  (to ".wlan-igor")
# (find-fline "~/.bash_history")

whoami
ifconfig 
iwconfig 
iwspy sc
iwspy 
iwspy wlan0 sc
iwspy wlan0 
iwspy wmaster0 
iwspy wmaster0  sc
iwconfig 
iwconfig wlan0 essid gnutech 
iwconfig wlan0
iwconfig wlan0 key   p4ssw0rd
iwconfig wlan0 key s:p4ssw0rd
iwpriv wlan0 set AuthMode=WPA2PSK
iwconfig 
iwconfig wlan0 mode managed
iwconfig wlan0 up
iwpriv wlan0 set AuthMode=WPA2PSK
iwpriv wlan0 --all
apt-cache search network manager
aptitude install touchfreeze
apt-cache search touch freeze
ifconfig 
apt-cache search network manager
aptitude install network-manager 
NetworkManager
nm-tool 
gnome-network-preferences 
dpkg -l gnome-network-manager
apt-cache search network manager
dpkg -l network-manager-gnome
dpkg -L network-manager-gnome
nm-editor 
dpkg -L network-manager-gnome | less
nm-applet 
nm-connection-edditor
nm-connection-editor
ls -l
nm-editor 
exit
R
exit
iwconfig 
ifconfig 
iwspy sc
iwspy sc
iwspy sc
iwspy sc
ifconfig 
lspci 
apt-cache search madwifi
dpkg -l madwifi-tools
aptitude install wireless-tools
dpkg -l wireless-tools
lsmod  | grep ath5k
iwconfig 
iwconfig wlan0 up
uname -a
aptitude udpate
scp root@192.168.150.1:/etc/apt/apt.conf.d/01proxy /etc/apt/apt.conf.d/
R
exit
scp igormorgado@192.168.150.101:/etc/apt/apt.conf.d/01proxy /etc/apt/apt.conf.d/
cd /etc/apt/apt.conf.d/
ls
cat 01
cat 01proxy 
aptitude update
vi /etc/apt/sources.list
vi /etc/apt/sources.list
aptitude update
aptitude -y dist-upgrade





# (find-sh "locate NetworkManager")
# (find-sh "apt-cache search NetworkManager")
# (find-sh "apt-cache search madwifi")
# (find-sh "apt-cache search network manager")
# (find-sh "apt-cache search touch freeze")

# (find-fline "/etc/apt/apt.conf.d/01proxy")
# (find-status   "gnome-network-admin")
# (find-vldifile "gnome-network-admin.list")
# (find-udfile   "gnome-network-admin/")
# (find-status   "network-manager-gnome")
# (find-vldifile "network-manager-gnome.list")
# (find-udfile   "network-manager-gnome/")
# (find-status   "network-manager")
# (find-vldifile "network-manager.list")
# (find-udfile   "network-manager/")
# (find-status   "wireless-tools")
# (find-vldifile "wireless-tools.list")
# (find-udfile   "wireless-tools/")

# (find-available "madwifi-tools")
# (find-status   "madwifi-tools")
# (find-vldifile "madwifi-tools.list")
# (find-udfile   "madwifi-tools/")

/usr/bin/gnome-network-preferences
# (find-status   "gnome-control-center")
# (find-vldifile "gnome-control-center.list")
# (find-udfile   "gnome-control-center/")

# (find-man "ifconfig")
# (find-man "iwconfig")
# (find-man "iwpriv")
# (find-man "iwspy")
# (find-sh "lsmod" "ath5k")
# (find-sh "lspci" "Atheros")

# (find-sh "sudo iwspy wlan0")
# (find-sh "sudo iwspy wlan0 sc")
# (find-sh "sudo iwspy wmaster0")
# (find-sh "sudo iwspy wmaster0 sc")
# (find-sh "sudo iwconfig wlan0")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
R
ifconfig 
iwconfig 
iwconfig wlan0
iwconfig wlan0 essid gnutech 
iwconfig wlan0 key   p4ssw0rd
iwconfig wlan0 key s:p4ssw0rd
iwconfig wlan0 mode managed
iwconfig wlan0 up
iwpriv wlan0 --all
iwpriv wlan0 set AuthMode=WPA2PSK
iwspy 
iwspy sc
iwspy wlan0 
iwspy wlan0 sc
iwspy wmaster0 
iwspy wmaster0 sc

nm-applet 
nm-connection-editor
nm-editor 
nm-tool

# (find-sh "uname -a")








Eduardo, segue o link:

http://ubuntuforum-pt.org/index.php?topic=39698.0

Resumindo:

wpa_passphrase <Ssid> <senha> > /etc/wpa_supplicant.conf
wpa_supplicant -i wlan0 -c /etc/wpa_supplicant.conf -D wext
dhclient wlan0

Mas lembro que tive que alterar algumas opções do wpa_supplicant que
não batem. (Acho que o -c ou -D estão errados). A gente conversa na
sexta.



# http://ubuntuforum-pt.org/index.php?topic=39698.0
# (find-fline "~/tmp/ubuntuwpa.tgz")
# (find-sh "tar -C /tmp/ -xvzf ~/tmp/ubuntuwpa.tgz")
# (find-w3m    "/tmp/ubuntuwpa.html")



http://wiki.debian.org/WiFi
http://www.ghacks.net/2009/03/26/easy-debian-wireless-connections-with-wifi-wiz/





#  Local Variables:
#  coding:               utf-8-unix
#  End:
