#######
#
# E-scripts on Netscape.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/netscape.e>
#           or at <http://angg.twu.net/e/netscape.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.netscape-potato-fast»	(to "netscape-potato-fast")




#####
#
# What is the fastest way to install netscape on Potato?
# 2000dec17
#
#####

# «netscape-potato-fast»  (to ".netscape-potato-fast")
grep-status -P netscape
grep-status -P navigator

# (find-shttpw3 "packages.debian.org/stable/web/navigator-smotif-476.html")
# (find-shttpw3 "packages.debian.org/stable/web/navigator.html")
# (find-shttpw3 "packages.debian.org/stable/web/netscape.html")

# (find-fline "/etc/apt/sources.list")
##deb ftp://ftp.fuller.edu/debian potato main contrib non-free
#deb ftp://ftp.fuller.edu/debian potato non-free

apt-get install navigator




#####
#
# Netscape on slink?
#
#####

# «slink_netscape»

cd $SDEBIAN
grep -i 'netscape\|communicator\|navigator' ls-lR.i | nolinks
grep -i 'netscape\|communicator\|navigator' ls-lR.i | nolinks | grep slink

grep -i 'netscape\|communicator\|navigator' $SDEBIAN/ls-lR.i | nolinks |
  grep slink/non-free/binary | tee ~/o
grep -v '\-40[67]_' ~/o | tee ~/o2

# (find-fline "~/o")
# (find-fline "~/o2")

psnedeb <<'---'
  180926 dists/slink/non-free/binary-all/web/communicator-nethelp-45_4.5-1.deb
 3774798 dists/slink/non-free/binary-all/web/netscape-java-45_4.5-1.deb
    7828 dists/slink/non-free/binary-i386/web/communicator-base-45_4.5-1.deb
 5151666 dists/slink/non-free/binary-i386/web/communicator-smotif-45_4.5-1.deb
 1119592 dists/slink/non-free/binary-i386/web/netscape-base-45_4.5-1.deb
---

cd /usr/src/.debs/
for i in \
  binary-all/web/communicator-nethelp-45_4.5-1.deb	\
  binary-all/web/netscape-java-45_4.5-1.deb		\
  binary-i386/web/communicator-base-45_4.5-1.deb	\
  binary-i386/web/communicator-smotif-45_4.5-1.deb	\
  binary-i386/web/netscape-base-45_4.5-1.deb		\
; do
  ln -s $SDEBIAN/dists/slink/non-free/$i .
done

apti communicator-smotif-45 communicator-nethelp-45 netscape-java-45


There is no player listed for mime type 'audio/x-pn-realaudio', ie Real Audio.

No packages found matching rvplayer.
rvplayer is *NOT* listed for installation
There is no rvplayer on the path.
To hear Real Audio, please install rvplayer, preferably with
 the debian installer.
If you install it manually, then please run the following line:

install-mime --install --package=rvplayer \
        --content=audio/x-pn-realaudio \
        --test="test \"\$DISPLAY\" != \"\"" \
        --view="rvplayer %s" --quiet

Please press enter to continue.


# (find-fline "/usr/lib/netscape/base-4/register_netscape")














#######
#
# Netscape 4.6, debianized (potato)
#
#######

# I've been unable to make apt happy with potato, so I used dpkg.

# (find-fline "/etc/apt/sources.list")
apt-cache dump /var/cache/apt/pkgcache.bin
apt-cache dumpavail /var/cache/apt/pkgcache.bin


cd $SDEBIAN
grep 'netscape\|communicator\|navigator' ls-lR-nf.i \
  | agrep ' d.*4.*6' | tee ~/o

Pgrep 'm/age: (netsca|communi|naviga)/' |& tee ~/o
# (find-fline "~/o")

# (find-fline "$SDEBIAN/")

communicator-base-46
communicator-nethelp-46
communicator-smotif-46
netscape-base-4
netscape-base-46
netscape-java-46

# (find-vldifile       "communicator-base-46.list")
# (find-fline "/usr/doc/communicator-base-46/")
# (find-vldifile       "communicator-nethelp-46.list")
# (find-fline "/usr/doc/communicator-nethelp-46/")
# (find-vldifile       "communicator-smotif-46.list")
# (find-fline "/usr/doc/communicator-smotif-46/")
# (find-vldifile       "netscape-base-4.list")
# (find-fline "/usr/doc/netscape-base-4/")
# (find-vldifile       "netscape-base-46.list")
# (find-fline "/usr/doc/netscape-base-46/")
# (find-vldifile       "netscape-java-46.list")
# (find-fline "/usr/doc/netscape-java-46/")

# (find-fline "/usr/lib/netscape/46/communicator/")

psnedeb <<'---'
1999999 dists/potato/main/binary-i386/devel/libc6-dev_2.1.1-10.deb
---


    6924 dists/potato/non-free/binary-i386/web/communicator-base-46_4.6-1.deb
 5745878 dists/potato/non-free/binary-i386/web/communicator-smotif-46_4.6-1.deb
  464718 dists/potato/non-free/binary-i386/web/netscape-base-46_4.6-1.deb
  181164 dists/potato/non-free/binary-all/web/communicator-nethelp-46_4.6-1.deb
 3661948 dists/potato/non-free/binary-all/web/netscape-java-46_4.6-1.deb
---


SPOTMA=$SDEBIAN/dists/potato/main
cd /usr/src/.debs/
cp -sv \
  $SPOTMA/binary-all/interpreters/liburi-perl_1.01-1.deb  \
  $SPOTMA/binary-all/interpreters/libwww-perl_5.42-1.deb  \
  $SPOTMA/binary-i386/admin/apt_0.3.6.deb  \
  $SPOTMA/binary-i386/base/libc6_2.1.1-10.deb  \
  $SPOTMA/binary-i386/base/libstdc++2.9-glibc2.1_2.91.66-2.deb  \
  $SPOTMA/binary-i386/devel/libc6-dev_2.1.1-10.deb  .

cd /usr/src/.debs/
dpkg -iE $(<<'---'
communicator-base-46_4.6-1.deb
communicator-nethelp-46_4.6-1.deb
communicator-smotif-46_4.6-1.deb
netscape-base-46_4.6-1.deb
netscape-base-4_14.deb
netscape-java-46_4.6-1.deb
---)

dpkg --purge $(<<'---'
egcc
g++
libc6-dev
libgdbmg1-dev
libncurses4-dev
libstdc++2.9-dev
timezones
---)

dpkg --purge $(<<'---'
communicator-base-46
communicator-nethelp-46
communicator-smotif-46
netscape-base-4
netscape-base-46
netscape-java-46
---)

apti $(<<'---'
communicator-base-46
communicator-nethelp-46
communicator-smotif-46
netscape-base-4
netscape-base-46
netscape-java-46
---)


# Removing it (in favour of 4.5):
dpkg --purge communicator-base-46 communicator-nethelp-46 communicator-smotif-46 netscape-base-4 netscape-base-46 netscape-java-46






#######
#
# Mozilla (from the sources)
#
#######

# (find-node "(gcc)Top")
# (find-node "(gcc)Code Gen Options" "fpic")

# Outros devs que eu já tinha: xlib6g-dev
# (w3-open-local "/usr/src/mozilla/README/mozilla/unix-build.html")

cd ~/HASH/
dpkg -i lesstifg lesstifg-dev
dpkg -i g++ libg++272 libg++272-dev
dpkg -i xpm4g xpm4g-dev

rm -Rv /usr/src/mozilla/
cd /usr/src/
tar -xvzf /mozilla/mozilla/source/mozilla-19980728.tar.gz

cd /usr/src/mozilla/
export MOZILLA_CLIENT=1
export MOZ_MEDIUM=1
export NO_SECURITY=1
export NO_MDUPDATE=1
export BUILD_OPT=1
make |& tee om

# (find-fline "/usr/src/mozilla/om")
# (find-fline "/usr/src/mozilla/cmd/xfe/Microline3.0/XmL/Grid.c")
# ^ add #include <Xm/DragDrop.h>

# (find-fline "/usr/src/mozilla/om2")
# (find-fline "/usr/src/mozilla/om3")

# (find-fline "/usr/X11R6/include/Xm/")
# (find-fline "/usr/X11R6/include/Xm/DropSMgr.h")
# (find-fline "/usr/X11R6/include/Xm/DropSMgr.h" "XmDropSiteRegister")




#######
#
# mozilla (nightly; download)
#
#######

cd ~
wget ftp://ftp.mozilla.org/pub/mozilla/nightly/98-10-01/mozilla-i686-unknown-linux.tar.gz

cd ~
rm -Rv builds/
tar -xvzf mozilla-i686-unknown-linux.tar.gz
laf -R builds/
strip builds/mozilla/mozilla-export
laf -R builds/
tar -cvzf moz-stripped.tar.gz builds
laf mozilla-i686-unknown-linux.tar.gz moz-stripped.tar.gz
rm -Rv builds

cd ~
eb moz-stripped.tar.gz 1000 moz 0
eb moz-stripped.tar.gz 1000 moz 1
eb moz-stripped.tar.gz 1000 moz 2
eb moz-stripped.tar.gz 1000 moz 3
eb moz-stripped.tar.gz 1000 moz 4
eb moz-stripped.tar.gz 1000 moz 5
eb moz-stripped.tar.gz 1000 moz 6
eb moz-stripped.tar.gz 1000 moz 7
eb moz-stripped.tar.gz 1000 moz 8
cd ~

# Local:
cd /snarf/ftp/ftp.mozilla.org/pub/mozilla/nightly/98-10-01/
wget $FBOTO/moz{0,1,2,3,4,5,6,7,8}.gz

cd /snarf/ftp/ftp.mozilla.org/pub/mozilla/nightly/98-10-01/
gzip -dv moz?.gz
cat moz? > moz-stripped.tar.gz

# md5sum -b moz?.gz
# md5sum -bv moz?.gz




#######
#
# mozilla (nightly; install)
#
#######

rm -Rv /usr/src/builds/mozilla
cd /usr/src/
tar -xvzf /snarf/ftp/ftp.mozilla.org/pub/mozilla/nightly/98-10-01/moz-stripped.tar.gz

LD_LIBRARY_PATH=/usr/src/builds/mozilla /usr/src/builds/mozilla/mozilla-export



rm -Rv /usr/src/builds/mozilla
cd /usr/src/
tar -xvzf /snarf/ftp/ftp.mozilla.org/pub/mozilla/nightly/98-09-21/mozilla-98sep21-stripped.tar.gz

# (find-fline "/ftp.netscape.com:/pub/")
eb mozilla-i686-unknown-linux.tar.gz 1400 m99.tgz. 0
eb mozilla-i686-unknown-linux.tar.gz 1400 m99.tgz. 1

zsne ftp ftp.mozilla.org pub ls-lR.gz
gzip -dv ls-lR.gz

# (find-fline "/snarf/ftp/ftp.mozilla.org/pub/ls-lR" "nightly/98")
# (find-fline "/$SACI:/home/boto/edrx/")






# Repara que o Netscape já tem os truques pra rodar só uma cópia de
# cada vez:
# (find-fline "/usr/X11R6/bin/netscape" "openURL")

#
# Coisas velhas sobre o openURL:

edrxnetscape http://home.netscape.com/newsref/std/x-remote.html
psne http://home.netscape.com/newsref/std/x-remote.html
psne http://home.netscape.com/newsref/std/remote.c
psne http://home.netscape.com/newsref/std/vroot.h

cd /snarf/http/home.netscape.com/newsref/std/
gcc -o /usr/bin/netscape-remote remote.c -DSTANDALONE -lXmu -lX11 -L/usr/X11R6/lib
# (find-fline "/snarf/http/home.netscape.com/newsref/std/")

netscape-remote -help

Como edrx:
netscape -remote 'openURL(file:/home/root/ZHTML/linux.html)'




#######
#
# Java tutorial
#
#######

rmdir /usr/src/java-tutorial/
mkdir /usr/src/java-tutorial/
cd    /usr/src/java-tutorial/
tar -xvzf /snarf/ftp/ftp.javasoft.com/docs/tutorial.tar.gz

# rmdir /usr/src/java-tutorial/
# mkdir /usr/src/java-tutorial/
cd       /usr/src/java-tutorial/
unzip -o /snarf/ftp/ftp.javasoft.com/docs/tut-OLDui.zip

cd /usr/src/java-tutorial/java/nutsandbolts/example/
java Count testing


http://developer.netscape.com/docs/manuals/javascript.html
gv /snarf/http/developer.netscape.com/docs/manuals/jsdebug/jsd.pdf &




########
#
# Netscape JavaScript debugger
#
########

cd /usr/src/netscape4.07/
for i in *.jar; do echo "\n\n---> $i:\n"; unzip -l $i; done |& tee ojar
for i in *.nif; do echo "\n\n---> $i:\n"; tar -tzf $i; done |& tee onif

# (find-fline "/usr/src/netscape4.07/README.install")

ftp://ftp.netscape.com/pub/jsdebug/1.1/shipping/english/all_platforms/all_os/install/jsd11su.jar

unzip -l /snarf/ftp/ftp12.netscape.com/pub/jsdebug/1.1/shipping/english/all_platforms/all_os/install/jsd11su.jar

lynx http://developer.netscape.com/subscription_reg.html

rm -Rv /usr/src/JSDebug/
mkdir  /usr/src/JSDebug/
cd     /usr/src/JSDebug/
unzip /snarf/ftp/ftp12.netscape.com/pub/jsdebug/1.1/shipping/english/all_platforms/all_os/install/jsd11su.jar




#######
#
# Some Netscape docs
#
#######

rm -Rv /usr/src/jsguide4/
mkdir  /usr/src/jsguide4/
cd     /usr/src/jsguide4/
unzip  /snarf/http/developer.netscape.com/docs/manuals/communicator/jsguide4/jsguide.zip

rm -Rv /usr/src/jsref/
mkdir  /usr/src/jsref/
cd     /usr/src/jsref/
unzip  /snarf/http/developer.netscape.com/docs/manuals/communicator/jsref/jsref.zip





#######
#
# CSS docs
#
#######

# (find-fline "/snarf/http/www.w3.org/TR/WD-css1.html")
lynx /snarf/http/www.w3.org/TR/WD-css1.html
lynx /snarf/http/developer.netscape.com/docs/technote/dynhtml/css/css.htm
lynx /snarf/http/www.javaworld.com/javaworld/jw-07-1996/jw-07-javascript.html

edrxnetscape http://www.javaworld.com/javaworld/jw-07-1996/jsinput.html




#######
#
# Netscape navigator 4.08
#
#######

dpkg -r netscape4
rm -Rv /usr/lib/netscape /usr/X11R6/bin/netscape

cd ~/HASH/
dpkg -iE libc5 libg++27 motifnls xlib6 xpm4.7

ln -sf /snarf/ftp/ftp12.netscape.com/pub/communicator/4.08/english/unix/supported/linux20/navigator_standalone/navigator-v408-export.x86-unknown-linux2.0_libc5.tar.gz /tmp/
dpkg -i /debian/contrib/binary-i386/web/netscape4_4.0-12.deb
rm /tmp/navigator-v408-export.x86-unknown-linux2.0_libc5.tar.gz





#######
#
# Netscape communicator 4.07
#
#######

dpkg -r netscape4
rm -Rv /usr/lib/netscape /usr/X11R6/bin/netscape

cd ~/HASH/
dpkg -iE libc5 libg++27 motifnls xlib6 xpm4.7

ln -sf /snarf/ftp/ftp12.netscape.com/pub/communicator/4.07/shipping/english\
/unix/linux20/professional_edition\
/communicator-v407-export.x86-unknown-linux2.0_libc5.tar.gz /tmp/
dpkg -i /debian/contrib/binary-i386/web/netscape4_4.0-12.deb
rm /tmp/communicator-v407-export.x86-unknown-linux2.0_libc5.tar.gz





#######
#
# mozilla-19981211: download
#
#######

eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 0
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 1
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 2
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 3
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 4
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 5
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 6
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 7
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 8
eb mozilla-19981211.tar.gz 2000 mozilla-19981211.tar.gz 9

mkdir -p /snarf/ftp/ftp.mozilla.org/pub/mozilla/source/mozilla/
cd       /snarf/ftp/ftp.mozilla.org/pub/mozilla/source/mozilla/
wget $FBOTO/mozilla-19981211.tar.gz0.gz
wget $FBOTO/mozilla-19981211.tar.gz{1,2,3,4,5,6,7,8,9}.gz

cd       /snarf/ftp/ftp.mozilla.org/pub/mozilla/source/mozilla/
gzip -dv mozilla-19981211.tar.gz?.gz
cat mozilla-19981211.tar.gz? | tar -tzf -

cat mozilla-19981211.tar.gz? > mozilla-19981211.tar.gz
rm  mozilla-19981211.tar.gz?




#######
#
# mozilla-19981211
#
#######

rm -Rv /usr/src/mozilla
cd /usr/src/
tar -xvzf /snarf/ftp/ftp.mozilla.org/pub/mozilla/source/mozilla/mozilla-19981211.tar.gz
cd /usr/src/mozilla/

find * -type f | sort > .files

# Pré-requisitos extras: autoconf automake debhelper




######
#
# libtool-1.2 glib1.1.6 gtk+1.1.6
#
######

psne $FDEBIAN/dists/slink/main/source/devel/libtool_1.2-1.diff.gz
psne $FDEBIAN/dists/slink/main/source/devel/libtool_1.2-1.dsc
psne $FDEBIAN/dists/slink/main/source/devel/libtool_1.2.orig.tar.gz

psne $FDEBIAN/dists/potato/main/source/libs/glib1.1.6_1.1.6-1.diff.gz
psne $FDEBIAN/dists/potato/main/source/libs/glib1.1.6_1.1.6-1.dsc
psne $FDEBIAN/dists/potato/main/source/libs/glib1.1.6_1.1.6.orig.tar.gz

psne $FDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6-1.dsc
psne $FDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6-1.diff.gz
psne $FDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6.orig.tar.gz

pdsc $SDEBIAN/dists/slink/main/source/devel/libtool_1.2-1.dsc
debian/rules binary |& tee odrb

pdsc $SDEBIAN/dists/potato/main/source/libs/glib1.1.6_1.1.6-1.dsc
debian/rules binary |& tee odrb

pdsc $SDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6-1.dsc
debian/rules binary |& tee odrb

dpkg -i /usr/src/libtool_1.2-1_all.deb

dpkg -i /usr/src/libglib1.1.6_1.1.6-1_i386.deb
dpkg -i /usr/src/libglib1.1.6-dev_1.1.6-1_i386.deb

dpkg -i /usr/src/libgtk1.1.6_1.1.6-1_i386.deb
dpkg -i /usr/src/libgtk1.1.6-dev_1.1.6-1_i386.deb




#######
#
# mozilla-19981211
#
#######

rm -R /usr/src/mozilla
cd /usr/src/
tar -xzf /snarf/ftp/ftp.mozilla.org/pub/mozilla/source/mozilla/mozilla-19981211.tar.gz
cd /usr/src/mozilla/

rm -Rv /usr/src/obj-i586-pc-linux/
rm -Rv /usr/local/nspr/
ln -s /usr/src/obj-i586-pc-linux/nspr /usr/local/nspr

# cd /usr/src/
# export CVSROOT=:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot
# make -f mozilla/client.mk nspr |& tee mozilla/ommcn

cd /usr/src/mozilla/
tar -xvzf ~/newnspr.tgz
cd /usr/src/
export CVSROOT=:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot
make -f mozilla/client.mk nspr CVS='echo cvs'	|& tee /usr/src/mozilla/ommcn2

cd /usr/src/mozilla/
autoconf -l build/autoconf |& tee oa
mkdir obj-`./build/autoconf/config.guess`

cd /usr/src/mozilla/
cd obj-`./build/autoconf/config.guess`
export LD_LIBRARY_PATH=/usr/local/nspr/lib
../configure --with-nspr=/usr/local/nspr	|& tee /usr/src/mozilla/oc
make depend	|& tee /usr/src/mozilla/omd
make		|& tee /usr/src/mozilla/om

# (w3-open-local "/snarf/http/www.mozilla.org/build/unix.html")


cd /usr/src/mozilla/obj-i586-pc-linux/dist/bin/
export MOZILLA_HOME=`pwd`
export LD_LIBRARY_PATH=`pwd`:/usr/local/nspr/lib
xpviewer


apprunner





# (find-fline "/usr/src/mozilla/ommcn")

# make -f mozilla/client.mk nspr	|& tee mozilla/ommcn
# (find-fline "/usr/src/ommcn")

tar -cvzf ~/newnspr.tgz	\
  nsprpub/config/BSD_OS.mk	\
  nsprpub/config/IRIX.mk	\
  nsprpub/macbuild/NSPR20.toc	\
  nsprpub/pr/include/prtypes.h	\
  nsprpub/pr/include/private/primpl.h	\
  nsprpub/pr/src/Makefile	\
  nsprpub/pr/src/io/prscanf.c	\
  nsprpub/pr/src/md/unix/irix.c	\
  nsprpub/pr/src/md/windows/ntio.c	\
  nsprpub/pr/src/md/windows/w95io.c



### NSPR, first build:
# cd /usr/src/
# export CVSROOT=:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot
# make -f mozilla/client.mk nspr	|& tee ommcn
# cd /6usrc/obj-i586-pc-linux/
# tar -cvzf ~/nspr.tgz nspr

# NSPR, next builds:
rm -Rv   /usr/local/nspr/
tar -xvzf ~/nspr.tgz -C /usr/local/

cd /usr/src/mozilla/
autoconf -l build/autoconf |& tee oa
mkdir obj-`./build/autoconf/config.guess`

cd /usr/src/mozilla/
cd obj-`./build/autoconf/config.guess`
../configure --with-nspr=/usr/local/nspr |& tee oc


# (find-fline "/usr/local/nspr/include/nspr.h" 30)
# (find-fline "/usr/local/nspr/include/prinet.h")
# (find-fline "/usr/src/mozilla-co/mozilla/nsprpub/pr/include/prinet.h")

# (find-fline "/usr/src/mozilla/obj-i586-pc-linux/oc")
# (find-fline "/usr/src/mozilla/obj-i586-pc-linux/config.log")
# (find-fline "/usr/src/mozilla/configure")
# (find-fline "/usr/src/mozilla/configure.in")


mkdir -p /usr/local/nspr/lib/
cp -v $(find /usr/src/mozilla/nsprpub/ -name '*.a') /usr/local/nspr/lib/
cp -dipvR /usr/src/mozilla/nsprpub/pr/include /usr/local/nspr/

# rm -Rv /usr/src/mozilla/nsprpub/
# cd /usr/src/
# tar -xvzf ~/nsprpub.tgz

cd /usr/src/mozilla/nsprpub/
make |& tee om

cd /usr/src/mozilla/
find * -type f | sort > .files

find /usr/src/mozilla/nsprpub/ -name '*.h' > /usr/src/mozilla/nsprpub/.files.h
# (find-fline "/usr/src/mozilla/nsprpub/.files.h")

# (find-fline "/usr/src/mozilla/nsprpub/.files.h")
# (find-fline "/usr/src/mozilla/obj-i586-pc-linux/config.log")

# (find-fline "/usr/src/mozilla/configure.in" "nspr.h")
# (find-fline "/usr/src/mozilla/configure" "nspr.h")

# (find-fline "/usr/doc/cvs/")
# (find-fline "/snarf/http/www.mozilla.org/build/unix.html")
# (w3-open-local "/snarf/http/www.mozilla.org/build/unix.html")

psne $FDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6-1.dsc
psne $FDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6-1.diff.gz
psne $FDEBIAN/dists/potato/main/source/libs/gtk+1.1.6_1.1.6.orig.tar.gz

# Precisa do xpm-alguma coisa; instalei o 4g.

pdsc $SDEBIAN/dists/slink/main/source/admin/apt_0.1.9.dsc
debian/rules |& tee odrb




#######
#
# cvs'ing mozilla sources (at boto)
#
#######

ping cvs-mirror.mozilla.org

cd /tmp
rm -Rv mozilla
tar -xzf ~/mozilla-19981211.tar.gz

( cd /tmp
  export CVSROOT=:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot
  cvs co mozilla/client.mk
  make -f mozilla/client.mk checkout
  tar -czf ~/mozilla-new.tar.gz mozilla
) |& tee ~/o

cvs co 
make -f mozilla/client.mk nspr	|& tee ommcn




#######
#
# Mozilla 99-01-07
#
#######

rm -R /usr/src/mozilla/
cd /usr/src/
tar -xzf /snarf/ftp/ftp.mozilla.org/pub/mozilla/nightly/99-01-07/mozilla-source.tar.gz
cd /usr/src/mozilla/
find * -type f | sort > .files

cd /usr/src/
make CVS='echo CVS' -f mozilla/client.mk nspr	|& tee mozilla/omn
make -f mozilla/client.mk build			|& tee mozilla/omb

cd /usr/src/obj-i586-pc-linux-gnu/dist/bin/
export MOZILLA_HOME=`pwd`
export LD_LIBRARY_PATH=`pwd`:/usr/src/obj-i586-pc-linux-gnu/nspr/lib/
viewer

apprunner

make -f mozilla/client.mk build_all		|& tee mozilla/omba




#######
#
# Mozilla 19990213 (vintage nightly build)
#
#######

# http://www.pimpmaster.org/~simeon/mozilla/mozilla-linux-19990213.tar.gz
# http://www.pimpmaster.org/~simeon/mozilla/nspr.tar.gz
# http://www.pimpmaster.org/~simeon/mozilla/README-19990213

rm -Rv /usr/src/mozilla990213/
mkdir  /usr/src/mozilla990213/
cd     /usr/src/mozilla990213/
tar -xvzf $S/http/www.pimpmaster.org/~simeon/mozilla/mozilla-linux-19990213.tar.gz
export MOZILLA_HOME=/usr/src/mozilla990213
export LD_LIBRARY_PATH=/usr/src/mozilla990213



l $S/http/www.pimpmaster.org/~simeon/mozilla/README-19990213

tar -tvzf $S/http/www.pimpmaster.org/~simeon/mozilla/nspr.tar.gz





#######
#
# ftp.netscape.com
#
#######

psne ftp://ftp12.netscape.com/pub/ls-lR.gz
cd $S/ftp/ftp12.netscape.com/pub/
gzip -dv ls-lR.gz
~/ICON/lslR2find < ls-lR > ls-lR.i




#####
#
# netscape3 on potato
# 2000nov25
#
#####

#
P=$S/ftp/archive.netscape.com/archive/navigator/3.04/shipping/english/unix/linux12/navigator_complete/
 mkdir -p $P
 cd $P
#

wget ftp://archive:oldies@archive.netscape.com/archive/navigator/3.04/shipping/english/unix/linux12/navigator_complete/netscape-v304-export.x86-unknown-linux-elf.tar.gz





#  Local Variables:
#  coding:               utf-8-unix
#  End:
