#######
#
# E-scripts on news (NNTP, Usenet, etc)
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/news.e>
#           or at <http://angg.twu.net/e/news.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





#####
#
# inn
# 2000may11
#
#####

# (find-vldifile "inn2.list")
# (find-fline "/usr/doc/inn2/")
# (find-vldifile "" "inn2.list")
# (find-vldifile "inn2.postinst")
# (find-fline "/usr/doc/inn2/")
# (find-fline "/var/lib/news/")
# (find-fline "/etc/news/")
# (find-fline "/var/spool/news/")

# (find-vldifile "inn2-inews.list")
# (find-fline "/usr/doc/inn2-inews/")



# (find-es "perl" "Net::NNTP")
# (find-pl5file "Net/NNTP.pm" "=item next")
# (eeman "Net::NNTP")

cat > /tmp/p <<'---'
  use Data::Dumper;sub pdump{print"\n  $_[0] =\n",Dumper($_[1]);}
  use Net::NNTP;$nntp=Net::NNTP->new("localhost",Debug=>1);
  exit;
  $nntp->group("comp.lang.tcl");
  pdump('$nntp', $nntp);
  $groups = $nntp->list();
  pdump('$groups', $groups);
---
perl /tmp/p


/etc/init.d/inn restart
# (find-fline "/etc/inetd.conf")

  $art =
    $nntp->article($msgid);
  print join('', @$art);

  # Also works; this msgnum was extracted from an "Xref:" line by hand.
  #$art2 =
  #  $nntp->article(138818);
  #print join('', @$art2);

  $nntp->quit;
---
perl /tmp/p \
  |& tee ~/o




# (find-vldifile "inewsinn.list")
# (find-fline "/usr/doc/inewsinn/")





#####
#
# bind (and host)
# 2000may09
#
#####

# «bind»
# «host»

# inn complained of not being able to resolve the hostname of the
# local machine, so I decided that it's time to finally understand how
# hostname resolutions are done...

# (eeman "host" "MX")
host       mat.puc-rio.br
host -t MX mat.puc-rio.br

# (find-man "host" "EXAMPLES")
host -G -S -C -A -L 1 mat.puc-rio.br
host -G -S -C -A mat.puc-rio.br

pdsc $SDEBIAN/dists/potato/main/source/net/bind_8.2.2p5-11.dsc
cd /usr/src/bind_8.2.2p5/

# (find-vldifile "bind.list")
# (find-vldifile "bind.postinst" "To be most effective")
# (find-fline "/etc/resolv.conf")
# (find-fline "/usr/doc/bind/")

host angg
host localhost

ltrace ping -c 1 angg
# (find-node "(libc)Host Addresses")
# (find-node "(libc)Host Names" "gethostbyname")
# (find-fline "/etc/resolv.conf")
# (eeman "5 resolv.conf")
# (eeman "3 gethostbyname")
# (eeman "3 gethostbyname" "carried out")
# (eeman "8 resolv+")
# (find-fline "/etc/host.conf")
# (find-fline "/etc/hosts")









#  Local Variables:
#  coding:               utf-8-unix
#  End:
