#######
#
# E-scripts on making my homepage (old).
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/oldpage.e>
#           or at <http://angg.twu.net/e/oldpage.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



######
#
# Tcl version
#
######

# (find-fline "$PAGE/")
# (find-fline "$PAGE/Makefile")

cd $PAGE; make

cd $PAGE; make all
cd $PAGE; make all es rmtes





#######
#
# latte
#
#######

# «latte»

psner -nc -np -k -l 40 -A htm,html,latte,gif,jpg http://www.zanshin.com/latte/
edrxnetscape http://www.zanshin.com/latte/
edrxnetscape $S/http/www.zanshin.com/latte/index.html
lynx	     $S/http/www.zanshin.com/latte/index.html
lynx	     $S/http/www.zanshin.com/latte/latte.html

pdsc $SDEBIAN/dists/potato/main/source/web/latte_1.1-1.dsc
debian/rules binary	|& tee odrb

cd /usr/src/
mv -v latte*deb .debs

cd /usr/src/.debs/
dpkg-scanpackages . /dev/null | tee Packages
apt-get update

apt-get install latte

# (find-vldifile "latte.list")
# (find-fline "/usr/doc/latte/")
# (find-fline "/usr/share/latte/")
# (find-fline "/usr/src/latte-1.1/")
# (find-node "(latte)Top")
# (find-fline "$S/http/www.zanshin.com/latte/")

cd $S/http/www.zanshin.com/latte/
cd ~/latte/
# ln -s $S/http/www.zanshin.com/latte .http
# mkdir .httpl
for i in buildnotes correspond download examples faq home plans style; do
  unhtml < $i.latte.html > ~/latte/.httpl/$i.latte
done

# (find-fline "~/latte/")
cd ~/latte/
latte-html t.latte > t.html && lynx t.html





######
#
# Debugging latte
#
######

# (find-lattefile "definitions.cxx" "empty?")
# (find-lattefile "html.latte")
# (find-lattefile "standard.latte")
# (find-lattefile "latte.h" "class Latte_Obj")
# (find-lattefile "latte.h")

cd ~/latte/
strace-to ~/s latte-html escripts.latte

# (find-fline "~/latte/.gdbinit")
# (gdb "gdb -cd=/home/root/latte -d /usr/src/latte-1.1/ -x /home/root/latte/.gdbinit")



# (find-lattefile "latte-html-cli.cxx" "called from")
# (find-lattefile "latte-html-cli.cxx" "Bad type in")
# (find-lattefile "definitions.cxx" 1333)

cd /usr/src/latte-1.1/
agrep -n 'throw BadType' *.c* *.h

# (find-fline "$SDEBIAN/dists/potato/main/source/web/latte_1.1.orig.tar.gz")




# (find-lattefile "latte.h")
# (find-lattefile "refcount.h")

cd /usr/src/latte-1.1/
g++ -DHAVE_CONFIG_H -I. -E tangible.cxx > ~/o
# (find-fline "~/o" "Latte_Obj")

cd ~/latte/
latte-html -d eval error.latte
# (find-lattefile "latte-html-cli.cxx" "case 'd'")
# (find-lattefile "latte-html-cli.cxx" "\"eval\"")
# (find-lattefile "latte.cxx" "latte_log_EVAL")


# If /dev/null becomes a file instead of a device:
#
# cd /dev/; MAKEDEV -n generic |& tee ~/o
# create null	c 1 3 root:root 0666
cd /dev/; rm null; mknod null c 1 3 -m 0666





######
#
# links to the angg files
#
######





######
#
# making my (local) page
#
######

# (find-fline "~/latte/Makefile")
cd ~/latte/
make all

cd /tmp
rm -Rv page
mkdir page
cd page
wget -r -nc -np -nv http://127.0.0.1/latte/index.html |& tee ~/o
# Missing pages:
grep ':$' ~/o | tee ~/o2

cd ~/latte/out/
find .* * -follow -type f | sort > ~/o2
cd /tmp/page/127.0.0.1/latte/
find .* * -type f | sort > ~/o3
# Inaccessible pages:
cd; diff o2 o3

cd $ES
'ls' *.e > ~/o2
cd ~/latte/out/escripts/
'ls' | perl -nle 'm/^(.*\.e)\.html/ && print $1;' > ~/o3
# Nonexported ".e"s:
cd; diff o2 o3



# (find-fline "/etc/apache/srm.conf" "/latte/")
#  Alias /latte/ /home/root/latte/out/
# /etc/init.d/apache restart

lynx http://127.0.0.1/latte/





cd ~/latte/
rm -Rv out
rm -Rv outrmt
mkdir out out/escripts outrmt outrmt/escripts

# (find-fline "~/latte/Literal-files")
#
rm -v $(find out outrmt -type l)
cd ~/latte/out;    mkdir -p C/ ICON/ LATEX/ bin/ etc/apt/ latte/ replace/
cd ~/latte/outrmt; mkdir -p C/ ICON/ LATEX/ bin/ etc/apt/ latte/ replace/
#
cd ~/latte
for i in $(<Literal-files); do
  [[ -e out/$i ]] || ln -s ~/$i out/$i.txt
  [[ -e outrmt/$i ]] || ln -s ~/$i outrmt/$i.txt
done

cd ~/latte/
LOCAL=no make OUT=outrmt all



date '+%Y%b%d %k:%M' | tr A-Z a-z | tee .lastupdated



#####
#
# Pack the files that should be uploaded
#
#####

cd ~/latte
make all allrmt

cd outrmt
find .* * -follow -newer ../.lastuploaded -and -type f | tee ../.toupload
cd ..
cd outrmt
tar -cvzhf ../toupload.tgz $(<../.toupload)
cd ..
laf toupload.tgz



cd ~/latte/outrmt
tar -cvzhf ../toupload.tgz .* *
cd ~/latte/
laf toupload.tgz



#####
#
# upload
#
#####

# local:
cd ~/latte/
ftp $BOTO <<---
  hash on
  put toupload.tgz
  dir *.tgz
  quit
---

# remote:
# rm -Rv ~/public_html/
mkdir ~/public_html/
cd ~/public_html
tar -xvzf ../toupload.tgz

# local:
cd ~/latte/
date '+%Y%b%d %k:%M' | tr A-Z a-z | tee .lastuploaded

lynx http://www.mat.puc-rio.br/~edrx/






######
#
# Versão corrida, pro maurício
#
######

# (find-fline "~/latte/Makefile")

cd ~
tar -cvzf /tmp/m.tgz $(<<'---'
.emacs
.zshrc
ZHTML/escripts/anggsmil.e
ZHTML/escripts/crim.e
ZHTML/escripts/debian.e
ZHTML/escripts/debian0.e
ZHTML/escripts/debiandev.e
ZHTML/escripts/dos.e
ZHTML/escripts/emacs.e
ZHTML/escripts/escripts.e
ZHTML/escripts/ethernet.e
ZHTML/escripts/fl.e
ZHTML/escripts/forth.e
ZHTML/escripts/games.e
ZHTML/escripts/general.e
ZHTML/escripts/gimp.e
ZHTML/escripts/hardware.e
ZHTML/escripts/html.e
ZHTML/escripts/icon.e
ZHTML/escripts/icq.e
ZHTML/escripts/k22.e
ZHTML/escripts/kernel.e
ZHTML/escripts/maple.e
ZHTML/escripts/mini.e
ZHTML/escripts/music.e
ZHTML/escripts/net.e
ZHTML/escripts/netscape.e
ZHTML/escripts/nonfree.e
ZHTML/escripts/page.e
ZHTML/escripts/perl.e
ZHTML/escripts/perl1.e
ZHTML/escripts/ppp.e
ZHTML/escripts/print.e
ZHTML/escripts/psx.e
ZHTML/escripts/redhat.e
ZHTML/escripts/rest.e
ZHTML/escripts/scheme.e
ZHTML/escripts/slink.e
ZHTML/escripts/sql.e
ZHTML/escripts/tcl.e
ZHTML/escripts/tese.e
ZHTML/escripts/tex.e
ZHTML/escripts/todo.e
ZHTML/escripts/transp.e
ZHTML/escripts/yard.e
ZHTML/escripts/zsh.e
---)
laf /tmp/m.tgz





######
#
# fotos da casa
#
######

cd /hdd3/scans/
xv [a-z]*

http://www.ljimoveis.com.br/

cd /usr/doc/xv/
gzip -dv /usr/doc/xv/xvdocs.ps.gz
laf
gv xvdocs.ps &


# Empacotando e mandando:

cd /hdd3/scans/halfq75/
tar -cvzf /tmp/fotos.tgz [a-z]*.jpeg
laf /tmp/fotos.tgz

cd /tmp/
emailfile edrx@mat.puc-rio.br fotos.tgz

# No angg, depois de fazer aparecer o arquivo ~/fotos.tgz:
cd ~/public_html
mkdir fotos
cd fotos
tar -xvzf ~/fotos.tgz
laf



(cd $PAGE; make all)

# (find-fline "$PAGE/casa.th")
# (find-fline "$PAGE/outrmt/casa.html")

cd $PAGE/outrmt/
ftpmyhttp 'put casa.html' 'put casa.html sitio.html' 'quit'

edrxnetscape http://www.mat.puc-rio.br/~edrx/casa.html

http://www.mat.puc-rio.br/~edrx/casa.html
http://www.mat.puc-rio.br/~edrx/sitio.html






######
#
# localth and friends
#
######

# (find-fline "~/TCL/html.007")
# (find-fline "~/TCL/localth")
# (find-fline "~/TCL/remoteth")
# (find-fline "~/TCL/e2html")
# (find-fline "~/TCL/pagefiles")
# (find-fline "~/TCL/")




#  Local Variables:
#  coding:               utf-8-unix
#  End:
