#######
#
# E-scripts on the Teenage Engineering OP-1.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/op-1.e>
#           or at <http://angg.twu.net/e/op-1.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# (find-es "hardware" "OP-1")


OP-1 Operator's Manual                       
                                             
                                             
Benutzerhandbuch                             
Mode d'Emploi                                
                                             
©2010-2012 Teenage Engineering. All rights   
reserved.                                    
                                             
Table of Contents                            


;; (find-op1manualpage 3 "TOC")

# (find-op1manualpage  7 "1 Hardware - Overview")
# (find-op1manualtext  7 "1 Hardware - Overview")
# (find-op1manualpage  8 "2 Layout")
# (find-op1manualtext  8 "2 Layout")
# (find-op1manualpage  9 "3 Musical Keyboard")
# (find-op1manualtext  9 "3 Musical Keyboard")
# (find-op1manualpage 10 "4 Main Modes")
# (find-op1manualtext 10 "4 Main Modes")
# (find-op1manualpage 11 "5 Synthesizer Mode")
# (find-op1manualtext 11 "5 Synthesizer Mode")
# (find-op1manualpage 15 "6 Drum Mode")
# (find-op1manualtext 15 "6 Drum Mode")
# (find-op1manualpage 17 "7 Sequencers")
# (find-op1manualtext 17 "7 Sequencers")
# (find-op1manualpage 21 "8 Tape Mode")
# (find-op1manualtext 21 "8 Tape Mode")
# (find-op1manualpage 25 "9 Mixer")
# (find-op1manualtext 25 "9 Mixer")
# (find-op1manualpage 27 "10 Tempo")
# (find-op1manualtext 27 "10 Tempo")
# (find-op1manualpage 28 "11 Help")
# (find-op1manualtext 28 "11 Help")
# (find-op1manualpage 28 "11.3 Battery level")
# (find-op1manualtext 28 "11.3 Battery level")
# (find-op1manualpage 29 "12 Recording External Sources")
# (find-op1manualtext 29 "12 Recording External Sources")
# (find-op1manualpage 30 "13 File Rendering and Transfer")
# (find-op1manualtext 30 "13 File Rendering and Transfer")
# (find-op1manualpage 34 "14 SHIFT Key")
# (find-op1manualtext 34 "14 SHIFT Key")
# (find-op1manualpage 36 "15 LFO Modes")
# (find-op1manualtext 36 "15 LFO Modes")
# (find-op1manualpage 39 "16 Exercises")
# (find-op1manualtext 39 "16 Exercises")
# (find-op1manualpage 41 "17 Reference")
# (find-op1manualtext 41 "17 Reference")
# (find-op1manualpage 46 "18 Hardware")
# (find-op1manualtext 46 "18 Hardware")


                                             
1      Hardware - Overview
2      Layout                                
3      Musical Keyboard                      
4      Main Modes                            
5      Synthesizer Mode                      
6      Drum Mode                             
7      Sequencers
8      Tape Mode
9      The Mixer
10     Tempo
11      Help                                      
12      Recording External Sources
13      Song Rendering and Connectivity
14      SHIFT Key
15      LFO Reference
16     Exercises	       
17     Reference	       
18     Hardware              




# http://www.youtube.com/watch?v=r-mPqvVRDHQ OP-1 Full  Review
# (find-youtubedl-links "/sda5/videos/" "OP-1_Full__Review" "r-mPqvVRDHQ" ".mp4" "op1fullreview")
# (code-video "op1fullreview" "/sda5/videos/OP-1_Full__Review-r-mPqvVRDHQ.mp4")
# (find-op1fullreview)
# (find-op1fullreview "6:50")
# (find-op1fullreview "6:50" "Recording")
# (find-op1fullreview "7:25" "4-track")
# (find-op1fullreview "8:20" "sequencer")



http://www.youtube.com/watch?v=akgmQJJ-k8E&feature=youtu.be&t=1m30s by Maru8080

http://www.teenageengineering.com/products/op-1/videos 
http://www.youtube.com/watch?v=9Pm13Gk1jt4 OP-SCHOOL 01: Overview
http://www.youtube.com/watch?v=E7GEzeir2wE OP-SCHOOL 02: Synth
http://www.youtube.com/watch?v=VBwU-d_WDmU OP-SCHOOL 03: Drum
http://www.youtube.com/watch?v=JLDP40_ZiI4 OP-SCHOOL 04: Tape
http://www.youtube.com/watch?v=R_Htj0DPzRo OP-SCHOOL 05: Mixer

# (find-youtubedl-links "/sda5/videos/" "OP-SCHOOL_04_-_Tape" "JLDP40_ZiI4" ".mp4" "op1tape")
# (code-video "op1tapevideo" "/sda5/videos/OP-SCHOOL_04_-_Tape-JLDP40_ZiI4.mp4")
# (find-op1tapevideo)
# (find-op1tapevideo "0:00")
# (find-op1tapevideo t)
# (eev-avadj-mode 1)
0:00




http://www.youtube.com/watch?v=w11GPLDya2M My First Time With Teenage Engineering OP-1
https://www.youtube.com/watch?v=68AgGjyVlCE AzR - U Mad Bro? (Created entirely on the Teenage Engineering OP-1 Synth)
https://www.youtube.com/watch?v=YTOzYItTttw OP-1 Jam 09-15-13


Factory reset:
http://www.sweetwater.com/sweetcare/articles/how-do-i-perform-a-factory-reset-on-my-teenage-engineering-op-1/

1. Power off the OP-1
2. Hold down the COM button while turning the OP-1 on
3. Push button number 7 for factory reset
4. Unit will reset, then instruct you to power cycle.
























#  Local Variables:
#  coding:               utf-8-unix
#  End:
