#######
#
# E-scripts on pandoc.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/pandoc.e>
#           or at <http://angg.twu.net/e/pandoc.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



pandoc


# (find-esgrep "grep --color -nH --null -e pandoc *.e")
# (find-es "markdown" "pandoc")

https://askubuntu.com/questions/1029631/converting-epub-to-pdf-using-pandoc
https://groups.google.com/g/pandoc-discuss

# (find-ebook-convert-links "/tmp/hutton__programming_in_haskell.epub")

# (code-c-d "pandoc" "~/usrc/pandoc/")
# (find-pandocfile "")
# (find-pandocfile "pandoc-lua-engine/src/Text/Pandoc/Lua.hs")
# (find-pandocsh "find *")
# (find-pandocsh "find * | sort")




git clone https://github.com/jgm/pandoc
cd pandoc



https://pandoc.org/installing.html#compiling-from-source


# https://leanprover-community.github.io/archive/stream/270676-lean4/topic/Metaprogramming.20tutorial.html
pandoc --to pdf md/{main/intro.md,main/expressions.md,main/metam.md,main/syntax.md,main/macros.md,main/elaboration.md,main/dsls.md,main/tactics.md,main/cheat-sheet.md,extra/options.md,extra/attributes.md,extra/pretty-printing.md} -o 'Lean 4 Metaprogramming (Paulino et al.).pdf' --pdf-engine=xelatex -V monofont='DejaVu Sans Mono'

pandoc --from markdown --to pdf md/{main/intro.md,main/expressions.md,main/metam.md,main/syntax.md,main/macros.md,main/elaboration.md,main/dsls.md,main/tactics.md,main/cheat-sheet.md,extra/options.md,extra/attributes.md,extra/pretty-printing.md} -o 'Lean 4 Metaprogramming (Paulino et al.).pdf' --pdf-engine=lualatex -V monofont='DejaVu Sans Mono' --toc --template eisvogel.latex --data-dir .





#  Local Variables:
#  coding:               utf-8-unix
#  End:
