#######
#
# E-scripts on penrose.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/penrose.e>
#           or at <http://angg.twu.net/e/penrose.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.mailing-list»	(to "mailing-list")
# «.penrose-git»	(to "penrose-git")



# (find-books "__comp/__comp.el" "penrose")

http://penrose.ink/
http://penrose.ink/media/Penrose_SIGGRAPH2020.pdf
http://penrose.ink/media/Penrose_SIGGRAPH2020_Supplemental_Grammars.pdf
https://vimeo.com/416822487



#####
#
# penrose-git
# 2020jun03
#
#####

# «penrose-git» (to ".penrose-git")
# https://github.com/penrose/penrose

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
du -ch  ~/usrc/penrose/
rm -Rfv ~/usrc/penrose/
cd      ~/usrc/
git clone https://github.com/penrose/penrose
cd      ~/usrc/penrose/

export PAGER=cat
git branch --list -a
git for-each-ref
git log --oneline --graph --all -20

git checkout main

# (find-fline "~/usrc/")
# (find-fline "~/usrc/penrose/")
# (find-gitk  "~/usrc/penrose/")

# (code-c-d "penrose" "~/usrc/penrose/")
# (find-penrosefile "")
# (find-penrosefile "docs/")
# (find-penrosefile "penrose-modes/penrose-modes.el")
# (find-penrosefile "src/Penrose/")
# (find-penrosesh "find * | sort")
# (find-penrosegrep "grep --color -niRH --null -e mailing *")

# (find-pdf-page "~/usrc/penrose/docs/grammars.pdf")
# (find-pdf-text "~/usrc/penrose/docs/grammars.pdf")


https://github.com/penrose/penrose/issues/183 Young's inequality
https://github.com/penrose/penrose/issues/42 Staged diagrams




#####
#
# mailing-list
# 2020jun03
#
#####

# «mailing-list» (to ".mailing-list")
# https://mail.openjdk.java.net/mailman/listinfo/penrose-discuss
# https://mail.openjdk.java.net/pipermail/penrose-discuss/

Mailing list?
Hi,

I just discoved Penrose, from a mention of it in a Category Theory
chat in Zulip, at <https://categorytheory.zulipchat.com/>...

The page <http://penrose.ink/> mentions a mailing list but I couldn't
find its address - I even cloned the git repo and grepped for
"mailing" in it, but got nothing...

https://penrose.cs.cmu.edu/blog/staged-layout



#  Local Variables:
#  coding:               utf-8-unix
#  End:
