#######
#
# E-scripts on RSS.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/rss.e>
#           or at <http://angg.twu.net/e/rss.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.elfeed»		(to "elfeed")
# «.python-feedgen»	(to "python-feedgen")




#####
#
# elfeed
# 2022jun13
#
#####

# «elfeed»  (to ".elfeed")
# (find-epackage-links 'elfeed "elfeed" t)
# (find-epackage       'elfeed)
# (code-c-d "elfeed" "~/.emacs.d/elpa/elfeed-20210822.2129/")
# (find-elfeedfile "")

(setq elfeed-feeds
  '("https://sachachua.com/blog/feed/"
    "http://planet.emacslife.com/atom.xml"
    "https://lobste.rs/rss"
    ))

(elfeed-update)
(elfeed)

>
> or
>

(setq elfeed-feeds '("https://sachachua.com/blog/feed/"))




#####
#
# python-feedgen
# 2024feb12
#
#####

# «python-feedgen»  (to ".python-feedgen")
# https://www.pcloadletter.dev/blog/rss/ RSS is still pretty great 
# https://news.ycombinator.com/item?id=39335549 RSS is still pretty great (pcloadletter.dev)

https://github.com/lkiesow/python-feedgen

from feedgen.feed import FeedGenerator
fg = FeedGenerator()
fg.id('https://pcloadletter.dev')
fg.title('pcloadletter')
fg.subtitle('What the **** does that mean?')
fg.language('en')
# etc




https://openrss.org/blog/how-google-helped-destroy-adoption-of-rss-feeds
https://news.ycombinator.com/item?id=39493770 Google helped destroy adoption of RSS feeds (2023) (openrss.org)



<momoninja> I configured it like this:
<momoninja> (setq elfeed-feeds
<momoninja> '(("https://www.questionablecontent.net/QCRSS.xml"
            comic)
<momoninja> ("https://sachachua.com/blog/category/emacs-news/feed/")))
*** sawilagar JOIN
<momoninja> -I in the beginning



https://nullprogram.com/blog/2013/09/04/





#  Local Variables:
#  coding:               utf-8-unix
#  End:
