#######
#
# E-scripts sobre o curso de Tipografia Digital.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/td.e>
#           or at <http://angg.twu.net/e/td.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.emacs-for-windows»		(to "emacs-for-windows")
# «.texlive-for-windows»	(to "texlive-for-windows")
# «.texworks-for-windows»	(to "texworks-for-windows")
# «.trabalhos»			(to "trabalhos")



# Meus logs do IRC (edrx):
# (find-fline "~/LOGS/")
# (find-fline "~/LOGS/2019apr12.eev")
# (find-fline "~/LOGS/2019apr24.eev")
# (find-fline "~/LOGS/2019apr27.eev")
# (find-fline "~/LOGS/2019may03.eev")
# (find-fline "~/LOGS/2019may15.eev")
# (find-fline "~/LOGS/2019may17.eev")
# (find-fline "~/LOGS/2019may22.eev")
# (find-fline "~/LOGS/2019may24.eev")
# (find-fline "~/LOGS/2019may29.eev")
# (find-fline "~/LOGS/2019jun05.eev")
# (find-fline "~/LOGS/2019jun12.eev")




#####
#
# Emacs for Windows
# 2019may31
#
#####

# «emacs-for-windows» (to ".emacs-for-windows")
# (find-TH "2019.1-TD" "emacs-para-windows")
# http://angg.twu.net/2019.1-TD.html#emacs-para-windows

Dicas pra instação do Emacs no Windows: baixe o .zip do quarto
link abaixo e siga as instruções a partir do "Unzip the zip
file":

  https://www.gnu.org/software/emacs/
  https://www.gnu.org/software/emacs/download.html#windows
  http://gnu.c3sl.ufpr.br/ftp/emacs/windows/
  http://gnu.c3sl.ufpr.br/ftp/emacs/windows/emacs-25/emacs-25.2-x86_64.zip

   Unzip the zip file preserving the directory structure, and run
  bin\runemacs.exe. Alternatively, create a desktop shortcut to
  bin\runemacs.exe, and start Emacs by double-clicking on that
  shortcut's icon.

Depois instale o eev usando o `M-x list-packages'.
Ative o eev rodando `M-x eev-beginner'.




#####
#
# texlive-for-windows
# 2019may31
#
#####

# «texlive-for-windows» (to ".texlive-for-windows")
# https://www.tug.org/texlive/doc.html
# https://www.tug.org/texlive/doc/texlive-en/texlive-en.html
# http://tug.org/texlive/acquire.html
# http://tug.org/texlive/acquire-netinstall.html
# https://www.tug.org/texlive/windows.html




#####
#
# texworks-for-windows
# 2019jun05
#
#####

# «texworks-for-windows» (to ".texworks-for-windows")
# (find-es "tex" "texworks")
# http://www.tug.org/texworks/
# http://www.tug.org/texworks/#Getting_TeXworks
# https://github.com/TeXworks/texworks/releases
# http://mirror.ctan.org/systems/texlive/tlnet/install-tl-windows.exe

# (find-fline "C:/Program Files (x86)/TeXworks/")
# (find-fline "C:/Program Files (x86)/TeXworks/" "TeXworks.exe")

(find-fline "C:/Program Files (x86)/TeXworks/")
(find-fline "C:/Program Files (x86)/TeXworks/" "TeXworks.exe")





#####
#
# Trabalhos
# 2019jun08
#
#####

# «trabalhos» (to ".trabalhos")
Emacs / Lisp
LaTeX
Lua
shell







#  Local Variables:
#  coding:               utf-8-unix
#  ee-anchor-format:     "«%s»"
#  End:
