#######
#
# E-scripts on coisas da minha tese.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/tese.e>
#           or at <http://angg.twu.net/e/tese.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######



# «.baixar_e_ver»	(to "baixar_e_ver")



#####
#
# código pra baixar e ver (com xdvi) uma versão da tese
#
#####

# «baixar_e_ver»  (to ".baixar_e_ver")

# (find-fline "~/LATEX/arquivo/")
# cd ~/LATEX/arquivo/
wget ftp://ftp.mat.puc-rio.br/pub/users/edrx/1999Apr29-dvi.tgz

mkdir tmpdir
cd tmpdir
tar -xvzf ../1999Apr29-dvi.tgz
xdvi feb98.dvi

cd ..
rm -Rv tmpdir




#####
#
# código para empacotar e subir uma versão da tese
#
#####

cd ~
mkdir -p LATEX/arquivo

HOJE=$(date +%Y%b%d)
HOJEDVITGZ=${HOJE}-dvi.tgz
HOJESRCTGZ=${HOJE}-src.tgz
echo $HOJE
echo $HOJEDVITGZ
echo $HOJESRCTGZ

A=(
LATEX/Makefile
LATEX/desenhos.014
LATEX/diaglib.014
LATEX/feb98.tex
LATEX/mar99a.dn
LATEX/mar99a.dnt
LATEX/mar99b.dn
LATEX/mar99b.dnt
LATEX/proof.edrx.sty
LATEX/slides.dn
LATEX/slides.dnt
LATEX/slides.tex
LATEX/tese2.sty
LATEX/vga850.tfm
LATEX/vgatim.sty
LUA/dednat.lua
LUA/inc.lua
.emacs
.zshrc
C/math.extras
C/fontimage.icn
C/fontimage.c
replace/ega1.8
replace/defkeymap850b.map
)

echo $HOJEDVITGZ
echo $HOJESRCTGZ

cd ~
tar -cvzf ~/LATEX/arquivo/$HOJESRCTGZ $A

cd ~/LATEX/
tar -cvzf ~/LATEX/arquivo/$HOJEDVITGZ $(dvi+eps feb98.dvi) slides.dvi

cd ~/LATEX/arquivo/
laf $HOJEDVITGZ $HOJESRCTGZ

cd ~/LATEX/arquivo/
ftp matinta.mat.puc-rio.br <<---
  hash on
  cd /export/home/ftp/pub/users/edrx
  put $HOJEDVITGZ
  put $HOJESRCTGZ
  dir
  quit
---

laf tese-src.tgz





#  Local Variables:
#  coding:               utf-8-unix
#  End:
