#######
#
# E-scripts on texlive.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/texlive.e>
#           or at <http://angg.twu.net/e/texlive.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.mailing-list»	(to "mailing-list")
# «.texlive-from-isos»	(to "texlive-from-isos")
# «.install-tl»		(to "install-tl")
# «.tlmgr»		(to "tlmgr")
# «.tlmgr-pinning»	(to "tlmgr-pinning")


# (find-esgrep "grep --color -nH --null -e texlive *.e")
# (find-efunctiondescr 'find-texlive-links)
# (find-efunction 'find-texlive-links)
# (find-texlive-links)

# (find-es "arxiv" "texlive-2016")



#####
#
# mailing list
# 2022jun30
#
#####

# «mailing-list»  (to ".mailing-list")
# (find-es "tex" "mailing-lists")
# (find-esgrep "grep --color -nH --null -e tug.org/pipermail/tex-live *.e")
# https://tug.org/mailman/listinfo/tex-live subscribe
# https://tug.org/pipermail/tex-live/ archive




#####
#
# texlive-from-isos
# 2022jun30
#
#####

# «texlive-from-isos»  (to ".texlive-from-isos")
# (find-es "arxiv" "texlive-2016")
# (find-es "arxiv" "texlive-2017")
# (find-es "arxiv" "texlive-2019")
# (find-es "arxiv" "texlive-2020")




#####
#
# install-tl
# 2022jun30
#
#####

# «install-tl»  (to ".install-tl")
# (find-es "tex" "install-tl")
# (find-esgrep "grep --color -nH --null -e install-tl *.e")




#####
#
# tlmgr
# 2022jun30
#
#####

# «tlmgr»  (to ".tlmgr")
# (find-man "1 tlmgr")
# (find-sh "locate tlmgr")
# https://tug.org/texlive/doc/tlmgr.html
# https://tug.org/pipermail/tex-live/2022-April/048008.html





#####
#
# tlmgr-pinning
# 2024feb15
#
#####

# «tlmgr-pinning»  (to ".tlmgr-pinning")
# (find-tl2021file "texmf-dist/doc/generic/pgf/README.md" "tlmgr pinning add pgf-development")




https://tug.org/pipermail/tex-live/2022-July/048276.html multioctet grabbed in its entirety
https://tug.org/pipermail/tex-live/2022-July/048278.html title casing

TeX Hour: The Future of TeX (Knuth) and Tagged PDF (Mittelbach and Rowley)
https://tug.org/pipermail/tex-live/2022-August/048415.html
https://tug.org/TUGboat/tb11-4/tb30knut.pdf The Future of and METAFONT - Donald E. Knuth

Please do
        tlmgr install --reinstall texlive-scripts
somehow the texlive-scripts packages gone missing it seems.

https://tug.org/texlive/doc/texlive-en/texlive-en.html#sysfontconfig

Testing required before final switch to the new PDF interpreter in Ghostscript 10.1 next March:
https://tug.org/pipermail/tex-live/2023-January/048771.html




#  Local Variables:
#  coding:               utf-8-unix
#  End:
