#######
#
# E-scripts on Ubuntu.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/ubuntu.e>
#           or at <http://angg.twu.net/e/ubuntu.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.downloading»		(to "downloading")
# «.sources.list»		(to "sources.list")
# «.dmissingu»			(to "dmissingu")
# «.puro-2009oct21»		(to "puro-2009oct21")
# «.puro-2009oct23»		(to "puro-2009oct23")
# «.thttpd»			(to "thttpd")
# «.eepitch-lc»			(to "eepitch-lc")
# «.apt-ftparchive»		(to "apt-ftparchive")
# «.lc-installer»		(to "lc-installer")
# «.emacs-quickref»		(to "emacs-quickref")
# «.eev-quickref»		(to "eev-quickref")
# «.oficina.tgz»		(to "oficina.tgz")
# «.eev-oficina-settings»	(to "eev-oficina-settings")
# «.find-wget-oficina»		(to "find-wget-oficina")
# «.linuxnopc»			(to "linuxnopc")
# «.wifi»			(to "wifi")
# «.old-stuff»			(to "old-stuff")
# «.xubuntu-12.04»		(to "xubuntu-12.04")




#####
#
# downloading
# 2008feb22
#
#####

# «downloading»  (to ".downloading")
# (find-sh "locate -i ubuntu")
# (find-zsh "cd $S; Pwd")
# http://ubuntu.c3sl.ufpr.br/releases/kubuntu/gutsy/
# http://ubuntu.c3sl.ufpr.br/releases/kubuntu/gutsy/kubuntu-7.10-desktop-i386.iso

psne http://ubuntu.c3sl.ufpr.br/releases/kubuntu/gutsy/kubuntu-7.10-desktop-i386.iso -c

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

mkdir /tmp/kubuntu/
cd $S/http/ubuntu.c3sl.ufpr.br/releases/kubuntu/gutsy/
sudo mount -o loop kubuntu-7.10-desktop-i386.iso /tmp/kubuntu/

# (find-fline "/tmp/kubuntu/")
# (find-fline "/tmp/kubuntu/casper/")
# (find-fline "/tmp/kubuntu/casper/filesystem.manifest")

cd /tmp/kubuntu/
md5sum -c md5sum.txt

# (find-sh "dmesg")
# (find-sh "dmesg" "\nhdc:")
# (find-man "wodim")
# (find-fline "$S/http/ubuntu.c3sl.ufpr.br/releases/kubuntu/gutsy/")
cd $S/http/ubuntu.c3sl.ufpr.br/releases/kubuntu/gutsy/
sudo wodim -v dev=/dev/hdd speed=8 \
       kubuntu-7.10-desktop-i386.iso

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

mkdir /tmp/kubuntu/
mkdir /tmp/dvd/
mount /tmp/dvd/
sudo mount -o ro /dev/hdc /tmp/dvd/
cd /tmp/dvd/
md5sum -c md5sum.txt
sudo umount /tmp/dvd/




Afterwards: gravar CD, testar no laptop, testar no grande
Testar sudo, su, ppp, ifconfig, conexao com o outro computador,
emacs

ver se o dekooning consegue montar o CDRW com o netbsd
(se conseguir então porque é que não está bootando?)

Does it come with emacs? How do I install emacs on it?
How do I run it in Xen?






#####
#
# sources.list (from rkendy)
# 2009sep08
#
#####

# «sources.list»  (to ".sources.list")
# What do I need to add to this to be able to apt-get install emacs22-common-non-dfsg?
# http://archive.ubuntu.com/ubuntu/dists/
# http://archive.ubuntu.com/ubuntu/dists/jaunty/
# http://www.ubuntu.com/community/ubuntustory/components

# «dmissingu»  (to ".dmissingu")
# (find-angg ".zshrc" "dmissingu")
# http://archive.ubuntu.com/ubuntu/dists/jaunty/Contents-i386.gz
# The answer:
# (find-zsh "dmissing elisp | grep info; echo; dmissingu elisp | grep info")

#deb cdrom:[Xubuntu 9.04 _Jaunty Jackalope_ - Release i386 (20090420.1)]/ jaunty main multiverse restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb     http://br.archive.ubuntu.com/ubuntu/ jaunty main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb     http://br.archive.ubuntu.com/ubuntu/ jaunty-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb     http://br.archive.ubuntu.com/ubuntu/ jaunty universe
deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty universe
deb     http://br.archive.ubuntu.com/ubuntu/ jaunty-updates universe
deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb     http://br.archive.ubuntu.com/ubuntu/ jaunty multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty multiverse
deb     http://br.archive.ubuntu.com/ubuntu/ jaunty-updates multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb     http://br.archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb     http://archive.canonical.com/ubuntu jaunty partner
# deb-src http://archive.canonical.com/ubuntu jaunty partner

deb     http://security.ubuntu.com/ubuntu jaunty-security main restricted
deb-src http://security.ubuntu.com/ubuntu jaunty-security main restricted
deb     http://security.ubuntu.com/ubuntu jaunty-security universe
deb-src http://security.ubuntu.com/ubuntu jaunty-security universe
deb     http://security.ubuntu.com/ubuntu jaunty-security multiverse
deb-src http://security.ubuntu.com/ubuntu jaunty-security multiverse






#####
#
# Installing stuff at the info lab at PURO
# 2009oct21
#
#####

# «puro-2009oct21»  (to ".puro-2009oct21")
# (find-fline "/home/ubuntu-puro/")
# (find-fline "/home/ubuntu-puro/dists/lenny/main/binary-i386/")
# (find-fline "/home/ubuntu-puro/debs/")
# (find-fline "/home/ubuntu-puro/debs/" "openssh-server")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /home/ubuntu-puro/debs/
cp -v openssh-server_1%3a5.1p1-5ubuntu1_i386.deb /tmp/pen/

cd /home/ubuntu-puro/debs/; laf openssh*
cd /tmp/pen/;               laf openssh*

cat > /tmp/pen/install_sshd.sh <<'%%%'
#!/bin/sh
set -v
dpkg -i /disk/media/openssh-server_1%3a5.1p1-5ubuntu1_i386.deb
%%%

cat > /tmp/pen/install_sshd_sudo.sh <<'%%%'
#!/bin/sh
set -v
sudo dpkg -i /disk/media/openssh-server_1%3a5.1p1-5ubuntu1_i386.deb
%%%


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)

# (find-fline "/home/ubuntu-puro/dists/lenny/main/binary-i386/")
# (find-fline "/home/ubuntu-puro/debs/")

mkdir    /home/ubuntu-puro/
mkdir    /home/ubuntu-puro/debs/
mkdir -p /home/ubuntu-puro/dists/ubuntu-puro/binary-i386/
cd       /home/ubuntu-puro/

apt-ftparchive packages debs \
  | tee        dists/ubuntu-puro/binary-i386/Packages \
  | gzip -c9 > dists/ubuntu-puro/binary-i386/Packages.gz

# (find-fline "/home/ubuntu-puro/dists/ubuntu-puro/binary-i386/Packages")

cd       /home/ubuntu-puro/
tar -cvzf /tmp/ubuntu_puro_debs_2009oct21.tgz debs/* dists/
laf   /tmp/ubuntu_puro_debs_2009oct21.tgz
cp -v /tmp/ubuntu_puro_debs_2009oct21.tgz /tmp/pen/





#####
#
# Last minute installations at the lab at PURO, 2009oct23
# 2009oct23
#
#####

# «puro-2009oct23»  (to ".puro-2009oct23")




#####
#
# thttpd
# 2009oct21
#
#####

# «thttpd»  (to ".thttpd")
# (find-es  "http" "thttpd")
# (find-man "8 thttpd")
# (find-sh0 "killall thttpd")
# (find-sh0 "sudo killall thttpd")
# (find-bgprocess "/usr/sbin/thttpd -p 80 -d /home/edrx/ -nor -nos -l /dev/null -T iso-8859-1")
# (find-bgprocess "/usr/sbin/thttpd -p 8080 -d /home/edrx/ -nor -nos -l /dev/null -T iso-8859-1")
# (find-bgprocess "/usr/sbin/thttpd -p 8080 -d /home/edrx/TH/L/ -nor -nos -l /dev/null -T iso-8859-1")
# (find-bgprocess "/usr/sbin/thttpd -p 8080 -D -d /home/edrx/TH/L/ -nor -nos -l /dev/null -T iso-8859-1")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
ps ax
sudo ifconfig
     killall thttpd
sudo killall thttpd
/usr/sbin/thttpd -p 8080 -D -d ~/TH/L/ -nor -nos -l /dev/stdout -T iso-8859-1 &
# /usr/sbin/thttpd -p 8080  -d ~/TH/L/ -nor -nos -l /dev/null   -T iso-8859-1 &

# http://localhost:8080/

wget -O /dev/null http://192.168.0.101:8080/
wget -O /dev/null http://192.168.0.100:8080/




#####
#
# apt-ftparchive
# 2009oct23
#
#####

# «apt-ftparchive»  (to ".apt-ftparchive")
# (find-vcaafile "")
# (find-fline "/home/edrx/debs/")
# (find-fline "/home/edrx/dists/ubuntu-puro/binary-i386/")
# (find-fline "/home/edrx/dists/ubuntu-puro/binary-i386/Packages")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /var/cache/apt/archives/
mv -v *.deb ~/debs/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /home/edrx/
apt-ftparchive packages debs \
  | tee        dists/ubuntu-puro/binary-i386/Packages \
  | gzip -c9 > dists/ubuntu-puro/binary-i386/Packages.gz




#####
#
# eepitch-lc
# 2009oct21
#
#####

# «eepitch-lc»  (to ".eepitch-lc")
# (find-efunction 'eepitch-comint)
# (find-efunction 'eechannel-send)
# (find-efunction 'find-setq-links)
# (find-setq-links 'lab-password)
# (setq lab-password "foobar")
# (defun lab-password () (interactive) (eechannel-send nil (concat lab-password "\n")))

;;                                 Quadro
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0201    lc0202    lc0203 |   |  lc0204    lc0205  |
;;     |  .49        W$       .188  |   |    .6       .191   |
;;     |____________________________|   |____________________|
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0206    lc0207    lc0208 |   |  lc0209    lc0210  |
;;     |  .164      .126      .116  |   |   .102      .165   |
;;     |____________________________|   |____________________|
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0211    lc0212    lc0213 |   |  lc0214    lc0215  |
;;     |   .66      .186      .73   |   |    .76      .34    |
;;     |____________________________|   |____________________|
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0216    lc0217    lc0218 |   |  lc0219    lc0220  |
;;     |   .98      .149      .143  |   |   .163      .166   |
;;     |____________________________|   |____________________|
;;
;; Funcionando:
(defun eepitch-0205 () (eepitch-comint "lc0205" "ssh lc0205@192.168.1.191"))
(defun eepitch-0216 () (eepitch-comint "lc0216" "ssh lc0216@192.168.1.98"))
(defun eepitch-0217 () (eepitch-comint "lc0217" "ssh lc0217@192.168.1.149"))
(defun eepitch-0220 () (eepitch-comint "lc0220" "ssh lc0220@192.168.1.135"))

;; 2009oct23:
(progn
(defun eexterm-0201 () (eexterm "lc0201" "ssh lc0201@192.168.1.49"))
'(defun eexterm-0202 () (eexterm "lc0202" "ssh lc0202@192.168.1.W$"))
(defun eexterm-0203 () (eexterm "lc0203" "ssh lc0203@192.168.1.188"))
(defun eexterm-0204 () (eexterm "lc0204" "ssh lc0204@192.168.1.6"))
(defun eexterm-0205 () (eexterm "lc0205" "ssh lc0205@192.168.1.191"))
(defun eexterm-0206 () (eexterm "lc0206" "ssh lc0206@192.168.1.164"))
(defun eexterm-0207 () (eexterm "lc0207" "ssh lc0207@192.168.1.126"))
(defun eexterm-0208 () (eexterm "lc0208" "ssh lc0208@192.168.1.116"))
(defun eexterm-0209 () (eexterm "lc0209" "ssh lc0209@192.168.1.102"))
(defun eexterm-0210 () (eexterm "lc0210" "ssh lc0210@192.168.1.165"))
(defun eexterm-0211 () (eexterm "lc0211" "ssh lc0211@192.168.1.66"))
(defun eexterm-0212 () (eexterm "lc0212" "ssh lc0212@192.168.1.186"))
(defun eexterm-0213 () (eexterm "lc0213" "ssh lc0213@192.168.1.73"))
(defun eexterm-0214 () (eexterm "lc0214" "ssh lc0214@192.168.1.76"))
(defun eexterm-0215 () (eexterm "lc0215" "ssh lc0215@192.168.1.34"))
(defun eexterm-0216 () (eexterm "lc0216" "ssh lc0216@192.168.1.98"))
(defun eexterm-0217 () (eexterm "lc0217" "ssh lc0217@192.168.1.149"))
(defun eexterm-0218 () (eexterm "lc0218" "ssh lc0218@192.168.1.143"))
(defun eexterm-0219 () (eexterm "lc0219" "ssh lc0219@192.168.1.163"))
(defun eexterm-0220 () (eexterm "lc0220" "ssh lc0220@192.168.1.166"))

(defun eex-skel () (interactive) (insert "
 (eexterm-0201)
 (eexterm-0203)
 (eexterm-0204)
 (eexterm-0205)
 (eexterm-0206)
 (eexterm-0207)
 (eexterm-0208)
 (eexterm-0209)
 (eexterm-0210)
 (eexterm-0211)
 (eexterm-0212)
 (eexterm-0213)
 (eexterm-0214)
 (eexterm-0215)
 (eexterm-0216)
 (eexterm-0217)
 (eexterm-0218)
 (eexterm-0219)
 (eexterm-0220)
yes
 (lab-password)
sudo bash
 (lab-password)
export LANG=C
"))

)





#####
#
# The installer itself
# 2009oct21
#
#####

# «lc-installer»  (to ".lc-installer")
;; Ainda não instalei na fileira da frente,
;; nem nas máquinas com "??" ou com "slow"...
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0206    lc0207    lc0208 |   |  lc0209    lc0210  |
;;     | .135-slow  .126      .116  |   |   .102     .135??  |
;;     |____________________________|   |____________________|
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0211    lc0212    lc0213 |   |  lc0214    lc0215  |
;;     |   .58      .186      .17   |   |    .76      .34    |
;;     |____________________________|   |____________________|
;;      ____________________________     ____________________
;;     |                            |   |                    |
;;     | lc0216    lc0217    lc0218 |   |  lc0219    lc0220  |
;;     |   .98      .149    offline |   |   .163   .135-slow |
;;     |____________________________|   |____________________|
;;

 (eexterm "lc0217" "ssh lc0217@192.168.1.149")
 (eexterm "lc0219" "ssh lc0219@192.168.1.163")
 (eexterm "lc0220" "ssh lc0220@192.168.1.135")
 (eexterm "lc0211" "ssh lc0211@192.168.1.58")
 (eexterm "lc0212" "ssh lc0212@192.168.1.186")
 (eexterm "lc0213" "ssh lc0213@192.168.1.17")
 (eexterm "lc0214" "ssh lc0214@192.168.1.76")
 (eexterm "lc0215" "ssh lc0215@192.168.1.34")
 (eexterm "lc0206" "ssh lc0206@192.168.1.135")
 (eexterm "lc0207" "ssh lc0207@192.168.1.126")
 (eexterm "lc0208" "ssh lc0208@192.168.1.116")
 (eexterm "lc0209" "ssh lc0209@192.168.1.102")
 (eexterm "lc0210" "ssh lc0210@192.168.1.135")
 (eexterm "A")
yes
 (lab-password)
sudo bash
 (lab-password)
export LANG=C

function mycp () {
  if [ -e $2 ]; then echo "Not overwriting $2"; else cp -v $1 $2; fi
}
mycp /etc/apt/sources.list /etc/apt/sources.list.2009oct20

cat > /etc/apt/sources.list <<'%%%'
# deb http://192.168.1.98/ ubuntu-puro .
deb file:/home/edrx ubuntu-puro .
%%%

cd /tmp/
wget  http://192.168.1.98/tmp/debs-2009oct21.tgz

mkdir  /home/edrx/
tar -C /home/edrx/ -xvzf /tmp/debs-2009oct21.tgz
#
apt-get update
apt-get install eev w3m-el coq liblua5.1-lpeg1
y
y





#####
#
# Emacs quickref
# 2009oct23
#
#####

# «emacs-quickref»  (to ".emacs-quickref")
# (find-TH "emacs" "intro-keys")

Commands, keys, prefixes, aborting, completion
==============================================
Commands in Emacs can be several keys long,
and all commands have names and can be invoked
by their names - for example, `M-x find-file'.
The prefixes "C-" and "M-" mean "Control" and
"Meta"; on most keyboards "Meta" is "Alt".
To abort a partially-typed command use `C-g'.

  (find-enode "Keys" "key sequence")
  (find-enode "User Input" "`Control-a'" "usually written `C-a'")
  (find-enode "User Input" "<META> key")
  (find-enode "M-x" "Running Commands by Name")
  (find-enode "Quitting" "`C-g'")

The TAB key can be used for completion in M-x,
and in many other situations.

  (find-enode "Completion")


Files, Buffers, Windows, Frames, Display, etc
=============================================
Emacs can edit several files at the same time, each one
in a "buffer".

  (find-enode "Files")
  (find-enode "Buffers")
  (find-enode "Windows")
  (find-enode "Frames")

The display of Emacs looks like this:
(TODO: create a real screenshot.)
                                        __ _ _
              ______________emacs_______\/|-|X|
          /  |                                 |  \
          |  | bla                             |  | Emacs
Window    |  |                                 |  | calls this
managers  |  |                                 |  | a "window".
call      |  |                                 |  /
this a    |  |--:** foo.txt  (Fundamental) ----|  <-- Its "modeline".
"window". /  |                                 |  \
Emacs     \  | bla bla                         |  | Another
calls     |  | bleh                            |  | window.
this a    |  |                                 |  |
"frame".  |  |                                 |  /
          |  |--:** bar.txt  (Fundamental) ----|  <-- Its modeline.
          \  |Find file: ~/bletch.txt__________|  <-- The minibuffer.

The bottom line of a frame is sometimes the "echo area",
sometimes the "minibuffer". The minibuffer acts like a
window when it is active, and `C-x o' can be used to move
from it to the "normal windows" and back. You can also
use the mouse to move between windows.

  (find-enode "Other Window")



Basic keys
==========
The keys that should be learned first are:
  `C-g'           See: (find-enode "Quitting" "`C-g'")
  `C-_' or `C-/'  See: (find-enode "Basic Undo")
  `C-x C-e'       See: (find-enode "Lisp Eval")
       and: http://angg.twu.net/eev-article.html#hyperlinks

Then:

M-x     -- execute-extended-command	(find-enode "M-x")
	    more about the minibuffer:	(find-enode "Minibuffer")
TAB	-- for completion:		(find-enode "Completion")
	   for indentation:		(find-enode "Indentation")
	   in programming modes:	(find-enode "Basic Indent")

C-x o   -- other-window 		     (find-enode "Other Window")
C-x 0   -- delete-window  		     (find-enode "Change Window")
C-x 1   -- delete-other-windows	("1 window") (find-enode "Change Window")
C-x 2   -- split-window-vertically (Abv/Blw) (find-enode "Split Window")
C-x 3   -- split-window-horizontally   (L|R) (find-enode "Split Window")

					(find-enode "Dired")
C-x C-f -- find-file 			(find-enode "Visiting")
C-x C-s -- save-buffer			(find-enode "Saving")
C-x C-c -- save-buffers-kill-emacs	(find-enode "Saving")
C-x b   -- switch-to-buffer		(find-enode "Select Buffer")
C-x k   -- kill-buffer			(find-enode "Kill Buffer")

                            		(find-enode "Mark")
C-SPC   -- set-mark-command		(find-enode "Setting Mark")
C-w     -- kill-region	   (cut)	(find-enode "Other Kill Commands")
M-w     -- kill-ring-save  (copy)	(find-enode "Kill Ring")
C-y     -- yank		   (paste)	(find-enode "Kill Ring")

C-a     -- beginning-of-line		(find-enode "Moving Point")
C-e     -- end-of-line			(find-enode "Moving Point")
M-<     -- beginning-of-buffer		(find-enode "Moving Point")
M->     -- end-of-buffer		(find-enode "Moving Point")

M-q	-- fill-paragraph		(find-enode "Fill Commands")

C-s     -- isearch-forward		(find-enode "Incremental Search")
C-r     -- isearch-backward		(find-enode "Incremental Search")
M-C-s   -- isearch-forward-regexp	(find-enode "Regexp Search")
M-C-r   -- isearch-backward-regexp	(find-enode "Regexp Search")
M-%     -- query-replace		(find-enode "Replace")

C-x (   -- start-kbd-macro		(find-enode "Keyboard Macros")
C-x )   -- end-kbd-macro		(find-enode "Keyboard Macros")
C-x e   -- call-last-kbd-macro		(find-enode "Keyboard Macros")


Some info mode bindings
=======================
q	-- Info-exit			(find-enode "Misc Help")
RET	-- Info-follow-nearest-node
n	-- Info-next
p	-- Info-prev
u	-- Info-up
l	-- Info-last
?	-- Info-summary
TAB	-- Info-next-reference
t	-- Info-top-node




#####
#
# eev-quickref
# 2009oct23
#
#####

# «eev-quickref»  (to ".eev-quickref")
# (eek "M-h M-k M-h M-e")
# (eek "M-h M-e")

Commands to follow hyperlinks:
  M-E -- eval the sexp at the left of point
  M-e -- go to the end of line, then do M-E
Commands to return from hyperlinks:
  M-k -- kill this buffer
  M-K -- put this buffer at the end of the list of all buffers
Commands to execute regions or steps:
  <f3>  -- execute the default action on bounded regions
  <f8>  -- pitch this line to another Emacs buffer,
           or execute this line as lisp if it starts with `'
  <f9>  -- send this line through the default channel,
           or execute this line as lisp if it starts with `'
  M-P   -- "send" the first line of the last kill, as if the
           user had typed it
  <f12> -- execute the next step from an `eesteps' list
Commands to convert the current line into hyperlinks:
  M-F  -- wrap its contents in a `find-fline'
  M-M  -- wrap its contents in a `find-man'
  M-S  -- wrap its contents in a `find-sh'
  M-T  -- generate an " (eepitch-{xxx,kill,xxx})" block
  M-C  -- wrap its contents in a `code-c-d' and a `find-_file'
  M-D  -- wrap its contents in three Debian hyperlinks
Commands to generate pages with lists of hyperlinks:
  M-h f   -- hyperlinks to the current file
  M-h M-f -- hyperlinks to an Emacs function
  M-h M-i -- hyperlinks to the current Info node
  M-h M-k -- hyperlinks to a key sequence and to the function
             associated to it
  M-h M-v -- hyperlinks to an Emacs variable
  M-h M-s -- hyperlinks to a face (default: face at point)
  M-h M-m -- hyperlinks to a manpage (ask for name)
  M-h m   -- hyperlinks to a manpage (being viewed)
  M-h M-d -- hyperlinks about a Debian package
Commands to edit hyperlinks:
  M-h 2   -- duplicate this line
  M-h M-y -- yank into pos-spec-list
  M-I     -- transform filename into hyperlink
Other commands:
  M-h M-e -- show this help about eev-mode, or some links
  M-h M-c -- lots of info about the character at point

  M-h M-o -- OFICINA




#####
#
# oficina.tgz
# 2009oct23
#
#####

# «oficina.tgz»  (to ".oficina.tgz")
# (find-angg ".emacs.papers" "automath")
# (find-angg ".emacs.papers" "yanofsky")
# (find-books "__logic/__logic.el" "landau")
# (find-es "coq" "coq-art")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
A=(
books/__comp/bertot_casteran__interactive_theorem_proving_and_program_development.djvu
books/__logic/nederpelt__selected_papers_on_automath.pdf
snarf/http/www.labri.fr/perso/casteran/CoqArt/coqart81.tar.gz
snarf/http/arxiv.org/abs/math/0305282.pdf
usrc/CoqArtExos81/
)
cd
tar -cvzf /tmp/oficina.tgz $A
laf       /tmp/oficina.tgz
cp -v     /tmp/oficina.tgz /tmp/pen/

B=(
COQ/dnc-0.el
e/coq.e
)
cd
tar -cvzf /tmp/oficinab.tgz $B
laf       /tmp/oficinab.tgz
cp -v     /tmp/oficinab.tgz /tmp/pen/

# (find-fline "/tmp/")
# (find-fline "/tmp/pen/")

tar -C /home/aluno/ -xvzf /tmp/oficina.tgz
cd /home/aluno/
chown -Rv aluno:aluno books/ snarf/ usrc/ 




#####
#
# eev-oficina-settings
# 2009oct23
#
#####

# «eev-oficina-settings»  (to ".eev-oficina-settings")
# (find-eev "debian/99eev.el")





#####
#
# find-wget-oficina
# 2009oct23
#
#####

# «find-wget-oficina»  (to ".find-wget-oficina")
# (find-fline "/tmp/pen/todo-persephone")
# (find-fline "/tmp/pen/ubuntu.e")
# (find-fline "/tmp/pen/todo-gwen")
# (find-esgrep "grep -nH -e eexterm *.e")
# (find-fline "/tmp/pen/todo-lc0216")
# (find-es "ubuntu")

# (find-es "coq" "coq-doc")
# (find-es "coq" "coq-art")

# (find-books "__comp/__comp.el" "coq")
# (find-angg ".emacs.papers" "automath")

# (find-wget "http://192.168.0.101:8080/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
ps ax

(setenv "OIP" "192.168.1.65")
(setenv "OIP" "192.168.0.101")
(getenv "OIP")
(find-wget "$OIP:8080/")

(defun find-wget-oficina (&rest rest)
  (apply 'find-wget "$OIP:8080/e/coq.e" rest))

(find-wget-oficina)





#####
#
# www.linuxnopc.com.br
# 2010jul30
#
#####

# «linuxnopc»  (to ".linuxnopc")
# (find-es "cdrom" "wodim")
# http://www.linuxnopc.com.br/
# http://www.linuxnopc.com.br/dist/ubuntu-10.04-desktop-i386-Custom-LPC.iso
# http://www.linuxnopc.com.br/dist/ubuntu-10.04-desktop-i386-Custom-LPC.iso.md5

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd $S/http/www.linuxnopc.com.br/dist/
md5sum -c ubuntu-10.04-desktop-i386-Custom-LPC.iso.md5

# (find-fline "/dev/")
# (find-sh "dmesg")

 (eexterm "A")
R
cd $S/http/www.linuxnopc.com.br/dist/
wodim -v           speed=0 ubuntu-10.04-desktop-i386-Custom-LPC.iso

# wodim dev=/dev/dvd speed=0 ubuntu-10.04-desktop-i386-Custom-LPC.iso
# wodim                      ubuntu-10.04-desktop-i386-Custom-LPC.iso

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo  mount /media/cdrom
# (find-fline "/media/cdrom/")
sudo umount /media/cdrom

# (find-man "1 wodim" "speed=#")




#####
#
# How ubuntu initializes the wifi
# 2010aug17
#
#####

# «wifi»  (to ".wifi")
# (find-fline "/sda5/etc/")
# (find-man "grep")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /sda5/etc/
# grep -ir wifi .
  grep -ir wifi . |& grep -v ^grep:
  grep -ir wifi . |& grep -v ^grep:

# (find-fline "/sda5/etc/bash_completion.d/rfkill" "wifi")
# (find-fline "/sda5/etc/byobu/statusrc" "wifi")
# (find-fline "/sda5/etc/modprobe.d/blacklist-ath_pci.conf" "wifi")
# (find-fline "/sda5/etc/skel/Manuais/LEIAME.txt~" "wifi")
# (find-fline "/sda5/etc/wpa_supplicant/functions.sh" "wifi")
# (find-fline "/sda5/etc/wpa_supplicant/functions.sh" "wifi" "wpa_cli")
# (find-fline "/sda5/etc/wpa_supplicant/functions.sh" "wpa_cli")

# (find-man "wpa_cli")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
R
wpa_cli
# Could not connect to wpa_supplicant - re-trying




#####
#
# Old stuff
# 2009oct23
#
#####

# «old-stuff»  (to ".old-stuff")

Falta o expect e o tcl8.4

# (find-fline "~/debs/")
# (find-fline "/etc/apt/sources.list")
# (find-fline "/etc/apt/sources.list.2009oct20")
# (find-vcaafile "")

 (eepitch-0217)
sudo bash
mkdir  /home/edrx/
tar -C /home/edrx/ -xvzf /tmp/ubuntu_puro_debs_2009oct21.tgz
function mycp () {
  if [ -e $2 ]; then echo "Not overwriting $2"; else cp -v $1 $2; fi
}
mycp /etc/apt/sources.list /etc/apt/sources.list.2009oct20

cat > /etc/apt/sources.list <<'%%%'
deb http://192.168.1.98/ ubuntu-puro .
%%%
apt-get update
apt-get install eev w3m-el coq liblua5.1-lpeg1


apt-get install xpdf
apt-get install xpdf-reader
apt-get install libt1-5
apt-get install eev w3m-el coq liblua5.1-lpeg1

# http://192.168.1.98/


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /home/edrx/
tar -cvzf ~/tmp/debs-2009oct21.tgz dists/ debs/*
laf       ~/tmp/debs-2009oct21.tgz

# (find-man "apt-cache")
# (find-man "apt-get" "  --print-uris")
# (find-man "apt-get" "  --allow-unauthenticated")

http://archive.ubuntu.com jaunty/main unclutter

# (find-fline "~/debs/")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
rm /tmp/pen
ln -s /media/disk /tmp/pen
# (find-fline "/tmp/pen")
cp -v ~/TODO       /tmp/pen/todo-lc0216
cp -v ~/e/ubuntu.e /tmp/pen/
cp -v ~/tmp/debs-2009oct21.tgz /tmp/pen/

umount /tmp/pen

ssh 

http://127.0.0.1/
http://192.168.1.98/

(find-wget "http://127.0.0.1/")

# (find-fline "/etc/apt/sources.list")
# (find-fline "/etc/apt/sources.list.2009oct20")

# (find-fline "/etc/apt/sources.list")
# (find-fline "/etc/apt/sources.list.2009oct20")

# Edrx:
deb file:/home/edrx ubuntu-puro .
deb http://archive.ubuntu.com/ubuntu/ jaunty main

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /etc/apt/
cp -v /etc/apt/sources.list.local /etc/apt/sources.list
apt-get update
apt-get install djview djview4 djvulibre-desktop emacs22-el expect gnuplot gnuplot-doc gnuplot-nox gnuplot-x11 groff gv libwxbase2.8-0 libwxgtk2.8-0 maxima maxima-doc maxima-emacs maxima-share maxima-src
apt-get install eev


 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cp -v /etc/apt/sources.list.all   /etc/apt/sources.list
apt-get update
apt-get install tcl8.4  imagemagick imagemagick-doc
apt-get install thttpd


ssh lc0217@192.168.1.149





#####
#
# XUbuntu 12.04 LTS (Precise Pangolin)
# 2013aug22
#
#####

# «xubuntu-12.04» (to ".xubuntu-12.04")
# http://xubuntu.org/getxubuntu/
# http://en.wikipedia.org/wiki/Ubuntu_(operating_system)#Releases
# http://en.wikipedia.org/wiki/Xubuntu#Xubuntu_12.04_LTS
# (find-fline "/sda5/torrents/" "xubuntu-12.04.2-desktop-i386.iso")
# (find-es "debian" "debian-via-pen-drive")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd
sudo umount /tmp/loop/
mkdir       /tmp/loop/
sudo mount -o loop,ro /sda5/torrents/xubuntu-12.04.2-desktop-i386.iso /tmp/loop/
# (find-fline "/tmp/loop/")
cd /tmp/loop/ && time md5sum -c md5sum.txt |& tee /tmp/o
#                time: 13:55.20 total
cd
sudo umount /tmp/loop/

# Record the iso image into the pen drive:
# (find-sh "dmesg")
#
 (eepitch-shell2)
 (eepitch-kill)
 (eepitch-shell2)
sudo umount /tmp/pen/
time \
sudo dd if=/sda5/torrents/xubuntu-12.04.2-desktop-i386.iso of=/dev/sdb bs=4M
sync



However, someone using Kubuntu will have a program called Discover
which serves the same purpose, but the instructions on use will be
different. Yet, if someone asks how to install program X on Ubuntu, no
matter which flavour you use, running

sudo apt-get install X 

from the command line will work. The same often applies to changing
system settings. Each DE has its own settings app, so instructions
will vary, but the command line instructions will most likely be the
same, unless the setting is DE specific.






#  Local Variables:
#  coding:               utf-8-unix
#  End:
