#######
#
# E-scripts on Wordpress.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/wordpress.e>
#           or at <http://angg.twu.net/e/wordpress.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######




# «.basic»			(to "basic")
# «.setup-mysql»		(to "setup-mysql")
# «.install-on-debian»		(to "install-on-debian")
# «.www.example.com»		(to "www.example.com")
# «.benevolence-automattic»	(to "benevolence-automattic")
# «.anchors»			(to "anchors")
# «.my-blogs»			(to "my-blogs")
# «.aggregators»		(to "aggregators")



http://en.wikipedia.org/wiki/Wordpress
http://en.wikipedia.org/wiki/Wordpress.com

S4+



#####
#
# Basic stuff
# 2011oct04
#
#####

# «basic»  (to ".basic")
# «setup-mysql»  (to ".setup-mysql")
# (find-status   "wordpress")
# (find-vldifile "wordpress.list")
# (find-udfile   "wordpress/")
# (find-udfile "wordpress/README.Debian" "Quick setup")
# (find-udfile "wordpress/examples/")
# (find-udfile "wordpress/examples/apache.conf")
# (find-udfile "wordpress/examples/setup-mysql")
# http://127.0.0.1/
# http://127.0.0.1/wordpress/

# (find-zsh "availabledebs | sort" "wordpress")
# (find-zsh "availabledebs | sort | grep wordpress")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /usr/share/doc/wordpress/examples/
sudo bash setup-mysql
sudo bash setup-mysql -n edrx reef
# http://reef/
# http://reef/wordpress/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
R
laf /srv/www/
# (find-fline "/usr/share/wordpress/")
# (find-w3m   "/usr/share/wordpress/readme.html")
# (find-fline "/usr/share/wordpress/wp-admin/")
# (find-fline "/usr/share/wordpress/.htaccess")
# file:///usr/share/wordpress/readme.html


# (find-sh "sudo cat /etc/wordpress/config-reef.php")
# (find-fline "/srv/www/wp-uploads/")
# (find-fline "/srv/www/wp-uploads/reef/")
# (find-fline "/etc/apache2/")
# (find-fline "/etc/apache2/mods-enabled/")
# (find-fline "/etc/apache2/mods-available/")






#####
#
# Installation on Debian
# 2011oct04 / 2013may05
#
#####

# «install-on-debian»  (to ".install-on-debian")
# (find-status   "wordpress")
# (find-vldifile "wordpress.list")
# (find-udfile   "wordpress/")
# (find-sh "grep config /var/lib/dpkg/info/wordpress.list")
# (find-fline "/usr/share/wordpress/wp-config-sample.php")
# (find-fline "/usr/share/wordpress/wp-admin/setup-config.php")

# (find-fline "/usr/share/wordpress/wp-config.php")

# (find-fline "/etc/wordpress/wp-config.php")
# (find-fline "/usr/share/doc/wordpress/README.Debian")

# (find-sh "grep apache /var/lib/dpkg/info/wordpress.list")
# (find-udfile "wordpress/examples/apache.conf")
# (find-udfile "wordpress/examples/setup-mysql")



# «www.example.com» (to ".www.example.com")
# (find-udfile "wordpress/examples/setup-mysql")
# (kill-new "127.0.0.1       blog.example.com\n")
# (find-fline "/etc/hosts")
# (find-fline "/etc/hosts" "blog.example.com")

sudo apt-get install wordpress
sudo apt-get install mysql-client
sudo apt-get install mysql-server


mysql-client

# (find-udfile "wordpress/README.Debian")
# (find-udfile "wordpress/README.Debian" "examples/apache.conf")
# (find-udfile "wordpress/examples/apache.conf")
# (find-asrootfile "/etc/apache2/sites-available/")
# (find-asrootfile "/etc/apache2/sites-available/wordpress")
# (find-asrootfile "/etc/apache2/sites-enabled/")
# (find-asrootfile "/etc/apache2/sites-enabled/wordpress")



 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo rm -Rv   /srv/www/
sudo mkdir -p /srv/www/
cd /usr/share/doc/wordpress/examples/
sudo bash setup-mysql -d -n wordpress blog.example.com  |& tee /tmp/osm
sudo bash setup-mysql    -n wordpress blog.example.com  |& tee /tmp/osm
sudo /etc/init.d/apache2 restart

sudo ln -s /etc/apache2/sites-available/wordpress /etc/apache2/sites-enabled



# (find-udfile "wordpress/examples/setup-mysql")
# (find-udfile "wordpress/examples/setup-mysql" "CONFIG_FILE=")

# (find-fline "/var/www/")
rm -Rv /var/www/blog/
mkdir  /var/www/blog/

# (find-fline "/srv/www/")
# (find-fline "/usr/share/wordpress/")

# (find-fline "/etc/group")
# (find-asrootfile "/etc/group")



sudo chmod 777 /usr/share/wordpress/wp-content/
sudo chmod 777 /usr/share/wordpress/wp-content/plugins/
sudo chmod 777 /usr/share/wordpress/wp-content/themes/



# http://blog.example.com/

/srv/www/wp-uploads/blog.example.com

# (find-fline "/etc/mysql/debian.cnf")

# (find-zsh "dmissing bin/mysql")




#####
#
# Downloading the Benevolence theme (from automattic)
# 2013may05
#
#####

# «benevolence-automattic» (to ".benevolence-automattic")
# http://www.automattic.com/

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
# (find-fline "/tmp/benevolence/")
# (find-fline "~/usrc/benevolence/")
rm -Rv ~/usrc/benevolence/
cd     ~/usrc/
svn co https://wpcom-themes.svn.automattic.com/benevolence/ benevolence
cd     ~/usrc/benevolence/
rm -Rv ready/
cd     ~/usrc/
svn export benevolence /tmp/benevolence

cd     ~/usrc/
rm -Rv /usr/share/wordpress/wp-content/themes/benevolence/
svn export benevolence \
       /usr/share/wordpress/wp-content/themes/benevolence/

# (find-fline "/usr/share/wordpress/wp-content/themes/")
# (find-fline "/usr/share/wordpress/wp-content/themes/benevolence/")

rm -Rv /usr/share/wordpress/wp-content/themes/benevolence/
mv -iv ~/usrc/benevolence /usr/share/wordpress/wp-content/themes/
mv -iv /usr/share/wordpress/wp-content/themes/benevolence ~/usrc/

# (find-fline "/usr/share/wordpress/wp-content/themes/")

http://themeshaper.com/2012/10/22/the-themeshaper-wordpress-theme-tutorial-2nd-edition/
http://www.yoast.com/wordpress-theme-anatomy/





http://127.0.0.1/wordpress/



# http://linux.justinhartman.com/Wordpress_Installation_on_Debian
# (find-apachedocw3m "mod/mod_rewrite.html")
# (find-apachedocw3m "mod/mod_rewrite.html#rewriteengine")
# (find-apachedocw3m "mod/mod_rewrite.html#rewritebase")
# (find-apachedocw3m "mod/mod_rewrite.html#rewritecond")
# (find-apachedocw3m "mod/mod_rewrite.html#rewriteule")
# (find-apachedocw3m "rewrite/rewrite_guide.html")
# (find-apachedocw3m "rewrite/rewrite_guide_advanced.html")
# (find-apachedocw3m "vhosts/index.html")
# (find-fline "/etc/hosts")
# http://www.example.com/
# http://example.com/
# http://example.com/readme.html

# (find-zsh "dmissing -i virtualhost")
# (find-apachedocfile "")

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
sudo chmod 666 /etc/wordpress/htaccess
# (find-fline "/etc/wordpress/")
# (find-fline "/etc/wordpress/htaccess")
sudo chmod 777 /etc/apache2/sites-available/
# (find-fline "/etc/apache2/sites-available/")
# (find-fline "/etc/apache2/sites-available/example.com")
# (find-fline "/etc/apache2/sites-available/www.example.com")
sudo mkdir     /var/www/example.com/
sudo chmod 777 /var/www/example.com/
# (find-fline "/var/www/")
# (find-fline "/var/www/example.com/")



Add the following to the file - make sure you only add what isn't there already:

  RewriteEngine On
  RewriteBase /
  RewriteCond %{HTTP_HOST} ^www\.(.+) [NC]
  RewriteRule ^.*$ http://%1%{REQUEST_URI} [QSA,R=301,L]
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteCond %{REQUEST_FILENAME} !-d
  RewriteRule . /index.php [L]

Save and close the file.

Create Apache Config Files
--------------------------
# (find-fline "/etc/apache2/sites-available/")

vim /etc/apache2/sites-available/example.com

Add the following to your first new file:

<VirtualHost 192.168.1.2:80>
ServerName example.com
ServerAdmin me@example.com
DocumentRoot /var/www/example.com
DirectoryIndex index.php
<Directory /var/www/example.com/>
  AllowOverride All
  Order Deny,Allow
  Allow from all
</Directory>
</VirtualHost>

Save this file and create the following new one:

/etc/apache2/sites-available/www.example.com

Add the following to your second new file:

<VirtualHost 192.168.1.2:80>
ServerName www.example.com
ServerAdmin me@example.com
DocumentRoot /var/www/example.com
DirectoryIndex index.php
<Directory /var/www/example.com/>
  AllowOverride All
  Order Deny,Allow
  Allow from all
</Directory>
</VirtualHost>

Once you've saved this second file you should see two new files in /etc/apache2/
sites-available/ namely example.com and www.example.com.

Create A Symbolic Link To Your Wordpress Files

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
cd /var/www/
sudo rm -Rv example.com
# (find-fline "/var/www/")
# (find-fline "/usr/share/wordpress/")
cd /var/www/
sudo ln -s /usr/share/wordpress example.com

Enable Your New Sites

 (eepitch-shell)
 (eepitch-kill)
 (eepitch-shell)
R
a2ensite www.example.com
a2ensite example.com
/etc/init.d/apache2 restart
exit

# (find-man "8 a2ensite")
# (find-fline "/usr/sbin/a2ensite")
# (find-fline "/usr/sbin/a2dissite")



#####
#
# Anchors
# 2013aug01
#
#####

# «anchors» (to ".anchors")
http://www.wendycholbi.com/anchor-links-jump-links/



#####
#
# My blogs
# 2013apr30
#
#####

# «my-blogs» (to ".my-blogs")
# http://eduardoochs.wordpress.com/
# http://wordpress.org/docs/en/handbook/2.7/
# http://wordpress.org/docs/en/handbook/2.7/#install.five-minute

# (find-freenode "#wordpress")
# (find-freenode "#wordpress.com")

<edrx> hi, I am trying to learn to use wordpress as a user before
       trying again to install it at my box (Debian)... and a weird
       thing happened at the blog I am using now for tests -
       http://eduardoochs.wordpress.com/ - I am not getting the top
       line of the editor shown here,
       http://en.support.wordpress.com/visual-editor/ , which would
       give me "visual"/"text" buttons... any hints? =|




#####
#
# aggregators
# 2014nov18
#
#####

# «aggregators» (to ".aggregators")
# http://www.agrega.la/
# https://mail.google.com/mail/ca/u/0/#search/aggregator/1475f824edf876df
# (find-fline "~/LOGS/2014jul20.eev")




https://help.ubuntu.com/community/WordPress
http://en.support.wordpress.com/latex/









#  Local Variables:
#  coding:               utf-8-unix
#  End:
