#######
#
# E-scripts on Xen.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/xen.e>
#           or at <http://angg.twu.net/e/xen.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





There is an interesting page I found, that can be useful. Althugh it
describes the installation of Xen in Debian, there is interesting
information there. See [1].

Before starting, be sure you have all the dependencies installed. They
are described in the README file of the xen source release [2]. Next
programs are needed too, although they are not listed in the README
file:

- Mercurial (hg command)
- Perl (for building the Linux kernel)

hg clone http://xenbits.xensource.com/linux-2.6.18-xen.hg

make all (not make world) [3]

make install - it install files on the system filetree

install grub

mkdir /boot/grub

Create /boot/grub/menu.lst. The content of it is described in [2] and [4]
(detailed for a NetBSD box).

Grub installation - [5]

    # cp /opt/grub-0.87/lib/grub/i386-pc/stage[12] /boot/grub
    # /opt/grub-0.97/sbin/grub --no-floppy /dev/sda
    grub> root (hd0,0)
    grub> setup (hd0)

maybe initrd-xen?

tell why initrd is necessary (xen kernel is built with thousands of modules.
some need to be load from initrd)

    # mkinitrd -k 2.6.18.8-xen -m scsi_mod:mptbase:mptsas:mptscsih:sd_mod # [6]

Install NetBSD in another partition

Don't forget to put root=sd0a parameter for the netbsd kernel [8].

Botting NetBSD

In dom0, create a /etc/xen/mist configure file with the following content:

Troubleshooting:

`xm create` complaining about memory: [9]

References:
[1] http://hackinglinux.blogspot.com/2006/11/installing-xen-303-from-source-on.html
[2] README file of Xen version 3.2
[3] http://www.nabble.com/xen-3.2-release-build-broken--td14969071.html
[4] http://www.netbsd.org/ports/xen/howto.html
[5] http://forums.oracle.com/forums/thread.jspa?threadID=332177
[6] http://www.inserve.se/edu/debian/
[7] http://osdir.com/ml/os.netbsd.ports.xen/2006-11/msg00016.html
[8] http://mail-index.netbsd.org/port-xen/2008/01/20/0020.html
[9] http://lists.xensource.com/archives/html/xen-users/2006-01/msg01247.html



http://ftp.debian.org/debian/pool/main/x/xen-3/xen-3_3.2.0-2.dsc


#####
#
# xen-3 (from the debian sources)
# 2008jan29
#
#####

# «xen-3-deb-src»
# http://ftp.debian.org/debian/pool/main/x/xen-3/
# http://ftp.debian.org/debian/pool/main/x/xen-3/xen-3_3.2.0-2.dsc
# http://ftp.debian.org/debian/pool/main/x/xen-3/xen-3_3.2.0-2.diff.gz
# http://ftp.debian.org/debian/pool/main/x/xen-3/xen-3_3.2.0.orig.tar.gz
#
rm -Rv ~/bigsrc/xen-3/
mkdir  ~/bigsrc/xen-3/
cd $S/http/ftp.debian.org/debian/pool/main/x/xen-3/
cp -v xen-3_3.2.0* ~/bigsrc/xen-3/
cd     ~/bigsrc/xen-3/
dpkg-source -sn -x xen-3_3.2.0-2.dsc
cd     ~/bigsrc/xen-3/xen-3-3.2.0/
dpkg-buildpackage -us -uc -b -rfakeroot     |& tee odb

#
# (find-fline "~/bigsrc/xen-3/")
 (eepitch-shell)
cd ~/bigsrc/xen-3/
sudo dpkg -i *.deb

#
# (code-c-d "xen3" "~/bigsrc/xen-3/xen-3-3.2.0/")
# (find-xen3file "")

apti libsdl1.2-dev bcc lsb-release libvncserver-dev texlive-fonts-recommended texlive-latex-recommended




#  Local Variables:
#  coding:               utf-8-unix
#  End:
