

# .indice	(to "indice")

(Aviso: a verso em ingls est um pouco mais atualizada!)
# (find-eev "e/tutorial.e")



  Emacs e eev.el, ou: como automatizar quase tudo
  ===============================================

Parte 1: Emacs, Lisp e hiperlinks
---------------------------------

# lisp_hiperlinks  (to ".lisp_hiperlinks")

Em geral as pessoas acham que o Emacs  um editor de texto. Isso no 
bem verdade, e seria mais correto dizer que ele  um ambiente Lisp que
 usado na maior parte do tempo como editor de texto.

# (find-elnode "Command Loop")

Cada tecla que voc aperta  interpretada pelo Emacs ou como um
comando inteiro ou como um prefixo para um comando mais longo, que
toma vrias teclas; por exemplo, C-a (isto , "control-a") geralmente
corresponde  funo `beginning-of-line', que move o cursor para o
incio da linha; C-x  um prefixo, e C-x C-e  um comando completo --
`eval-last-sexp', que executa a expresso em Lisp que est logo antes
do cursor. Um outro exemplo um pouco mais estranho  a tecla M-x
("meta-x"; na maior parte das configuraes isso  o mesmo que
"alt-x"), que permite executar comandos pelo nome -- M-x
eval-last-sexp  o mesmo que C-x C-e.

# (find-enode "Keys")
# (find-enode "Moving Point" "`beginning-of-line'")
# (find-enode "User Input" "Meta")
# (find-enode "User Input" "<ALT> which is really a <META> key")
# (find-enode "M-x")
# (find-enode "Completion")
# (find-enode "Echo area")
# (find-enode "Minibuffer")
# (find-enode "Key Help")

Digamos que voc esteja editando a verso em texto deste artigo. Se
voc puser o cursor logo depois do "(+ 1 2)" daqui de baixo e bater
C-x C-e voc vai ver um "3" aparecer na ltima linha da tela (no
espao chamado de "echo area" ou "minibuffer"); o que aconteceu foi
que voc executou a expresso em Lisp "(+ 1 2)", o que no teve
nenhuma conseqncia muito interessante, e a expresso retornou o
valor 3 -- a soma de 1 e 2.

    (+ 1 2)

# (find-elnode "Lists as Boxes")
# (find-elinode "Run a Program")
# (find-enode "Lisp Eval")
# (find-elnode "Functions for Key Lookup" "Function: key-binding")
# (key-binding "\C-x\C-e")

Se voc executa uma das expresses abaixo (tambm com C-x C-e,
obviamente) o Emacs abre o arquivo /etc/inittab, no primeiro caso, e o
"arquivo" ~/ -- o seu home directory -- no segundo; como o ~/  um
diretrio e no um arquivo normal o Emacs vai mostrar o contedo do
diretrio de uma forma que faa sentido e entrar no modo "Dired", em
que certas teclas vo ser interpretadas de modos especiais; por
exemplo o "q" sai do modo Dired, e o Enter abre o arquivo ou
subdiretrio que est na linha em que o cursor est. Como a funo
find-file est associada  seqncia de teclas C-x C-f, teria sido
equivalente bater C-x C-f /etc/inittab ou C-x C-f ~/.

    (find-file "/etc/inittab")
    (find-file "~/")

# (find-enode "Dired")
# (find-enode "Visiting" "`find-file'")

Se voc tiver carregado no seu Emacs a biblioteca eev.el
(possivelmente seguindo as instrues de instalao que esto no
apndice) ento vrias outras funes vo estar definidas, e passa a
ser bastante conveniente usar essas funes para fazer hiperlinks em
arquivos de texto; as funes find-enode, find-elnode e find-elinode,
que j apareceram acima sem grandes explicaes, abrem pginas da
documentao em formato "info" do Emacs -- do prprio manual do Emacs,
do manual do Lisp do Emacs, e de um outro manual chamado "Introduction
to Emacs Lisp", respectivamente.

Se uma chamada a uma funo dessas tiver um parmetro extra alm do
nome da pgina, ele  interpretado como um string que o Emacs tem que
procurar no texto; o cursor  posto logo depois da primeira ocorrncia
desse string. Se voc estiver lendo esta pgina em formato HTML isso
no vai funcionar: o seu browser vai abrir a pgina certa, mas no vai
localizar a posio indicada.

# (find-angg "eev.el" "find-")
# (find-angg ".emacs" "new_goto-position")

A funo `find-fline', definida no eev.el,  uma verso do `find-file'
que aceita o parmetro extra que diz por que string procurar; ela tem
esse nome porque quando eu comecei a escrever essas funes (l pelos
idos de 1995) o parmetro extra era sempre um nmero, que era
interpretado como um nmero de linha. Hoje em dia o parmetro numrico
ainda  aceito, mas  bem mais conveniente usar strings, j que um
link para string em geral continua fazendo sentido quando o arquivo 
alterado.

# code-c-d  (to ".code-c-d")

O eev.el tambm define muitos outros tipos de hiperlinks: para
arquivos, para tags, para documentao em HTML, e para manpages; os
para manpages (e outros tipos mais estranhos) precisam dos truque da
prxima seo para serem utilizados. Alm disso o eev.el tambm define
a funo `code-c-d', que funciona como uma fabriquinha de funes de
hiperlink: uma simples chamada ao `code-c-d' como a abaixo

  (code-c-d "grub" "/usr/src/grub-0.5.95/" "grub")

vai definir `find-grubfile', `find-grubnode', `find-grubw3',
`find-grubtag' e algumas outras funes e variveis para uso interno,
bem menos interessantes; pra quem sabe Lisp e quer os detalhes
tcnicos, o que acontece quando rodamos o `code-c-d' acima  que o
Emacs gera e executa os comandos abaixo:

  (setq ee-grubdir "/usr/src/grub-0.5.95/")
  (setq ee-grubtagsfile "/usr/src/grub-0.5.95/TAGS")
  (defun ee-grubfile (str)
    (concat (substitute-in-file-name ee-grubdir) str))
  (defun ee-use-grub-tags ()
    (setq tags-file-name ee-grubtagsfile))
  (defun find-grubfile (str &rest pos-spec-list)
    (ee-use-grub-tags)
    (apply 'find-fline-nosubst (ee-grubfile str) pos-spec-list))
  (defun find-grubtag (str)
    (ee-use-grub-tags) (find-tag str))
  (defun find-grubw3 (furl &rest pos-spec-list)
    (apply 'find-w3 (ee-grubfile furl) pos-spec-list))
  (setq ee-temp-code "grub" ee-temp-infofile "grub")

  (defun find-grubnode (nodename &rest pos-spec-list)
    (find-node2 "grub" nodename pos-spec-list  "grub")))

O ltimo `defun' no teria sido gerado se tivssemos omitido o
ltimo parmetro do `code-c-d'.

# (find-angg "eev.el" "code-c-d")
# (find-elinode "defun")




Parte 2: Blocos de cdigo no meio de um texto qualquer
------------------------------------------------------

# eev  (to ".eev")

Considere o bloco abaixo:

rm -Rv /tmp/c/
mkdir  /tmp/c/
cd     /tmp/c/
cat > demo.c <<'---'
#include <stdio.h>
main() {
  int sum, i;
  for(sum=0, i=0; i<10; ++i)
    sum += i;
  printf("Sum: %d\n", sum);
}
---
gcc -E demo.c > demo.E 
gcc -S demo.c
gcc -S demo.c -g -o demog.s
gcc -c demo.c
gcc -c demo.c -g -o demog.o
gcc    demo.c -o demo -v	2>&1 | tee ogv
gcc    demo.c -o demog -g -v	2>&1 | tee ogvg
diff ogv ogvg
./demo

que  uma srie de comandos para o shell (bash ou zsh) que criam um
diretrio "/tmp/c/" e um pequeno arquivo em C l chamado "demo.c", e
depois chamam o gcc de vrios modos para processar esse arquivo,
gerando vrios formas intermedirias entre o ".c" e o executvel, para
as quais ns geralmente no damos a menor bola...

H vrios modos de executar um bloco desses para ver na prtica o que
ele faz. Poderamos usar o mouse e pastar (:-) todas as linhas dele
para um shell, ou simplesmente bat-las  mo; poderamos tambm
gravar o bloco para um arquivo, chamado digamos "/tmp/xxx", usando o o
comando `write-region' do Emacs, e depois execut-lo com "bash
/tmp/xxx" ou ". /tmp/xxx"...

# (find-enode "M-x")
# (find-enode "Mark")
# (find-enode "Using Region")
# (find-enode "Misc File Ops")

O eev.el implementa dois modos muitos mais rpidos de executar um
bloco desses. O primeiro modo -- o segundo modo ser descrito na
prxima seo --  selecionar o bloco e bater `M-x eev'; isso grava o
bloco num determinado arquivo temporrio (por default "~/tmp/ee.sh"),
e se voc der o comando "ee" num shell (e se tudo tiver sido instalado
corretamente, veja o apndice) ento o shell vai executar o bloco em
"verbose mode" na shell corrente -- o que quer dizer principalmente
que cada comando  mostrado antes de ser executado e que os comandos
que mudam o estado da shell -- como "cd" e "set" -- funcionam como
esperaramos: se batssemos as cinco linhas abaixo

tac <<'---'
  first
  second
---
cd /tmp/

 mo num shell veramos algo como:

/home/edrx(edrx)# tac <<'---'
>   first
>   second
> ---
  second
  first
/home/edrx(edrx)# cd /tmp/
/tmp(edrx)#

e com `M-x eev' e "ee" o que ns vemos :

/home/edrx(edrx)# ee
tac <<'---'
  first
  second
---
  second
  first
cd /tmp/
/tmp(edrx)#

que  parecido o suficiente; para um modo de "enganar" perfeitamente a
shell e outros programas e obter exatamente o mesmo resultado que se
cada linha tivesse sido batida  mo veja a seo [eeg e Expect], mais
adiante.

Repare (ou lembre!) que linhas comeadas com "#" so tratadas pelo
shell como sendo comentrios, o que significa que elas no so
executadas, no importa o que contenham; podemos pr hyperlinks em
Emacs Lisp nos comentrios e o shell no vai perceber nada, e quando
formos editar um script desses no Emacs poderemos seguir esses
hiperlinks...

Imagine que temos alguns arquivos de anotaes, cada um contendo uma
mistura de texto, links e blocos de cdigo shell; os links apontam
para pontos relevantes em outros dos nossos arquivos de anotaes, e
tambm para outros lugares com documentao importante, e para alguns
scripts que ns escrevemos; esses scripts provavelmente comearam como
blocos de cdigo shell nos arquivos de anotaes, e quando ns os
transformamos em scripts ns resolvemos manter os links que eles
continham, j que no havia motivo para tir-los... bom, com isso o
Emacs acaba virando um ambiente fantstico: cada coisa que escrevemos
aponta para outros lugares relacionados, e seguir os links  faclimo,
e quando os seguimos continuamos dentro do Emacs, de onde os links
continuam funcionando... tudo fica muito prximo e muito acessvel.
Para um exemplo realista de quo linkadas as coisas podem ficar, veja
<http://angg.twu.net/>.




Parte 3: Blocos delimitados
---------------------------

# blocos_delimitados  (to ".blocos_delimitados")

Se voc tiver feito a instalao "completa" (veja o apndice) a tecla
F3 estar associada a um comando do Emacs chamado `ee-bounded', cuja
ao default  rodar o comando `eev-bounded', que por sua vez funciona
como uma espcie de `eev' que nos dispensa de marcar o bloco
explicitamente: ao invs de gravar a "regio corrente" do Emacs (i.e.,
o trecho do buffer corrente que est entre o `point' e a `mark') o F3
grava o trecho em torno do cursor que vai at certos "delimitadores"
configurveis; por default o `eev-bounded' usaria como delimitadores
strings "\n#-\n" (ou seja, linhas que s contm "#-"), mas eu
normalmente prefiro "\n#\n"; o ""  simplesmente um caracter 15, que
vai aparecer na sua tela como uma estrela vermelha ou como "^O". Para
inserir um desses caracteres no seu texto bata `C-q C-o'.

A seo [glyphs] explica como fazer o caracter 15 aparecer como uma
estrela vermelha; a seo [variables] explica como o Emacs percebe que
neste arquivo o delimitador tem que ser "\n#\n" e no "\n#-\n".

# (find-enode "Inserting Text" "* `C-q'")
# (find-angg "eev.el" "eev")
# (find-angg "eev.el" "bounded")

Exemplo:

#
# (eev-bounded)
# (eev-bounded 'once)
tac <<'---'
  um
  dois
---
#
rev <<'---'
  um
  dois
---
#

Note que d pra executar o bloco acima todo de uma vez (i.e.,
ignorando que h um delimitador que o separa em dois bloquinhos
F3-zveis) marcando-o do jeito usual e batendo `M-x eev'; a linha "#"
do meio vai ser considerada como comentrio pelo shell e no vai
atrapalhar na execuo.

O eev no  o nico comando que tem uma verso com delimitadores; o
eelatex tambm tem, e o eeg (que ns ainda no vimos) tambm. Exemplo:
se voc rodar `M-x eelatex-bounded' dentro do bloco abaixo o Emacs vai
gravar um script temporrio que quando executado com "ee" num shell
vai interpretar o bloco gravado como um texto em LaTeX.

%
% (eelatex-bounded)
% (eelatex-bounded 'once)
Um texto em \LaTeX

%

Se voc tiver preguia de bater `M-x eelatex-bounded' voc pode
executar uma das linhas `eelatex-bounded' acima (`eev-bounded' no
exemplo anterior); os comandos eexxx-bounded admitem um parmetro
opcional, que se estiver presente vai indicar que a funo
eexxx-bounded deve ser rodada "uma vez s", i.e., no deve se tornar o
default para o F3. Um modo alternativo de passar esse parmetro
adicional  batendo, por exemplo, `M-1 M-x eelatex-bounded'.

# (find-enode "Completion")
# (find-enode "Arguments")

Em TeX e LaTeX o caracter que indica comentrio  o "%", no o "#", e
da faz mais sentido usar delimitadores comeados com "%". Os
delimitadores usados para LaTeX tambm podem ser controlados pelos
truques da seo [variables].




Parte 4: A interface genrica: eeg
----------------------------------

# eeg  (to ".eeg")

Se voc souber o suficiente de programao em shell voc deve ser
capaz de controlar boa parte dos programas interativos usando "pipes".
Um exemplo simples:

#
echo 1+2 | bc
bc <<'---'
2+3
3+4
---
#

S que muitos programas interativos se comportam de modo diferente
quando percebem que o input est vindo de um pipe, e muitas vezes voc
gostaria de fazer aparecer na tela exatamente o que o programa
responderia interativamente, mas sem ter que digitar tudo
manualmente... A "interface genrica do eev", que consiste em um
programinha em Expect chamado "eeg" e dois comandos de Emacs, `M-x
eeg' e `M-x eeg-bounded', cuida disso. `M-x eeg' funciona parecido com
`M-x eev', s que o texto do bloco marcado no Emacs  gravado num
outro arquivo temporrio, por default ~/bin/ee.generic; numa
instalao adequada a varivel de shell $EEG contm o nome desse
arquivo, e portanto em

#
cat > $EEG <<'---'
2+3
3+4
quit
---
eeg bc
#

o "cat" vai funcionar como se tivssemos marcado as trs linhas entre
os "---"s manualmente no Emacs e dado `M-x eeg'.

O truque  que quando chamamos o bc "atravs do eeg", como na linha
"eeg bc", o bc roda normalmente, em modo interativo, com quase todas
as teclas que o usurio bate sendo mandadas diretamente para o bc, sem
nenhum tratamento; s uma  "traduzida" de modo especial: a cada vez
que o usurio bate `M-l' o eeg manda pro bc uma das linhas do arquivo
$EEG, seguida de um `<enter>', e se todas as linhas j foram mandadas,
o eeg descarta o `M-l' e no faz nada. Da, se executamos o bloco
acima com `ee' num shell e batemos `M-l asfdg <enter> M-l M-l', vemos
algo como:

/home/edrx(edrx)# ee
cat > $EEG <<'---'
2+3
3+4
quit
---
eeg bc
bc 1.05
Copyright 1991, 1992, 1993, 1994, 1997, 1998 Free Software Foundation, Inc.
This is free software with ABSOLUTELY NO WARRANTY.
For details type `warranty'.
2+3
5
asdfg
0
3+4
7
quit
/home/edrx(edrx)#

O Expect  capaz de controlar qualquer programa que se comunique via
terminal (i.e., via stdin, stdout, stderr e /dev/tty), o que inclui
programas "muito interativos" como ssh, telnet, adduser, emacs, vi,
etc, e praticamente s exclui os programas que s rodam em X. A idia
 que "tudo" (se a gente fingir que as interfaces grficas no
existem!) pode ser controlado pelo Expect e pelo eeg.

Para alguns programas pode ser mais conveniente usar uma variao do
eeg que no se restrinja a mandar uma linha (terminada por CR) de cada
vez. Eu estou escrevendo uma variao dessas:

# (find-fline "~/bin/eeg4")

Ela j funciona, mas a sintaxe do arquivo $EEG que ela usa ainda 
muito ruim.





Parte 5: ncoras e links locais
-------------------------------

# ancoras  (to ".ancoras")

Uma expresso em Emacs Lisp como `(to "um string")', quando executada,
procura pela primeira ocorrncia de `um string' no buffer corrente;
a varivel `ee-anchor-format' controla que delimitadores so
adicionados no incio e no final do string. Veja a seo [variveis].

ncoras podem ser usadas para criar ndices (veja o ndice no fim
desse tutorial, e siga os `to's).

# (find-efunction 'ee-back)

(...)



# (find-efunction 'find-anchor)

# (find-eev "eev-all.el" "to_and_back")


# (find-angg "eev.el" "find-anchor")
# (find-angg "eev.el" "to_and_back")
# (describe-variable 'ee-anchor-format)
# (find-evariable 'ee-anchor-format)

# (find-eev "eev-links.el" "to_and_back")
# (find-efunction 'to)
# (find-efunction 'ee-to)
# (find-efunction 'back)
# (find-efunction 'ee-back)
# (find-efunction 'ee-invade-global-namespace)
# (find-efunction 'ee-invade-global-keymap)
# (find-eev "eev.el" "ee-invade-global-")



Parte 6: links para informaes sobre um pacote num sistema Debian
------------------------------------------------------------------

# debian_links  (to ".debian_links")

# (find-angg "eev.el" "find-anchor")

# (find-status "emacsen-common")
# (find-available "emacsen-common")
# (find-vldifile "emacsen-common.list")
# (find-fline "/usr/doc/emacsen-common/")





Parte 7: truques para inserir links num texto
---------------------------------------------

# mkto_dff_inn  (to ".mkto_dff_inn")
# (find-eev "eev-ALL.el" "inn")
# (find-eev "eev-mklinks.el")

# (find-angg "eev.el" "inn")
# (find-angg "eev.el" "dff")
# (find-angg "eev-extras.el")

(Falar tambm algo sobre gravar macros)




Parte 8: variveis
------------------

# variaveis  (to ".variaveis")
# (find-enode "Variables")
# (find-elinode "Variables")
# (find-elnode "Variables")
# (find-enode "File Variables")
# (find-enode "File Variables" "`normal-mode'")
# (find-enode "File Variables" "must be in the last page")



Parte 9: "glyphs"
-----------------

# glyphs  (to ".glyphs")
# (find-eev "glyphs.el")




Apndice 1: Instalando o eev num sistema Debian
-----------------------------------------------

# instalacao  (to ".instalacao")
# (find-eev "eev-util")
# (find-eev "Makefile" "install")
# (find-eev "README")
# (find-eev "README_pt")

# (find-es "escripts")
# (find-es "escripts" "copy_of_edrxs_home_LR")
# (find-angg "README")




Apndice 2: criando demos com eeg4
--------------------------------

# demos_eeg4  (to ".demos_eeg4")
# (find-eev "eeg4")
# (find-eev "libeeg/k")
# (find-eev "demo/")
# (find-eev "demo/emacs0.eeg4")
# (find-eev "demo/dlopen.eeg4")





Apndice 3: os tipos bsicos de links que o eev define
------------------------------------------------------

# links  (to ".links")
# (find-eev "eev-ALL.el")
# (find-eev "e/links.e")
#
cd ~/eev/
grep defun eev-ALL.el | tee ~/o
#

(find-node "(elisp)Top" "Evaluation")
(find-fline "/etc/fstab")
(find-fline-nosubst "/tmp/~foo")
(find-w3 "/var/www/")

(icode-c-d "CODE" "DIR/" "INFO")

(find-devreftxt "")
(find-pl5pod "syn" "Loop Control")


Links que usam ncoras:
  (find-anchor "~/eev/e/debian.e" "_partition")
  (find-Package   "/var/lib/dpkg/status" "emacsen-common")
  (find-status    "emacsen-common")
  (find-available "emacsen-common")
  (find-es   "anatocc"  "cdecl")
  (find-angg ".zshrc"   "ee"
  (find-eev  "Makefile" "install")

Links para o cdigo fonte de funes e variveis do Emacs:
  (find-efunction 'eev)
  (find-evariable 'ee-file)

Link para o output de um programa:
  (find-progoutput "wget --help" "--continue")

Links para manpages (o eeman  um hbrido de link e e-script):
  (eeman       "1 man" "System calls")
  (find-man.el "1 man" "System calls")
  (find-man    "1 man" "System calls")

Links para pginas de arquivos em .ps e .dvi (possivelmente comprimidos):
  (find-dvipage 
  (find-zdvipage (fname n)
  (find-pspage (fname n)

;; code-ps
;; code-dvi
;; code-zdvi







# (find-es "anatocc" "cdecl")

find-status
find-vldifile xxx.list

# (find-es "anatocc" "cdecl")
".e"s

# (find-es "anatocc" "dlopen")

alias pro bash



;; (describe-function 'find-fline)
;; (describe-function 'find-node)
;; (describe-function 'ee-goto-position)
;; (describe-function 'eev)
;; (describe-function 'eeman)
;; (describe-function 'eecd)
;; (describe-function 'eeg)
;; (describe-function 'eev-bounded)
;; (describe-function 'eelatex)
;; (describe-function 'eelatex-bounded)
;; (describe-function 'eeg-bounded)
;; (describe-function 'end-of-line-then-eval-last-sexp)
;; (describe-function 'ee-bounded)
;; (describe-function 'code-c-d)
;; (describe-function 'inn)
;; (describe-function 'dff)













indice		(to ".indice")
 .lisp_hiperlinks	(to "lisp_hiperlinks")
 .code-c-d		(to "code-c-d")
 .eev			(to "eev")
 .blocos_delimitados	(to "blocos_delimitados")
 .eeg			(to "eeg")
 .ancoras		(to "ancoras")
 .debian_links	(to "debian_links")
 .mkto_dff_inn	(to "mkto_dff_inn")
 .variaveis		(to "variaveis")
 .glyphs		(to "glyphs")
 .instalacao		(to "instalacao")
 .demos_eeg4		(to "demos_eeg4")
 .links		(to "links")






#  Local Variables:
#  coding:               no-conversion
#  ee-delimiter-hash:    "\n#\n"
#  ee-delimiter-percent: "\n%\n"
#  ee-anchor-format:     "%s"
#  ee-charset-indicator: ""
#  End:
