
;; This block is from:
;;   <http://angg.twu.net/eev-videos/2.el.html>
;;   <http://angg.twu.net/eev-videos/2.el>
;; The following sexp reduces the clutter on the screen:
;;   (progn (menu-bar-mode 0) (scroll-bar-mode 0) (tool-bar-mode 0))
;; and this one defines a key binding that I am too addicted to:
;;   (global-set-key "\M-o" 'other-window)
;; (blink-cursor-mode 1)
;; (blink-cursor-mode 0)

;; Sexps, evaluation and highlighting
;; ==================================
;; Two sexps:          (+ 2 3)  (* 4 5)
;;  (eek   "<up>     C-x C-e")
;;  (eek "2*<up> C-e C-x C-e")
;;  (eek "3*<up>         M-E")
;;  (eek "4*<up>         M-e")
;;  (eek "5*<up>     M-0 M-E")
;;  (eek "6*<up>     M-0 M-e")
;;
;; Sexps as hyperlinks
;; ===================
;;  (eek "C-x C-f VERSION RET")
;;  (find-file "/tmp/eev/VERSION")
;;  Going back: `M-k'   (find-eval-intro "`M-k'")
;;
;; Variants of `M-e' that split the screen
;; =======================================
;;  (find-file "/tmp/eev/VERSION")
;;  Stay in this window:     (eek   "<up> M-2 M-e")
;;  Switch to the other one: (eek "2*<up> M-3 M-e")
;;
;; Temporary buffers
;; =================
;;  Messy: (eek "C-h k   C-x C-f")
;;         (describe-function   'find-file)
;;  Clean: (find-efunctiondescr 'find-file)
;;  Intros: (find-eev-intro)
;;          (find-emacs-intro)
;;  Lots of hyperlinks: (eek "M-h M-k C-x C-f")
;;
;; `eejump'
;; ========
;;  Index:                      (eek         "M-j")
;;  (find-eev-intro):           (eek     "M-5 M-j")
;;  (find-emacs-intro):         (eek     "M-2 M-j")
;;  (find-eev "eev-readme.el"): (eek "M-5 M-0 M-j")
;;  (find-eev-update-links):    (eek "M-5 M-9 M-j")
;;
;; `eepitch'
;; =========
;;  (find-eepitch-intro "The main key: <F8>")
;;  (find-prepared-intro "Python")
;;  (find-eev-update-links)
;;
;; Closing remarks
;; ===============
;; To turn eev-mode on and off: (eev-mode 1)
;;                              (eev-mode 0)
;;                     (eek "M-x eev-mode RET")
;; All key bindings:   (find-efunctiondescr 'eev-mode)
;; Main keys:          (eek     "M-j")
;;                     (eek "M-5 M-j")
;; HTMLized intros:    http://angg.twu.net/eev-intros/
;;                     http://angg.twu.net/eev-intros/find-eev-intro.html
;; My page:            http://angg.twu.net/#eev
;; Me:                 Eduardo Ochs <eduardoochs@gmail.com>
;;                     (IRC: edrx at #eev at freenode.net)
