;; This file:
;;   http://angg.twu.net/eev-wconfig/README-wconfig.el.html
;;   http://angg.twu.net/eev-wconfig/README-wconfig.el
;;           (find-angg "eev-wconfig/README-wconfig.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;; Version: 2022may02
;;
;; "Wconfig" is a shorthand for "Windows config".
;; Eev contains a module called eev-wconfig.el - see:
;;
;;   http://angg.twu.net/eev-current/eev-wconfig.el.html
;;                        (find-eev "eev-wconfig.el")
;;
;; This directory contains these files:
;;
;;   http://angg.twu.net/eev-wconfig/README-wconfig.el
;;   http://angg.twu.net/eev-wconfig/README-wconfig.el.html
;;   http://angg.twu.net/eev-wconfig/wget.exe
;;   http://angg.twu.net/eev-wconfig/pdftotext.exe
;;   http://angg.twu.net/eev-wconfig/lua52.exe
;;   http://angg.twu.net/eev-wconfig/lua52.dll
;;   http://angg.twu.net/eev-wconfig/lua53.exe
;;   http://angg.twu.net/eev-wconfig/lua53.dll
;;   http://angg.twu.net/eev-wconfig/lua54.exe
;;   http://angg.twu.net/eev-wconfig/lua54.dll
;;   http://angg.twu.net/eev-wconfig/Coetzee99.pdf
;;   http://angg.twu.net/eev-wconfig/2022dragABC.mp4
;;
;; The script in
;;
;;   (find-wconfig-wget-links)
;;
;; downloads (most of) them in the directory ~/eev-config/.
;;
;; The ".pdf" and the ".mp4" were copied from from:
;;
;;   https://tannerlectures.utah.edu/_resources/documents/a-to-z/c/Coetzee99.pdf
;;   http://angg.twu.net/eev-videos/2022dragABC.mp4
;;
;; and the ".exe"s and ".dll"s were extracted from ".zip"s found on
;; the internet using these scripts:
;;
;;   (find-es "w32"  "wget-1.21.2-win64")
;;   (find-es "lua5" "luabinaries-lua54.exe")
;;   (find-es "ps"   "pdftotext-for-windows")

;; Local Variables:
;; coding:  utf-8-unix
;; sentence-end-double-space: t
;; End:
