;; This file:
;;   http://anggtwu.net/elisp/find-luatb.el.html
;;   http://anggtwu.net/elisp/find-luatb.el
;;          (find-angg "elisp/find-luatb.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (find-angg ".emacs" "find-luatb")
;; (find-eev "eev-flash.el" "specs")

;; Moved to: (find-eev "eev-tlinks.el" "find-luatb")

;; ;; See: (find-angg "LUA/lua50init.lua" "PrintFunction")
;; ;;      (find-angg "LUA/lua50init.lua" "DGetInfo-luatb")
;; ;;      (find-angg "LUA/PrintFunction1.lua")
;; ;; Tests: (find-luatb "~/LUA/lua50init.lua 1072 1075  ")
;; ;;        (find-luatb "~/LUA/lua50init.lua 914 915 field atlevel")
;; ;;
;; (defun find-luatb0 (&optional fname linedef linenow &rest rest)
;;   (find-fline fname)
;;   (let* ((ld (and (stringp linedef) (string-to-number linedef)))
;;          (ln (and (stringp linenow) (string-to-number linenow)))
;;          (ldpos (progn (ee-goto-position ld) (ee-bol)))
;;          (pos   (progn (ee-goto-position ln) (ee-eol)))
;;          (lnpos (progn (ee-goto-position (+ ln 1)) (ee-bol))))
;;     (eeflash ldpos lnpos ee-highlight-spec)
;;     (goto-char pos)))
;; 
;; (defun find-luatb (str &rest rest)
;;   (find-2a nil `(apply 'find-luatb0 (ee-split ,str))))




;; <find-luarepl-links>
;; Skel: (find-find-links-links-new "luarepl" "" "")
;; Test: (find-luarepl-links)
;;
(defun find-luarepl-links (&rest pos-spec-list)
"Visit a temporary buffer containing hyperlinks for luarepl."
  (interactive)
  (apply
   'find-elinks
   `((find-luarepl-links ,@pos-spec-list)
     ;; Convention: the first sexp always regenerates the buffer.
     (find-efunction 'find-luarepl-links)
     ""
     (find-angg "LUA/lua50init.lua" "Repl3.lua")
     (find-angg "LUA/Repl3.lua")
     (find-angg "LUA/PreTraceback1.lua")
     (find-angg "LUA/XPCall1.lua")
     ""
     ,(ee-template0 "\
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
  run_repl3_now()
  ptb = nil
  print(2+nil)
  stop_repl3_now()
= ptb
= ptb[8]
= ptb[8].locals
= ptb[11].locals
= ptb[11].locals:invs()
")
     )
   pos-spec-list))

(defun luarepl ()
  (interactive)
  (find-2a nil '(find-luarepl-links)))




;; Local Variables:
;; coding:  utf-8-unix
;; End:
