(progn

(menu-bar-mode 0)
(tool-bar-mode 0)
(scroll-bar-mode -1)

(defun eepitch-set-glyph (pos &optional char face)
  (aset standard-display-table pos
	(if char (vector (make-glyph-code char face)))))

(if (not standard-display-table)
    (setq standard-display-table (make-display-table)))

(defface eepitch-star-face
  '((t (:foreground "red")))
  "Face used for the red star glyph (char 15).")

(defface eev-glyph-face-green
  '((t (:foreground "green")))
  "Face used for the green glyphs (`<<' and `>>', chars 171 and 187).")

(eepitch-set-glyph ?\^O ?* 'eepitch-star-face)
(eepitch-set-glyph 171 171 'eev-glyph-face-green)
(eepitch-set-glyph 187 187 'eev-glyph-face-green)

;; (find-anggfile "glyphs/glyph-bug-screenshot.png")
;; (eepitch-set-glyph (make-char 'eight-bit 171) 171 'eev-glyph-face-green)
;; (eepitch-set-glyph (make-char 'eight-bit 187) 187 'eev-glyph-face-green)

(insert "\n;; " 15 171 187)

)

;; 






;; Local Variables:
;; coding:            raw-text-unix
;; End:
