
# ==============================================================================
# 
# 	RubyFORTH -- Copyright (C) 2007-8, Marc Simpson (GPL). 
# 
#	Entry point.
# 
# ==============================================================================

require 'primitives.rb'

# Set up the RubyFORTH root directory. This is for resolving filenames if they
# can't be found in the local directory.

$rubyforth_root = Dir.pwd

# Expression processing; the ARGV[1..-1] is a line of code. ARGV[0] is "-".

input = ""

1.upto(ARGV.length) do |i| 
  arg = ARGV[1]
  input = input + ' ' + arg if arg
  ARGV.delete_at(1)
end

code input
code ".banner"
enter_forth

begin
  exit
rescue Exception                # Exit quietly.
end
