#!/bin/sh
# 
# where "sh" is assumed to be bash (change as necessary)

if [ ! $# = 1 ]; then
   echo "Wrong number of arguments ($# supplied)"
   echo "Usage: $0 <installation directory>"
   exit 1
fi

pwd=`pwd`
exe=$1"/rubyforth"

echo "#!/bin/sh"             > $exe
echo "pushd . > /dev/null"  >> $exe
echo 'orig=`pwd`'           >> $exe
echo "cd $pwd"              >> $exe
echo './rubyforth "\" $orig\"" chdir $@' >> $exe
echo "popd > /dev/null"     >> $exe

chmod +x $exe

echo "Done."
