
###
### make-iso.e
### http://angg.twu.net/windows-emacs/make-iso.e
### Scripts que preparam o CD de Emacs para Fundamentos da Computao
### Verso: 2004may07
###



# .FundComp_emacs_	(to "FundComp_emacs_")
# .FundComp_edrx_	(to "FundComp_edrx_")
# .FundComp_files_txts  (to "FundComp_files_txts")
# .FundComp_bat_	(to "FundComp_bat_")
# .debian		(to "debian")



####
#
# Emacs, erc, djtarnt
# 2004apr26
#
####

# See:
# http://www.emacswiki.org/cgi-bin/wiki/CategoryWThirtyTwo
# http://www.crasseux.com/emacs/
# http://www.crasseux.com/emacs/emacs_bin_cvs_2003_12_28.tar.bz2

This build of Emacs for W$ was obtained from:
<http://www.crasseux.com/emacs/emacs_bin_cvs_2003_12_28.tar.bz2>

It was converted to .tar.gz (to make it unpackable with djtarnt) with:

  cd $S/http/www.crasseux.com/emacs/
  bzcat         emacs_bin_cvs_2003_12_28.tar.bz2 \
    | gzip -9 > emacs_bin_cvs_2003_12_28.tar.gz
  touch      -r emacs_bin_cvs_2003_12_28.tar.bz2 \
                emacs_bin_cvs_2003_12_28.tar.gz

There are builds of more recent versions at
<http://nqmacs.sourceforge.net/>, but they don't have the ".el"s.

The snapshot of Erc comes from:
<http://www.emacswiki.org/cgi-bin/wiki/EmacsIRCClient> ->
<http://erc.sourceforge.net/snaps/erc-2004-02-29.tar.gz>.

Emacs-wiki, planner-mode and muse come from:
<http://sacha.free.net.ph/notebook/emacs/sacha-dev.tar.gz>
<http://www.newartisans.com/johnw/Emacs/muse.tar.gz>

Htmlize and htmlize.el come from:
<http://fly.srk.fer.hr/~hniksic/emacs/htmlize.el>
<http://fly.srk.fer.hr/~hniksic/emacs/htmlize.el.html>

Main IRC server: irc.freenode.net
# (find-es "emacs" "erc")

And djtarnt.exe comes from:
<http://ftp.gnu.org/gnu/windows/emacs/utilities/i386/djtarnt.exe>





#####
#
# Prepara o files/ e o bin/
#
#####

#
cd /CDs/windows-emacs/
#
mkdir FundComp/
mkdir FundComp/files/
mkdir FundComp/bin/

A=(
emacs_bin_cvs_2003_12_28.tar.gz
erc-2004-02-29.tar.gz
htmlize.el
htmlize.el.html
muse.tar.gz
sacha-dev.tar.gz
)
for i in $A; do
  cp -v /CDs/windows-stuff/Edrx/files/$i \
        /CDs/windows-emacs/FundComp/files/
done

# http://ftp.gnu.org/gnu/ windows/emacs/utilities/i386/djtarnt.exe
# http://www.chiark.greenend.org.uk/~sgtatham/putty/faq.html
# http://the.earth.li/~sgtatham/putty/latest/x86/putty.exe
# http://the.earth.li/~sgtatham/putty/latest/x86/pscp.exe

cp -v $S/http/the.earth.li/~sgtatham/putty/latest/x86/putty.exe \
      $S/http/the.earth.li/~sgtatham/putty/latest/x86/pscp.exe \
     $S/http/mirrors.usc.edu/pub/gnu/windows/emacs/utilities/i386/djtarnt.exe \
      /CDs/windows-emacs/FundComp/bin/

cp -v $S/ftp/jpsoft.com/4dos/4dos750.zip \
        /CDs/windows-emacs/FundComp/files/

cd /CDs/windows-emacs/FundComp/bin/
unzip ../files/4dos750.zip 4dos.com 4dos.hlp

for i in q.exe; do
  cp -v /float/bupcdmay2000/home98jul22/4dos/$i \
        /CDs/windows-emacs/FundComp/bin/
done

#
# (find-angg ".emacs" "menu-bar")
makeLedrxtgz
cp -v ~/TH/L/edrx.tgz /CDs/windows-emacs/FundComp/files/

#



#####
#
# coisas novas no files/
# 2004may24
#
#####

#
rm -Rv /tmp/unixutils/
mkdir  /tmp/unixutils/
cd     /tmp/unixutils/
unzip $S/http/unxutils.sourceforge.net/UnxUtils.zip
mv -v  /tmp/unixutils/bin/*.exe        /tmp/unixutils/
mv -v  /tmp/unixutils/usr/local/wbin/* /tmp/unixutils/
rm -Rv /tmp/unixutils/{*.html,bin,usr}

unzip $S/http/unxutils.sourceforge.net/UnxUpdates.zip

#
cp -v /tmp/unixutils/* /CDs/windows-emacs/FundComp/bin/

#

cat  $S/http/www.equi4.com/pub/tk/8.4.0/tclkit-win32.exe \
    > /CDs/windows-emacs/FundComp/files/tclkit-win32-840.exe
zcat $S/http/www.equi4.com/pub/tk/8.4.1/tclkit-win32.exe.gz \
    > /CDs/windows-emacs/FundComp/files/tclkit-win32-841.exe
zcat $S/http/www.equi4.com/pub/tk/8.4.2/tclkit-win32.exe.gz \
    > /CDs/windows-emacs/FundComp/files/tclkit-win32-842.exe
zcat $S/http/www.equi4.com/pub/tk/8.4.4/tclkit-win32.exe.gz \
    > /CDs/windows-emacs/FundComp/files/tclkit-win32-844.exe

cp -v $S/ftp/mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsv46w32.exe \
      /CDs/windows-emacs/FundComp/files/
cp -v $S/ftp/mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs814/gs814w32.exe \
      /CDs/windows-emacs/FundComp/files/
cp -v $S/http/www.lua.org/ftp/lua-5.0.tar.gz \
      /CDs/windows-emacs/FundComp/files/
cp -v ~/LUA/lua50ref.e \
      /CDs/windows-emacs/FundComp/files/

#



#####
#
# prepara o emacs/ e o edrx/
#
#####

#
# FundComp_emacs_  (to ".FundComp_emacs_")
#
tar -C /CDs/windows-emacs/FundComp/ \
 -xvzf /CDs/windows-emacs/FundComp/files/emacs_bin_cvs*.tar.gz

#
# FundComp_edrx_  (to ".FundComp_edrx_")
#
mkdir  /CDs/windows-emacs/FundComp/edrx/
tar -C /CDs/windows-emacs/FundComp/edrx/ \
 -xvzf /CDs/windows-emacs/FundComp/files/edrx.tgz

# (find-fline "/CDs/windows-emacs/FundComp/files/")
mkdir  /CDs/windows-emacs/FundComp/edrx/usrc/
tar -C /CDs/windows-emacs/FundComp/edrx/usrc/ \
 -xvzf /CDs/windows-emacs/FundComp/files/erc*.tar.gz

tar -C /CDs/windows-emacs/FundComp/edrx/usrc/ \
 -xvzf /CDs/windows-emacs/FundComp/files/sacha-dev.tar.gz

cd /CDs/windows-emacs/FundComp/edrx/usrc/sacha-dev/
mv -v emacs-wiki planner remember ..

find   /CDs/windows-emacs/FundComp/edrx/usrc/sacha-dev/
rm -Rv /CDs/windows-emacs/FundComp/edrx/usrc/sacha-dev/

#



#####
#
# Prepara alguns arquivos do ~/FundComp/
#
#####

# FundComp_files_txts  (to ".FundComp_files_txts")
#
cd /tmp/
unzip $S/http/www.inf.puc-rio.br/~inf1001/docs/apostila_icc.ps.zip
pstotext apostila_icc.ps > scheme.txt
cp -v apostila_icc.ps scheme.txt ~/FundComp/

#
rm -Rv /tmp/eng-por/
mkdir  /tmp/eng-por/
cd     /tmp/eng-por/
cp $S/http/ftp.debian.org/debian/pool/main/f/freedict/dict-freedict-eng-por_1.1-4_all.deb .
ar x dict-freedict-eng-por_1.1-4_all.deb data.tar.gz
tar -xvzf data.tar.gz
zcat usr/share/dictd/freedict-eng-por.dict.dz > eng-por.dict

cp -v  eng-por.dict ~/FundComp/

#
cd ~/FundComp/
cp -v leitao.txt apostila_icc.ps scheme.txt eng-por.dict \
  /CDs/windows-emacs/FundComp/files/

#



#####
#
# Prepara os ".bat"s
#
#####

# FundComp_bat_  (to ".FundComp_bat_")
# (find-fline "~/windows-emacs/")
#
cd /CDs/windows-emacs/
#
cd ~/windows-emacs/
zip bats.zip *.bat

#
cd /CDs/windows-emacs/
cp -v ~/windows-emacs/*.bat .

#




#####
#
# instalao do debian
#
#####

# debian  (to ".debian")
#
# (find-progoutput "dpkg --get-selections")
# (find-available "pcmcia-cs")
#
cd /tmp/
dpkg --get-selections \
  | awk '$2=="install" {print $1}' \
  | tee odgsi
cd /mnt/
find woodybin? -name '*.deb' \
  | tee /tmp/ofdebs

#
lua50e '
  installed = {}
  for pkg in io.lines("/tmp/odgsi") do
    installed[pkg] = 1
  end
  installed["pcmcia-cs"] = 1
  for fname in io.lines("/tmp/ofdebs") do
    _, __, stem = string.find(fname, "/([^/_]+)_[^/]*deb")
    if not _ then print("rejected:", fname) end
    if installed[stem] then
      installed[stem] = installed[stem] - 1
      print(fname)
    end
  end
  for stem,count in installed do
    if count ~= 0 then print(count, stem) end
  end
' | tee /tmp/ofiwoodydebs

cat /tmp/ofiwoodydebs \
  | awk 'NF==1' \
  | tee /tmp/ofiwoodydebs1

#
cd /mnt/
du -c $(</tmp/ofiwoodydebs1)

#
# (find-fline "/tmp/ofiwoodydebs1")
lua50e '
  for fname in io.lines("/tmp/ofiwoodydebs1") do
    _, __, woodydir, dir, deb =
      string.find(fname, "^(woodybin.)/(.*)/([^/]*deb)")
    if not _ then
      print("rejected:", fname)
    else
      io.write(string.format("mkdir -p %s\ncp -v /mnt/%s/%s/%s \\\n\t %s/\n",
        dir, woodydir, dir, deb, dir))
    end
  end
' | tee /tmp/ocpdebs

#
cd /CDs/windows-emacs/
. /tmp/ocpdebs
#
A=(
.disk
.xlp
README.html
README.mirrors.html
README.mirrors.txt
README.non-US
README.txt
debian
dists
doc
install
isolinux
md5sum.txt
pics
tools
)

cd /mnt/woodybin1/
du -c $A

#
cd /mnt/woodybin1/
tar -cf - $A | tar -C /CDs/windows-emacs/ -xvf -

#
# (find-man "8 dpkg-scanpackages")
cd /CDs/windows-emacs/dists/woody/

# (find-fline "/CDs/windows-emacs/dists/woody/Release")
# (find-fline "/CDs/windows-emacs/dists/woody/non-US/Release")
# (find-fline "/CDs/windows-emacs/dists/woody/main/binary-i386/")

  dpkg-scanpackages dists/potato/$i/binary-i386 /dev/null \
    > /tmp/Packages



# (find-fline "/mnt/woodybin1/")




#####
#
# Prepara o .iso e grava o CD
#
#####

#
cd /CDs/windows-emacs/
rm -v $(find -name 'TRANS.TBL')

#
alias mkisofs-new=$HOME/usrc/cdrtools-2.00.3/mkisofs/OBJ/i686-linux-cc/mkisofs
alias cdrecord-new=$HOME/usrc/cdrtools-2.00.3/cdrecord/OBJ/i686-linux-cc/cdrecord

cd /CDs/
# (find-fline "/usr/doc/syslinux/isolinux.doc.gz" "mkisofs -o <isoimage>")
#
mkisofs-new -r -J \
  -b isolinux/isolinux.bin -c isolinux/boot.cat \
  -no-emul-boot -boot-load-size 4 -boot-info-table \
  -o wemacs.iso \
  windows-emacs/

#
cd /CDs/
mkdir w
mount -o loop,ro wemacs.iso w
cd w
find

#
cd /CDs/
umount w
rmdir w

#
cd /CDs/
cdrecord-new -scanbus
cdrecord-new dev=0,0,0 -v wemacs.iso

#




#####
#
# mail pro Adilson
# 2004may07
#
#####

#
mail -s 'UERJ/FEBF/FundComp: arquivos pra mudar no CD' \
  adilson217@ig.com.br <<'%%%'
Oi Adlson,

acabei de subir os arquivos que tm que ser modificados no CD - so s
os arquivos ".bat" que ficam no diretrio raiz do CD. Eu ainda no
testei a verso nova deles - no tenho Windows em casa - mas estou
indo test-los agora...

Eles esto em:
  http://angg.twu.net/windows-emacs/bats.zip

Com esse CD d pra rodar o Emacs a partir do CD, sem gravar nada no
disco rgido, e tambm d pra instalar o Emacs no disco rgido, no
diretrio "C:\FundComp". Pra desinstalar tudo  s apagar o diretrio
C:\FundComp.

Pra rodar tudo a partir do CD, sem instalar, a gente executa:
  "emacs-d.bat"   se o CD for o disco D:, ou
  "emacs-e.bat"   se o CD for o disco E:.

Pra instalar no HD a gente roda
  "copia-d.bat"   se o CD for o disco D:, ou
  "copia-e.bat"   se o CD for o disco E:
e depois
  "abre-c.bat"    pra descompactar alguns arquivos.

Depois que est tudo instalado a gente entra no Emacs rodando o
  "emacs-c.bat".

Obs: um modo de testar esses ".bat"s novos  abrir o
"http://angg.twu.net/windows-emacs/bats.zip" em um diretrio
temporrio, digamos, C:\tmp, e rod-los a partir de l; isto ,
(supondo que o seu drive de CD esteja no disco D:), executar
  C:\tmp\copia-d.bat
  C:\tmp\abre-c.bat
  C:\tmp\emacs-c.bat

Um abrao, qualquer coisa me telefone,
  Eduardo Ochs
  edrx@mat.puc-rio.br
  2512-1843
%%%
#




Faltou: md5sum pra testar a gravao do CD

#  Local Variables:
#  coding:               raw-text-unix
#  ee-anchor-format:     "%s"
#  End:
